# Amazon unleashes Q, an AI assistant for the workplace
## Aimed at the office, Amazon Q can summarize docs and assist with programming tasks.
## Information:

+ Link: https://arstechnica.com/information-technology/2023/11/amazon-unleashes-q-an-ai-assistant-for-the-workplace/
+ Source: Ars Technica
+ Author: Benj Edwards
+ Date published: 29 November 2023, 17:13
+ Date scraped: 29 November 2023, 18:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/11/amazon_q-760x380.jpg)







On Tuesday, Amazon unveiled [Amazon Q](https://press.aboutamazon.com/2023/11/aws-announces-amazon-q-to-reimagine-the-future-of-work?ots=1&tag=arstech20-20&linkCode=w50), an AI chatbot similar to [ChatGPT](https://arstechnica.com/information-technology/2022/12/openai-invites-everyone-to-test-new-ai-powered-chatbot-with-amusing-results/) that is tailored for corporate environments. Developed by Amazon Web Services (AWS), Q is designed to assist employees with tasks like summarizing documents, managing internal support tickets, and providing policy guidance, differentiating itself from consumer-focused chatbots. It also serves as a programming assistant.


According to [The New York Times](https://www.nytimes.com/2023/11/28/technology/amazon-ai-chatbot-q.html), the name "Q" is a play on the word “question" and a reference to the character Q in the James Bond novels, who makes helpful tools. (And there's apparently a little bit of Q from *Star Trek: The Next Generation* thrown in, although hopefully the new bot won't cause mischief on that scale.)


Amazon Q's launch positions it against existing corporate AI tools like [Microsoft's Copilot](https://arstechnica.com/information-technology/2023/07/microsoft-365s-copilot-assistant-for-businesses-comes-with-a-hefty-price-tag/), [Google's Duet AI](https://arstechnica.com/information-technology/2023/08/googles-30-per-month-duet-ai-will-craft-awkward-emails-images-for-you/), and [ChatGPT Enterprise](https://arstechnica.com/information-technology/2023/08/the-new-spreadsheet-openai-introduces-chatgpt-enterprise-for-businesses/). Unlike some of its competitors, Amazon Q isn't built on a singular AI large language model (LLM). Instead, it uses a platform called Bedrock, integrating multiple AI systems, including [Amazon's Titan](https://arstechnica.com/information-technology/2023/04/generative-ai-comes-to-amazon-web-services/) and models from [Anthropic](https://arstechnica.com/information-technology/2023/07/new-chatgpt-rival-claude-2-launches-for-open-beta-testing/) and [Meta](https://arstechnica.com/information-technology/2023/07/meta-launches-llama-2-an-open-source-ai-model-that-allows-commercial-applications/).


[![A screenshot of the Amazon Q interface, provided by Amazon.](https://cdn.arstechnica.net/wp-content/uploads/2023/11/amazon_q_screenshot-640x439.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2023/11/amazon_q_screenshot.jpg) / A screenshot of the Amazon Q interface, provided by Amazon.Amazon


"Developers can use Amazon Q to explain specific programming logic by asking questions (e.g., “Provide me with a description of what this application does and how it works”)," writes Amazon in a press release. "And Amazon Q will give details like which services the code uses and what different functions do (e.g., “This application is building a basic support ticketing system using Python Flask and AWS Lambda”), along with a description of the application’s core capabilities, how they are implemented, and more."


Notably, Amazon did not reveal performance benchmarks for Q that would allow us to evaluate its capabilities versus chatbot solutions to other providers. As of press time, we have not experimented with Q yet.


Amazon Q promotional video on YouTube.


Following significant investments in AI, including [a partnership](https://press.aboutamazon.com/2023/9/amazon-and-anthropic-announce-strategic-collaboration-to-advance-generative-ai?ots=1&tag=arstech20-20&linkCode=w50) with AI-startup Anthropic and the development of AI-tuned GPU chips, Amazon has intensified its AI focus. The Q announcement came as part of a series of reveals at Amazon's annual cloud-computing conference, [re:Invent 2023](https://aws.amazon.com/blogs/aws/top-announcements-of-aws-reinvent-2023/), including [plans to create yet another new AI chip](https://www.reuters.com/technology/amazon-announces-new-data-center-chip-microsoft-rivalry-intensifies-2023-11-28/) for its data centers.


Amazon Q is priced at $20 per user per month, which is lower than Microsoft and Google's enterprise AI solutions, which are priced at $30 per user per month. Amazon Q is available now "in preview in AWS Regions US East (N. Virginia) and US West (Oregon)," according to the company.


It's worth noting that the Amazon Q name is apparently unrelated to [recent rumors](https://www.theinformation.com/articles/openai-made-an-ai-breakthrough-before-altman-firing-stoking-excitement-and-concern?rc=9byxri) about an OpenAI breakthrough called "Q\*" (pronounced "Q-star") that caused premature hype over the development of [AGI](https://en.wikipedia.org/wiki/Artificial_general_intelligence) (artificial general intelligence), with experts calling the claims [largely overblown](https://www.theinformation.com/articles/why-openais-breakthrough-isnt-a-harbinger-for-humanity-ending-agi).














## Tags:


### Autogenerated tags:
[[aws]]
