# Amazon’s $195 thin clients are repurposed Fire TV Cubes
## Amazon Workspaces Thin Client is a Fire TV Cube with different software.
## Information:

+ Link: https://arstechnica.com/information-technology/2023/11/amazons-195-thin-clients-are-repurposed-fire-tv-cubes/
+ Source: Ars Technica
+ Author: Scharon Harding
+ Date published: 27 November 2023, 19:32
+ Date scraped: 27 November 2023, 20:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/11/amazon-thin-client-760x380.jpg)







Amazon has turned its Fire TV Cube streaming device into a thin client optimized for Amazon Web Services (AWS).


Amazon's Workspaces Thin Client also supports Amazon's Workspaces Web, for accessing virtual desktops from a browser, and [AppStream](https://arstechnica.com/information-technology/2013/11/amazon-wants-to-be-your-everything-with-new-cloud-services/).


The computer is a Fire TV Cube with a new software stack. All the hardware—from the 2GB of LPDDR4x RAM and 16GB of storage, to the Arm processor with 8 cores, including four running at up to 2.2 GHz—remain identical whether buying the device as an Alexa-powered entertainment-streaming device or thin client computer. Both the Fire TV Cube and Workspaces Thin Client run an Android Open Source Project-based Android fork ([for now](https://arstechnica.com/gadgets/2023/11/amazon-fire-tablets-and-other-gear-will-reportedly-switch-away-from-android/)).


[![The device has HDMI 2.1 input and output, USB 2.0, 10/100 ethernet, and Bluetooth 5.0 support.](https://cdn.arstechnica.net/wp-content/uploads/2023/11/Amazon-ports-640x626.jpeg)](https://cdn.arstechnica.net/wp-content/uploads/2023/11/Amazon-ports.jpeg) / The device has HDMI 2.1 input and output, USB 2.0, 10/100 ethernet, and Bluetooth 5.0 support.[Amazon](https://m.media-amazon.com/images/G/01/kindle/journeys/jsctI8i8peo2BMCQMPm4yxSMmJOG3BW55E2UTu5QFV2s3D/MzYzMWMxYzEt._CB608628923_.png?ots=1&tag=arstech20-20&linkCode=w50)


In a [blog post](https://www.aboutamazon.com/news/aws/amazon-workspaces-thin-client?ots=1&tag=arstech20-20&linkCode=w50) announcing the device Sunday, Amazon said its thin client targets businesses with high employee turnover, such as call and payment processing centers, where AWS customers say it can be hard to recover expensive, work-issued devices. As many as 70 percent of laptops sent from companies to remote workers are never seen by companies again, Muneer Mirza, AWS' end-user compute general manager, claimed to [The Register](https://www.theregister.com/2023/11/27/aws_workspaces_thin_client/).


"A lot of times they find those devices walk out the door when the employees walk out the door,” AWS Chief Executive Adam Selipsky told [SiliconANGLE](https://siliconangle.com/2023/11/26/aws-debuts-amazon-workspaces-thin-client-device-virtual-desktop-access/).


Amazon said it came up with the Workspaces Thin Client after speaking with AWS enterprise customers, especially ones giving out laptops, tablets, and other devices to workers working remotely and in places like contact centers, customer service operations, and hospitality with "hundreds to tens of thousands" of workers.


Amazon's blog also pointed to savings benefits compared to pricier company-issued laptops or desktops and the security benefits of employee devices that don't store data locally and only run IT-approved software.


Changing focus
--------------


Amazon's "new" device comes near the end of a difficult year for Amazon's consumer tech division. The Workspaces Thin Client is the first time Amazon has "adapted a consumer device into an external hardware product for AWS customers," as per the company's blog.


But this isn't the first time Amazon has sent a product seemingly meant for consumer use to the enterprise side. On November 15, Amazon announced that its [Astro home robot](https://arstechnica.com/gadgets/2021/09/amazons-astro-robot-is-straight-out-of-the-jetsons/), which never saw [general consumer availability](https://arstechnica.com/gadgets/2022/09/amazon-gives-its-astro-robot-new-abilities-but-still-no-general-availability/), would become a business security solution that encourages subscription-based add-ons, like custom and scheduled robot patrol routes.


[![The GPU in Amazon's Workspaces Thin Client and Fire TV Cube runs at up to 800 MHz.](https://cdn.arstechnica.net/wp-content/uploads/2023/11/amazon-thin-client-front-640x700.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2023/11/amazon-thin-client-front.jpg) / The GPU in Amazon's Workspaces Thin Client and Fire TV Cube runs at up to 800 MHz.


This also isn't the first time an Alexa consumer product has found secondary purpose. At the end of last year, for example, Amazon updated the [Echo Show 15](https://arstechnica.com/gadgets/2021/12/amazon-echo-show-15-review-more-screen-more-possibilities/) smart display to work like a [transportable Fire TV](https://arstechnica.com/gadgets/2022/12/amazons-echo-show-15-smart-display-becomes-a-portable-fire-tv/).


Amazon has been diverting resources from its devices division over the past year. There have also been reports of Amazon pushing for [cheaper devices](https://arstechnica.com/gadgets/2023/09/trepidation-low-morale-precede-last-of-its-kind-amazon-hardware-event/). Last week, Amazon announced "[several hundred](https://arstechnica.com/gadgets/2023/11/amazon-lays-off-alexa-employees-as-2010s-voice-assistant-boom-gives-way-to-ai/)" layoffs in the devices and services division as Amazon focuses more on [generative AI](https://arstechnica.com/gadgets/2023/09/amazons-generative-ai-powered-alexa-is-as-big-a-privacy-red-flag-as-old-alexa/). This is after Amazon's devices and services business already endured [2,000 layoffs](https://www.cnbc.com/2023/01/06/amazon-fully-committed-to-alexa-despite-layoffs-hardware-chief-says.html) early this year, as well as layoffs announced in [late 2022](https://arstechnica.com/information-technology/2022/11/amazon-begins-layoffs-of-up-to-10000-jobs-blames-uncertain-economy/).


Amazon's consumer tech business has been further rocked by a $46.7 million judgement against Amazon over an [Alexa patent dispute](https://arstechnica.com/gadgets/2023/11/alexa-just-cost-amazon-another-46-7-million/). This year also sees the departure of department head [David Limp](https://arstechnica.com/gadgets/2023/08/longtime-chief-of-amazons-money-losing-hardware-business-will-depart-this-year/).


Fire TV sets and streaming devices have generally felt like a comparatively more [positive area for Amazon devices](https://arstechnica.com/gadgets/2023/03/with-amazon-alexas-future-in-peril-fire-tvs-offer-a-glimmer-of-hope/), with Amazon in March claiming to have sold over 200 million units globally. Amazon is trying to work its way into the small, [but evolving](https://arstechnica.com/information-technology/2023/11/the-windows-app-for-mac-ios-and-browsers-is-a-fancy-remote-desktop-for-now/), market for [thin clients](https://arstechnica.com/gadgets/2022/11/used-thin-client-pcs-are-an-unsexy-readily-available-raspberry-pi-alternative/) and virtual desktops. By repurposing Fire TV Cubes, Amazon can limit its financial risk.


Amazon Workspaces Thin Client starts at [$195](https://www.amazon.com/dp/B0CCT1PZHP/?ots=1&tag=arstech20-20). Amazon typically [sells](https://www.amazon.com/dp/B09BZZ3MM7/?ots=1&tag=arstech20-20) the current Fire TV Cube for $110 to $140.














## Tags:


### Autogenerated tags:
[[workspaces]] [[aws]] [[desktops]] [[blog]] [[laptops]]
