# Generative AI comes to Amazon Web Services
## Bedrock and Titan will allow customers to build their own chatbots and image generators.
## Information:

+ Link: https://arstechnica.com/information-technology/2023/04/generative-ai-comes-to-amazon-web-services/
+ Source: Ars Technica
+ Author: Benj Edwards
+ Date published: 13 April 2023, 19:12
+ Date scraped: 13 April 2023, 20:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/04/amazon_hero_1-760x380.jpg)







On Thursday, Amazon [released](https://aws.amazon.com/blogs/machine-learning/announcing-new-tools-for-building-with-generative-ai-on-aws/) a new suite of AI technologies, including foundational large language models (LLMs) called [Titan](https://aws.amazon.com/bedrock/titan/) and a cloud computing service called [Bedrock](https://aws.amazon.com/bedrock/), reports [Reuters](https://www.reuters.com/technology/amazon-cranks-up-ai-competition-against-microsoft-google-with-new-cloud-tools-2023-04-13/). The move comes as competitors Microsoft and Google integrate AI chatbots into their search engines and cloud operations.


Recently, LLMs like OpenAI's [GPT-4](https://arstechnica.com/information-technology/2023/03/openai-announces-gpt-4-its-next-generation-ai-language-model/) and its instruction-tuned cousin [ChatGPT](https://arstechnica.com/information-technology/2022/12/openai-invites-everyone-to-test-new-ai-powered-chatbot-with-amusing-results/) have become one of the hottest stories in tech, inspiring [large investments](https://arstechnica.com/information-technology/2023/01/openai-and-microsoft-reaffirm-shared-quest-for-powerful-ai-with-new-investment/) in AI labs and [shaking up](https://arstechnica.com/information-technology/2023/01/fearing-chatgpt-google-enlists-founders-brin-and-page-in-ai-fight/) business operations in major players. LLMs, often grouped with similar technologies under the umbrella term "generative AI," can take any kind of written input and transform, translate, or interpret it in different ways.


In response, Amazon's cloud computing division, Amazon Web Services (AWS), has designed its new AI technologies to help companies develop their own chatbots and image-generation services (such as OpenAI's [DALL-E](https://arstechnica.com/information-technology/2022/09/openai-image-generator-dall-e-now-available-without-waitlist/)). As with Microsoft's Azure cloud platform that powers OpenAI's models, Amazon stands to reap financial rewards from renting out the computing muscle to make its own brand of generative AI happen.


AWS's core offering, named Bedrock, enables businesses to customize "foundation models" using their own data. In AI, foundation models are core AI technologies that serve as starting points for companies to build upon. Using fine tuning (additional training with a specific goal), companies can incorporate proprietary data, customizing the models for their own needs. OpenAI offers a [similar service](https://platform.openai.com/docs/guides/fine-tuning) that allows customers to fine-tune models for custom chatbots.


Bedrock will provide customers with Amazon's proprietary LLM foundation models, known collectively as Amazon Titan, as well as models from third-party companies. Startups AI21 Labs, Anthropic, and Stability AI will offer their models alongside Amazon's.


According to Amazon, one key aspect of providing its Bedrock service will be allowing AWS customers to test these new AI technologies without having to manage the underlying data center servers that power them. Those data centers are costly investments. Amazon says the underlying servers for the Bedrock service will utilize a combination of Amazon's custom AI chips (AWS [Trainium](https://aws.amazon.com/machine-learning/trainium/) and AWS [Inferentia](https://aws.amazon.com/machine-learning/inferentia/)) and GPUs from [Nvidia](https://arstechnica.com/information-technology/2022/09/hopper-time-nvidias-most-powerful-ai-chip-yet-ships-in-october/), which is currently the largest supplier of AI chips.


Also on Thursday, Amazon announced a preview of [Amazon CodeWhisperer](https://aws.amazon.com/codewhisperer/), an AI-powered coding assistant similar to [GitHub Copilot](https://github.com/features/copilot) and [Replit Ghostwriter](https://arstechnica.com/information-technology/2022/10/replits-ghostwriter-ai-can-explain-programs-to-you-or-help-write-them/). It's free for individual use and available for evaluation today.














## Tags:


### Autogenerated tags:
[[aws]] [[cloud]] [[openai]] [[llms]] [[chatbots]]
