# Red Hat’s new source code policy and the intense pushback, explained
## A (reasonably) condensed version of two weeks' worth of heated GPL argument.
## Information:

+ Link: https://arstechnica.com/information-technology/2023/06/red-hats-new-source-code-policy-and-the-intense-pushback-explained/
+ Source: Ars Technica
+ Author: Kevin Purdy
+ Date published: 30 June 2023, 15:53
+ Date scraped: 30 June 2023, 16:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/06/GettyImages-1212755749-760x380.jpg)







When CentOS [announced](https://blog.centos.org/2020/12/future-is-centos-stream/) in 2020 that it was [shutting down its traditional "rebuild" of Red Hat Enterprise Linux](https://arstechnica.com/gadgets/2020/12/centos-shifts-from-red-hat-unbranded-to-red-hat-beta/) (RHEL) to focus on its development build, Stream, CentOS suggested the strategy "removes confusion." Red Hat, which largely controlled CentOS by then, [considered it](https://www.redhat.com/en/blog/centos-stream-building-innovative-future-enterprise-linux) "a natural, inevitable next step."


Last week, the IBM-owned Red Hat continued "[furthering the evolution of CentOS Stream](https://www.redhat.com/en/blog/furthering-evolution-centos-stream)" by announcing that CentOS Stream would be "the sole repository for public RHEL-related source code releases," with RHEL's core code otherwise restricted to a customer portal. (RHEL access is [free for individual developers](https://developers.redhat.com/articles/faqs-no-cost-red-hat-enterprise-linux) and [up to 16 servers](https://arstechnica.com/gadgets/2021/01/centos-is-gone-but-rhel-is-now-free-for-up-to-16-production-servers/), but that's largely not what is at issue here).

AdChoicesADVERTISING
Red Hat's post was a rich example of burying the lede and a decisive moment for many who follow the tricky balance of Red Hat's open-source commitments and service contract business. Here's what followed.


## Code will still flow, if painfully


[Rocky Linux](https://rockylinux.org), [launched by CentOS co-founder Greg Kurtzer](https://arstechnica.com/gadgets/2021/06/centos-replacement-distro-rocky-linuxs-first-general-release-is-out/) as a replacement RHEL-compatible distro, [announced Thursday](https://rockylinux.org/news/keeping-open-source-open/) that it believes Red Hat's moves "violate the spirit and purpose of open source." Using a few different methods (Universal Base Image containers, pay-per-use public cloud instances), Rocky Linux intends to maintain what it considers legitimate access to RHEL code under the GNU General Public License (GPL) and make the code public as soon as it exists.


"[O]ur unwavering dedication and commitment to open source and the Enterprise Linux community remain steadfast," the project wrote in its blog post.


[AlmaLinux](https://almalinux.org), a [similarly RHEL-derived distribution](https://arstechnica.com/gadgets/2021/04/centos-replacement-distro-almalinux-gets-commercial-support-options/), is also working to keep providing RHEL-compatible updates and downstream rebuilds. "The process is more labor intensive as we require gathering data and patches from several sources, comparing them, testing them, and then building them for release," wrote Jack Aboutboul, community manager for AlmaLinux, [in a blog post](https://almalinux.org/blog/our-value-is-our-values/). "But rest assured, updates will continue flowing just as they have been."


## Letter vs. spirit


The Software Freedom Conservancy's Bradley M. Kuhn weighed in last week with [a comprehensive overview of RHEL's business model](https://sfconservancy.org/blog/2023/jun/23/rhel-gpl-analysis/) and its tricky relationship with GPL compliance. Red Hat's business model "skirts" GPL violation but had only twice previously violated the GPL in newsworthy ways, Kuhn wrote. Withholding Complete Corresponding Source (CCS) from the open web doesn't violate the GPL itself, but by doing so, Red Hat makes it more difficult for anyone to verify the company's GPL compliance.


Kuhn expressed sadness that "this long road has led the FOSS community to such a disappointing place."


Shorter, pithier versions of the GPL-minded community's reaction to Red Hat's news are exemplified by Jeff Geerling's blog post called "[Dear Red Hat: Are you dumb?](https://www.jeffgeerling.com/blog/2023/dear-red-hat-are-you-dumb)," or his YouTube Video "[Huge Open Source Drama](https://www.youtube.com/watch?v=kF5pyVUQBH8)." Geerling, who says he's dropping RHEL support from his Ansible and other software projects, says that Red Hat's moves are intended to "destroy" Rocky, Alma, and other RHEL derivatives and that after the "knife in the back" of abandoning full CentOS Linux, the recent moves "took that knife and twisted it, hard."


Jeff Geerling's video, with a title that is somehow accurate, at scale.


## “Simply rebuilding code”


Mike McGrath, vice president of core platforms engineering at Red Hat, [wrote Monday](https://www.redhat.com/en/blog/red-hats-commitment-open-source-response-gitcentosorg-changes) that he "spent a lot of time walking" last weekend, thinking about the Linux community's reaction to the initial announcement. Red Hat contributes code upstream, doesn't "simply take upstream packages and rebuild them," and maintains and supports operating systems for 10 years, McGrath wrote.


"I feel that much of the anger from our recent decision around the downstream sources comes from either those who do not want to pay for the time, effort, and resources going into RHEL or those who want to repackage it for their own profit," he wrote. "This demand for RHEL code is disingenuous."


While Red Hat previously "found value in the work done by rebuilders like CentOS," the idea that they are "churning out RHEL experts and turning into sales just isn't reality." McGrath points to SUSE, Canonical (Ubuntu), AWS, and Microsoft as competitors using Linux code, but "none claim to be 'fully compatible' with the others."


"Ultimately, we do not find value in a RHEL rebuild and we are not under any obligation to make things easier for rebuilders; this is our call to make," he wrote. "Simply rebuilding code, without adding value or changing it in any way, represents a real threat to open source companies everywhere. This is a real threat to open source, and one that has the potential to revert open source back into a hobbyist- and hackers-only activity."


Richi Jennings at DevOps has compiled [many more community reactions](https://devops.com/rhel-gpl-richixbw/) to Red Hat's most recent source moves. Unlike full RHEL source code, comment on this matter is likely to be consistently available for some time to come.














## Tags:


### Autogenerated tags:
[[rhel]] [[linux]] [[gpl]] [[blog]] [[kuhn]] [[geerling]] [[mcgrath]]
