# Redis’ license change and forking are a mess that everybody can feel bad about
## Cloud firms want a version of Redis that's still open to managed service resale.
## Information:

+ Link: https://arstechnica.com/information-technology/2024/04/redis-license-change-and-forking-are-a-mess-that-everybody-can-feel-bad-about/
+ Source: Ars Technica
+ Author: Kevin Purdy
+ Date published: 01 April 2024, 17:47
+ Date scraped: 01 April 2024, 18:02

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2024/04/GettyImages-2113285214-760x380.jpg)



Redis, a tremendously popular tool for storing data in-memory rather than in a database, recently switched its licensing from [an open source BSD license](https://redis.com/blog/redis-license-bsd-will-remain-bsd/) to both a [Source Available License](https://redis.com/legal/rsalv2-agreement/?ref=thestack.technology) and a [Server Side Public License](https://redis.com/legal/server-side-public-license-sspl/?ref=thestack.technology) (SSPL).


The software project and company supporting it were fairly clear in why they did this. [Redis CEO Rowan Trollope wrote on March 20](https://redis.com/blog/redis-adopts-dual-source-available-licensing/) that while Redis and volunteers sponsored the bulk of the project's code development, "the majority of Redis’ commercial sales are channeled through the largest cloud service providers, who commoditize Redis’ investments and its open source community." Clarifying a bit, "cloud service providers hosting Redis offerings will no longer be permitted to use the source code of Redis free of charge."


Clarifying even further: Amazon Web Services (and lesser cloud giants), you cannot continue reselling Redis as a service as part of your $90 billion business without some kind of licensed contribution back.


This generated a lot of discussion, blowback, and action. The biggest thing was a fork of the Redis project, [Valkey](https://github.com/madolson/placeholderkv), that is [backed by The Linux Foundation](https://www.linuxfoundation.org/press/linux-foundation-launches-open-source-valkey-community) and, critically, also Amazon Web Services, Google Cloud, Oracle, Ericsson, and Snap Inc. Valkey is "fully open source," Linux Foundation execs note, with the kind of [BSD-3-Clause license](https://github.com/valkey-io/valkey#BSD-3-Clause-1-ov-file) Redis sported until recently. You might note [the exception of Microsoft](https://azure.microsoft.com/en-us/blog/redis-license-update-what-you-need-to-know/) from that list of fork fans.


As [noted by Matt Asay](https://www.infoworld.com/article/3714688/the-bizarre-defense-of-trillion-dollar-cabals.html), who formerly ran open source strategy and marketing at AWS, most developers are "largely immune to Redis' license change." Asay suggests that, aside from the individual contributions of AWS engineer and former Redis core contributor Madelyn Olson (who [contributed in her free time](https://twitter.com/reconditerose/status/1773502215866765468)) and [Alibaba's Zhao Zhao](https://github.com/soloestoy), "The companies jumping behind the fork of Redis have done almost nothing to get Redis to its current state."


[Olson told TechCrunch](https://techcrunch.com/2024/03/31/why-aws-google-and-oracle-are-backing-the-valkey-redis-fork/) that she was disappointed by Redis' license change but not surprised. "I'm more just disappointed than anything else." David Nally, AWS' current director for open source strategy and marketing, demurred when asked by TechCrunch if AWS considered buying a Redis license from Redis Inc. before forking. "[F]rom an open-source perspective, we’re now invested in ensuring the success of Valkey," Nally said.


Shifts in open source licensing have triggered previous keep-it-open forks, including [OpenSearch](https://github.com/opensearch-project/OpenSearch) (from [ElasticSearch](https://www.elastic.co/elasticsearch/opensearch)) and [OpenTofu](https://opentofu.org/) (from [Terraform](https://www.linuxfoundation.org/press/announcing-opentofu)). With the backing of the Linux Foundation and some core contributors, though, Valkey will likely soon evolve far beyond a drop-in Redis replacement, and Redis is likely to follow suit.


If you're reading all this and you don't own a gigascale cloud provider or sit on the board of a source code licensing foundation, it's hard to know what to make of the fiasco. Every party in this situation is doing what is legally permissible, and software from both sides will continue to be available to the wider public. [Taking your ball and heading home](https://arstechnica.com/information-technology/2024/02/nginx-key-developer-starts-a-freenginx-fork-after-dispute-with-parent-firm/) is a longstanding tradition when parties disagree on software goals and priorities. But it feels like there had to be another way this could have worked out.





## Tags:


### Autogenerated tags:
[[redis]] [[cloud]] [[valkey]] [[aws]] [[linux]]
