# GitHub: How stolen OAuth tokens helped breach dozens of orgs
## GitHub has shared a timeline of this month's security breach when a threat actor gained access to and stole private repositories belonging to dozens of organizations.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/github-how-stolen-oauth-tokens-helped-breach-dozens-of-orgs/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 27 April 2022, 21:04
+ Date scraped: 27 April 2022, 22:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/08/GitHub___headpic.jpg)



GitHub has shared a timeline of this month's security breach when a threat actor gained access to and stole private repositories belonging to dozens of organizations.


The attacker used stolen OAuth app tokens issued to Heroku and Travis-CI to breach GitHub.com customer accounts with authorized Heroku or Travis CI OAuth app integrations.


GitHub's Chief Security Officer Mike Hanley says the company has yet to find evidence that its systems have been breached [since the incident was first discovered on April 12th, 2022](https://www.bleepingcomputer.com/news/security/github-attacker-breached-dozens-of-orgs-using-stolen-oauth-tokens/).


GitHub is still working on alerting all impacted users and organizations, with the company being in the process of sending the final notifications to affected GitHub.com users as of today.


An analysis of the attacker's behavior, while he had access to compromised Github accounts, shows that the following activities were carried out on GitHub.com using the stolen OAuth app tokens:


1. The attacker authenticated to the GitHub API using the stolen OAuth tokens issued to Heroku and Travis CI.
2. For most people who had the affected Heroku or Travis CI OAuth apps authorized in their GitHub accounts, the attacker listed all the user's organizations.
3. The attacker then selectively chose targets based on the listed organizations.
4. The attacker listed the private repositories for user accounts of interest.
5. The attacker then proceeded to clone some of those private repositories.

"This pattern of behavior suggests the attacker was only listing organizations in order to identify accounts to selectively target for listing and downloading private repositories," GitHub [said](https://github.blog/2022-04-15-security-alert-stolen-oauth-user-tokens/).


"GitHub believes these attacks were highly targeted based on the available information and our analysis of the attacker behavior using the compromised OAuth tokens issued to Travis CI and Heroku."


## Finding evidence of malicious activity


[GitHub disclosed the breach on the evening of April 15th](https://www.bleepingcomputer.com/news/security/github-attacker-breached-dozens-of-orgs-using-stolen-oauth-tokens/), three days after discovering the attack, when the malicious actor accessed GitHub's npm production infrastructure.


In the initial stage of the attack, the threat actor used a compromised AWS API key acquired after downloading multiple private npm repositories using stolen OAuth user tokens.


While [GitHub](https://github.blog/2022-04-15-security-alert-stolen-oauth-user-tokens/#:~:text=revoking%20tokens%20associated%20with%20GitHub%20and%20npm%E2%80%99s%20internal%20use%20of%20these%20compromised%20applications), [Travis CI](https://blog.travis-ci.com/2022-04-17-securitybulletin#:~:text=immediately%20revoked%20all%20authorization%20keys%20and%20tokens), and [Heroku](https://status.heroku.com/incidents/2413#:~:text=Heroku%20Security%20Update%3A%20OAuth%20token%20revoked) have revoked all OAuth tokens to block further access after discovering the attack, affected organizations are advised to keep monitoring their [audit logs](https://docs.github.com/en/organizations/keeping-your-organization-secure/managing-security-settings-for-your-organization/reviewing-the-audit-log-for-your-organization) and [user account security logs](https://docs.github.com/en/authentication/keeping-your-account-and-data-secure/reviewing-your-security-log) for potentially malicious activity linked to this incident.


GitHub shared the following guidance with potentially impacted customers to help them investigate logs for evidence of data exfiltration or malicious activity:


* Review all your private repositories for secrets or credentials stored in them. There are several tools that can help with this task, such as [GitHub secret scanning](https://docs.github.com/en/enterprise-cloud@latest/code-security/secret-scanning/about-secret-scanning#about-secret-scanning-for-advanced-security) and [trufflehog](https://trufflesecurity.com/trufflehog).
* Review the OAuth applications that you've authorized for your [personal account](https://docs.github.com/en/authentication/keeping-your-account-and-data-secure/reviewing-your-authorized-applications-oauth) or that are authorized to access your [organization](https://docs.github.com/en/enterprise-cloud@latest/organizations/restricting-access-to-your-organizations-data/about-oauth-app-access-restrictions) and remove anything that's no longer needed.
* Follow GitHub's [guidelines](https://docs.github.com/en/organizations/keeping-your-organization-secure) for hardening the security posture of your GitHub organization.
* [Review](https://docs.github.com/en/github/authenticating-to-github/keeping-your-account-and-data-secure) your account activity, personal access tokens, OAuth apps, and SSH keys for any activity or changes that may have come from the attacker.
* Additional questions should be directed to [GitHub Support](https://support.github.com/contact?subject=GH-0200941-4895-1+log+request+for+%7B%7Borganization%7D%7D&tags=GH-0200941-4895-1).

You can find more info on how GitHub responded to protect its customers and what organizations need to know [in the initial security alert.](https://github.blog/2022-04-15-security-alert-stolen-oauth-user-tokens/)





## Tags:


### Autogenerated tags:
[[github]] [[oauth]] [[heroku]] [[ci]] [[github.com]]
