# Google, Microsoft can get your passwords via web browser's spellcheck
## Enhanced Spellcheck features in Google Chrome and Microsoft Edge web browsers transmit form data, including personally identifiable information (PII) and in some cases, passwords, to Google and Microsoft respectively.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-microsoft-can-get-your-passwords-via-web-browsers-spellcheck/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 17 September 2022, 18:39
+ Date scraped: 17 September 2022, 19:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2017/05/16/WindowsPassword.jpg)



Extended spellcheck features in Google Chrome and Microsoft Edge web browsers transmit form data, including personally identifiable information (PII) and in some cases, passwords, to Google and Microsoft respectively.


While this may be a known and intended feature of these web browsers, it does raise concerns about what happens to the data after transmission and how safe the practice might be, particularly when it comes to password fields.


Both Chrome and Edge ship with basic spellcheckers enabled. But, features like Chrome's Enhanced Spellcheck or Microsoft Editor when manually enabled by the user, exhibit this potential privacy risk.


## Spell-jacking: That's your spellcheck sending PII to Big Tech


When using major web browsers like Chrome and Edge, your form data is transmitted to Google and Microsoft, respectively, should enhanced spellcheck features be enabled.


Depending on the website you visit, the form data may itself include PII—including but not limited to Social Security Numbers (SSNs)/Social Insurance Numbers (SINs), name, address, email, date of birth (DOB), contact information, bank and payment information, and so on.


Josh Summitt, co-founder & CTO of JavaScript security firm otto-js discovered this issue while testing his company's script behaviors detection.


In cases where Chrome Enhanced Spellcheck or Edge's Microsoft Editor (spellchecker) were enabled, "basically anything" entered in form fields of these browsers was transmitted to Google and Microsoft.


"Furthermore, if you click on 'show password,' the enhanced spellcheck even sends your password, essentially Spell-Jacking your data," explains otto-js in a [blog post](https://www.otto-js.com/news/article/chrome-and-edge-enhanced-spellcheck-features-expose-pii-even-your-passwords).


"Some of the largest websites in the world have exposure to sending Google and Microsoft sensitive user PII, including username, email, and passwords, when users are logging in or filling out forms. An even more significant concern for companies is the exposure this presents to the company's enterprise credentials to internal assets like databases and cloud infrastructure."



![Alibaba login form fields](https://www.bleepstatic.com/images/news/u/1164866/2022/sep-2022/chrome-edge-spellchecker/Alibaba-cloud.jpeg)**Alibaba login form fields, with 'show password' enabled** (otto-js)



![Enhanced spellchecker transmits password to Microsoft and Google](https://www.bleepstatic.com/images/news/u/1164866/2022/sep-2022/chrome-edge-spellchecker/creds-transmitted.jpeg)**Chrome's enhanced spellchecker transmits password to Google** (otto-js)


Users may often rely on the "show password" option on sites where copying-pasting passwords is not allowed, for example, or when they suspect they've mistyped it.


To demonstrate, otto-js shared the example of a user entering credentials on Alibaba' Cloud platform in the Chrome web browser—although any website can be used for this demonstration.


With enhanced spellcheck enabled, and assuming the user tapped "show password" feature, form fields including username and password are transmitted to Google at the *googleapis.com*.


A video demonstration has also been shared by the company:



BleepingComputer also observed credentials being transmitted to Google in our tests using Chrome to visit major sites like:


* CNN—both username and password when using 'show password'
* Facebook.com—both username and password when using 'show password'
* SSA.gov (Social Security Login)—username field only
* Bank of America—username field only
* Verizon—username field only

## A simple HTML solution: 'spellcheck=false'


Although the transmission of form fields is happening securely over HTTPS, it may not be imminently clear as to what happens to user data once it reaches the third-party, in this example, Google's server.


"The [Enhanced spell check feature](https://support.google.com/chrome/answer/12027911) requires an opt-in from the user," a Google spokesperson confirmed to BleepingComputer. Note, that this is in contrast to the basic spellchecker that is enabled in Chrome by default and does not transmit data to Google.


To review if Enhanced spell check is enabled in your Chrome browser, copy-paste the following link in your address bar. You can then choose to turn it on or off:


chrome://settings/?search=Enhanced+Spell+Check

![chrome enhanced spellcheck setting](https://www.bleepstatic.com/images/news/u/1164866/2022/sep-2022/chrome-edge-spellchecker/enhanced-spellcheck.jpg)**Enhanced spell check setting in Chrome needs to be opted-in** (BleepingComputer)


As evident from the screenshot, the feature's description explicitly states that with Enhanced spell check enabled, "text that you type in the browser is sent to Google."


"The text typed by the user may be sensitive personal information and Google does not attach it to any user identity and only processes it on the server temporarily. To further ensure user privacy, we will be working to exclude passwords proactively from spell check," continued Google in its statement shared with us.


"We appreciate the collaboration with the security community, and we are always looking for ways to better protect user privacy and sensitive information."


As for Edge, Microsoft Editor Spelling & Grammer Checker is a [browser addon](https://microsoftedge.microsoft.com/addons/detail/microsoft-editor-spellin/hokifickgkhplphjiodbggjmoafhignh) that needs to be explicitly installed for this behavior to take place.


BleepingComputer reached out to Microsoft well in advance prior to publishing. We were told that the matter was being looked into but we are yet to hear back.


otto-js dubbed the attack vector "Spell-jacking" and expressed concern for users of cloud services like Office 365, Alibaba Cloud, Google Cloud - Secret Manager, Amazon AWS - Secrets Manager, and LastPass.


Reacting to otto-js' report, both AWS and LastPass mitigated the issue. In LastPass' case, the remedy was reached by adding a simple HTML attribute *spellcheck="false"* to the password field:



![lastpass password field](https://www.bleepstatic.com/images/news/u/1164866/2022/sep-2022/chrome-edge-spellchecker/lastpass-solution.jpg)**LastPass "password" field now includes spellcheck=false HTML attribute** (BleepingComputer)


The 'spellcheck' HTML attribute when left out from form text input fields is [usually assumed by web browsers be true](https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/spellcheck) by default. An input field with 'spellcheck' explicitly set to *false* will not be processed through a web browser's spellchecker.


"Companies can mitigate the risk of sharing their customers' PII - by adding "spellcheck=false" to all input fields, though this could create problems for users," explains otto-js referring to the fact, users will now no longer be able to run their entered text though spellchecker.


"Alternatively, you could add it to just the form fields with sensitive data. Companies can also remove the ability to 'show password.' That won't prevent spell-jacking, but it will prevent user passwords from being sent."


Ironically enough, we observed Twitter's login form, which comes with the "show password" option, has the password field's "spellcheck" HTML attribute explicitly set to true:



![twitter spellcheck field](https://www.bleepstatic.com/images/news/u/1164866/2022/sep-2022/chrome-edge-spellchecker/twitter-spellcheck.jpg)**Twitter password field has 'show password' and spellcheck set to true** (BleepingComputer)


As an added safeguard, Chrome and Edge users can turn off Enhanced Spell Check (by following the aforementioned steps) or [remove the Microsoft Editor add-on from Edge](https://support.microsoft.com/en-us/microsoft-edge/add-turn-off-or-remove-extensions-in-microsoft-edge-9c0ec68c-2fbc-2f2c-9ff0-bdc76f46b026) until both companies have revised extended spellcheckers to exclude processing of sensitive fields, like passwords.





## Tags:


### Autogenerated tags:
[[google]] [[microsoft]] [[spellcheck]] [[otto-js]] [[bleepingcomputer]] [[spellchecker]] [[cloud]] [[html]] [[pii]] [[spell-jacking]]
