# Microsoft Defender for Cloud can now protect Google Cloud resources
## Microsoft announced today that Microsoft Defender for Cloud now also comes with native protection for Google Cloud Platform (GCP) environments, providing security recommendations and threat detection across clouds.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-defender-for-cloud-can-now-protect-google-cloud-resources/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 23 February 2022, 14:00
+ Date scraped: 23 February 2022, 15:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/02/10/0_Microsoft-Defender.jpg)



Microsoft announced today that Microsoft Defender for Cloud now also comes with native protection for Google Cloud Platform (GCP) environments, providing security recommendations and threat detection across clouds.


[Defender for Cloud](https://azure.microsoft.com/en-us/services/defender-for-cloud/) (formerly known as Azure Security Center and Azure Defender) is a security solution that monitors cloud services for threats, makes recommendations to harden security posture, and detects and warns of vulnerabilities in protected multi-cloud and hybrid environments.


"Today we're excited to announce that Microsoft Defender for Cloud now supports Google Cloud Platform (GCP) with its native CSPM and CWP capabilities, without any dependencies on Google 1st party tools," said Gilad Elyashar, Microsoft Partner Group Program Manager.


"The support for GCP comes with a simplified onboarding experience, more than 80 out-of-the-box recommendations to harden your environment, and more."


Defender for Cloud's GCP support comes with out-of-the-box suggestions that make it simple to configure GCP environments following security standards such as Center for Internet Security (CIS) benchmarks, protection for critical workloads running on GCP, and others.



![Defender for Cloud GCP](https://www.bleepstatic.com/images/news/u/1109292/2022/Defender_for_Cloud_GCP.png)*Image: Microsoft*
In November, Microsoft also [announced native multi-cloud CSPM support for AWS](https://techcommunity.microsoft.com/t5/microsoft-defender-for-cloud/ignite-2021-microsoft-defender-for-cloud-news/ba-p/2882807) during the Ignite 2021 conference, with easy onboarding by connecting the AWS master account.


This extended Microsoft Defender for Cloud container protection capabilities to support Amazon EKS Kubernetes clusters and Defender for Server capabilities to AWS EC2.


After AWS and GCP onboarding, security teams now can get an overview of the security state of their org's multi-cloud environment, Azure, Amazon Web Services (AWS), and Google Cloud Platform (GCP), from a single place, on the Defender for Cloud portal's asset inventory page.


You can find more information on how to connect your GCP accounts on [Microsoft's support website](https://docs.microsoft.com/en-us/azure/defender-for-cloud/quickstart-onboard-gcp?pivots=env-settings). Defender for Cloud's automatic onboarding capabilities will connect all existing and new compute instances in your environment.


"With GCP support, Microsoft is now the only cloud provider with native multicloud protection for the industry’s top three platforms – Microsoft Azure and Amazon Web Services (AWS) (announced at Ignite last November), and now GCP," [said](https://www.microsoft.com/security/blog/?p=104727) Vasu Jakkal, Corporate Vice President of Microsoft Security, Compliance, and Identity.





## Tags:


### Autogenerated tags:
[[cloud]] [[microsoft]] [[gcp]] [[aws]] [[google]] [[onboarding]] [[multi-cloud]]
