# Microsoft and Google to invest billions to bolster US cybersecurity
## Executives and leaders from big tech, education, the finance sector, and infrastructure have committed to bolstering US interests' security during yesterday's White House cybersecurity summit.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-and-google-to-invest-billions-to-bolster-us-cybersecurity/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 26 August 2021, 11:27
+ Date scraped: 11 December 2023, 15:23

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/07/07/White-House_headpic.jpg)



Executives and leaders from big tech, education, the finance sector, and infrastructure have committed to bolstering US interests' security during yesterday's White House cybersecurity summit.


This summit was held by President Biden and members of his cabinet to discuss and coordinate a plan with business leaders on how they could work together to help protect US businesses and interests against increasing cyberattacks.


Some of the executives who attended the summit included Apple CEO Tim Cook, Amazon CEO Andy Jassy, Alphabet CEO Sundar Pichai, Microsoft CEO Satya Nadella, JPMorgan Chase Jamie Dimon, and Bank of America CEO Brian Moynihan.


As part of the summit, various companies and institutions have [committed to increased investments in cybersecurity and education](https://www.whitehouse.gov/briefing-room/statements-releases/2021/08/25/fact-sheet-biden-administration-and-private-sector-leaders-announce-ambitious-initiatives-to-bolster-the-nations-cybersecurity/), which are listed below:


**Government initiatives:**


* The National Institute of Standards and Technology (NIST) will work with Microsoft, Google, IBM, Travelers, and Coalition to create new standards for securing technology and open-source software. Open-source software is a critical component that needs strengthening due to its wide use in other software, leading to potential supply chain attacks.
* The Biden administration has added natural gas pipelines to the Industrial Control Systems Cybersecurity Initiative, aiming to strengthen critical infrastructure cybersecurity.

**Big tech initiatives:**


* Apple will push for mass adoption of multi-factor authentications, vulnerability remediation, event logging, and security training.
* Google is investing $10 billion over the next five years to expand zero-trust programs and secure open-source security and the software supply chain risks.
* Microsoft will invest $20 billion over the next five years to increase its security solutions and initiatives. They are also immediately making $150 million available to federal, state, and local governments to upgrade their security protection.  
  

"Thank you, President Biden for convening a critical conversation on cybersecurity. Microsoft will invest $20 billion to advance our security solutions over the next 5 years, $150 million to help US government agencies upgrade protections, and expand our cybersecurity training partnerships," Microsoft CEO Satya Nadella said in a [LinkedIn post](https://www.linkedin.com/posts/satyanadella_thank-you-president-biden-for-convening-activity-6836412665846472704-bELj/).
* Amazon will make the security awareness training used by employees available to the public at no charge. Amazon will also provide a free multi-factor authentication device to AWS customers to help secure their accounts.
* IBM will train 150,000 in cybersecurity skills over the next three years and partner with 20 Historically Black Colleges & Universities to create a more diverse cyber workforce.

**Insurance initiatives:**


* Cyber insurance provider Resilience will require policyholders to meet a threshold of cybersecurity best practice as a condition of receiving coverage. It is not clear what this threshold is at this time.
* Cyber insurance provider Coalition will make its cybersecurity risk assessment & continuous monitoring platform available for free to any organization.

**Education initiatives:**


* Code.org announced it would teach cybersecurity concepts to over 3 million students across 35,000 classrooms over three years.
* Girls Who Code announced it would establish a micro-credentialing program for historically excluded groups in technology.
* The University of Texas System announced it would expand existing and develop new short-term credentials in cyber-related fields to strengthen America's cybersecurity workforce.
* Whatcom Community College announced it has been designated the new NSF Advanced Technological Education National Cybersecurity Center and will provide cybersecurity education and training to faculty and support program development for colleges to "fast-track" students from college to career.





## Tags:


### Autogenerated tags:
[[cybersecurity]] [[ceo]] [[microsoft]] [[biden]] [[open-source]]
