# Cohesity taps Amazon for generative AI, cloud-based security
## : The cloud-based data management provider said today that its many of its generative AI features will soon be available on Amazon Bedrock.
## Information:

+ Link: https://www.csoonline.com/article/1246918/cohesity-taps-amazon-for-generative-ai-cloud-based-security.html
+ Source: CSO
+ Author: Jon Gold
+ Date published: 13 November 2023, 20:49
+ Date scraped: 13 November 2023, 22:01

## Article:
![Main article image](https://www.csoonline.com/wp-content/uploads/2023/11/iStock-1194430816-1.jpg?quality=50&strip=all&w=1024)



The cloud-based data management provider said today that its many of its generative AI features will soon be available on Amazon Bedrock.








Bringing its security and data analysis capabilities to a new potential audience, data security and multicloud data management provider Cohesity is now taking signups for access to its Turing [generative AI](https://www.infoworld.com/article/3689973/what-is-generative-ai-artificial-intelligence-that-creates.html) features via [Amazon's Bedrock](https://www.infoworld.com/article/3707995/amazon-bedrock-generative-ai-service-reaches-ga.html) front-end for cloud-based AI.


Cohesity Turing's AWS-available features, the company announced Monday, will center on three main areas. The first is data management, security and analysis via Cohesity Data Cloud, providing for secure indexing of data and letting users use the Turing AI's capabilities to glean new insights into their data, and allowing the system to provide in-depth answers about business data.


The second is "enriched data interaction and learning," according to Cohesity. Cohesity presents this feature as being quite similar to the AI chatbots that have continued to grow in popularity over the previous year, but focused on in-house corporate data. This feature provides the ability to ask Turing direct questions, using natural language, in order to get summaries and analysis from historical data.


Finally, Cohesity said, retrieval augmented generation will be coming to Turing via Amazon Bedrock. RAG, as it's often called, is essentially an external linkage for generative AI, allowing it to conquer one of its key stumbling blocks -- the static nature of its training data -- by providing continually updated information and consequently helping its answers remain current.






"For some time, enterprise IT priorities have focused on managing data proliferation, data security, and compliance," said Cohesity CEO Sanjay Poonen, in a press release. "We now see a rapidly increasing demand for AI-powered data insights from customers."


Amazon's Bedrock is a managed service that gives customers access to both generative AI models from Amazon itself and to third-party models like Turing. AI systems run on Amazon's AWS cloud, and are managed via a specialized console within AWS. Use of AI running on Bedrock is priced out via a token system, which is designed to charge customers on essentially a per-use basis.




Cohesity also announced several associated integrations with AWS at the same time, saying that it will deliver its DataProtect product on an as-a-service basis for both AWS workloads and VMware Cloud workloads running on Amazon's platform.


Cohesity hasn't announced a specific availability date for Bedrock-based Turing access, for which signups are now open, but said that the time frame should be "approximately six months."





## Tags:


### Autogenerated tags:
[[cohesity]] [[aws]] [[cloud]]
