# Deep Instinct goes deeper with 'preventive' storage protection
## A new system based on machine learning is now available from Deep Instinct, which touts its storage protection as a new 'prevention-first' approach to security threats.
## Information:

+ Link: https://www.csoonline.com/article/657140/deep-instinct-goes-deeper-with-storage-protection.html
+ Source: CSO
+ Author: Jon Gold
+ Date published: 25 October 2023, 20:32
+ Date scraped: 25 October 2023, 21:01

## Article:
![Main article image](https://www.csoonline.com/wp-content/uploads/2023/10/data-center-woman-mainframe-african-american-black_shutterstock_1293015184-1.jpg?quality=50&strip=all&w=1024)



A new system based on machine learning is now available from Deep Instinct, which touts its storage protection as a new 'prevention-first' approach to security threats.








Cybersecurity firm Deep Instinct is applying its [machine-learning](https://www.infoworld.com/article/3214424/what-is-machine-learning-intelligence-derived-from-data.html) secret sauce to the storage realm, with the release of Deep Instinct Prevention for Storage this week.


DPS, as the company brands its new product, is designed to offer the same granular protection that Deep Instinct's existing portfolio - which covers endpoints and applications already - for storage frameworks, for both on-premises and cloud architectures.


DPS is what Deep Instinct calls a "prevention-first" approach to storage security. Any new file additions or changes are scanned instantly for malicious content, and automatically quarantined or deleted. The system is able to do that, according to the company, because it uses a deep-learning framework to programmatically train itself to recognize malicious code.


DPS is not, the company confirmed, based on [generative AI](https://www.infoworld.com/article/3689973/what-is-generative-ai-artificial-intelligence-that-creates.html) technology, which among other things uses large [language models (LLMs)](https://www.computerworld.com/article/3697649/what-are-large-language-models-and-how-are-they-used-in-generative-ai.html) to process natural language queries. Instead it is based on [neural networks](https://www.infoworld.com/article/3683314/styles-of-machine-learning-intro-to-neural-networks.html) that typically are the foundation for machine learning.






"The speed and accuracy at which our framework operates is the result of the "brain" being trained on hundreds of millions of training samples," Deep Instinct told CSO via a spokesperson. "As these training data sets grow, the neural network continuously gets smarter, allowing it to be much more granular in understanding what makes for a malicious file."


Part of the idea is to understand malicious files on a deep level, Deep Instinct said. When the system is able to identify the component parts of those files in detail, rather than simply working on the files themselves, DPS is better able to take on emergent threats.




The company said that the increased focus on security is important, in an era where ransomware is on the rise and the continuing centralization of data reservoirs becomes more common.


"The consolidation of information from various endpoints into data repositories has created a one-stop shop for attackers," Deep Instinct said in a statement. "Nearly half of senior cybersecurity experts state that ransomware is the greatest threat to their organization's data security."



Currently, DPS integrates with several major storage vendors, including Dell CAVA and NetApp Vscan. Cloud integration isn't yet available, but the company said that it has support for AWS S3 in the works, among several other vendors, who are in the process of integrating and certifying DPS. DPS is available as of today, with pricing scaled to the amount of storage it's being used to protect.





## Tags:


### Autogenerated tags:
[[dps]]
