# Entitle debuts with automated SaaS permissions-management application
## Israel-based cybersecurity startup Entitle's namesake application is designed to automate access requests and grants by delegating approval decisions to business owners instead of IT and devops teams.
## Information:

+ Link: https://www.csoonline.com/article/3688776/entitle-debuts-with-automated-saas-permissions-management-application.html
+ Source: CSO
+ Author: Shweta Sharma
+ Date published: 22 February 2023, 13:53
+ Date scraped: 23 February 2023, 01:00

## Article:
![Main article image](https://images.idgesg.net/images/article/2021/05/software_development_lifecycle_developers_programmers_coding_code_by_freedomz_shutterstock_1472424899_royalty-free_digital-only_2400x1600-100890349-large.jpg?auto=webp&quality=85,70)


Cloud-based permissions management startup Entitle debuted Wednesday with the launch of its namesake [SaaS](https://www.infoworld.com/article/3226386/what-is-saas-software-as-a-service-defined.html)-based application, designed to automate access requests and solve the problem of what it calls the "entitlement sprawl" faced by corporations.

Enterprise security teams are confronted with an overwhelming amount of permission requests, the Israel-based company said.

“We saw that permission management is becoming a big issue and interviewed heads of security about the challenges with governance and relevance of access,” said Ron Nissam, co-founder and CEO of Entitle. “We quickly realized that many of the challenges that security teams are facing in governance of access actually originated upstream in the IT and devops departments and how employees got permissions to begin with.”


The company's SaaS application is designed to automate access requests and grants by delegating approval decisions to business owners instead of IT and [devops](https://www.infoworld.com/article/3215275/what-is-devops-transforming-software-development.html) teams, to allow for better context for decision making and more informed authorization.  

## **Entitle decentralizes approval process**

Entitle employs a self-service request model to offer a decentralized approval approach. This basically means that employees can request the permissions they need through any of the corporate communication tools they use — including Slack, Teams, Jira or email — using Entitle’s [chatbot](https://www.cio.com/article/230485/what-makes-a-great-chatbot-laser-focus-on-customers.html). These requests are then processed according to predefined conditions that security teams created using Entitle’s no-code policy engine.  

“Security teams get our no-code policy engine where they can define who should be approving what different conditions based off of the risk profile,” Nissam said.

With Entitle, access approval no longer sits solely with the IT and devops teams, who have very little insight about the people requesting the permissions and the apps they need access to, and instead are delegated to relevant business unit owners according to predefined conditions.

## Permission options include limited-time access

Entitle features dynamic provisioning for processing just-in-time access to sensitive resources, granting permissions for only the time it is needed and removed once they are not. Security teams can set fine-grained access control policies for specific resources, be it a Google drive folder or a [Git](https://www.infoworld.com/article/3654955/what-is-git-version-control-for-collaborative-programming.html) repository, according to Nissam.  

Entitle’s API allows the application to run on a customer's cloud of choice and integrate with other cloud-based applications. It can, for instance, be deployed with AWS, Google Cloud Platform, Azure or Oracle Cloud, and can also operate in a hybrid cloud environment, including a customer’s private private cloud.

Entitle also works with third-party security products including [identity and access management (IAM)](https://www.csoonline.com/article/2120384/what-is-iam-identity-and-access-management-explained.html), [security information and event management (SIEM)](https://www.csoonline.com/article/2124604/what-is-siem-security-information-and-event-management-explained.html), [cloud security posture management (CSPM),](https://www.csoonline.com/article/3687745/how-automation-in-cspm-can-improve-cloud-security.html) and [zero trust network access (ZTNA)](https://www.networkworld.com/article/3684088/what-is-zero-trust-network-architecture-ztna.html) applications.  Additionally, it communicates with other applications to gather information and consolidate permission management.

“Cloud permission management is an early-stage market that's been evolving a lot and there are the conservative companies that have been doing this for decades, like IBM and Oracle —but then, they've been very good at the on-prem side of things,” Nissam said.

Entitle is generally available to customers and employs a per-user pricing model with volume discounts, featuring different tiers of pricing for different number of users.

Entitle is launching publicly after securing a $15 million seed funding in a round led by Gilot Capital Partners and a clutch of angel investors.





## Tags:


### Autogenerated tags:
[[teams]] [[cloud]] [[nissam]] [[devops]]
