# Fortanix unveils free DSM Explorer edition for managed data security
## A new, free-to-use tier of Fortanix’ data security manager platform is now available.
## Information:

+ Link: https://www.csoonline.com/article/3679488/fortanix-unveils-free-dsm-explorer-edition-for-managed-data-security.html
+ Source: CSO
+ Author: Jon Gold
+ Date published: 08 November 2022, 17:49
+ Date scraped: 09 November 2022, 18:00

## Article:
![Main article image](https://images.idgesg.net/images/article/2021/10/cyber-technology-security-protection-monitoring-concept-advanced-picture-id1276687348-100905741-large.jpg?auto=webp&quality=85,70)


Fortanix is offering a free tier for its data security manager software, aiming squarely at attracting new small- and medium-size businesses into its customer ranks.

The Explorer tier, announced Tuesday, offers five separate solutions for businesses to try or implement long-term, as long as they stay within the various usage caps. Those solutions include [tokenization](https://www.cio.com/article/403692/data-tokenization-a-new-way-of-data-masking.html) and Google Cloud external [key management](https://www.csoonline.com/article/2914084/key-management-biggest-pain-of-encryption.html), which are limited to one application or 10,000 operations per month, Google Workspace client-side encryption, which is limited to one key and 10 users, and bring-your-own-key offerings for both AWS and Azure, which are limited to one cloud account.

Fortanix’s platform runs in the company’s own cloud, in what’s called a “trusted execution environment.” This is, in essence, a network of cloud servers whose memory is highly secured against outside access. This lets Fortanix run its various solutions safely and with minimal footprint on a client company’s systems.


## DSM Explorer offers a way to meet compliance needs

The idea is to provide both a full-on solution to businesses in regulated industries that have limited volume needs, as well as an entry-level tier for companies to try out Fortanix’s solutions without spending money or having to cope with, for example, a 30-day trial period. Each of the offerings in the Explorer tier provides a different way of addressing compliance issues like [GDPR](https://www.csoonline.com/article/3202771/general-data-protection-regulation-gdpr-requirements-deadlines-and-facts.html) or [CCPA](https://www.csoonline.com/article/3292578/california-consumer-privacy-act-what-you-need-to-know-to-be-compliant.html), depending on a specific company’s needs.

Scott Raynovich, founder and chief analyst at Futuriom, said that this type of push-button compliance capability is increasingly important for businesses of all sizes, but particularly so for SMBs.

“[Compliance] leads to the question of how companies are going to keep track of all their data and how secure it is,” he said. “I would say most companies, especially SMBs, do not really have a handle on their data security.”

It’s a level of complexity that many smaller companies simply aren’t equipped to handle in-house, which leads to the popularity and importance of turnkey options like Fortanix in keeping their data safe and in compliance with applicable regulations, Raynovich added.

“This type of high-level security compliance is quite complicated, and there’s many different functions,” he said. “For example, how do you store the data if it’s in the cloud or a data center, whether it’s encrypted or tokenized … basically Fortanix has an entire platform that takes care of all these things.”

DSM Explorer will also be adding additional capabilities in the coming months, Fortanix said in an official blog post.





## Tags:


### Autogenerated tags:
[[fortanix]] [[cloud]]
