# IBM offers integrated security management with QRadar release
## IBM’s new QRadar offering for security operations teams, announced at RSA, aims to pull together large customers’ heterodox security environments.
## Information:

+ Link: https://www.csoonline.com/article/3694137/ibm-offers-integrated-security-management-with-qradar-release.html
+ Source: CSO
+ Author: Jon Gold
+ Date published: 24 April 2023, 10:01
+ Date scraped: 24 April 2023, 13:04

## Article:
![Main article image](https://images.idgesg.net/images/idge/imported/imageapi/2022/04/20/13/ibm-sign-100925012-large.jpg?auto=webp&quality=85,70)


IBM at the RSA conference today announced the availability of its new QRadar Security Suite, which is designed to help simplify the challenges faced by security teams tasked with managing an ever-growing list of different security tools.

QRadar is a largely AWS-based [SaaS](https://www.infoworld.com/article/3226386/what-is-saas-software-as-a-service-defined.html) system that features four core products that can be managed from the central QRadar console. The first is Log Insights, which the company said is a cloud-native log analytics platform designed with optimized search and rapid analysis on very large datasets.

The second is QRadar [EDR](https://www.csoonline.com/article/3451999/how-edr-stops-hackers-in-their-tracks.html) (Endpoint detection and response ) and [XDR](https://www.csoonline.com/article/3684850/11-top-xdr-tools-and-how-to-evaluate-them.html) (extended detection and response), an endpoint management system with AI and behavioral modeling features that allow it to monitor devices from outside the endpoint, making it more difficult to confuse and giving it the ability to quickly correlate alerts from different sources and perform automatic investigations.


The third is QRadar [SOAR](https://www.csoonline.com/article/3617078/5-tips-for-getting-started-with-soar.html) (security orchestration and response), an automated incident detection and response system that, according to IBM, can substantially reduce the response time in the event of a ransomware attack or other data breach.

Finally, QRadar offers [SIEM](https://www.csoonline.com/article/2124604/what-is-siem-security-information-and-event-management-explained.html) (security information and event management), providing a unified interface for the entire security system and offering a host of capabilities like real-time threat detection, threat intelligence integration, and AI-powered network and user analytics.

By unifying these capabilities under one management system, IBM hopes to provide a dramatically simpler and more powerful front-end for security teams at larger companies.

“By helping analysts respond faster and more efficiently, QRadar Suite can also help security teams improve their productivity and free up analysts’ time for higher-value work,” the company said in a statement.

The idea of a unifying security console isn’t new, according to ESG distinguished analyst Jon Oltsik, but the QRadar release is a positive move for IBM, particularly in regard to its customer base, which skews heavily toward larger companies with commensurately complicated security infrastructure.

## Combining cloud, analytics, and security experience

“It’s a step in the right direction for IBM,” he said. “If you combine the cloud-based platform with IBM’s analytics and experience in security, it’s a good package.”

Like other vendors, IBM realizes there are gaps in their security offerings, Oltsik noted, but QRadar’s wide base of compatibility — the company cites “hundreds” of such integrations — may help it stand out in the market.

“[IBM’s] customers are some of the biggest in the world, they’re going to have heterogenous security portfolios,” he said. “Other vendors mostly offer lip service around that.”

IBM said that QRadar’s components, which are available immediately, can be purchased a la carte or as a full suite. As mentioned, are all delivered as a service via AWS, with the exception of the SIEM component, which will be initially hosted on IBM Cloud. (It will become available on AWS later in the quarter, per an IBM spokesperson.) The company declined to provide specific pricing details.





## Tags:


### Autogenerated tags:
[[qradar]] [[teams]]
