# Nearly 70% of tested ServiceNow instances leaking data
## The blame lies with customer misconfigurations, not flaws in the SaaS platform.
## Information:

+ Link: https://www.csoonline.com/article/3653329/nearly-70-of-servicenow-instances-leaking-data.html
+ Source: CSO
+ Author: John P. Mello Jr.
+ Date published: 11 March 2022, 08:45
+ Date scraped: 15 March 2022, 13:01

## Article:
![Main article image](https://images.idgesg.net/images/article/2019/02/coding_development_hacking_security_leak_breach_data_binary_stream_flowing_through_hand_fingers_by_grandeduc_gettyimages-498749678_2400x1600-100788311-large.jpg?auto=webp&quality=85,70)


A configuration error in the SaaS platform of an S&P 500 company is leaking data on the internet. News of the misconfiguration mistake found in nearly 70% of ServiceNow instances tested was [reported](https://appomni.com/press_release/2022-major-security-misconfiguration-impacting-servicenow-and-other-saas-instances-discovered/) Wednesday by AppOmni, a SaaS security provider.

According to AppOmni, the misconfiguration resulted from a combination of customer-managed configurations and over-provisioning of permissions to guest users. ServiceNow has more than 25,000 customers, most of them with 50 to 200 employees and with revenues in the $1 million to $10 million range.

AppOmni explained in a news release that these types of misconfigurations are common across major SaaS platforms due to the complexity that inevitably comes with high levels of SaaS functionality, flexibility, and extensibility.

"This type of issue is in no way limited to ServiceNow," AppOmni CEO Brendan O'Connor tells CSO. "We are seeing major data exposures across multiple SaaS platforms," he says. "We have seen an uptick in attacks over the past couple of weeks across multiple SaaS applications."

## **SaaS applications don't get adequate security scrutiny**

Misconfigurations can happen during the initial implementation phase of a SaaS platform, when users or settings change, or as part of the regular cadence of SaaS updates that can impact current configurations, explained AppOmni, which has developed the SaaS Security Analyzer, a free web application that will determine if a ServiceNow instance has this misconfiguration.

O'Connor says his company has been working with ServiceNow to clear up the problem. However, he adds, "We are strongly advising ServiceNow customers to manually check for this issue themselves."

 "SaaS applications, in general, don't get the security scrutiny that they require," O’Connor says. "Most customers think that the cloud provider handles everything for them. They don't understand the shared responsibility model, and what their obligations are in protecting their data and properly configuring and using SaaS."

## **Extreme digital transformation contributes to security problems**

O'Connor compared SaaS misconfigurations to past problems with AWS S3 buckets. "It's not a software flaw in the cloud provider," he says. "It's a common pattern whereby customers, generally unintentionally, expose internal data from their SaaS platform to the external world. What we're reporting today is that in up to 70% of the cases we've analyzed, we're finding this exposure exists without any authentication. You don't need a password. You don't need to break into someone's computer."

 O’Connor adds that the extreme digital transformation of companies during the past two years has contributed to security problems at many organizations. "The pandemic has forced more and more companies to embrace the cloud," he says. "The cloud is secure, but in our rush to migrate to the cloud, there are some security things that organizations have overlooked. I think that organizations may not have had the time to build the right level of security scrutiny into their architecture as they moved into the cloud."





## Tags:


### Autogenerated tags:
[[saas]] [[servicenow]] [[cloud]] [[appomni]]
