# Privacera connects to Dremio’s data lakehouse to aid data governance
## The integration of open-source based Privacera into Dremio’s data lakehouse is designed to allow joint customer enterprises to manage and organize secure data access.
## Information:

+ Link: https://www.infoworld.com/article/3686574/privacera-connects-to-dremios-data-lakehouse-to-aid-data-governance.html
+ Source: CSO
+ Author: Anirban Ghoshal
+ Date published: 31 January 2023, 11:29
+ Date scraped: 31 January 2023, 17:01

## Article:
![Main article image](https://images.idgesg.net/images/article/2018/03/database_woman-in-tablet_mobile-100752014-large.jpg?auto=webp&quality=85,70)


Open-source based data governance and security [SaaS](https://www.infoworld.com/article/3226386/what-is-saas-software-as-a-service-defined.html) provider Privacera on Tuesday said that it was integrating with [Dremio’s open lakehouse](https://www.infoworld.com/article/3671872/dremio-cloud-review-a-fast-and-flexible-data-lakehouse-on-aws.html) to aid enterprise customers with [data governance](https://www.cio.com/article/202183/what-is-data-governance-a-best-practices-framework-for-managing-data-assets.html) and data security.

A data lakehouse is a data architecture that offers both storage and analytics capabilities, in contrast to [data lakes](https://www.infoworld.com/article/3658333/what-is-a-data-lake-massively-scalable-storage-for-big-data-analytics.html), which store data in native format, and data warehouses, which store structured data (often in [SQL](https://www.infoworld.com/article/3219795/what-is-sql-the-lingua-franca-of-data-analysis.html) format).

The native integration between Privacera and Dremio, which comes at a time when lakehouses are gaining popularity, is designed to help enterprise customers manage and organize secure data access while building modern applications based on lakehouse data and insights, Privacera said.


The software aims to allow joint enterprise customers of Dremio and Privacera to reduce manual tasks managing data for collaboration, it added.

In order to reduce manual efforts, Privacera offers a connector designed to provide joint customers the ability to do fine-grained, attribute-based access control, discovery for tagging and data classification, row-level filtering, masking, data encryption, and centralized auditing.

Joint enterprise customers also can define and enforce data access policies and data classification one time, and deploy them anywhere including other hybrid and multicloud data sources, the companies said in a joint statement.

Privacera already has integrations with AWS, Microsoft Azure, Databricks, Google Cloud, Snowflake, and Starburst.

In addition, the integration will allow enterprises to comply with regulatory guidelines across all their data assets — this will be useful for highly regulated industries such as financial services, Privacera said.

Privacera supports compliance with regulations such as European Union’s [GDPR](https://www.csoonline.com/article/3202771/general-data-protection-regulation-gdpr-requirements-deadlines-and-facts.html), the California Consumer Privacy Act ([CCPA](https://www.csoonline.com/article/3292578/california-consumer-privacy-act-what-you-need-to-know-to-be-compliant.html)), Brazilian data protection laws (LGPD), and the US’ [HIPAA](https://www.csoonline.com/article/3602903/hipaa-explained-definition-compliance-and-violations.html).

Privacera was founded in 2016 by Balaji Ganesan and Don Bosco Durai, who also created open frameworks such as [Apache Ranger](https://www.infoworld.com/article/2849679/hadoop-security-apache-ranger.html) and [Apache Atlas](https://www.infoworld.com/article/2976421/data-hoarder-hadoop-problem.html).





## Tags:


### Autogenerated tags:
[[privacera]] [[dremio]] [[lakehouse]]
