# Vulcan Cyber launches predictive risk prioritization through new ML capability
## Vulcan Cyber Attack Path Graph will prioritize cloud-native asset and vulnerability risks.
## Information:

+ Link: https://www.csoonline.com/article/648566/vulcan-cyber-launches-predictive-risk-prioritization-through-new-ml-capability.html
+ Source: CSO
+ Author: Shweta Sharma
+ Date published: 03 August 2023, 10:48
+ Date scraped: 03 August 2023, 12:00

## Article:
![Main article image](https://www.csoonline.com/wp-content/uploads/2023/08/cybersecurity-automation-levelling-the-playing-field.png?w=1024)



Vulcan Cyber Attack Path Graph will prioritize cloud-native asset and vulnerability risks.








Cybersecurity risk management firm Vulcan Cyber has added an attack surface visibility and risk management capability called Vulcan Cyber Attack Path Graph.


The new capability is designed to help security teams prioritize cloud-native vulnerability risks backed by context gained through comprehensive asset visibility.


"Vulcan Cyber Attack Path Graph merges the disciplines of vulnerability risk management (VRM) and cyber asset and attack surface management (CAASM) and is essential for vulnerability risk prioritization at the cloud scale," said Yaniv BarDayan, chief executive officer and co-founder at Vulcan Cyber.


Vulcan Cyber Attack Path Graph is presently available on demand free of charge for anyone who requests a demo.






## Attack Path Graph offers predictive risk prioritization


Vulcan Cyber uses [machine learning](https://www.infoworld.com/article/3214424/what-is-machine-learning-intelligence-derived-from-data.html) to tackle the problems faced with legacy vulnerability prioritization tools. Existing tools struggle with asset and business service context along with failing to track the overall interconnectedness of the digital enterprise, the company said.


For this, Vulcan Cyber Attack Path Graph performs "predictive risk scoring," which takes business assets and the attack surface into consideration.




"Vulcan Cyber uses machine learning and [large language models](https://www.computerworld.com/article/3697649/what-are-large-language-models-and-how-are-they-used-in-generative-ai.html) to make sense of massive data sets and risk insights from threat intelligence feeds, asset repositories, network connectivity, vulnerability scans, and human-assisted risk weightings that are specific to our customers' environments," BarDayan said.


## Offering integrates with multiple vulnerability scanners


Vulcan Cyber connectors use [APIs](https://www.infoworld.com/article/3269878/what-is-an-api-application-programming-interfaces-explained.html) to integrate with [vulnerability scanners](https://www.csoonline.com/article/569221/what-are-vulnerability-scanners-and-how-do-they-work.html), asset repositories, and configuration management databases to identify and prioritize asset and vulnerability risks.



"Vulcan Cyber integrates with dozens of vulnerability scanners for traditional infrastructure like Qualys and Tenable, cloud security posture management (CSPM) tools like Wiz, Orca, and AWS Inspector, and with application and code vulnerability scanners (SAST / DAST) like Snyk, Checkmarx, Detectify, and Acunetix," BarDayan said. The capability "provides asset and vulnerability risk management coverage across cyberattack surfaces including cloud, application and code, and traditional network infrastructure," BarDayan added.





## Tags:


### Autogenerated tags:
[[bardayan]] [[prioritization]] [[cloud]]
