# The top 12 tech stories of 2022
## The top 12 tech stories of 2022
## Information:

+ Link: https://www.computerworld.com/article/3684170/the-top-12-tech-stories-of-2022.html
+ Source: Computerworld
+ Author: Jon Gold
+ Date published: 26 December 2022, 08:00
+ Date scraped: 13 January 2023, 22:01

## Article:
![Main article image](https://images.idgesg.net/images/article/2022/05/shutterstock_2084251795-100927747-large.jpg?auto=webp&quality=85,70)


The technology sector's vulnerability to the vagaries of geopolitics and the macroeconomy became clearer than ever in 2022, as IT giants laid off workers en masse, regulators cracked down on tech rule-breakers, nations negotiated data privacy, the EU-China chip war widened, and the Ukraine war disrupted business as usual. Through it all the classic tech themes—including innovation, constant change, and the fight to bolster cybersecurity—continued as ChatGPT was released, Broadcom sought to purchase VMWare, a Mac renaissance began to flower, and teen hackers brought major companies to their knees. Here are our editors' choices for the dozen stories that rocked the world of tech in 2022.

## **US-China chip war and the end of globalization**

![chips / processors / memory cards](https://images.idgesg.net/images/article/2018/06/chips_processors_memory_cards_by_fancycrave_cc0_via_unsplash_1200x800-100760955-large.jpg?auto=webp&quality=85,70) 

Geopolitical tensions between the US and China [spilled into the semiconductor sector](https://www.computerworld.com/article/3683790/us-china-chip-war-puts-global-enterprises-in-the-crosshairs.html) in 2022,  as the administration of US President Biden in December [issued new export controls](https://public-inspection.federalregister.gov/2022-21658.pdf) that block US companies from selling advanced semiconductors—as well as equipment used to make them—to certain Chinese manufacturers, and then in December [expanded those restrictions](https://www.bis.doc.gov/index.php/documents/about-bis/newsroom/press-releases/3196-2022-12-15-bis-press-release-entity-list-additions-and-unverified-list-modifications-1/file). Industry insiders said that the restrictions were a signal that the era of ever-increasing globalization is over, and lamented that the restrictions would wreak havoc on the supply chain for all sorts of products—from computers to electronic vehicles— built on chip technology, catching enterprises of all sorts in the cross-fire between the two global superpowers.

## **Broadcom to buy VMware for $61 billion**

[![Handshake, mergers and acquisitions, M &A](https://images.idgesg.net/images/idge/imported/imageapi/2022/03/21/14/handshake_deal_partnership_teamwork_contract_merger_network_by_metamorworks_gettyimages-933315234_2400x1600-100788512-large-100922376-large.jpg?auto=webp&quality=85,70)](https://images.idgesg.net/images/idge/imported/imageapi/2022/03/21/14/handshake_deal_partnership_teamwork_contract_merger_network_by_metamorworks_gettyimages-933315234_2400x1600-100788512-orig-100922376-orig.jpg?auto=webp&quality=85,70)

While the technology M&A market slackened overall during 2022, big-money deals were still plentiful, and included Microsoft's proposed acquisition of Activation Blizzard for $68.7 billion (still under regulatory review). The highlight for the enterprise computing sector, though, was undoubtedly silicon giant [Broadcom’s deal to purchase virtualization powerhouse VMware for $61 billion](https://www.networkworld.com/article/3662032/can-broadcom-vmware-move-enterprise-networking-forward.html), which was announced in late May. The idea is to improve Broadcom’s bottom line, offer synergies among software and hardware products, and bolster offerings for [multicloud](https://www.infoworld.com/article/3226484/what-is-multicloud-the-next-step-in-cloud-computing.html) computing environments. The deal is still subject to regulatory approval, which is posing a bit of a problem: [regulators in the US, UK and EU have launched inquiries](https://www.networkworld.com/article/3683949/eu-commission-opens-antitrust-inquiry-into-broadcoms-61b-vmware-acquisition.html) that have not yet concluded, and are likely listening to critics that say Broadcom has a history of buying companies, shutting down R&D, and hiking prices.

## **ChatGPT wows the world**

[![artificial intelligence conceptual digital image](https://images.idgesg.net/images/idge/imported/imageapi/2022/01/19/10/thinkstockphotos-478952698-100609777-large-100916691-large.jpg?auto=webp&quality=85,70)](https://images.idgesg.net/images/idge/imported/imageapi/2022/01/19/10/thinkstockphotos-478952698-100609777-orig-100916691-orig.jpg?auto=webp&quality=85,70)

The [test release of ChatGPT](https://www.computerworld.com/article/3683209/gpt-high-tech-parlor-trick-or-first-real-ai-for-everyday-use.html), the OpenAI Foundation’s latest project, combines natural-language processing with search capabilities to create startlingly naturalistic essays and content, and has taken the internet by storm. According to reviewers, it’s a system that would easily pass a Turing test, creating extremely human-like responses to writing prompts, but still betrays many of the flaws that previous AI-based systems do—among other things, it makes things up, is limited by the biases of the information that it seeks out, and does not specify the provenance of the information it uses. While it is likely to be useful as a composition tool or aid under certain circumstances, it is generally unlikely to replace human-created writing anytime soon.

## **US-EU data pact: 3rd try a charm?**

![joe biden cyberceomeeting public domain wh](https://images.idgesg.net/images/article/2021/08/joe-biden_cyberceomeeting_public-domain_wh-100900479-large.jpg?auto=webp&quality=85,70) 

US President Joe Biden’s November executive order to [implement rules for the Trans-Atlantic Data Policy Framework](https://www.computerworld.com/article/3676284/eu-us-data-sharing-agreement-is-it-a-done-deal.html) gave hope to companies looking to ease the burdensome legal work necessary for EU-US data transfer. The move came after the [European Court of Justice scuttled two prior agreements—Privacy Shield and Safe Harbor](https://www.csoonline.com/article/3567061/eu-court-invalidates-privacy-shield-data-transfer-agreement.html)—on grounds that the US didn't provide adequate protection for personal data. Under the new pact, companies could opt in to the framework agreement rather than have to sign separate agreements with multiple companies. Don't celebrate yet, though. The agreement still needs to clear several EU bodies and has gotten criticized for the same central issue that sunk the earlier agreements: lack of protection from US state surveillance.

## **A Mac renaissance begins**

[![Macbook Pro M1 Pro 2021](https://images.idgesg.net/images/idge/imported/imageapi/2022/11/27/19/resized_2137963367-100934930-large.jpg?auto=webp&quality=85,70)](https://images.idgesg.net/images/idge/imported/imageapi/2022/11/27/19/resized_2137963367-100934930-orig.jpg?auto=webp&quality=85,70)

The decline in PC sales has been noted in many quarters, with rapid changes in demand caused by pandemic-fueled alterations in work patterns, among a host of other factors. Yet Apple’s share of the overall endpoint market has grown, especially in some market segments. The latest market share data [point to the company vastly outselling all of its competitors](https://www.computerworld.com/article/3678312/apples-mac-renaissance-has-truly-begun.html) in the tablet space, as well as making major gains in laptop sales. First-time buyers of Apple products, in particular, have been on the rise, signaling a surge of renewed interest. With Mac sales hitting the highest peak in company history, and Apple’s continued work to bring Macs and iPads together as productivity companions, the company is poised to make further inroads in enterprises.

## **Elon Musk buys Twitter, gets rejected as CEO**

[![Musk: Twitter könnte kostenpflichtig werden - für diese Nutzergruppen](https://images.idgesg.net/images/idge/imported/imageapi/2022/11/17/12/4341401_original-100934636-large.jpg?auto=webp&quality=85,70)](https://images.idgesg.net/images/idge/imported/imageapi/2022/11/17/12/4341401_original-100934636-orig.jpg?auto=webp&quality=85,70)

Emerald mine heir, (in)famous serial entrepreneur [and maker of dangerous cars](https://securityboulevard.com/2022/08/unsafe-by-design-tesla-fails-to-see-children-red-lights-emergency-vehicles/) Elon Musk finally bought Twitter for a total of $44 billion, after a lengthy will-he-or-won’t-he fan dance that apparently was not long enough for him to perform due diligence. The legal battle over his efforts to back out of the deal petered out in late October and once the sale was completed, Musk wasted no time in making immensely unpopular changes, engaging in far-right conspiracy theorizing, and firing many employees charged with keeping the lights on at the social network. He has since pledged to step down as CEO after a Twitter poll resoundingly indicated that users wanted him out, though he has said, with characteristic good grace, that he will remain until he finds someone else “foolish enough to take the job.”  While it can be debated whether a social media company is in fact a "technology company," business leaders of all stripes are surely [monitoring Musk for lessons on how not to run a compan](https://www.computerworld.com/article/3681073/how-not-to-manage-a-business-starring-twitters-elon-musk.html)y.

## **Lapsus$ hackers wreak havoc throughout tech**

[![An anonymous hooded figure consisting of binary code stands in a virtual corridor of circuits.](https://images.idgesg.net/images/article/2020/09/anonymous_hooded_figure_consisting_of_binary_code_stands_in_a_virtual_corridor_of_circuits_hacker_identity_by_cosmin4000_gettyimages-516143404_2400x1600-100858205-large.jpg?auto=webp&quality=85,70)](https://images.idgesg.net/images/article/2020/09/anonymous_hooded_figure_consisting_of_binary_code_stands_in_a_virtual_corridor_of_circuits_hacker_identity_by_cosmin4000_gettyimages-516143404_2400x1600-100858205-orig.jpg?auto=webp&quality=85,70) 

Microsoft announced in March that its systems were compromised by the Lapsus$ hacking and ransomware group, which released key source code to several of the company’s products, including Bing, Bing Maps and Cortana. The group used a social engineering attack to compromise a corporate account and access Microsoft’s data. A list of the group's victims includes other big name companies like Samsung, Nvidia, Vodafone, and Okta. Arrests in the UK and examination of the group's tactics showed that [Lapsus$ comprised inexperienced teen hackers using "poorly thought out" techniques](https://www.csoonline.com/article/3669869/what-happened-to-the-lapsus-hackers.html). Ultimately, the group's activities highlighted the dangers one of the biggest cybersecurity problems—[ransomware](https://www.csoonline.com/article/3236183/what-is-ransomware-how-it-works-and-how-to-remove-it.html)—and demonstrated that supreme technical sophistication is not a requirement for hacker groups to succeed against even well-hardened targets.

## **EU passes Digital Services Act**

[![European Union, EU](https://images.techhive.com/images/article/2017/01/p032197000901-722079-100706759-large.jpg?auto=webp&quality=85,70)](https://images.techhive.com/images/article/2017/01/p032197000901-722079-100706759-orig.jpg?auto=webp&quality=85,70)


The latest attempt to “clean up” the internet arrived in the form of the [EU’s Digital Services Act,](https://www.computerworld.com/article/3658216/eu-approves-dsa-law-to-force-tech-platforms-to-police-content.html) which would impose heavy fines—up to 6% of global revenue —on companies that fail to fulfill new legal duties imposed by the regulation. Those duties are wide-ranging, and include the protection of children from advertising profilers, verification of genuine goods being sold online, and the prevention of online violence against women. It’s a stark contrast with the US approach to online media regulation, which gives platforms like Facebook and Twitter a considerable amount of freedom from liability, and would mean serious changes in the way very large internet companies do business—the EU has already warned Twitter, in particular, that it would need to clean up its act significantly under the terms of the new law. Enterprises have through mid-year to comply with its terms.

## **FTX collapses, spurring calls for cryptoregulation**

![virtual transactions - digital money - cryptocurrency - blockchain](https://images.idgesg.net/images/article/2018/02/fintech_finance_blockchain_cryptocurrency_virtual_money_coins_thinkstock_847206412-100749751-large.jpg?auto=webp&quality=85,70) 

Amid allegations of internal mismanagement and wrongdoing, cryptoexchange FTX collapsed in November, dealing a heavy blow to the cryptocurrency sector and causing $8 billion in assets to vanish into thin air. The founder of FTX, Sam Bankman-Fried, was arrested in December in the Bahamas and extradited to the US to face criminal charges. [It’s been a typically volatile year for crypto,](https://markets.businessinsider.com/news/currencies/bitcoin-outlook-13900-price-target-crypto-rally-seven-months-away-2022-12) and the FTX collapse has put the sector’s volatility squarely in the headlines. Experts have predicted dark days ahead for cryptocurrency [if regulators do not bring cryptocurency trading under some sort of regulatory framework](https://www.computerworld.com/article/3680131/ftx-meltdown-likely-to-spur-crypto-regulations-cool-digital-currency-push.html).

## **Layoffs sweep tech sector**

[![leading through layoffs](https://images.techhive.com/images/article/2015/03/leading_through_layoffs-100572554-large.jpg?auto=webp&quality=85,70)](https://images.techhive.com/images/article/2015/03/leading_through_layoffs-100572554-orig.jpg?auto=webp&quality=85,70) 

Companies like Amazon, Meta and Google have led the way in tech hiring for a long time, and set the tone again this year, albeit for different reasons. The three tech giants—along with many other smaller technology companies—[cut thousands of employees loose this year](https://www.computerworld.com/article/3679733/tech-layoffs-in-2022-a-timeline.html), as the technology sector job market faltered in the face of global economic headwinds. [Amazon alone is reportedly set to lay off 20,000 employees](https://www.computerworld.com/article/3682071/amazon-layoffs-now-expected-to-mount-to-20000-including-top-managers.html), underlining the scale of the sea-change in the technology job market. The layoffs mark a sharp reversal from the earlier stages of the pandemic, when larger tech employers, in particular, went on a hiring spree to take advantage of an upsurge in demand for cloud-based services. As the surge subsided, revenue declined, ushering in a year of uncertainty and staff cuts.

## **Ukraine war sparks tech retreat from Russia**

[![Russian sanctions ukraine war](https://images.idgesg.net/images/idge/imported/imageapi/2022/04/15/08/stop-russia-2-shutterstock_1576413886-100924629-large.jpg?auto=webp&quality=85,70)](https://images.idgesg.net/images/idge/imported/imageapi/2022/04/15/08/stop-russia-2-shutterstock_1576413886-100924629-orig.jpg?auto=webp&quality=85,70)

Russia’s invasion of neighboring Ukraine in February illustrated how geopolitical upheaval can technology companies as much as businesses in any other sector.  The invasion drew near-universal condemnation, and major technology companies responded in similar fashion, [halting sales to Russia and blocking their services from being used there](/cms/article/%20https:/www.computerworld.com/article/3652693/microsoft-becomes-latest-tech-firm-to-suspend-sales-in-russia.html). Hardware companies like IBM, Intel, Samsung, Ericsson and Nokia have all suspended sales to Russia, while service providers like AWS and Google stopped accepting new customers and—in some cases—suspended services to the country. Media companies and social networks have toughened restrictions on Russian state media content to help combat disinformation, as well.

## **The Great Return? Big Tech calls workers back**

[![professionals amid a binary stream](https://images.idgesg.net/images/article/2019/02/workforce_workers_employees_professionals_men_suits_briefcases_binary_digital_world_vr_virtual_reality_augmented_reality_by_gremlin_gettyimages-1093674926_2400x1600-100788357-large.jpg?auto=webp&quality=85,70)](https://images.idgesg.net/images/article/2019/02/workforce_workers_employees_professionals_men_suits_briefcases_binary_digital_world_vr_virtual_reality_augmented_reality_by_gremlin_gettyimages-1093674926_2400x1600-100788357-orig.jpg?auto=webp&quality=85,70) 

The slackening of the pandemic in 2022 saw many companies, which had previously allowed employees wide latitude to work remotely, start to reel workers back into their offices, with [Microsoft firing the first shot in the return-to-work revolution in February](https://www.computerworld.com/article/3650037/microsoft-edges-back-to-normal-with-workplace-reopening-plan.html). Other tech companies including Google and Apple, followed. While most companies (not including Twitter, which has fired anyone not willing to work in-office full time) are not requiring employees to be in the office five days a week, managers face a considerable degree of pushback from some workers, as many have gotten used to the work-from-home routine, and aren’t eager to start commuting again. Remote work’s effect on productivity is a matter of heated debate, with different studies showing different impacts of the practice, and the argument about the benefits of in-office work are likely to continue indefinitely.

*(Marc Ferranti contributed to this story.)*





## Tags:


### Autogenerated tags:
[[broadcom]] [[microsoft]] [[vmware]] [[ftx]] [[google]]
