# Power Management Devices Flaw Let Attackers Shutdown Data Center
## Researchers discovered four vulnerabilities in CyberPower's PowerPanel Enterprise Data Center Infrastructure Management (DCIM) platform and five vulnerabilities in Dataprobe's iBoot Power Distribution Unit (PDU).
## Information:

+ Link: https://cybersecuritynews.com/?p=35179
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 14 August 2023, 09:51
+ Date scraped: 14 August 2023, 10:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiSoPD6_jDbERC5QtfNEaMTTmCDs6ZerJHtewTH0XLdAH6f0BaYI4keVZWqLiFUjKkunYSt8_ZvJ6zo4s-93s7eP_Ff8DEH1RYkai7sPj0t33QLzTj_imrKlj7KMC3dDoQ8V0sCfl-WeQz7oks7n3IfbDglkSF4EdZttwLiLLoKzNVRtVPIEWXRa4sqdQYI/s16000/Hackers%20Can%20Shut%20Down%20Data.webp)


Businesses are looking to digital transformation and cloud services to support new working practices. This would be extremely simple for criminals to get into essential data center power management gear, turn off electricity to numerous linked devices, and interrupt all types of services from crucial infrastructure to commercial applications.


The Trellix Advanced Research Centre focused exclusively on the power supply and management systems used in data centers.





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



Researchers discovered four vulnerabilities in CyberPower’s PowerPanel Enterprise [Data Centre Infrastructure Management](https://cybersecuritynews.com/authorities-warns-russian-hackers/) (DCIM) platform and five vulnerabilities in Dataprobe’s iBoot Power Distribution Unit (PDU).


“Both products are vulnerable to remote code injection that could be leveraged to create a backdoor or an entry point to the broader network of connected data center devices and enterprise systems”, researchers explain.


## **Vulnerabilities in Cyberpower’s PowerPanel Enterprise**


CyberPower is a well-known provider of infrastructure and equipment for data centers, specializing in power management and protection technologies.


Their PowerPanel Enterprise DCIM platform serves as a single point of information and command for all devices, enabling IT professionals to manage, configure, and monitor the infrastructure within a data center over the cloud.


Reports say companies moving on-premise server installations to bigger, co-located data centers, such as those from leading cloud providers AWS, Google Cloud, [Microsoft Azure](https://cybersecuritynews.com/azure-services-vulnerability/), etc., frequently employ these platforms.


Sunbird Software estimates that 83% of business data center operators have increased rack density in the previous three years. As a result, they are looking to technologies like DCIM platforms to assist manage their infrastructure, avoid outages, and preserve uptime.




Document


 @import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');
 @import url('https://fonts.googleapis.com/css2?family=Poppins&family=Roboto&display=swap');
 \*{
 margin: 0; padding: 0;
 text-decoration: none;
 }
 .container{
 font-family: roboto, sans-serif;
 width: 90%;
 border: 1px solid lightgrey;
 padding: 20px;
 background: linear-gradient(2deg,#f1f2f3 100%,#e7eef2 100%);
 margin: 20px auto ;
 border-radius: 40px 10px;
 box-shadow: 5px 5px 5px #e2ebff;
 }
 .container:hover{
 box-shadow: 10px 10px 5px #e2ebff;

 }
 .container .title{
 color: #015689;
 font-size: 22px;
 font-weight: bolder;
 }
 .container .title{
 text-shadow: 1px 1px 1px lightgrey;
 }
 .container .title:after {
 width: 50px;
 height: 2px;
 content: ' ';
 position: absolute;
 background-color: #015689;
 margin: 20px 8px;
 }
 .container h2{
 line-height: 40px;
 margin: 2px 0;
 font-weight: bolder;
 }
 .container a{
 
 color: #170d51;
 }
 .container p{
 font-size: 18px;
 line-height: 30px;
 
 }
 
 .container button{
 padding: 15px;
 background-color: #4469f5;
 border-radius: 10px;
 border: none;
 background-color: #00456e ;
 font-size: 16px;
 font-weight: bold;
 margin-top: 5px;
 }
 .container button:hover{
 box-shadow: 1px 1px 15px #015689;
 transition: all 0.2S linear;
 
 }
 .container button a{
 color: white;
 }
 hr{
 /\* display: none; \*/
 }

 

FREE Webinar
## [API Security Fundamentals: How to Discover, Scan and Protect APIs](#)


API Attacks Have Increased by 400% – Understand the Fundamentals of Protecting Your APIs with a Positive Security Model – Register Now for a Free Webinar


  [Register Now](https://www.indusface.com/api-security-fundamentals.php?utm_source=gbhackers-blog-cta&utm_medium=referrals&utm_campaign=2023-aug-webinar-api-security-fundamentals) 


## **Four significant flaws discovered in cyberpower’s PowerPanel Enterprise:**


* [CVE-2023-3264](https://nvd.nist.gov/vuln/detail/CVE-2023-32664): Use of Hard-coded Credentials (CVSS 6.7)
* [CVE-2023-3265](https://nvd.nist.gov/vuln/detail/CVE-2023-3265): Improper Neutralization of Escape, Meta, or Control Sequences (Auth Bypass; CVSS 7.2)
* [CVE-20](https://nvd.nist.gov/vuln/detail/CVE-2023-32668)[2](https://nvd.nist.gov/vuln/detail/CVE-2023-32668)[3-3266](https://nvd.nist.gov/vuln/detail/CVE-2023-32668): Improperly Implemented Security Check for Standard (Auth Bypass; CVSS 7.5)
* [CVE-2023-3267](https://nvd.nist.gov/vuln/detail/CVE-2023-32673): OS Command Injection (Authenticated RCE; CVSS 7.5)


Particularly, any of the first three CVEs could be used by criminals to bypass authentication checks, access the management interface, and shut down devices inside data centers.


“The manipulation of the power management can be used to damage the hardware devices themselves – making them far less effective if not inoperable”, [researchers said](https://www.trellix.com/en-us/about/newsroom/stories/research/the-threat-lurking-in-data-centers.html).


## **Dataprobe’s iBoot PDU**


Power management devices made by Dataprobe help companies manage and monitor their infrastructure. Through a straightforward and user-friendly online application, their iBoot PDU enables managers to remotely regulate the power supply to their devices and equipment.


Dataprobe has hundreds of devices deployed in a variety of sectors, including government organizations, financial institutions, smart city IoT installations, and travel and transportation infrastructure.


Reports stated that thousands of these PDUs are used for tasks like digital signage, telecommunications, remote site management, and much more. The iBoot PDU in particular has been in use since 2016.


## **Five critical vulnerabilities in the Data probe’s iBoot PDU:**


* [CVE-2023-3259](https://nvd.nist.gov/vuln/detail/CVE-2023-32529): Deserialization of Untrusted Data (Auth Bypass; CVSS 9.8)
* [CVE-2023-3260](https://nvd.nist.gov/vuln/detail/CVE-2023-32605): OS Command Injection (Authenticated RCE; CVSS 7.2)
* [CVE-2023-3261](https://nvd.nist.gov/vuln/detail/CVE-2023-32307): Buffer Overflow (DOS; CVSS 7.5)
* [CVE-2023-3262](https://nvd.nist.gov/vuln/detail/CVE-2023-3262): Use of Hard-coded Credentials (CVSS 6.7)
* [CVE-2023-3263](https://nvd.nist.gov/vuln/detail/CVE-2023-32683): Authentication Bypass by Alternate Name (Auth Bypass; CVSS 7.5)


In this case, even the simplest act of shutting power to devices linked to a PDU would be important with access to these power management systems.


“A threat actor could cause significant disruption for days at a time with the simple “flip of a switch” in dozens of compromised data centers”, researchers explain.


The infected machines might be used to launch massive ransomware, [DDoS](https://cybersecuritynews.com/stormwall-ddos-protection/), or Wiper attacks that could be far more widespread than those launched by Stuxnet, Mirai BotNet, or WannaCry.


## **Patches Available**


Version 2.6.9 of the PowerPanel Enterprise software from Dataprobe and version 1.44.08042023 of the Dataprobe iBoot PDU firmware from CyberPower both provide patches for these issues.


Hence, all possibly vulnerable customers are urged to download and apply these fixes right now.






## Tags:
***CVE's***: CVE-2023-3261 CVE-2023-3266 CVE-2023-3260 CVE-2023-3263 CVE-2023-3267 CVE-2023-3265 CVE-2023-3259 CVE-2023-3262 CVE-2023-3264

### Autogenerated tags:
[[cvss]] [[pdu]] [[dataprobe]] [[iboot]] [[cyberpower]] [[powerpanel]] [[cloud]] [[bypass;]] [[dcim]]
