# SonicWall Strongly Urges Organizations to Patch SSLVPN SMA1000 Bugs
## SonicWall issued a security notice urging customers to immediately patch several vulnerabilities that are considered high-risk affecting its Secure Mobile Access (SMA) 1000 Series line of products.
## Information:

+ Link: https://cybersecuritynews.com/?p=9293
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 16 May 2022, 13:18
+ Date scraped: 16 May 2022, 14:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjsx9TxYuHg0uI2z4T0k_dKRivF1q2vZzu7A9mKQ4XvVtFO6rVTi3QNFtmPSLtTEWL3GYKcxknZiCutUnjx9xlfJCo0lRGtxT7nyZWz2eT24rNZpjLoHJJ7mOaaqHJ-FLAPkL-kAlU7puViL4kofbA9Q9FwtnSe6VDIP4bqLyBHssSOmlRiqA6h6z9OWA/s16000/sonicwall%20patch.png)

SonicWall issued a security notice urging customers to immediately patch several vulnerabilities that are considered high-risk affecting its Secure Mobile Access (SMA) 1000 Series line of products.

This can allow attackers to bypass authorization and, potentially, compromise unpatched appliances. The flaw tracked as [CVE-2022-22282](https://www.sonicwall.com/support/knowledge-base/security-notice-sma-1000-series-unauthenticated-access-control-bypass/220510172939820/) in an unauthenticated access control bypass flaw affects SMA1000 series firmware 12.4.0, 12.4.1-02965, and earlier versions. The flaw was rated high severity.

“SonicWall SMA1000 series firmware 12.4.0, 12.4.1-02965 and earlier versions incorrectly restrict access to a resource using HTTP connections from an unauthorized actor leading to Improper Access Control vulnerability”, reads the description of this issue.

The Sonic Wall also addressed the issue tracked as CVE-2022-1701, a hard-coded cryptographic key, the flaw is rated as medium severity.

The third issue was tracked as CVE-2022-1702 leads to open redirection vulnerability, rated as medium severity.

Therefore out of the three vulnerabilities, CVE-2022-22282 is the most severe as it allows unauthenticated attackers to bypass access control and gain access to internal resources.

The company pointed out that there are no temporary mitigations. *“SonicWall urges impacted customers to implement applicable patches as soon as possible.” says the report.*

**Impacted Platforms: SMA 1000 Series**

SMA 6200, 6210, 7200, 7210, 8000v (ESX, KVM, Hyper-V, AWS, Azure)

**No Impact**

According to the report, the following products are not impacted.

* SMA 1000 series running versions earlier than 12.4.0
* SMA 100 series
* CMS
* Remote access clients

SonicWall strongly urges that organizations using the SMA 1000 series products upgrade to the latest patch.




## Tags:
***CVE's***: CVE-2022-22282 CVE-2022-1701 CVE-2022-1702

### Autogenerated tags:
[[sonicwall]]
