# Killer robots AI weapons conference calls for rapid regulation
## Leaders in Vienna are calling for new efforts to regulate the use of artificial intelligence in autonomous weapons systems that could create so-called “killer robots.”
## Information:

+ Link: https://cybernews.com/news/austria-conference-ai-killer-robots-autonomous-weapons-systems/
+ Source: CyberNews
+ Author: 
Stefanie Schappert

+ Date published: 29 April 2024, 17:29
+ Date scraped: 30 April 2024, 07:15

## Article:
![Main article image](https://media.cybernews.com/images/featured-big/2024/04/NoKillerRobots.jpg)


***Leaders in Vienna on Monday called for renewed efforts to regulate the use of artificial intelligence in autonomous weapons systems (AWS) that could create so-called “killer robots.”***


The two-day international conference “Humanity at the Crossroads: Autonomous Weapons Systems and the Challenge of Regulation” is aimed at reviving largely stalled discussions on the issue.




With AI technology advancing rapidly, weapons systems that could kill without human intervention are coming ever closer, posing ethical and legal challenges that most countries say need addressing soon.


"We cannot let this moment pass without taking action. Now is the time to agree on international rules and norms to ensure human control," Austrian Foreign Minister Alexander Schallenberg told the meeting of over 900 delegates and envoys from non-governmental and international organizations and 143 countries.





"At least let us make sure that the most profound and far-reaching decision, who lives and who dies, remains in the hands of humans and not of machines," he said in the opening speech.


Years of discussions at the United Nations have produced few tangible results and many participants at the event say the window for action was closing rapidly.


"It is so important to act and to act very fast," the president of the International Committee of the Red Cross, Mirjana Spoljaric, told a panel discussion at the conference.


"What we see today in the different contexts of violence are moral failures in the face of the international community. And we do not want to see such failures accelerating by giving the responsibility for violence, for the control over violence, over to machines and algorithms," she added.


Some of the topics to be discussed during the four expert panels include technological development in the field of AWS, human decision-making using AWS and accountability under international law, ethical and human rights aspects as in AI data bias and algorithms, and the future of armed conflict with lower thresholds for military confrontation and proliferation to terrorist and other non-state armed groups.




#### Dangers of AI-driven autonomous weapons


Diplomats say that AI is already being used on the battlefield. Drones in Ukraine are designed to find their own way to their target when signal-jamming technology cuts them off from their operator.



"We have already seen AI making selection errors in ways both large and small, from misrecognizing a referee's bald head as a football to pedestrian deaths caused by self-driving cars unable to recognize jaywalking," Jaan Tallinn, a software programmer and tech investor, said in a keynote speech.


"We must be extremely cautious about relying on the accuracy of these systems, whether in the military or civilian sectors, 
Tallinn said.



![Autonomous Weapons Systems AWS](https://media.cybernews.com/2024/04/AWSdouble.jpg)
Remote-controlled tracked robot machine gun. A swarm of combat drones and command systems-3d illustration. Image by ID1974/Mike Mareen (L to R) | Shutterstock.



Known for his contribution in the development of Skype, Tallinn is also the co-founder of the Centre for the Study of Existential Risk and the Future of Life.


Tallinn has been vocal in the past year arguing that the [extinction risk](https://www.youtube.com/watch?v=vsdTuDBGkAw) from AI is not just possible, but imminent to the human race. 


"We must be extremely cautious about relying on the accuracy of these systems, whether in the military or civilian sectors," Tallinn said in Monday’s speech.


Autonomous weapons systems are “systems that choose a target and fire on it based on sensor inputs rather than human inputs,” said Bonnie Docherty, a law lecturer at Harvard Law School’s International Human Rights Clinic (IHRC) in an interview earlier this year with the Harvard Gazette.


These so-called ‘killer robot’ systems “have been under development for a while but are rapidly becoming a reality,” Docherty said.




“Delegating life-and-death decisions to machines crosses a red line for many people. It would dehumanize violence and boil down humans to numerical values,” Docherty said in the [interview](https://news.harvard.edu/gazette/story/2024/01/killer-robots-are-coming-and-u-n-is-worried/#:~:text=Killer%20robots%2C%20or%20autonomous%20weapons,are%20rapidly%20becoming%20a%20reality.).


#### International Campaign to Stop Killer Robots

A livestream general public forum organized by the International Campaign to Stop Killer Robots is being held as a complimentary event to the Austrian Federal Ministry for European and International Affairs-led AWS conference.


Besides discussion panels and workshops, the Campaign's 'Action at the Crossroads' [event](https://www.youtube.com/watch?v=izz_ISzTFIk) features interactive art exhibits, promotional films, and immersive virtual reality experiences focused on the issues of digital dehumanization and advocacy plans to inspire political leadership and engagement among younger generations. 





The tandem forum, also taking place in Vienna, “offers an interactive and immersive experience that explores creative expressions of activism,” the program states.








---







## Tags:


### Autogenerated tags:
[[tallinn]] [[aws]] [[docherty]]
