# 3 best practices from the White House K-12 cybersecurity summit
## School leaders must take prevention seriously and know who to call when an attack happens, government officials and educators said.
## Information:

+ Link: https://www.cybersecuritydive.com/news/School-cybersecurity-k12-White-House/690405/
+ Source: CyberSecurity Dive
+ Author: Kara Arundel
+ Date published: 11 August 2023, 10:00
+ Date scraped: 17 August 2023, 14:14

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/ruWn4jYdv1gxazF0QrARSc5iPcQTPU853vL7olbExt8/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0lNR183OTI2LmpwZw.jpg)


WASHINGTON — When a[ransomware attack](https://www.k12dive.com/news/los-angeles-schools-ransom-demand/632392/)hit the Los Angeles Unified School District at the start of the 2022-23 school year, the country’s second-largest school system had “above average” defenses, including trained staff, assurances that ed tech companies would not put student data at risk, and tools to help prevent vulnerabilities, said Superintendent Alberto Carvalho.


But what the district did not have was a “Rolodex of influencers” — or cybersecurity experts — whom the district had built relationships with, Carvalho said during the K-12 cybersecurity summit at the White House on Tuesday. He added that when the attack happened, the district did receive quick responses from local, state and federal agencies.


“Have that Rolodex ready to call an individual who can help you manage a crisis, a situation that you yourself alone cannot manage,” the superintendent said. “You do not have the tools or the intelligence federal agencies have, and they can deliver big time very, very quickly.”


During the summit, Carvalho and others shared advice and best practices for protecting schools against[rising cyberattacks](https://www.k12dive.com/news/ransomware-schools-steady-rate-2022/639635/)targeting elementary and secondary school systems.


The event, dubbedBack to Back to School Safely: Cybersecurity Summit for K-12 Schools,came a day after the federal government released a resource document and announced other investments to[protect student, family and staff data](https://www.k12dive.com/news/Feds-announce-K-12-cybersecurity-supports/690101/). As part of the efforts, several ed tech company leaders also announced cybersecurity solutions.


In the face of increased cyberattacks, school systems and advocacy groups called for national attention and support for this issue. A quarter of school administrators surveyed in October said their district had experienced a[hack, phishing incident, data breach](https://assets.clever.com/website/files/districts/Clever-Cybersecure-2023-The-state-of-data-security-and-privacy-in-K-12-schools.pdf?utm_source=2022_Q4_web&utm_medium=blog&utm_campaign=test_brand&utm_content=districts_report)or other cyberattack in the previous year, according to Clever, a single sign-on provider for learning apps.


Last year 65 ransomware attacks affected 1,436 schools and colleges serving about 1 million students, according to Comparitech, a cybersecurity research website. The attacks cost education institutions nearly $9.45 billion in downtime alone, the company estimates.





---



“Do not underestimate the ruthlessness of those who wish to do us harm.”


![](https://d12v9rtnomnebu.cloudfront.net/diveimages/corporate_site/teampage/square_profiles/placeholder-200.png)

Alejandro Mayorkas


U.S. Secretary of Homeland Security






---


Schools are “target rich” with lots of sensitive data but are also “resource constrained,” because officials often lack the knowledge or capability to prevent attacks, said Jen Easterly, director of the federal Cybersecurity and Infrastructure and Security Agency.  

  

CISA wants to “make sure that you all have what you need to raise the baseline in cybersecurity, but also importantly, to know how to respond effectively to reduce and mitigate that risk,” Easterly told the summit attendees.


U.S. Secretary of Homeland Security Alejandro Mayorkas advised schools to be on guard against cyber criminals. “Do not underestimate the ruthlessness of those who wish to do us harm,” he said.


Here’s top advice and resources participants shared during the summit:



### ‘Call us immediately’


One of the nation’s highest law officers exhorted school officials to use federal defenses in the war against cyberattacks.


Paul Abbate, deputy director of the FBI, said the bureau’s goal is to prevent attacks from ever happening. To help do that, districts should build relationships with its nearest FBI regional office to prepare for and respond if an event does happen, he said.  

  

“In the event that something does happen, if there is a cyberattack, please call us immediately because timeliness does matter,” Abbate said.


In fact, the FBI is part of the coordinated federal approach announced Monday to [help schools mitigate cyber vulnerabilities](https://www.cybersecuritydive.com/news/white-house-millions-k-12-cyberattacks/690125/) and respond to ransomware attacks. Other agencies involved are the Education and Homeland Security departments, along with CISA, the Federal Communications Commission and the White House. 


Additionally, Congress is considering[bicameral and bipartisan legislation](https://www.k12dive.com/news/k-12-cybersecurity-bipartisan-legislation/648048/)to better track school cyberattacks and provide tools and guidance to school systems.


“We can’t talk about potential collaboration at the local level, at the state level, if we’re not modeling it here at the federal level,” U.S. Education Secretary Miguel Cardona told the summit. He added that schools and their partners need to be proactive and not wait for emergencies to happen.


Cardona highlighted the department’s creation of a government coordinating council that will organize information and resources about K-12 cyber defense and response.


Also under the Biden administration’s new initiatives, CISA will provide cybersecurity training to 300 school systems over the next year, and the FCC has proposed a $200 million, three-year pilot program for school and library cyberattack prevention.


### Use ed tech resources


One panel at the summit featured leaders from private companies who emphasized tech security is at the forefront of their business models. Their initiatives include training for school staff, guidance to safeguard software and hardware, security tools and more.


Amazon Web Services will provide $20 million in grants to districts and state education agencies for cyber skill building, according to Kim Majerus, vice president of U.S. public sector education for AWS. The company will also provide free security reviews to U.S. ed tech companies, Majerus said.


Cloudflare, an IT service management firm, is offering free tools to help small school districts minimize cyber risks.


“We are committed to helping our nation’s schools better protect themselves so they can focus on what they do best — teaching children,” said Zaid Zaid, head of U.S. public policy at Cloudflare.


PowerSchool, Google and D2L also announced steps their companies are taking to prevent malicious cyber activities as part of the White House efforts.


### Create federal-state-local partnerships


State education agencies have launched several initiatives to shore up K-12 cyber defenses, panelists said.


In North Carolina, for example, a Joint Cybersecurity Task Force — consisting of law enforcement, emergency management services, local government and others — aims to help government and schools respond to a cyberattack, according to Vanessa Wrenn, chief information officer at the North Carolina Department of Public Instruction. In addition, the state education agency has a cybersecurity program to align prevention resources.




### 
 Read More in Strategy












[![AWS logo on display at AWS Summit New York, July 26, 2023.](/imgproxy/ipz1BwqXtZPJTwaszenzzeFIM78Smn_1wh4lIltiRhE/g:ce/rs:fill:1200:675:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0FXU19TdW1taXRfTllfMjAyM18xNjMuSlBH.jpg)](https://www.cybersecuritydive.com/news/aws-customers-common-mistake/691047/)
Aug 16, 2023
[AWS customers’ most common security mistake](https://www.cybersecuritydive.com/news/aws-customers-common-mistake/691047/)



[![CrowdStrike booth at Black Hat USA 2023 in Las Vegas.](/imgproxy/T_jHxXFOJ79WqS0scnVKN4qUQbiRf5YGZyVmfYkT9io/crop:4032:2277/g:nowe:0:76/rs:fill:1200:675:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0Nyb3dkU3RyaWtlLWJsYWNraGF0MjAyMy5KUEc.jpg)](https://www.cybersecuritydive.com/news/disjointed-threat-intelligence/690894/)
Aug 15, 2023
[How disjoined threat intelligence limits companies — and what to do about it](https://www.cybersecuritydive.com/news/disjointed-threat-intelligence/690894/)



[![Acting National Cyber Director Kemba Walden speaking at Black Hat 2023.](/imgproxy/52ovOoGR53HNqjO0S8qn7jEszgKogjjYogcMqF4Ta5Q/g:ce/rs:fill:1200:675:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0tlbWJhX1dhbGRlbi1CbGFja0hhdDIwMjMuSlBH.jpg)](https://www.cybersecuritydive.com/news/walden-national-cybersecurity-strategy/690654/)
Aug 11, 2023
[Why Walden thinks this national cybersecurity strategy will work](https://www.cybersecuritydive.com/news/walden-national-cybersecurity-strategy/690654/)



[![CISA Director Jen Easterly speaks at Carnegie Mellon University urging the tech industry to embrace secure-by-design product development.](/imgproxy/HCHzFTUCdbAd8rcbbBSlwOC0Wi_b999UWmRQI6azft8/g:ce/rs:fill:1200:675:1/bG9jYWw6Ly8vZGl2ZWltYWdlL1VBXzIzMDIyN0FfQ0lTQV8yNTcuanBn.jpg)](https://www.cybersecuritydive.com/news/white-house-open-source-security-memory-safe/690648/)
Aug 11, 2023
[White House wants input on open source security, memory-safe languages](https://www.cybersecuritydive.com/news/white-house-open-source-security-memory-safe/690648/)



[![Woman speaking on stage in front of a purple curtain in a black blazer and sparkly pants. There is also a podium that says "Black Hat USA 2023."](/imgproxy/1x7FLnT4UoCzkcHUAU7fzaKRCq6kgJTLyekck5TfARg/crop:3218:1818/g:nowe:515:1036/rs:fill:1200:675:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0lNR18zNjkyLkpQRw.jpg)](https://www.cybersecuritydive.com/news/cyber-attack-defense-strategies-Black-Hat/690547/)
Aug 10, 2023
[4 ways organizations can take back the advantage from attackers](https://www.cybersecuritydive.com/news/cyber-attack-defense-strategies-Black-Hat/690547/)



[![Woman in a black suit stands behind a podium with a sign that reads "enhancing cybersecurity protecting New Yorkers."](/imgproxy/daWbchORz5lR06fhF4DF91qjp6QL2JlFQWTA6nP0d4U/g:ce/rs:fill:1200:675:1/bG9jYWw6Ly8vZGl2ZWltYWdlLzUzMTA0MjY1NjMyXzA3M2MxYTFiNGZfby5qcGc.jpg)](https://www.cybersecuritydive.com/news/new-york-statewide-cybersecurity-strategy/690535/)
Aug 10, 2023
[New York rolls out statewide cybersecurity strategy](https://www.cybersecuritydive.com/news/new-york-statewide-cybersecurity-strategy/690535/)



[![Header image for "Empowering the CFO to Champion Cyber Risk Management"](/imgproxy/TYbYPSDV5yHTqd_ECSP_5Kl6i-meu11Cu7QvHa9QIP4/g:ce/rs:fill:1200:675:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExMjg0OTAzMDQuanBnLmpwZWc.jpg)](https://www.cybersecuritydive.com/news/rapid7-cut-workforce-shutter-offices/690402/)
Aug 09, 2023
[Rapid7 to cut 18% of workforce, shutter certain offices](https://www.cybersecuritydive.com/news/rapid7-cut-workforce-shutter-offices/690402/)



[![The United States Capitol Building seen at a distance.](/imgproxy/1CrZxe8d-gBQIphwNww8R68Nt7ZrwU02XUruNrLrTVo/g:ce/rs:fill:1200:675:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTE4MjI4NjU1MF82M0pmTDBwLmpwZw.jpg)](https://www.cybersecuritydive.com/news/nist-draft-overhaul-cybersecurity-framework/690381/)
Aug 09, 2023
[NIST releases draft overhaul of its core cybersecurity framework](https://www.cybersecuritydive.com/news/nist-draft-overhaul-cybersecurity-framework/690381/)



[Want to see more stories in **Strategy**?
 

 Read More ➔](/topic/strategy/)




Michael Gregg, North Dakota’s chief information security officer, said difficulty in[recruiting tech security experts](https://www.k12dive.com/news/north-dakota-first-cybersecurity-education/646340/)led the state to become the first to require cybersecurity education for all K-12 students. Students in junior high and high school can compete in a cybersecurity competition with winners getting college scholarships.




![Five adults are sitting in chairs on a stage in front of a yellow curtain. One adult has a microphone to their face. On the stage are two flagpoles with American flags.](/imgproxy/r-NusX8B5X5qCaFWJ40RGQzMZ0k1D9Xdso-quZWFW_g/g:ce/rs:fill:1600:0:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0lNR183OTQ4LmpwZw.jpg)


Alberto Carvalho, superintendent of the Los Angeles Unified School District, speaks at the White House on Aug. 8 about the 2022 cyberattack on his district. From left to right, Cindy Marten, Carvalho, Jen Easterly, Paul Abbate and Anne Neuberger.
Kara Arundel/K-12 Dive, data from [White House](https://www.whitehouse.gov/briefing-room/statements-releases/2023/08/07/biden-harris-administration-launches-new-efforts-to-strengthen-americas-k-12-schools-cybersecurity/)
 




The San Diego County Office of Education has worked closely with the California Department of Education and other partners to build out a distributed denial of service, or DDos mitigation service, which helps block efforts by bad actors to disrupt digital activity. That mitigation service is available to every educational entity in the state, said Terry Loftus, chief information officer for the district.


Carvalho emphasized how vital these federal, state and local partnerships were in helping LAUSD recover and respond to the September 2022 cyberattack. “It was the unparalleled bringing down [of] the governmental silos” that helped the district recover quickly from the attack, he said.





## Tags:


### Autogenerated tags:
[[cybersecurity]] [[carvalho]] [[cyberattack]] [[u.s]] [[k-12]] [[cyberattacks]] [[cisa]]
