# AWS bets on accuracy in generative AI deployment race
## The cloud giant is taking a full-stack approach to generative AI, which doubles down on security and reliable results.
## Information:

+ Link: https://www.cybersecuritydive.com/news/aws-generative-ai-cloud-strategy/694754/
+ Source: CyberSecurity Dive
+ Author: Naomi Eide
+ Date published: 26 September 2023, 05:00
+ Date scraped: 28 September 2023, 17:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/YBqaRTrDKCSkoBeK9oPfptiQHTY-tNpHVaLAo8-_L1U/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0lNR183NTQ3LmpwZWc.jpg)


SEATTLE — The well-underway race to scale generative AI has evolved from one dominated by early market entrants — namely [OpenAI](https://www.ciodive.com/news/OpenAI-ChatGPT-Enterprise-Google-Cloud-AI-marketplace/692064/) and its [close partner, Microsoft](https://www.ciodive.com/news/Microsoft-cloud-Azure-generative-AI-revenue-growth-GitHub/689113/) — to one where scores of vendors have viable offerings. 


Now, each major cloud provider has billions invested in large language model technology development and each takes on a different flavor.


Where Microsoft capitalized on speed, quickly deploying generative AI assistants into the hands of the masses, Google Cloud has hyped its [AI-optimized infrastructure](https://www.ciodive.com/news/google-cloud-generative-AI-machine-learning/645020/) and its longstanding investments in AI. 


Cloud giant AWS is taking a cautious approach.


In the AI space, “we’ve made the judgment that one of the things which is really important, which we take really seriously, is having accurate results from the model,” said Adam Selipsky, CEO of AWS, speaking at a media day at Amazon’s Seattle headquarters earlier this month.


Navigating model bias, toxicity and intellectual property concerns are important too, he said, “but having accurate results from the model is really, really important.”


There are limits to what generative AI can do, and its ability to produce inaccurate, and [sometimes entirely made up](https://www.ciodive.com/news/IT-service-desk-generative-AI-impact-job-loss-user-experience/691157/), answers is testing enterprise deployments. Generative AI excels at bulk information processing and idea generation, but the benefits of some results can obscure when others are flat out wrong. 


As Amazon builds generative AI offerings, it is working with technologies that reduce hallucinations and the chance of models producing incorrect results.


Rather than dub generative AI models’ made-up results as hallucinations, some, including [Meta’s Chief AI Scientist Yann LeCun](https://x.com/ylecun/status/1667272618825723909?s=20), cite them as confabulations. The distinction is that confabulations are when something [generates a false memory](https://www.ncbi.nlm.nih.gov/books/NBK536961/#:~:text=Confabulation%20is%20a%20neuropsychiatric%20disorder,without%20the%20intention%20of%20deceit.) without intending to deceive. 


Setting parameters around what data these models are trained on can help with deception reduction.


For example, at a high level, companies can make sure that a model is only producing results from specific data sources, Selipsky said. That helps prevent the model from making things up just because that’s what it thinks users want.


There will be a number of problems for everybody involved if models produce results that are not only wrong, but look right when they’re wrong, Selipsky said.


“Just like any database that AWS releases, it’s going to be rock-solid enterprise security,” Selipsky said. “Our general AI capabilities will be no different.”



### **AWS’ generative AI recipe**


AWS is taking a full-stack approach to generative AI, which includes designing chips with machine learning in mind and targeting the middle of the stack where people are actually looking to consume models.


Central to its strategy is to provide choice, flexibility and the ability to experiment with different types of models, whether they’re built by AWS or other providers. This is evidenced by its Bedrock service, [announced in April](http://www.ciodive.com/news/amazon-bedrock-titan-AI-LLM-/647636/), which enables customers to build and scale generative AI applications. The service allows API access to training models from organizations like Anthropic and Stability AI, among others. 


Amazon also made a $4 billion investment in Anthropic, acquiring minority ownership, the [companies announced Monday](https://www.ciodive.com/news/Amazon-Anthropic-investment/694661/). 


For most businesses, early generative AI use cases trend toward chatbots that can use internal data in new ways or manage documents, said Matt Wood, VP, Product at Amazon Web Services, who spoke during the AWS media day.


Those chatbots are a useful touchstone that can aid knowledge discovery. For example, the technology can help employees locate the office bathrooms or check holiday schedules.


The tech industry has seen high-profile examples of these knowledge-discovery tools play out, including [Walmart releasing its generative AI-powered assistant](https://www.ciodive.com/news/Walmart-generative-AI-tool-My-Assistant/692385/) to 50,000 employees. Similar tools debuted at [PwC](https://www.ciodive.com/news/PwC-generative-AI-investment-upskilling-ChatPwC/690820/) and [EY](https://www.ciodive.com/news/EY-AI-investment-EYQ-large-language-model/693737/). 


For AWS, “most of our customers are a long way from the, ‘hey I want to start experimenting with generative AI,’ to, ‘it is a deeply deployed thing in my business,’” Selipsky said. “But we’re going to help get them there.”





## Tags:


### Autogenerated tags:
[[aws]] [[selipsky]] [[cloud]]
