# Amazon CEO touts AWS cloud security as AI risk concerns mount
## Andy Jassy urged enterprises “not to overlook the security and operational performance” of cloud-based generative AI services. “It’s less sexy, but critically important.”
## Information:

+ Link: https://www.cybersecuritydive.com/news/aws-cloud-ai-data-security/714947/
+ Source: CyberSecurity Dive
+ Author: Matt Ashare
+ Date published: 03 May 2024, 07:41
+ Date scraped: 08 May 2024, 17:02

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/u3-wOSEIuVu40Mx60XU8UDrhrUHr1YgVpwVd8sLMm8w/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTE0MTUwNzgwNzJfUkFHU0h4Uy5qcGc.webp)


### Dive Brief:


* Amazon President and CEO Andy Jassytouted the cyber resilience of AWS cloud infrastructure during the tech giant’s[Q1 2024 earnings callTuesday](https://www.fool.com/earnings/call-transcripts/2024/04/30/amazoncom-amzn-q1-2024-earnings-call-transcript/).
* Jassy urged enterprises “not to overlook the security and operational performance” of cloud-based generative AI services. “It’s less sexy, but critically important,” Jassysaid. “Most companies care deeply about the privacy of the data in their AI applications and the reliability of their training and production apps.”
* Jassy also trumpeted the general availability of the[Amazon Q generative AI assistant](https://press.aboutamazon.com/2024/4/aws-announces-general-availability-of-amazon-q-the-most-capable-generative-ai-powered-assistant-for-accelerating-software-development-and-leveraging-companies-internal-data)announced Tuesday and credited AI with boosting the company’s cloud business.“We see considerable momentum on the AI front, where we’ve accumulated a multibillion-dollar revenue run rate already,” Jassy said, pointing to year-over-year AWS revenue growth of17.2%, up from 13.2%in Q4 2023.


### Dive Insight:


As cloud deployments expanded and the economy contracted last year, enterprises [worried more about cost controls](https://www.ciodive.com/news/multicloud-cost-optimization-finops-flexera/709927/) than potential cyber risks. But data-hungry generative AI tools have [rekindled security concerns](https://www.ciodive.com/news/NIST-AI-model-evaluations-risk-guidance/714773/), particularly around cloud-based applications powered by the technology.


Jassy’s comments come at a time when Microsoft, AWS’ [primary cloud competitor](https://www.ciodive.com/news/Microsoft-market-share-growth-cloud-AWS-Google/642123/), is weathering the fallout from a [series of state-linked](https://www.cybersecuritydive.com/news/microsoft-security-debt-crashing-down/714685/) [security incidents](https://www.cybersecuritydive.com/news/microsoft-security-debt-crashing-down/714685/), including a successful attack on the Microsoft Exchange Online environment.


Microsoft CEO Satya Nadella stressed that [security is now the company’s number one priority](https://www.cybersecuritydive.com/news/microsoft-ceo-security-priority/714450/), during an earnings call last week. Nadella pointed to Microsoft’s Secure Future cybersecurity initiative, launched last fall, emphasizing, “we are doubling down on this very important work, putting security above all else — before all other features and investments.”


AWS is also leaning on security to drive cloud adoption as enterprises accelerate migrations, Jassy said Tuesday.


“The lion’s share of cost optimization is behind us,” Jassy said. “We’re seeing very significant momentum in people trying to figure out how to run their generative AI on top of AWS.”


As AI adoption progresses, Amazon is pushing enterprise leaders to consider data safety, too.


“These generative AI applications are going to have their most sensitive assets and data, and it’s going to matter a lot to them what kind of security they get around those applications,” Jassy said. “And yes, if you just pay attention to what’s been happening over the last year or two, not all the providers have the same track record.”





## Tags:


### Autogenerated tags:
[[jassy]] [[cloud]] [[aws]] [[microsoft]]
