# CircleCI working with AWS to identify, revoke keys impacted by security incident
## The company assured customers there is no indication that AWS accounts were accessed. CircleCI has scheduled an incident report for Jan. 17.
## Information:

+ Link: https://www.cybersecuritydive.com/news/circleci-aws-revoke-keys-security/640271/
+ Source: CyberSecurity Dive
+ Author: David Jones
+ Date published: 11 January 2023, 23:00
+ Date scraped: 17 January 2023, 17:01

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/BdrK9JNdUUmp1kK7aaBhKTvHa30zSUR_aQpHVPZFJ7g/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExOTc2NDYwNjVfV1RwUWpSeC5qcGc.jpg)


CircleCI is working with Amazon Web Services to notify customers with AWS tokens that might have been impacted by the Jan. 4 security incident,[according to an update](https://circleci.com/blog/january-4-2023-security-alert/)Wednesday from Rob Zuber, CTO at CircleCI. The notices are going out via email


[AWS began sending updates to customers](https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_access-keys.html#Using_RotateAccessKey)with lists of tokens that may have been impacted, according to the blog post. CircleCI said it wants to help identify and revoke any keys that may have been affected by the security incident.


The emails do not indicate anyone gained access to AWS accounts,but are sent because there is a possibility the token stored in CircleCI was leaked, according to the blog.


“Our goal in working with AWS on this additional level of communication is to help customers more easily identify, revoke or rotate any potentially affected keys,” a CircleCI spokesperson said via email.


CircleCI said the AWS alert relates to the original Jan. 4 incident and that no new information has come to light. The company put out a tweet to[reassure customers](https://twitter.com/CircleCI/status/1613335372850765827?ref_src=twsrc%5Etfw%7Ctwcamp%5Etweetembed%7Ctwterm%5E1613335372850765827%7Ctwgr%5Ec05261862b969cfd93864b285c31d79ccf44fca3%7Ctwcon%5Es1_c10&ref_url=https%3A%2F%2Fpublish.twitter.com%2F%3Fquery%3Dhttps3A2F2Ftwitter.com2FCircleCI2Fstatus2F1613335372850765827widget%3DTweet)the information was not a sign of any additional threat.


CircleCI announced earlier this week that it would provide customers with an[incident report on Jan. 17](https://www.cybersecuritydive.com/news/circleci-security-software-development/639938/)to update them with additional details on the original security incident.


Zuber originally urged customers last week to rotate their secrets, saying it was investigating a security incident.  However the original post did not provide any details about what happened.


Customers were warned not only to rotate secrets, but check internal logs for any unauthorized access dating back to Dec. 21. That day, Zuber updated customers about reliability issues plaguing the company last year, but officials said the security incident is not related to past issues. Any connection between the dates is sheer coincidence, the company said.





## Tags:


### Autogenerated tags:
[[circleci]] [[aws]] [[zuber]]
