# Cyber paradox: Security looms as obstacle and opportunity in cloud migration
## Data protection and compliance solutions are easing cloud adoption even as cyber concerns persist.
## Information:

+ Link: https://www.cybersecuritydive.com/news/cloud-cybersecurity-modernization-paradox/632750/
+ Source: CyberSecurity Dive
+ Author: Matt Ashare
+ Date published: 27 September 2022, 00:00
+ Date scraped: 29 September 2022, 16:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/1uH0Zk0-by6Gqk1UdMijQJHHTOJweZ_YWPLK9UDB-WY/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzNTU2Mzg4MzQuanBn.jpg)


### Dive Brief:


* Cloud migration yields security gains, even in the heavily regulated financial services and healthcare sectors, according to [a new report](https://www.presidio.com/icheestu/2022/08/Presidio_2022_Cloud-Adoption-Report_FINAL-004.pdf?utm_source=Web&utm_medium=dotcom&utm_campaign=cloudtransformationreport22&utm_) commissioned by digital services provider Presidio.
* Just over half of the more than 1,000 IT leaders surveyed by Censuswide for Presidio in April and May said cloud technologies make it easier to keep up with changing data privacy and infrastructure security regulations, including 57% of respondents from financial services companies and 56% of healthcare executives.
* The survey highlights the paradoxical relationship between cybersecurity and modernization. Three in five respondents believe cloud enables faster and more flexible threat response capabilities, but the same number see cyber concerns as both an obstacle to and a reason for cloud adoption.


### Dive Insight:


Efficiency gains, innovation opportunities and CapEx reductions are, by now, obvious motivations for aggressive cloud adoption. Caution fueled by security and compliance concerns embody a looming counterforce, particularly in highly regulated sectors.


Many companies continue to rank security challenges as the top impediment to cloud adoption, a dynamic that’s particularly acute in finance and healthcare, according to Presidio.


These concerns are not unfounded. Cloud security professionals expect an uptick in [cloud data breaches](https://www.ciodive.com/news/cloud-security-risks-IT/632157/) over the next year and [SaaS application proliferation](https://www.ciodive.com/news/software-saas-apps-security/630977/) has opened up new threat vectors, according to recent reports.


“The hardest piece of this whole thing is secure connectivity,” said Presidio CTO Rob Kim in an interview with CIO Dive. “It’s only gotten more difficult, especially when you have to distribute data and application access to a remote workforce.”


“You need to develop a completely different security strategy, apply policies to enforce that strategy, and deploy technologies to make sure that you’re fulfilling compliance,” said Kim


Better alignment between providers and compliance standards, coupled with clearer [security guidance](https://www.cybersecuritydive.com/news/nist-supply-chain-security/618413/) from CISA, NIST and the [Cloud Security Alliance](https://www.cybersecuritydive.com/news/shared-responsibility-models-cloud-security-azure-aws-google/596579/) has given companies a clearer way toward improved security and compliance, according to the report.


The perceived cost of new cyber solutions, lack of clarity around cloud security protocols and trouble sourcing cyber talent are the three primary roadblocks companies are grappling with.


Buy-in on the concept of cloud is not an impediment.


“AWS and Microsoft don’t need help convincing clients to do cloud native-based development work,” Kim said.





## Tags:


### Autogenerated tags:
[[cloud]]
