# The top cybersecurity events and conferences in 2024, according to security pros
## Which security conferences are teams prioritizing in 2024? A new report reveals the 7 most popular events in the cybersecurity calendar.
## Information:

+ Link: https://www.cybersecuritydive.com/spons/the-top-cybersecurity-events-and-conferences-in-2024-according-to-security/700209/
+ Source: CyberSecurity Dive
+ Author: CyberSecurity Dive
+ Date published: 27 November 2023, 05:00
+ Date scraped: 27 November 2023, 15:01

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/vcwCpLLUPJzEnu32Z9d0bguwoLxGnvJJEUgJWCyZvQg/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0hlYWRlcl9pbWFnZV9UaW5lc194X0N5YmVyc2VjdXJpdHlfRGl2ZV8xMDQweDYxNi5wbmc.jpg)


With security team workloads increasing [year-on-year](https://www.tines.com/access/report-voice-of-the-soc-2023?utm_source=paid&utm_medium=media&utm_campaign=industrydive), it’s no surprise that practitioners are selective about which cybersecurity events and conferences they attend.


But despite reporting high levels of [understaffing and burnout](https://www.tines.com/access/report-voice-of-the-soc-2023?utm_source=paid&utm_medium=media&utm_campaign=industrydive), most security pros make time to attend conferences - according to the [2023 Voice of the SOC report](https://www.tines.com/access/report-voice-of-the-soc-2023?utm_source=paid&utm_medium=media&utm_campaign=industrydive), 81% have attended at least one conference in the past two years.


The message here is clear: most security practitioners view attending cybersecurity conferences as time well spent. These events not only help security pros stay informed on upcoming trends and threats, but they also provide opportunities to connect with peers, learn how other teams are approaching key problems, explore the latest security tools, and hear insights from industry leaders. In short, security pros walk away from these events with a deeper understanding of what they need to focus on for the following quarter.


So which conferences are security teams prioritizing in 2024? According to the report, there are seven key events that security pros find value in year after year.


#### 1. AWS re:Inforce


Held annually in the US, AWS re:Inforce is a three-day conference offering opportunities to learn about cloud security, compliance, identity, and privacy. Expect leadership and breakout sessions, as well as details of new AWS launches in the event’s hotly-anticipated keynote.


**Attended by:**39% of survey respondents


**Next conference:**


* [AWS: re:Inforce](https://reinforce.awsevents.com/), June 10 to 12, 2024 | Philadelphia, PA


#### 2. Black Hat


Black Hat is an international event series that provides attendees with the latest in information security research, development, and trends. Taking place in the US, Europe, Asia, Middle East and Africa, these multi-day, in–person events offer technical hands-on trainings, as well as expert-led briefings showcasing new research, vulnerabilities, and open-source tools.


**Attended by:**37% of survey respondents


**Next conferences:**


* [Black Hat Europe](https://www.tines.com/events/blackhat-eu-2023-book-a-meeting-with-tines?utm_source=paid&utm_medium=media&utm_campaign=industrydive), December 4 to 7, 2023 | London, UK
* [Black Hat Asia](https://www.blackhat.com/upcoming.html) , April 16 to 19, 2024 | Singapore
* [Black Hat USA](https://www.blackhat.com/upcoming.html), August 3 to 8, 2024 | Las Vegas, NV


**Key event:**


**[Black Hat Happy Hour with Tines and Drata](https://www.tines.com/events/happy-hour-tines-drata?utm_source=paid&utm_medium=media&utm_campaign=industrydive)**


*Wednesday, December 6, from 5 pm to 9 pm | Sunborn yacht, less than a minute’s walk from the main entrance of ExCel London*


The Black Hat Happy Hour with Tines and Drata offers a chance to connect with fellow security pros over drinks and canapés on board the Sunborn yacht. Drata’s EMEA Audit Alliance Manager Martin Davies and Tines co-founder and COO Thomas Kinsellahost a mini panel discussion on the pivotal role security and automation play in compliance. [Register here to attend](https://www.tines.com/events/happy-hour-tines-drata?utm_source=paid&utm_medium=media&utm_campaign=industrydive).


#### 3. AWS re:Invent


AWS re:Invent is a five-day learning conference for the global cloud computing community. The in-person event features keynote announcements, training and certification opportunities, and technical sessions.


**Attended by:**35% of survey respondents


**Next conference:**


* [AWS re:Invent](https://reinvent.awsevents.com/), November 27 to December 1, 2023 | Las Vegas, NV


#### 4. InfoSec


InfoSec is a leading event series for the information security community, taking place annually in the US and Europe. Attendees can expect a wealth of learning and networking opportunities, as well as expert-led sessions and workshops.


**Attended by:**27% of survey respondents


**Next conference:**


* [InfoSecurity Europe](https://www.infosecurityeurope.com/), June 4 to 6, 2024 | London, UK
* [InfoSec World](https://www.infosecworldusa.com/), September 23 to 25, 2024 | Lake Buena Vista, FL


#### 5. DefCon


DefCon is a hacker conference held annually in Las Vegas, which proved to be particularly popular with security practitioners from companies of 1,000 employees or less. Famous for its contests, the conference includes multiple speaker tracks covering a wide range of cybersecurity challenges.


**Attended by:**27% of survey respondents


**Next conference:**


* [DefCon 32](https://defcon.org/), August 8 to 11, 2024 | Las Vegas, NV


#### 6. BSides


BSides is a community-driven security event series that takes place in over 60 countries. Popular for its schedule of live talks and demos, and its collaborative atmosphere, BSides events are particularly popular with survey respondents in Europe - 30% said they’d attended a BSides event in the past 2 years.


**Attended by:**24% of total survey respondents


**Next conference:**


* [BSides London](https://www.tines.com/events?event=bsides-london-2023/?utm_source=paid&utm_medium=media&utm_campaign=industrydive), December 9, 2023 | London, UK
* [BSides San Diego](https://www.bsidessd.org/), March 30 | San Diego, CA
* [BSides Tampa](http://events.bsidestampa.net/BSidesTampa2024), April 6, 2024 | Tampa, FL
* [BSides Seattle](https://www.bsidesseattle.com/), April 27, 2024 | Seattle, WA
* [BSides San Francisco](https://bsidessf.org/), May 4 to 5, 2024 | San Francisco, CA


#### 7. RSA Conference


One of the longest-established events on our list, RSA is an annual cybersecurity conference in the US, which was designed to help cybersecurity professionals strengthen their organizations. Attendees can expect networking, contests, and expert-led sessions.


**Attended by:**13% of survey respondents


**Next conference:**


* [RSA Conference 2024](https://www.rsaconference.com/usa), May 6 - 9, 2024 | San Francisco, CA


Stay up to date with the latest [cybersecurity event listings](https://www.tines.com/events?utm_source=paid&utm_medium=media&utm_campaign=industrydive).





## Tags:


### Autogenerated tags:
[[bsides]] [[aws]] [[cybersecurity]] [[re:inforce]] [[expert-led]] [[uk]] [[drata]] [[re:invent]] [[infosec]] [[defcon]]
