# Where is AWS in the cybersecurity conversation?
## The cloud leader doesn’t emphasize security and share information at the same level as its competitors. Experts say that's by design.
## Information:

+ Link: https://www.cybersecuritydive.com/news/aws-cybersecurity-cloud-market/637467/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 28 November 2022, 23:00
+ Date scraped: 02 December 2022, 17:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/NtaQ2PmcRD93v_Jghop7znpH7QvV8XFBWa06wWy-HwI/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzNTY2OTY5ODEuanBn.jpg)


Amazon Web Services is riding high as cloud adoption swells, beating its peers while commanding the enterprise technology industry’s attention. But, unlike Microsoft and Google, the cloud giant is not shining a spotlight on security.


That doesn’t mean AWS is any less secure or invested in cybersecurity than its competitors, according to security researchers and analysts. But there is a perception it is less forthright than Microsoft Azure and Google Cloud in sharing insights with the cybersecurity community at large.


Security messaging at AWS leans heavily on the shared responsibility model. It promises to manage security*of*the cloud leaving customers to secure what’s*in*the cloud.


The company largely shares research, threat intelligence or vulnerability and risk assessments as they pertain to AWS products. That public information, including[security bulletins](https://aws.amazon.com/security/security-bulletins/), is for AWS customers, first and foremost.


AWS also helps shape security governance through[its participation on](https://www.cisa.gov/sites/default/files/publications/CSAC_Factsheet_5-19-22_508c.pdf)the Cybersecurity and Infrastructure Security Agency’s advisory committee.


The cloud giant plays an active role in the cybersecurity community, but among the nearly dozen experts and analysts Cybersecurity Dive spoke to, the consensus was it’s just quiet about it.


How the trio of cloud giants is perceived on the cybersecurity front largely comes down to differences in business philosophy, according toMauricio Sanchez, research director of network security at Dell’Oro Group.


“AWS appears to have taken the [tack] that it’s better for the bottom line to not compete on the security front, versus Microsoft and Google choosing to make it a business priority,” he said in an email.


AWS declined Cybersecurity Dive’s request to comment on how it participates in cybersecurity community discourse and the security information sharing space.


### **The cloud kingmaker**


There’s no underselling how important AWS is to Amazon. The cloud unit generates just 16% of Amazon’s net sales, yet it’s the reason Amazon remains profitable. In Q3, for the period ending Sept. 30, Amazon’s larger North America and international segments operated at a loss, leaving AWS the sole reason the[company turned a profit](https://ir.aboutamazon.com/news-release/news-release-details/2022/Amazon.com-Announces-Third-Quarter-Results/default.aspx).


All told, AWS, Microsoft and Google account for two-thirds of the global cloud market, but AWS controls 34% of the market — more than the other two hyperscalers combined, according to[John Dinsdale, chief analyst at Synergy Research Group](https://www.ciodive.com/news/Hyperscalers-AWS-Microsoft-Google-cloud-market-dominance/635518/).Microsoft Azure controls 21% of the public cloud market, trailed by Google Cloud’s 11%.


AWS is not trying to be a thought leader in security, said Claude Mandy, chief evangelist for data security at Symmetry Systems.


“They are a thought leader in cloud and the leader in that,” said Mandy.“They want to be synonymous with the leading cloud service provider.”



Market research firms name AWS as a key player in the global cloud security market, but the size of its security business is largely unknown. Amazon doesn’t break out security-related revenue in financial reports or filings with the Securities and Exchange Commission.


Security was only mentioned once, in passing, during the company’s most recent earnings call.


“Unfortunately, in the cybersecurity world where too often perception is more important than substance, I do think AWS gets unfairly dinged because they aren’t out to market and monetizing cloud security solutions in the same way Microsoft and Google appear to be doing,” Sanchez said.


### **How AWS portrays its role in cybersecurity**


If one of the hyperscalers focuses on being the thought leader in cloud security and earns that distinction with persistence, there could eventually be consequences — either perceived or real — for the other two.


All three of the major cloud providers regularly host security-focused conferences and participate in industry events. And each build security into their solutions.


AWS consistently supports federal government initiatives, such as the[Joint Cyber Defense Collaborative](https://www.cybersecuritydive.com/news/cisa-jcdc-public-private-cyber/629672/), and its leaders often join counterparts at other companies and federal cyber authorities to promote partnerships and advocate for the development of a larger cybersecurity workforce.


In August, a coalition of 18 companies introduced the[Open Cybersecurity Schema Framework project](https://www.cybersecuritydive.com/news/open-source-data-project/629342/), initially established by AWS and Splunk, to create a universal model for sharing data deemed essential to spot and curb cyberattacks.


AWS doesn’t hide these efforts, but it doesn’t make a big splash about it either. And that’s probably by design.


“AWS doesn’t market security because they are the market leader and consider it part of what they do,” said Zeus Kerravala, founder and principal analyst at ZK Research. “However, they could do more.”


The company’s security strategy, as top executives explained in July at its security conference AWS re:Inforce, is to[strike a balance](https://www.cybersecuritydive.com/news/aws-reinforce-cloud-security/628199/)between providing embedded security capabilities that require minimal customer effort and linking customers to third-party vendors that can fulfill specific needs.


AWS lists almost 20 cloud security products and features on its site, ranging from identity and access management to detection, network and application protection, data protection, incident response and compliance.


These services integrate into customers’ AWS computing environments, but further customization opportunities are available via the AWS Marketplace. A simple search for cloud security retrieved almost 4,200 results for products, including many from well-known vendors such as Palo Alto Networks, IBM Security, Check Point and CrowdStrike.


AWS leads with this developer-centric strategy, Microsoft takes an enterprise-centric approach and Google is somewhere in the middle. This strategic difference plays out to opposite extremes.


Microsoft is parlaying its long history in enterprise endpoint operating systems into cloud security and AWS offers a large marketplace, showcasing its stronger willingness to partner with third-party security vendors instead of keeping customers captive with in-house offerings, Sanchez said.


“Somewhere in the middle is Google, who up until recently didn’t appear to be swaying toward any of these two extremes,” he said.


Google’s[$5.4 billion Mandiant acquisition](https://www.cybersecuritydive.com/news/google-closes-mandiant-acquisition/631629/)in September “made it pretty clear that they[want to be known as a security provider](https://www.cybersecuritydive.com/news/google-teases-mandiant-plans/633818/)like Microsoft,” Sanchez said.




### 
 Read More in Strategy












[![AWS CEO Adam Selipsky](/imgproxy/VOYAg1OA3YSisqAFmCb1SQ9MU-nWhymFTafdCGLwjbk/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyNDUyMTM4OTYuanBn.jpg)](https://www.cybersecuritydive.com/news/aws-security-lake/637841/)
Dec 02, 2022
[AWS builds a lake for multivendor security data sharing](https://www.cybersecuritydive.com/news/aws-security-lake/637841/)



[![Uncut sheet of U.S. $100 bills](/imgproxy/X65dxA7ql-9r_UlMeK8p2R0NOTM3bCuonNA2YSrRe3s/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTUxMzU5NDQ5NC5qcGc.jpg)](https://www.cybersecuritydive.com/news/crowdstrike-cyber-spend/637722/)
Dec 01, 2022
[CrowdStrike CEO: SMB deals delayed as enterprises hold firm on cyber spend](https://www.cybersecuritydive.com/news/crowdstrike-cyber-spend/637722/)



[![A sign is posted in front of a Walmart store on November 16, 2021 in American Canyon, California.](/imgproxy/EL-BCMpMIeFrvT8aDyXP8FOYnIFX8O6NWW4V-KZfy2M/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzNTM2NzkyNDQuanBn.jpg)](https://www.cybersecuritydive.com/news/walmart-security-strategy-automation/637624/)
Nov 30, 2022
[Walmart security, operating at a vast scale, turns to automation](https://www.cybersecuritydive.com/news/walmart-security-strategy-automation/637624/)



[![AWS CEO Adam Selipsky](/imgproxy/JIHdUz1QSfRmZwqSiz2iQoQru6_06dHwas0DaM_u8vk/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyNDUyMTQwMzUuanBn.jpg)](https://www.cybersecuritydive.com/news/aws-ceo-cloud-security/637623/)
Nov 30, 2022
[AWS CEO stresses the core elements of cloud security](https://www.cybersecuritydive.com/news/aws-ceo-cloud-security/637623/)



[![Pedestrians walk beside a stone wall with gilded letters spelling out "14 Wall Street."](/imgproxy/FZhtUSUxE-_g422au6GCtBEWG-TqyEuNFhfWrfyYOm4/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTE0MDI4Nzc2NTUuanBn.jpg)](https://www.cybersecuritydive.com/news/MSP-cybersecurity-technology-spending/637365/)
Nov 28, 2022
[As companies tighten tech spend, demand for cybersecurity services grows](https://www.cybersecuritydive.com/news/MSP-cybersecurity-technology-spending/637365/)



[![](/imgproxy/yuNXCC0wgx4bLfs8sSmMD8KQUkAKG7l7eP7Lg5BzIn4/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTc3MDY2MDgzXzEuanBn.jpg)](https://www.cybersecuritydive.com/news/defense-department-zero-trust/637301/)
Nov 23, 2022
[Defense Department launches zero trust, phasing out perimeter defense strategy](https://www.cybersecuritydive.com/news/defense-department-zero-trust/637301/)



[![skeleton of a mastodon](/imgproxy/7eU2oZt6YbkQlIOAwx4-PgiDhU8TNjYQ3gyF1D--v6o/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExODE2MDA1OTEuanBn.jpg)](https://www.cybersecuritydive.com/news/mastodon-infosec-cisa-impersonators/637292/)
Nov 23, 2022
[Growing Mastodon security community grapples with CISA impersonators](https://www.cybersecuritydive.com/news/mastodon-infosec-cisa-impersonators/637292/)



[![In-house IT training session upskills workforce](/imgproxy/7qPOJ0am2AWXXyQz-aLb3GRTHngDX4uODZkHfegi0QA/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEwOTgzOTE4NjhfaWJRcWR5ay5qcGc.jpg)](https://www.cybersecuritydive.com/news/new-security-awareness-training-cyber/637170/)
Nov 22, 2022
[Security awareness training needs a revamp](https://www.cybersecuritydive.com/news/new-security-awareness-training-cyber/637170/)



[Want to see more stories in **Strategy**?
 

 Read More ➔](/topic/strategy/)




### **Security perceptions flow from different strengths**


AWS’ first-mover advantage in cloud bears strengths in security capabilities. It provides a baseline of embedded security that frees most customers from worrying about anomalous activities, according to researchers and analysts.


Amazon likely hashed out security requirements for the cloud before Microsoft and Google, which are now going through trial by fire amid a more intense threat landscape, said Davis McCarthy, principal security researcher at Valtix.


Most small to medium organizations get more protection than they would otherwise develop internally with that push-button approach, but larger enterprises often have specialized requirements that necessitate customizations and sophisticated configurations.


Customized development and proactive threat hunting based on intelligence shared by a cloud provider will bolster an organization’s defenses even further.


Microsoft stands apart in that regard, partly because of its legacy in the enterprise market, by regularly sharing specific details about vulnerabilities and how they apply to enterprise environments for purposes of threat hunting and analysis.


That history and consistent public exposure with the cybersecurity community explains why many view Microsoft as the long-standing reliable source for information gathering and sharing.


The threat landscape is becoming more targeted toward the cloud and Microsoft has always been a part of that conversation, whereas AWS has not, McCarthy said. “I would expect to see more from [AWS], more leadership in that space.”





## Tags:


### Autogenerated tags:
[[aws]] [[cloud]] [[cybersecurity]] [[microsoft]] [[google]] [[sanchez]]
