# Cloudflare Falls Victim to Okta Breach, Atlassian Systems Cracked
## The cyberattackers, believed to be state sponsored, didn't get far into Cloudflare's global network, but not for lack of trying.
## Information:

+ Link: https://www.darkreading.com/threat-intelligence/cloudflare-falls-victim-okta-breach-atlassian-systems-cracked
+ Source: DarkReading
+ Author: Tara Seals, Managing Editor, News, Dark Reading
+ Date published: 02 February 2024, 13:00
+ Date scraped: 02 February 2024, 13:02

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/bltede8a5cd951849b4/64f114dd30457d7b57118c7c/cloud-Cloudflare_Logo.png?disable=upscale&width=1200&height=630&fit=crop)

Cloudflare was a victim of the wide-ranging Okta supply-chain campaign last fall, with a data breach impacting its Atlassian Bitbucket, Confluence, and Jira platforms beginning on Thanksgiving Day.

"Based on our collaboration with colleagues in the industry and government, we believe that this attack was performed by a nation-state attacker with the goal of obtaining persistent and widespread access to Cloudflare's global network," the Internet security and DDoS protection company said in a[blog on the Okta-related cyber incident](https://blog.cloudflare.com/thanksgiving-2023-security-incident), published yesterday.

Cyberattackers Looked for Lateral Movement Options
--------------------------------------------------

Cloudflare worked with CrowdStrike and was able to determine that, after initial reconnaissance work, cyberattackers accessed its internal wiki (Confluence) and bug database (Jira) before establishing persistence on its Atlassian server. From there, the perpetrators poked around for places to pivot into, successfully puddle-hopping into the Cloudflare source code management system (Bitbucket) and an AWS instance.

The analysis showed that the cyberattackers were "looking for information about the configuration and management of our global network, and accessed various Jira tickets ... relating to vulnerability management, secret rotation, MFA bypass, network access, and even our response to the Okta incident itself."

But they were largely shut out of other systems they tried, like a console server that had access to a dormant data center in São Paulo.

In all, the unknown assailants "accessed some documentation and a limited amount of source code," but no customer data or systems, according to Cloudflare, thanks to network segmentation and the implementation of a zero-trust authentication approach that limited lateral movement.

Nonetheless, the firm erred on the side of caution: "We undertook a comprehensive effort to rotate every production credential (more than 5,000 individual credentials), physically segment test and staging systems, performed forensic triages on 4,893 systems, reimaged and rebooted every machine in our global network including all the systems the threat actor accessed and[all Atlassian products](https://www.darkreading.com/cloud-security/atlassian-rce-bugs-plague-confluence-bamboo)(Jira, Confluence, and Bitbucket)."

Yet Another Okta Breach Victim
------------------------------

In October, Okta, the identity and access management services provider, disclosed that its[customer support case management system was compromised](https://www.darkreading.com/application-security/more-okta-customers-hacked-through-support-service), exposing sensitive customer data including cookies and session tokens, usernames, emails, company names, and more. Initially the company said that[less than 1% of its customers](https://www.darkreading.com/cyberattacks-data-breaches/okta-customer-support-breach-exposed-data-134-customers-)were affected (134 in all), but in late November the company[widened the number to a staggering 100%](https://www.darkreading.com/application-security/otka-breach-widens-entire-customer-base).

"They [achieved compromise] by using one access token and three service account credentials that had been taken, and that we failed to rotate, after the Okta compromise of October 2023," according to Cloudflare. "All threat actor access and connections were terminated on November 24 and CrowdStrike has confirmed that the last evidence of threat activity was on November 24 at 10:44."




## Tags:


### Autogenerated tags:
[[cloudflare]] [[jira]] [[atlassian]] [[bitbucket]]
