# INE Security Enables CISOs to Secure Board Support for Cybersecurity Training
## Cary, United States, 28th May 2024, CyberNewsWire
## Information:

+ Link: https://www.hackread.com/ine-security-enables-cisos-to-secure-board-support-for-cybersecurity-training/
+ Source: HACKRead
+ Author: cybernewswire
+ Date published: 28 May 2024, 14:33
+ Date scraped: 28 May 2024, 14:07

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/05/ine_logo_1200x720_720_17164813918aET6s9IkZ.jpg)


**Cary, United States, May 28th, 2024, CyberNewsWire**



If there is a single theme circulating among Chief Information Security Officers (CISOs) right now, it is the question of how to get stakeholders on board with more robust cybersecurity training protocols.


There are key points debated about why you should provide cybersecurity training to your IT professionals, like the alarming increase in cyberattacks (an increase of 72% over the all-time high in 2021, according to the [Identity Theft Research Center’s 2023 Data Breach Report](https://www.idtheftcenter.org/wp-content/uploads/2024/01/ITRC_2023-Annual-Data-Breach-Report.pdf)), or the rapid evolution in technology, creating a constant game of catch-up.


But it isn’t a question of ”if” an organization will be targeted, but “when.” CISOs are increasingly anxious because while they realize the ax will fall on them when the inevitable breach occurs, securing boardroom support for heavy investment in preventative measures, like training, is challenging in a world where revenue is demanded for each dollar spent.


“The path to securing the boardroom’s buy-in is more complex than simply having the right statistics and studies on paper,” says Dara Warn, the CEO of [INE Security](http://www.ine.com?utm_source=forbes&utm_medium=affiliate&utm_campaign=forbes-council&utm_content=ciso-board-support_05232024&utm_term=fobes-council), a global cybersecurity training and certification provider. “To bridge the gap between CISOs and stakeholders, CISOs must adopt a strategic approach that combines financial impact data, relevant case studies, and compelling narratives. Framing cybersecurity training as an essential investment rather than an optional expense is critical.”


**The Human Factor in Cybersecurity**
-------------------------------------


Cybersecurity is not just about technology; it’s about people. Human error remains one of the leading causes of security breaches. A study by Verizon in their [2023 Data Breach Investigations Report](https://www.verizon.com/business/resources/reports/dbir/?cmp=knc:ggl:ac:ent:ea:na:8888855284_ds_cid_71700000082349844_ds_agid_58700006959928990&utm_term=verizon%20data%20breach%20report&utm_medium=cpc&utm_source=google&utm_campaign=GGL_BND_Security_Phrase&utm_content=Enterprise&gad_source=1&gclid=Cj0KCQjwjLGyBhCYARIsAPqTz18wOoAuBh5NMgkQKBy7c9z5s_RnVuwGOm3UW35TPJTr9Mddrb547WgaAsMMEALw_wcB&gclsrc=aw.ds) found that 68% of breaches involved a human element, such as social engineering, misuse of privileges, or simple mistakes. This highlights the importance of equipping employees with the knowledge and skills to recognize and respond to potential threats.


### **Case Study: Capital One Data Breach**


In 2019, Capital One experienced a data breach that exposed the personal information of over 100 million customers. The breach was caused by a misconfigured web application firewall, which allowed an attacker to access sensitive data stored on Amazon Web Services (AWS). This incident underscores the importance of training employees on cloud security practices and the proper configuration of security tools. In response, Capital One enhanced its cybersecurity training programs to include cloud security, emphasizing the need for regular audits and configuration checks. This case illustrates how specialized training can prevent costly breaches and protect sensitive data.


**The ROI of Cybersecurity Training**
-------------------------------------


Investing in cybersecurity training is not just a defensive measure; it’s a strategic investment that can yield significant returns. A well-trained workforce, not just security awareness but the SOC and networking teams, can serve as the first line of defense against cyber threats, reducing the likelihood of breaches and minimizing potential damages. According to the Ponemon Institute’s [2023 Cost of Data Breach Report](https://www.ibm.com/downloads/cas/E3G5JMBP), organizations with extensive incident response planning and testing programs saved $1.49 million compared to those with lower levels.


### **Case Study: Maersk NotPetya Attack**


In 2017, [shipping giant Maersk was hit by the NotPetya malware](https://www.sipa.columbia.edu/sites/default/files/2022-11/NotPetya%20Final.pdf), which spread rapidly through its global network, causing a complete shutdown of its IT systems. The attack was initiated by a compromised software update, exploiting poor cybersecurity hygiene and a lack of employee training on identifying malicious software. The incident cost Maersk over $300 million in losses. In response, Maersk implemented a comprehensive cybersecurity training program focusing on recognizing malicious software, securing software updates, and responding to cyber incidents. This case highlights the necessity of training employees on the latest cyber threats and best practices.


**Crafting a Compelling Narrative for the Boardroom**
-----------------------------------------------------


The company’s financial data and case studies are important to secure, but communicating that to the boardroom remains a challenge for CISOs. To get the message across, CISOs must also craft a compelling narrative that resonates with the board members. Here are some key strategies:


### **1. Speak the Board’s Language**


Board members are often more attuned to financial metrics and business outcomes than technical jargon. CISOs should frame cybersecurity training as a business enabler that protects the organization’s bottom line. Highlighting the potential financial losses from breaches and the ROI of training programs can make a compelling case.


### **2. Use Real-World Examples**


Real-world case studies, like the attacks on Maersk NotPetya and Capital One, can illustrate the tangible impact of cybersecurity training. These examples provide relatable scenarios that underscore the importance of investing in employee education.


### **3. Leverage Data and Statistics**


Presenting data from reputable sources can lend credibility to the argument. Statistics that demonstrate the prevalence of human error in breaches and the financial benefits of training can be powerful tools in persuading the board.


### **4. Emphasize Regulatory Compliance**


Regulatory requirements, such as GDPR and CCPA, mandate stringent data protection measures. Failure to comply can result in hefty fines and reputational damage. Emphasizing how cybersecurity training can help meet these regulatory requirements can be an effective angle to secure board buy-in.


### **5. Highlight Competitive Advantage**


In an increasingly competitive market, robust cybersecurity measures can be a differentiator. Companies known for their strong security posture are more likely to attract and retain customers. CISOs can highlight how a comprehensive training program can enhance the organization’s reputation and competitive edge.


**Overcoming Common Objections**
--------------------------------


Board members may raise objections regarding the cost and time required for cybersecurity training. CISOs should be prepared to address these concerns with data-driven arguments and strategic insights.


### **Cost Concerns**


While the initial investment in training programs may seem significant, CISOs can emphasize the long-term cost savings from preventing breaches. According to the Ponemon Institute, the average cost of a data breach in 2023 was $4.45 million. Investing in training can mitigate these costs by reducing the likelihood and severity of breaches.


### **Time Constraints**


Board members may worry about the time employees will spend on training. CISOs can advocate for flexible, modular training programs that allow employees to learn at their own pace without disrupting productivity. Additionally, emphasizing the efficiency of targeted training programs can alleviate concerns about time investment.


CISOs are key players in protecting their organizations from cyber threats. Getting the boardroom to buy into an investment in cybersecurity training is no easy task, but utilizing some of these strategies can make it more successful. Including these steps in the process of communicating your needs to stakeholders will help secure the support and resources needed to roll out effective training programs and ultimately better safeguard the organization’s digital and physical assets. The stakes are high, and having all stakeholders on the same team is critical to the long-term success and security of an organization.


**About INE Security**
----------------------


INE Security is the premier provider of online technical training and cybersecurity certifications. Harnessing the world’s most powerful hands-on lab platform, cutting-edge technology, global video distribution network, and world-class instructors, INE is the top training choice for Fortune 500 companies worldwide, and for IT professionals looking to advance their careers. INE’s suite of learning paths offers an incomparable depth of expertise across cybersecurity, cloud, networking, and data science. INE is committed to delivering advanced technical training, while also lowering the barriers worldwide for those looking to enter and excel in an IT career.



##### Contact


**Press Team**  
**INE**  
**press@ine.com**  






## Tags:
***email-adresses***: pressteaminepress@ine.com

### Autogenerated tags:
[[cybersecurity]] [[cisos]] [[ine]] [[maersk]] [[cloud]] [[notpetya]]
