# AWS Mandates Multi-Factor Authentication from 2024
## Move is designed to mitigate risk of account takeover
## Information:

+ Link: https://www.infosecurity-magazine.com/news/aws-multifactor-authentication-2024/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 06 October 2023, 12:00
+ Date scraped: 06 October 2023, 12:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/ed6a3e8b-24e9-4a50-b338-42205a56d1bf.jpg)


Amazon Web Services (AWS) said it will require multi-factor authentication (MFA) for all privileged accounts starting mid-2024, in a bid to improve default security and reduce the risk of account hijacking.


From that time, any customers signing into the AWS Management Console with the root user of an AWS Organizations management account will be required to use MFA to proceed, chief security officer, Steve Schmidt said in a blog post.


“Customers who must enable MFA will be notified of the upcoming change through multiple channels, including a prompt when they sign into the console,” he added.


“We will expand this program throughout 2024 to additional scenarios such as standalone accounts (those outside an organization in AWS Organizations) as we release features that make MFA even easier to adopt and manage at scale.”


The move follows previous AWS efforts to improve take up of MFA. The firm began offering a free security key to account owners in the US from fall 2021, and a year later enabled organizations to register up to eight MFA devices per account root user or per IAM user in AWS.


[*Read more on MFA: Tech CEOs: Multi-Factor Authentication Can Prevent 90% of Attacks.*](https://www.infosecurity-magazine.com/news/tech-execs-mfa-prevent-90-of/)


“We recommend that everyone adopts some form of MFA, and additionally encourage customers to consider choosing forms of MFA that are phishing-resistant, such as security keys,” [Schmidt concluded.](https://aws.amazon.com/blogs/security/security-by-design-aws-to-enhance-mfa-requirements-in-2024/)


“While the requirement to enable MFA for root users of AWS Organizations management accounts is coming in 2024, we strongly encourage our customers to get started today by enabling MFA not only for their root users, but for all user types in their environments.”


MFA is a critical step to mitigate the risks posed by phishing attacks on employees. An [IBM X-Force study](https://www.infosecurity-magazine.com/news/cloud-cves-surge-200-in-a-year/) last month revealed that the top initial access vector for cloud compromise between June 2022 and June 2023 was use of valid credentials by threat actors.


This happened in nearly two-fifths (36%) of real-world cloud incidents investigated by the security vendor, with credentials either discovered during an attack or stolen/phished prior to targeting an account.






## Tags:


### Autogenerated tags:
[[mfa]] [[aws]]
