# Cloud Firm Under Scrutiny For Suspected Support of APT Operations
## Halcyon said that Cloudzy has been playing a pivotal role in facilitating cyber-criminal activities
## Information:

+ Link: https://www.infosecurity-magazine.com/news/cloudzy-suspected-support-apt/
+ Source: Infosecurity News
+ Author: Alessandro  Mascellino
+ Date published: 02 August 2023, 16:30
+ Date scraped: 02 August 2023, 16:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/3e816380-92f1-4867-87c9-f26af7f4ba2b.png)


The cloud firm [Cloudzy](https://cloudzy.com/) has come under scrutiny for its alleged support of advanced persistent threat (APT) operations.


In a new report published today, the [Halcyon](https://www.halcyon.ai/) Research and Engineering Team said that Cloudzy, operating as a legitimate business, has been playing a pivotal role in facilitating cyber-criminal activities, including ransomware attacks.


According to Halcyon’s findings, Cloudzy’s platform appears to be abused for various attack campaigns, potentially without their knowledge. However, the firm reportedly serves as a crucial pillar in the attack apparatus utilized by some of the most sophisticated threat actors in the world.


“This is what the modern hosting provider for the dark web looks like. The dark web has a myriad of actors, not all of which are pure cyber-criminals,” explained Tom Kellermann, SVP of cyber strategy at [Contrast Security](https://www.contrastsecurity.com/).


“We must remember that the economy of scale of the dark web rivals that of Silicon Valley, and it is composed of cybercrime cartels who also manage the infrastructure that allows it to flourish. I hope the FBI disrupts and takes down this nefarious hosting provider.”


The Halcyon report identifies two previously undisclosed ransomware affiliates, Ghost Clown and Space Kook, using the BlackBasta and Royal ransomware strains, respectively.


[*Read more on BlackBasta: Yellow Pages Canada Hit by Cyber-Attack, Black Basta Claims Credit*](https://www.infosecurity-magazine.com/news/black-basta-hits-yellow-pages/)


These affiliates are traced back to Cloudzy, which operates under an American-based façade but, as per Halcyon’s evidence, is believed to be running its operations from Tehran, Iran, raising concerns of possible violations of US sanctions.


“This reminds me of the [Solarwinds attack](https://www.infosecurity-magazine.com/news/microsoft-1000-hackers-worked/) against US Federal and private sector infrastructure. The attack was widely attributed to Russia, who used US-based Amazon Web Services (AWS) as their command-and-control provider (C2P),” said Rosa Smothers, SVP of cyber operations at [KnowBe4](https://www.knowbe4.com/).


“In both cases, the provider couldn’t possibly be expected to have eyes on these threat actors’ activities due to contractual privacy agreements with their customers as well as the use of encrypted data, which prevents cloud service providers’ insights into the customer interactions.”


Regardless, the report reveals connections to at least 17 APT groups linked to various governments, including China, Iran, North Korea, Russia, India, Pakistan and Vietnam, along with a sanctioned Israeli spyware vendor known for targeting civilians.


The research urges readers to be vigilant and use the [indicators of compromise](https://www.halcyon.ai/blog/report-ransomware-command-and-control-providers-unmasked-by-halcyon-researchers) (IoC) provided in the report to scrutinize their networks for any malicious activity tied to Cloudzy.


*Infosecurity* has reached out to Cloudzy for clarification, but the company has yet to respond to our inquiry at the time of writing.






## Tags:


### Autogenerated tags:
[[cloudzy]] [[ransomware]]
