# HSBC Joins Quantum-Secure Network
## The banking giant is trialling the QKD-secured network as it seeks to future-proof its global operations against quantum-enabled cyber-threats
## Information:

+ Link: https://www.infosecurity-magazine.com/news/hsbc-quantum-secure-network/
+ Source: Infosecurity News
+ Author: James Coker
+ Date published: 07 July 2023, 09:00
+ Date scraped: 07 July 2023, 09:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/0fdcf369-f733-46ce-adc4-e335465bb712.jpg)


Banking giant HSBC has announced it is joining BT and Toshiba’s groundbreaking quantum-secured metro network (QSMN).


HSBC becomes the first bank to connect to the UK-based network, as it looks to future-proof its global operations against quantum-enabled cyber-threats. It will now trial multiple scenarios on the network, including financial transactions, secure video communication and one-time-pad encryption.  This will connect two UK sites – its global HQ in Canary Wharf and a data center in Berkshire, 62km away.


Additionally, it will test AWS edge computing capabilities using an AWS Snowball Edge device.


The world’s first QSMN was [launched by BT and Toshiba in London in April 2022](https://www.infosecurity-magazine.com/news-features/bt-toshiba-quantum-communication/), alongside its first commercial customer, EY. The initiative aims to allow organizations to secure the transmission of valuable data and information between multiple physical locations over standard fiber-optic links using quantum key distribution (QKD). QKD technology delivers secret keys between sites that can encrypt and decrypt sensitive data and are secured against cyber-attacks by quantum computers.


Commenting on the new announcement, Colin Bell, CEO of HSBC Bank Plc and HSBC Europe, said: “Our customers, clients and employees expect us to have safe and secure operations and resilient cybersecurity, so we must stay ahead of the curve.”


“That is why we are already preparing our global operations for a quantum future. We are spearheading industry-leading trials, recruiting highly trained experts and investing in strong, strategic partnerships to explore how we could deploy these technologies as they develop.


“Today’s milestone proves the importance of collaboration and demonstrates the significant innovation and progress that can be achieved when industry leaders join forces.”


### **Preparing for Quantum-Enabled Cyber-Attacks**


Experts predict that developments in quantum technology will enable it to [break existing encryption algorithms in the next five to 10 years](https://www.infosecurity-magazine.com/magazine-features/cybersecuritys-new-quantum-shift/), putting all data held on the internet at risk of compromise.


Efforts are ongoing to develop and roll out quantum-secure cryptography ahead of the so-called ‘Q-Day’ event. In the US, the National Institute of Standards and Technology (NIST) is working on [developing a post-quantum cryptographic (PQC) standard](https://www.infosecurity-magazine.com/news/nist-quantum-resistant-encryption/).


In December 2022, US President Joe Biden [signed the Quantum Computing Cybersecurity Preparedness Act into law](https://www.infosecurity-magazine.com/news/biden-quantum-cybersecurity-law/), which sets out a number of obligations on federal agencies to prepare their migration to quantum-secure cryptography.


It is hoped that HSBC’s trial of the QSMN will provide vital insights into the potential threat posed by quantum computers and how quantum technology can be used to enhance financial cybersecurity.


The bank’s quantum strategy is also encompassing trials of Post Quantum Cryptography (PQC), and exploring applications in quantum computing across optimization, simulation and machine learning.


Bill Vass, Vice President of Engineering at AWS, which is involved in the trial, said: "Quantum Networking is a core pillar of AWS's quantum strategy to explore quantum technologies and bring new solutions to customers. This proof-of-concept is an exciting and important step toward understanding the commercial viability and scaling required to move quantum networking forward from the lab to the real world.”






## Tags:


### Autogenerated tags:
[[hsbc]] [[aws]] [[qsmn]] [[cybersecurity]]
