# California-based workforce platform Prosperix leaks drivers licenses and medical records
## Prosperix leaked nearly 250,000 files. The breach exposed job seekers’ sensitive data, including home addresses and phone numbers. Prosperix, formally Crowdstaffing, calls itself a “workforce innovation” company that develops software solutions for businesses to build an “extraordinary” workforce. It lists KPMG, Walmart, NBCUniversal and Avon among brands that trust the company. On May 1st, the […]
## Information:

+ Link: https://securityaffairs.com/146935/security/prosperix-data-leak.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 01 June 2023, 21:45
+ Date scraped: 01 June 2023, 22:03

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2019/10/data-leak-US-Government.jpg?resize=300%2C300&ssl=1)


## Prosperix leaked nearly 250,000 files. The breach exposed job seekers’ sensitive data, including home addresses and phone numbers.


Prosperix, formally Crowdstaffing, calls itself a “workforce innovation” company that develops software solutions for businesses to build an “extraordinary” workforce. It lists KPMG, Walmart, NBCUniversal and Avon among brands that trust the company.


On May 1st, the Cybernews research team discovered a misconfigured Amazon AWS bucket. The misconfiguration led to the exposure of approximately 250,000 files. 42,000 of them contained the sensitive data of job seekers, namely:


  ![](//assets.vlitag.com/widget/2023/03/24/1679645040.png) .vi\_svg{cursor:pointer;width:38px!important;height:38px!important;display:none;margin:0!important;max-width:initial!important}.vislider\_\_control\_\_bottom .progress{position:relative;bottom:35px;left:0;height:5px!important;transition:height .3s;background:rgba(0,0,0,.5);cursor:pointer;flex:none;-ms-flex:none;display:flex;width:100%;margin:0;border-radius:0;box-shadow:none}.vislider\_\_control\_\_bottom .progress .progress\_\_filled{width:0%;background:#ddd;-ms-flex:0;flex:0;-ms-flex-preferred-size:0;flex-basis:0%}.vislider\_\_control\_\_bottom button{float:right}.vislider\_\_control\_\_bottom .vi\_\_time{color:#ddd;margin-left:5px;line-height:1;font-size:13px;display:inline-block}.vi\_slider\_control\_custom{font-family:"Helvetica Neue","Calibri Light",Roboto,sans-serif;letter-spacing:.02em}.vi\_\_player.vi\_\_played:hover .opacity\_\_control{visibility:visible;opacity:1}.playerWrapper button{background:no-repeat;border:none;outline:0;padding:0;display:inline-block;cursor:pointer;font-size:14px!important;background-color:transparent!important}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:-ms-flexbox;display:flex;justify-content:center;-ms-flex-align:center;align-items:center;justify-content:center;align-items:center;position:absolute;top:50%;left:50%;-ms-transform:translate(-50%,-50%) scale(1);transform:translate(-50%,-50%) scale(1)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_button{width:15px!important;height:15px!important;margin:0 30px}.vi\_\_loading .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:none}.slider\_\_control{position:absolute;bottom:0;left:0;width:100%;height:auto!important}.opacity\_\_control{visibility:hidden;opacity:0}.vi\_\_player:not(.vi\_\_played) .vi\_\_button,.vi\_\_player:not(.vi\_\_played) .vislider\_\_control\_\_bottom{display:none}.slider\_\_control#vislider\_control\_overlay{position:absolute;top:0;bottom:0;left:0;right:0;background-color:rgba(0,0,0,.2);cursor:pointer}.vislider\_\_loading{display:none;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_\_loading .vislider\_\_loading{display:block}#vi\_svg\_play{display:block}#btn\_control\_player{cursor:pointer;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);padding:9px;border-radius:50%;display:block;width:auto;height:auto;margin:0;max-width:inherit}.vi\_\_player:not(.vi\_\_played) #btn\_control\_player{opacity:1;visibility:visible}.vi\_\_player.vi\_\_paused .opacity\_\_control{visibility:visible;opacity:1}#vi\_toggleVolVideo .vi\_\_mutedVideo,#vi\_toggleVolVideo .vi\_\_volVideo{padding:initial;background-color:transparent;display:block;height:19px;box-sizing:content-box;position:relative;top:0;right:0}#vi\_toggleVolVideo .icon-volume{position:absolute;top:0;right:0}.sound\_on .vi\_\_mutedVideo{display:none!important}.sound\_off .vi\_\_volVideo{display:none!important}#hide\_fullscreen\_slider{position:absolute;display:none;top:-25px;right:-25px;cursor:pointer}#vi\_poster\_\_video{position:absolute;top:0;left:0;width:inherit!important;height:inherit!important;visibility:hidden;opacity:0}.adWrapperBox .adWrapper video{height:100%!important}.vislider\_\_control\_\_bottom .vi\_slider\_\_button{margin:0 5px;width:14px;height:14px}@media only screen and (max-width:480px){#hide\_fullscreen\_slider{top:-30px;right:0}}                                                             00:00/00:00                                         

* Full names
* Dates of birth
* Occupation history
* Home addresses
* Phone numbers
* Email addresses


According to the researchers, most of these files were employment authorization documents, driving licenses, resumes, filled job application forms, diploma certificates and transcripts. Some of them were medical records – including urine tests and vaccination records.


The issue was quickly solved by the company. Cybernews reached out for an official comment but has yet to receive a reply.


## The potential risks


A data leak like this can have many negative consequences for both the company and the affected job seekers.


“Individuals’ personal information (PII) such as full names, dates of birth, emails, phone numbers, and home addresses can be exploited for identity theft, spear phishing attacks, and other sorts of fraud,” our researchers warned.


For example, fraudsters could abuse such data to launch sham recruiting agencies. “This would be rather easy as fraudsters would already possess enough information about the potential victims to make their targeted scam look like appealing employment opportunities.”


Most of the employment authorization documents and driving licenses that were exposed appear to be expired. However, the leaky bucket dates back to 2017.


“Its exposure could presumably mean that those documents have been accessible for a considerable amount of time,” researchers warned.


## Prosperix should focus on the following areas to mitigate risks:


* Encryption: setting default server-side encryption for existing Amazon S3 buckets.
* Auditing and logging: regularly checking server access logs
* Employee training: enhancing knowledge and awareness of data security.


This isn’t the first time the Cybernews research team has stumbled upon exposed job seeker data. Last year, international job search engine [Jooble.org](https://cybernews.com/security/open-dataset-leaves-job-seekers-from-eastern-europe-at-risk/) put itself and its clients at risk by leaving a 470GB database unprotected.


The lion’s share of the database was composed of different job postings and searchers for companies. Our findings also indicated that Eastern European job seekers were at risk because the leaked data contained their personal information.


Leaks like this put job seekers at risk, so they should educate themselves on how to spot common job search-related scam techniques.


“For example, criminals tend to ask for money, financial information, or detailed personal information early in the application process. They also suggest conducting interviews through social media chats, set up fake company names with little to no social media presence, and offer salaries that are suspiciously high for the role,” they said.


Job seekers should do their homework by attentively looking into the company’s history and online presence. It’s also a good idea to contact the company through official channels.


**Are you a job seeker? Suggestions for you are available in the original post at CyberNews**:


[**https://cybernews.com/security/prosperix-leaks-drivers-licenses-medical-records/**](https://cybernews.com/security/prosperix-leaks-drivers-licenses-medical-records/)


**About the author: [Jurgita Lapienytė](https://cybernews.com/author/jurgital/), Chief Editor at CyberNews**


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **SpinOk**)



  


---


  




## Tags:
***urls***: https://cybernews.com/security/prosperix-leaks-drivers-licenses-medical-records/

### Autogenerated tags:
[[cybernews]] [[prosperix]]
