# New AlienFox toolkit harvests credentials for tens of cloud services
## AlienFox is a novel comprehensive toolset for harvesting credentials for multiple cloud service providers, SentinelLabs reported. AlienFox is a new modular toolkit that allows threat actors to harvest credentials for multiple cloud service providers. AlienFox is available for sale and is primarily distributed on Telegram in the form of source code archives. Some modules are […]
## Information:

+ Link: https://securityaffairs.com/144239/cyber-crime/alienfox-toolset-cloud-service-providers.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 30 March 2023, 18:29
+ Date scraped: 30 March 2023, 19:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-69.png?resize=300%2C300&ssl=1)


## AlienFox is a novel comprehensive toolset for harvesting credentials for multiple cloud service providers, SentinelLabs reported.


AlienFox is a new modular toolkit that allows threat actors to harvest credentials for multiple cloud service providers.


AlienFox is available for sale and is primarily distributed on Telegram in the form of source code archives. Some modules are available on GitHub allowing threat actors to customize their malicious code to suit their needs.


AlienFox allows its operators to harvest API keys and secrets from popular services including AWS SES & Microsoft Office 365.


*“SentinelLabs has identified a new toolkit dubbed AlienFox that attackers are using to compromise email and web hosting services. AlienFox is highly modular and evolves regularly. Most of the tools are open-source, meaning that actors can readily adapt and modify to suit their needs. Many developers take credit on different iterations of the tools.” reads the [**report**](https://www.sentinelone.com/labs/dissecting-alienfox-the-cloud-spammers-swiss-army-knife/) published by SentinelLabs. “The evolution of recurring features suggests the developers are becoming increasingly sophisticated, with performance considerations at the forefront in more recent versions.”*


AlienFox targets misconfigured servers running popular web frameworks, including Laravel, Drupal, Joomla, Magento, Opencart, Prestashop, and WordPress. AlienFox collects lists of misconfigured cloud endpoints through security scanning platforms like LeakIX and SecurityTrails.


The malware is able to target secrets for popular cloud-based email platforms, including 1and1, AWS, Bluemail, Exotel, Google Workspace, Mailgun, Mandrill, Nexmo, Office365, OneSignal, Plivo, Sendgrid, Sendinblue, Sparkpostmail, Tokbox, Twilio, Zimbra, and Zoho.


The researchers analyzed AlienFox versions 2 through 4, which date from February 2022 onward.


The oldest variant of the toolset, Version 2 focuses primarily on extracting credentials from web server configuration or environment files. Version 3.x contained the first observed version of the script Lar.py, which allows automation of the extraction of keys and secrets from compromised Laravel .env files. Version 3.x logs the results to a text file along with the targeted server details.



[![AlienFox](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-69.png?resize=546%2C280&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-69.png?ssl=1)


The most recent version of AlienFox, Version 4, shows a totally different structure, it has added WordPress, Joomla, Drupal, Prestashop, Magento, and Opencart targeting, an Amazon.com retail site account checker.


*“The most recent of the known toolsets, this set is organized much differently, with each tool assigned a numerical identifier (e.g., Tool1, Tool2). There is a core script in the AlienFox root directory named `ALIENFOXV4.py` that serves as a bootstrap for the numbered tool scripts in the child folders.” continues the analysis. “Tools 5, 6, 7, & 8 collect lists of targets and others check if the targets are misconfigured or exposed.”* 


The latest version also includes “Wallet Cracker” scripts, Tools 19 (BTC.py) and 20 (`ETH.py`), which automate cryptocurrency wallet seeds for Bitcoin and Ethereum, respectively. 


*“The AlienFox toolset demonstrates another stage in the evolution of cybercrime in the cloud.” concludes the report. “Opportunistic cloud attacks are no longer confined to cryptomining: AlienFox tools facilitate attacks on minimal services that lack the resources needed for mining. By analyzing the tools and tool output, we found that actors use AlienFox to identify and collect service credentials from misconfigured or exposed services.“*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, AlienFox)**



  


---


  




## Tags:


### Autogenerated tags:
[[alienfox]] [[cloud]] [[misconfigured]] [[toolset]] [[sentinellabs]]
