# Researcher found US ‘No Fly List’ on an unsecured server
## A researcher discovered a U.S. No Fly List exposed on the Internet, the sensitive data were hosted on a server run by US airline CommuteAir. Researchers Maia Arson Crimew discovered a U.S. No Fly List hosted on an unsecured server run by US carrier CommuteAir. The TSC’s No Fly List is a list of people who are […]
## Information:

+ Link: https://securityaffairs.com/141230/data-breach/no-fly-list-on-unsecured-server.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 January 2023, 08:25
+ Date scraped: 24 January 2023, 09:00

## Article:
![Main article image](https://securityaffairs.com/wp-includes/images/media/default.png)


## A researcher discovered a U.S. No Fly List exposed on the Internet, the sensitive data were hosted on a server run by US airline CommuteAir.


Researchers Maia Arson Crimew discovered a U.S. No Fly List hosted on an unsecured server run by US carrier CommuteAir. The [TSC’s *No Fly List*](https://securityaffairs.com/121213/data-breach/fbi-terrorist-watchlist-leak.html) is a list of people who are prohibited from boarding commercial aircraft for travel within, into, or out of the United States.


The Swiss researcher claims to have discovered the server while searching for Jenkins servers using the [Zoomeye](https://www.zoomeye.org/) search engine.


While analyzing 20 exposed servers she noticed familiar words such as “[ACARS](https://en.wikipedia.org/wiki/ACARS),” “crew” and so on, which are associated with the aviation industry.


She noticed two projects on the server named noflycomparison and noflycomparisonv2, which seemingly take the TSA no-fly list and check if any of the crew members of the CommuteAir airline was included. Crimew discovered hardcoded credentials and s3 bucket names, then she used them to access the actual list.



[![No Fly List CommuteAir](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/image-18.png?resize=681%2C537&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/image-18.png?ssl=1)


The researchers found AWS credentials that gave her access to the entire AWS infrastructure via aws-cli. numerous s3 buckets, dozens of dynamodb tables, as well as various servers, and much more.


Crimew discovered a file named NoFly.csv which is a legitimate U.S. no flylist from 2019 containing over 1.56 records (first names, last names, and dates of birth) belonging to people with suspected or known ties to terrorist groups.


*“three csv files, employee\_information.csv, NOFLY.CSV and SELECTEE.CSV. all commited to the repository in july 2022. the nofly csv is almost 80mb in size and contains over 1.56 million rows of data. this HAS to be the real deal (we later get confirmation that it is indeed a copy of the nofly list from 2019).” [**reads**](https://maia.crimew.gay/posts/how-to-hack-an-airline/) the post published by the researchers.*


Crimew also discovered PII for each crew member, including full names, addresses, phone numbers, passport numbers, pilot’s license numbers, when their next [linecheck](https://icadet.com/aviation-term/line-check/) is due and much more. 


*“I had trip sheets for every flight, the potential to access every flight plan ever, a whole bunch of image attachments to bookings for reimbursement flights containing yet again more PII, airplane maintenance data, you name it.” continues the post.*


CommuteAir confirmed the data leak and the authenticity of the no fly list, it added that the unsecured server was part of a testing environment.


*“In a statement to the Daily Dot, CommuteAir said that the exposed infrastructure, which it described as a development server, was used for testing purposes.” [reports the Daily Dot](https://www.dailydot.com/debug/no-fly-list-us-tsa-unprotected-server-commuteair/).*


*“CommuteAir added that the server, which was taken offline prior to publication after being flagged by the Daily Dot, did not expose any customer information based on an initial investigation. CommuteAir also confirmed the legitimacy of the data, stating that it was a version of the “federal no-fly list” from roughly four years prior.”*


*“The server contained data from a 2019 version of the federal no-fly list that included first and last names and dates of birth,” CommuteAir Corporate Communications Manager Erik Kane said. “In addition, certain CommuteAir employee and flight information was accessible. We have submitted notification to the Cybersecurity and Infrastructure Security Agency and we are continuing with a full investigation.”*


The archive was [**shared with the DDoSecrets platform**](https://ddosecrets.com/wiki/No_Fly_List) by the researchers, journalists and researchers can request access to the archive.


A federal investigation was launched to determine the impact of the security incident.


In August 2021, the security researcher Bob Diachenko **[discovered](https://securityaffairs.com/121213/data-breach/fbi-terrorist-watchlist-leak.html)** a secret terrorist watchlist with 1.9 million records that were exposed on the internet for three weeks between July 19 and August 9, 2021.


In July, Diachenko discovered an unsecured Elasticsearch cluster containing 1.9 records of sensitive information on individuals, such as names, country citizenship, gender, date of birth, passport details, and no-fly status.


The list is extracted by the [e FBI Terrorist Screening Center (TSC)](https://www.fbi.gov/about/leadership-and-structure/national-security-branch/tsc), a database used since 2003 by US feds and other agencies to track individuals who are “known or reasonably suspected of being involved in terrorist activities.”


The copy of the TSC database was discovered by the expert on a Bahrainian IP address.


The leak of a TSC database could therefore have negative repercussions for such people and suspects.


The US ACLU has for many years [fought against](https://www.aclu.org/cases/kashem-et-al-v-barr-et-al-aclu-challenge-government-no-fly-list?redirect=national-security/latif-et-al-v-holder-et-al-aclu-challenge-government-no-fly-list) the use of a secret government no-fly list without due process.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
| [adrotate banner=”9″] | [adrotate banner=”12″] |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, No Fly List)**


[adrotate banner=”5″]


[adrotate banner=”13″]




  


---


  




## Tags:


### Autogenerated tags:
[[commuteair]] [[no-fly]] [[crimew]] [[tsc]] [[u.s]] [[[adrotate]]
