# Swiss real estate agency Neho fails to put a password on its systems
## A misconfiguration of Swiss real estate agency Neho’s systems exposed sensitive credentials to the public. Neho, a Switzerland-based real estate agency, leaked credentials recently, potentially allowing threat actors to prey on sensitive data about the company and its clients. The Cybernews research team discovered a misconfiguration in the Neho.ch website that exposed sensitive credentials to […]
## Information:

+ Link: https://securityaffairs.com/146879/data-breach/neho-data-exposed.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 31 May 2023, 12:23
+ Date scraped: 31 May 2023, 13:03

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/05/Neho.png?resize=300%2C300&ssl=1)


## A misconfiguration of Swiss real estate agency Neho’s systems exposed sensitive credentials to the public.


* A misconfiguration of Swiss real estate agency Neho’s systems exposed sensitive credentials to the public.
* Using leaked data, threat actors could potentially breach the company’s internal systems and hijack official communication channels.
* Real estate agencies handle sensitive data, including customers’ personally identifiable information, bank account details, and other data highly valued by cybercriminals. Ensuring cybersecurity is vital.
* Cybernews reached out to Neho and the company fixed the issue.


The Cybernews research team discovered a misconfiguration in the Neho.ch website that exposed sensitive credentials to the public, potentially allowing threat actors to take over the company’s systems.


The company’s website, which features real estate classifieds, receives monthly traffic of around 120,000 visitors. With an annual revenue of almost $12 million, Neho claims to be the first commission-free real estate agency in the country.


  ![](//assets.vlitag.com/widget/2023/03/24/1679645040.png) .vi\_svg{cursor:pointer;width:38px!important;height:38px!important;display:none;margin:0!important;max-width:initial!important}.vislider\_\_control\_\_bottom .progress{position:relative;bottom:35px;left:0;height:5px!important;transition:height .3s;background:rgba(0,0,0,.5);cursor:pointer;flex:none;-ms-flex:none;display:flex;width:100%;margin:0;border-radius:0;box-shadow:none}.vislider\_\_control\_\_bottom .progress .progress\_\_filled{width:0%;background:#ddd;-ms-flex:0;flex:0;-ms-flex-preferred-size:0;flex-basis:0%}.vislider\_\_control\_\_bottom button{float:right}.vislider\_\_control\_\_bottom .vi\_\_time{color:#ddd;margin-left:5px;line-height:1;font-size:13px;display:inline-block}.vi\_slider\_control\_custom{font-family:"Helvetica Neue","Calibri Light",Roboto,sans-serif;letter-spacing:.02em}.vi\_\_player.vi\_\_played:hover .opacity\_\_control{visibility:visible;opacity:1}.playerWrapper button{background:no-repeat;border:none;outline:0;padding:0;display:inline-block;cursor:pointer;font-size:14px!important;background-color:transparent!important}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:-ms-flexbox;display:flex;justify-content:center;-ms-flex-align:center;align-items:center;justify-content:center;align-items:center;position:absolute;top:50%;left:50%;-ms-transform:translate(-50%,-50%) scale(1);transform:translate(-50%,-50%) scale(1)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_button{width:15px!important;height:15px!important;margin:0 30px}.vi\_\_loading .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:none}.slider\_\_control{position:absolute;bottom:0;left:0;width:100%;height:auto!important}.opacity\_\_control{visibility:hidden;opacity:0}.vi\_\_player:not(.vi\_\_played) .vi\_\_button,.vi\_\_player:not(.vi\_\_played) .vislider\_\_control\_\_bottom{display:none}.slider\_\_control#vislider\_control\_overlay{position:absolute;top:0;bottom:0;left:0;right:0;background-color:rgba(0,0,0,.2);cursor:pointer}.vislider\_\_loading{display:none;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_\_loading .vislider\_\_loading{display:block}#vi\_svg\_play{display:block}#btn\_control\_player{cursor:pointer;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);padding:9px;border-radius:50%;display:block;width:auto;height:auto;margin:0;max-width:inherit}.vi\_\_player:not(.vi\_\_played) #btn\_control\_player{opacity:1;visibility:visible}.vi\_\_player.vi\_\_paused .opacity\_\_control{visibility:visible;opacity:1}#vi\_toggleVolVideo .vi\_\_mutedVideo,#vi\_toggleVolVideo .vi\_\_volVideo{padding:initial;background-color:transparent;display:block;height:19px;box-sizing:content-box;position:relative;top:0;right:0}#vi\_toggleVolVideo .icon-volume{position:absolute;top:0;right:0}.sound\_on .vi\_\_mutedVideo{display:none!important}.sound\_off .vi\_\_volVideo{display:none!important}#hide\_fullscreen\_slider{position:absolute;display:none;top:-25px;right:-25px;cursor:pointer}#vi\_poster\_\_video{position:absolute;top:0;left:0;width:inherit!important;height:inherit!important;visibility:hidden;opacity:0}.adWrapperBox .adWrapper video{height:100%!important}.vislider\_\_control\_\_bottom .vi\_slider\_\_button{margin:0 5px;width:14px;height:14px}@media only screen and (max-width:480px){#hide\_fullscreen\_slider{top:-30px;right:0}}                                                             00:00/00:00                                         

Cybernews reached out to Neho, and the company secured access to their systems.


**Public access to the company’s systems**


On March 18th, the Cybernews research team discovered a publicly accessible environment file (.env) hosted on the official Neho’s website.


The file contained PostgreSQL and Redis databases credentials, including host, port, username, and password.


![Leaked environment file | Image by Cybernews](https://i0.wp.com/media.cybernews.com/2023/05/_neho_env_file_2.png?ssl=1)Leaked environment file | Image by Cybernews


Exposure of these credentials is particularly dangerous as it grants threat actors access to the content of the databases. Given that the databases are connected to the internet, it makes it easier for attackers to access them.


Among the leaked data, researchers found [Amazon Web Services](https://cybernews.com/news/over-1800-ios-and-android-apps-leak-aws-credentials/)(AWS) Bucket credentials – key ID and secret. Judging by the name – ‘neho-media’, the bucket most likely stored images.


While, for legal reasons, researchers cannot define the exact content of the bucket, there’s a possibility that it might also contain sensitive files related to the agency’s customers or properties.


Researchers also stumbled upon Elasticsearch AWS credentials. Typically, these instances serve as potential treasure troves, housing crucial information such as customer records, payment data, and a myriad of other invaluable details.


**Credentials leaked included:**


* PostgreSQL database host, port, name, and password
* Redis database host, port, and password
* Mailgun host, username, and password
* Postmark API and SMTP credentials
* AWS Bucket access key ID and secret
* Twilio Account credentials
* Aircall API and tokens
* Elastic search AWS credentials
* Google Client ID and Secret
* Facebook Client ID and secret
* Trustpilot API key and secret
* Pricehubble credentials
* Movu.ch token
* Canny ID, keys and tokens
* TravelTime API


**Corporate communication channels at risk**


Another piece of sensitive information observed was the application programming interface (API) and Simple Mail Transfer Protocol (SMTP) credentials for Postmark email-sending services. By exploiting these credentials, a malicious actor could use the company’s official email to deploy phishing campaigns and send spam.


Among leaked credentials, researchers also found the host, username, and password for Mailgun email services used by the company.


If these credentials were to fall into the hands of malicious actors, it could enable them to read and send emails. This poses a significant threat as it opens the door for phishing attacks to be initiated using a legitimate Neho email address.


The leaked data shows that the company has been using Aircall, a cloud-based call center software, and [Twilio](https://cybernews.com/security/twilio-data-breach-phishers-accessed-customer-data-after-fooling-employees/), a communication tool for making and receiving phone calls and text messages.


![Image by Cybernews](https://i0.wp.com/media.cybernews.com/2023/05/neho_env_file_1.png?ssl=1)Leaked environment file | Image by Cybernews


These communication channels between the company and clients were at risk. The publicly accessible environment file exposed the Aircall API and tokens, as well as the Twilio credentials, enabling threat actors to hijack them.


The file also contained Facebook App ID with a secret key, and Google’s Client ID and secret key. Leaking these credentials is a cause of concern, as threat actors could use them to either hijack the company’s Facebook and Google applications or request user data.


Additionally, the API key and secret used to access Trustpilot, a review platform, were exposed. These credentials could potentially grant access to Neho’s account on the platform, enabling malicious actors to edit or delete data related to Neho, and damaging its reputation.


A number of less critical credentials were also exposed, including Pricehubble credentials, Movu.ch token, Canny ID, keys and tokens, and TravelTime API.


![Leaked environment file | Image by Cybernews](https://i0.wp.com/media.cybernews.com/2023/05/neho_env_file_3.png?ssl=1)Leaked environment file | Image by Cybernews


**What’s at stake?**


The type and volume of data exposed by the company enable threat actors to launch a multitude of attacks on both the website itself and its users with relative ease.


Cyberattacks on real estate agencies are hazardous, as the companies are usually entrusted with a significant amount of sensitive data, encompassing crucial personal identifiable information (PII) of customers, as well as their bank account details. This data holds immense appeal for cybercriminals.


Using Neho’s leaked data, a malicious actor might have completely taken over the company’s internal systems and used privilege escalation and lateral movement for further exploitation.


Threat actors could leverage the data present in the databases to initiate a range of malicious activities, including phishing attacks, fraudulent marketing campaigns, and identity fraud.


Apart from the risks of ransom and data theft, attackers may also opt to duplicate private datasets to facilitate further intrusions.


**The company’s response**


In their official statement, the company stated that they removed the exposed environment file “immediately.”


“We would like to stress that we often rotate our keys and that the file was, for the most part, holding obsolete data alongside inactive services that we don’t use anymore,” claimed the company.


**Are you interested to know how to avoid the risks?**


Give a look at the original post at <https://cybernews.com/security/neho-real-estate-agency-data-leak/>


**About the author: [Paulina Okunytė](https://cybernews.com/author/paulinaokunyte/), Journalist at CyberNews**


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **Neho**)



  


---


  




## Tags:
***urls***: https://cybernews.com/security/neho-real-estate-agency-data-leak/

### Autogenerated tags:
[[neho]] [[cybernews]] [[api]] [[website]] [[aws]] [[facebook]] [[username]] [[twilio]] [[aircall]] [[google]]
