# AWS Enables Default Server-Side Encryption for S3 Objects
## AWS has announced that server-side encryption is now automatically enabled for all Amazon S3 buckets.
## Information:

+ Link: https://www.securityweek.com/aws-enables-default-server-side-encryption-s3-objects
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 09 January 2023, 13:00
+ Date scraped: 09 January 2023, 13:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Initially introduced in 2011, SSE-S3 handles both encryption and decryption, along with key management. An opt-in feature until now, SSE-S3 relies on Advanced Encryption Standard (AES) encryption with 256-bit keys managed by AWS.


“S3 buckets that do not use default encryption will now automatically apply SSE-S3 as the default setting,” [AWS announced](https://aws.amazon.com/blogs/aws/amazon-s3-encrypts-new-objects-by-default/).


Amazon S3 customers can use one of three available encryption options, namely SSE-S3, AWS Key Management Service keys (SSE-KMS), or customer-provided encryption keys (SSE-C). Customers also have the option to encrypt objects client-side.


As an opt-in feature, SSE-S3 required customers to make sure that it was configured on new buckets. The new change means that the base level of encryption is automatically on for every S3 bucket.


“For organizations that require all their objects to remain encrypted at rest with SSE-S3, this update helps meet their encryption compliance requirements without any additional tools or client configuration changes,” AWS notes.


The change, the cloud services provider says, will be visible in the AWS CloudTrail data event logs.


“By default, trails do not log data events, and there is an extra cost to enable it. Data events show the resource operations performed on or within a resource, such as when a user uploads a file to an S3 bucket,” AWS explains.


According to the cloud giant, customers can use SSE-S3, SSE-C, or SSE-KMS either as the default encryption settings or for individual objects in PUT requests.


With SSE-C, while Amazon S3 handles the encryption and decryption, the customer retains control of the encryption keys. With SSE-KMS, encryption keys are managed by AWS Key Management Service (AWS KMS).


SSE-S3 is now available in all AWS regions, AWS GovCloud (US) and AWS China included. The default object-level encryption is available at no cost.





 


## Tags:


### Autogenerated tags:
[[aws]] [[sse-s3]] [[s3]] [[sse-kms]] [[sse-c]]
