# Confidential VMs Hacked via New Ahoi Attacks
## New Ahoi attacks Heckler and WeSee target AMD SEV-SNP and Intel TDX with malicious interrupts to hack confidential VMs.
## Information:

+ Link: https://www.securityweek.com/confidential-vms-hacked-via-new-ahoi-attacks/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 08 April 2024, 13:16
+ Date scraped: 08 April 2024, 14:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2024/04/Heckler.png)


**A team of researchers from ETH Zurich has disclosed the technical details of a new type of attack that can be used to compromise confidential virtual machines (CVMs).**


The researchers presented two variations of what they call [Ahoi attacks](https://ahoi-attacks.github.io/). One of them, dubbed [Heckler](https://ahoi-attacks.github.io/heckler/), involves a malicious hypervisor injecting [interrupts](https://en.wikipedia.org/wiki/Interrupt) to alter data and control flow, breaking the integrity and confidentiality of CVMs.


The attack targets hardware-based trusted execution environments, specifically ones relying on AMD’s Secure Encrypted Virtualization-Secure Nested Paging (SEV-SNP) and Intel’s Trust Domain Extensions (TDX) technologies, which can be used in cloud platforms.

AMD SEV-SNP and Intel TDX enable users to deploy and run VMs in the cloud while ensuring that they remain protected from other cloud tenants and the service provider, including its hardware and hypervisor software.

However, hypervisors are still in control of some resource management and configuration tasks, including interrupts, and the ETH Zurich researchers managed to use some interrupts to conduct potentially malicious activities.

In the case of both the AMD and Intel technologies, the researchers used malicious hypervisors to bypass authentication and gained root access to the targeted CVM.

Before publicly disclosing their findings, the researchers notified Intel, AMD, AWS, Microsoft and Google. AMD has published an [advisory](https://www.amd.com/en/resources/product-security/bulletin/amd-sb-3008.html) saying that it believes the vulnerability lies in the Linux kernel implementation of SEV-SNP. Intel does not appear to have published an advisory, but the researchers said the company reached the same conclusion as AMD.


Linux kernel patches and mitigations are available. In addition, AMD said it supports hardware security features that should prevent such attacks, but these features are currently not supported in Linux.


As for cloud vendors, Microsoft’s Azure said it’s not impacted, and AWS said EC2 does not rely on the impacted technologies. AWS has confirmed that [Amazon Linux](https://explore.alas.aws.amazon.com/CVE-2024-25743.html) is affected and it plans on addressing the kernel issues in a future release. Google has not shared any information on whether or not its cloud services are impacted. 


In a second type of Ahoi attack, dubbed [WeSee](https://ahoi-attacks.github.io/wesee/), which only works against AMD SEV-SNP, the researchers managed to use a special interrupt to obtain sensitive VM information such as kernel TLS session keys, corrupt kernel data to disable firewall rules, and open a root shell.


The CVE identifiers CVE-2024-25744, CVE-2024-25743 and CVE-2024-25742 were assigned to the issues related to Ahoi attacks.

**Related**: [ZenHammer Attack Targets DRAM on Systems With AMD CPUs](https://www.securityweek.com/zenhammer-attack-targets-dram-on-systems-with-amd-cpus/)


**Related**: [Major CPU, Software Vendors Impacted by New GhostRace Attack](https://www.securityweek.com/major-cpu-software-vendors-impacted-by-new-ghostrace-attack/)





## Tags:
***CVE's***: CVE-2024-25743 CVE-2024-25744 CVE-2024-25742

### Autogenerated tags:
[[amd]] [[cloud]] [[sev-snp]] [[linux]] [[ahoi]] [[aws]]
