# GitHub Warns of Private Repositories Downloaded Using Stolen OAuth Tokens
## GitHub warns that compromised OAuth user tokens were abused to download data belonging to dozens of organizations.
## Information:

+ Link: https://www.securityweek.com/github-warns-private-repositories-downloaded-using-stolen-oauth-tokens
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 19 April 2022, 10:56
+ Date scraped: 19 April 2022, 10:56

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The incident was identified on April 12, when the code hosting platform observed suspicious activity on its npm production infrastructure.


The attackers, according to a [GitHub advisory](https://github.blog/2022-04-15-security-alert-stolen-oauth-user-tokens/), gained access using a stolen AWS API key that appears to have been obtained when the attackers downloaded private npm repositories by abusing a compromised OAuth token from Heroku or Travis-CI, two third-party OAuth integrators.


GitHub and many of the platform users employ the applications maintained by the two integrators, and both Heroku and Travis-CI were notified of the compromise on April 13 and 14 and asked to revoke potentially compromised OAuth user tokens.


**[ READ: [Google Teams Up With GitHub for Supply Chain Security](https://www.securityweek.com/google-teams-github-supply-chain-security) ]**


“Looking across the entire GitHub platform, we have high confidence that compromised OAuth user tokens from Heroku and Travis-CI-maintained OAuth applications were stolen and abused to download private repositories belonging to dozens of victim organizations that were using these apps,” GitHub warned.


The hosting platform also believes that the attackers may be mining the compromised repositories of secrets that could help them pivot to other infrastructure.


As of April 15, when the attackers were likely still ongoing, the affected OAuth applications known to have been impacted included Heroku Dashboard (ID: 145909), Heroku Dashboard (ID: 628778), Heroku Dashboard – Preview (ID: 313468), Heroku Dashboard – Classic (ID: 363831), and Travis CI (ID: 9216).


GitHub said it immediately revoked the tokens associated with GitHub and npm’s internal use of the impacted applications. The platform also notes that it has found no evidence that other GitHub-owned private repositories were cloned as part of this attack.


“We believe that the two impacts to npm are unauthorized access to, and downloading of, the private repositories in the npm organization on GitHub.com and potential access to the npm packages as they exist in AWS S3 storage. At this point, we assess that the attacker did not modify any packages or gain access to any user account data or credentials,” GitHub added.


**Related: [GitHub Confirms Another Major NPM Security Defect](https://www.securityweek.com/github-confirms-another-major-npm-security-defect)**


**Related: [Code Generated by GitHub Copilot Can Introduce Vulnerabilities](https://www.securityweek.com/code-generated-github-copilot-can-introduce-vulnerabilities-researchers)**


**Related: [GitHub Patches Security Flaws in Core Node.js Dependencies](https://www.securityweek.com/github-patches-security-flaws-core-nodejs-dependencies)**


 


## Tags:


### Autogenerated tags:
[[github]] [[npm]] [[heroku]] [[oauth]]
