# In Other News: Funding Increase, Abuse of Smartphone Location Data, Legal Matters
## Noteworthy stories that might have slipped under the radar: cybersecurity funding increases and illegal use of smartphone location data.
## Information:

+ Link: https://www.securityweek.com/in-other-news-funding-increase-abuse-of-smartphone-location-data-legal-matters/
+ Source: SecurityWeek
+ Author: SecurityWeek News
+ Date published: 06 October 2023, 11:44
+ Date scraped: 06 October 2023, 12:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/06/cybersecurity-news.jpg)


**SecurityWeek is publishing a weekly cybersecurity roundup that provides a concise compilation of noteworthy stories that might have slipped under the radar.**


We provide a valuable summary of stories that may not warrant an entire article, but are nonetheless important for a comprehensive understanding of the cybersecurity landscape.

[Each week](https://www.securityweek.com/topics/in-other-news/), we will curate and present a collection of noteworthy developments, ranging from the latest vulnerability discoveries and emerging attack techniques to significant policy changes and industry reports.


**Here are this week’s stories:**


**US agencies illegally used smartphone location data**


A report made public recently by the DHS Inspector General reveals that the Secret Service, Customs and Border Enforcement (CBP) and Immigration and Customs Enforcement (ICE) have [illegally used smartphone location data](https://www.404media.co/ice-cbp-secret-service-all-broke-law-with-smartphone-location-data/) acquired from third-party vendors that collected it through various innocent-looking applications, in many cases without the user’s knowledge or consent. 


**Summary of cyberattacks targeting major industrial organizations**


Kaspersky provides a [summary](https://ics-cert.kaspersky.com/publications/reports/2023/10/05/h1-2023-a-brief-overview-of-main-incidents-in-industrial-cybersecurity/) of the most important cybersecurity incidents impacting industrial organizations in the first half of 2023. The incidents include ransomware attacks, data theft and other types of attacks. 


**Estes Express suffers disruptions due to cyberattack**


American freight transportation company Estes Express has suffered an IT infrastructure outage due to a cyberattack. Little information is known, but the firm may have been targeted in a ransomware attack.

**Virginia Tech receives $10 million DoD award for sensing and cyber research**


The Virginia Tech College of Engineering has received a [$10 million DoD award](https://news.vt.edu/articles/2023/09/eng-cyberandsensoraward.html) for research in the fields of cyber and sensing. The money will be used for a Sensing and Cyber Center of Excellence whose research could benefit both military and commercial applications. 


**Experts respond to EU’s Cyber Resilience Act**


Experts have written a [joint letter](https://www.centerforcybersecuritypolicy.org/insights-and-research/joint-letter-of-experts-on-cra-and-vulnerability-disclosure) in response to the proposed EU Cyber Resilience Act (CRA), warning that “the current provisions on vulnerability disclosure are counterproductive and will create new threats that undermine the security of digital products and the individuals who use them”.


**House passes bill on educational requirements for federal cybersecurity workforce**


The US House of Representatives has [passed](https://fedscoop.com/house-passes-bill-relax-federal-cyber-educational-requirements/) a bipartisan bill called the ‘Modernizing the Acquisition of Cybersecurity Experts Act’, or MACE Act, which seeks to relax education requirements for government cybersecurity jobs. 


**Court orders CISA to limit certain interactions with social media companies**


A US appeals court has [ordered](https://edition.cnn.com/2023/10/03/tech/cybersecurity-and-infrastructure-security-agency-social-media-lawsuit-injunction/) the cybersecurity agency CISA to refrain from coercing or significantly encouraging social media companies to remove or reduce the spread of certain posts. The decision is related to CISA’s previous efforts to protect elections from online misinformation campaigns.  


**Firefox 118 brings Encrypted Client Hello (ECH)**


Mozilla has turned on Encrypted Client Hello (ECH) [in Firefox 118](https://support.mozilla.org/en-US/kb/understand-encrypted-client-hello), to address a security gap in TLS, by encrypting the initial handshake message to make it more difficult for threat actors to identify the website a user connects to. Relying on DNS over HTTPS (DoH), ECH was [initially introduced in Firefox 85](https://www.securityweek.com/firefox-improves-privacy-protections-encrypted-client-hello/), but also needs adoption among website operators to provide [improved protections](https://blog.mozilla.org/en/products/firefox/encrypted-hello/) to all users. 


**AWS pushing mandatory MFA**


Amazon Web Services said the use of multi-factor authentication (MFA) will be [required](https://aws.amazon.com/blogs/security/security-by-design-aws-to-enhance-mfa-requirements-in-2024) starting in mid-2024. The cloud infrastructure giant said that when the enforcement kicks in, customers “signing in to the AWS Management Console with the root user of an AWS Organizations management account will be required to enable MFA to proceed.” The initiative will be expanded throughout 2024 to additional scenarios including standalone accounts.


**High-severity vulnerabilities in ConnectedIO’s ER2000 edge routers**


Claroty has shared information on the impact of several [high-severity vulnerabilities](https://claroty.com/team82/research/the-path-to-the-cloud-is-filled-with-holes-exploiting-4g-edge-routers) in ConnectedIO’s ER2000 edge routers, which also affect the cloud-based device management platform and the communication protocol between the device and the platform. The issues could lead to remote code execution, information leaks, and potential full compromise of the cloud infrastructure. 


**Sale of Forcepoint’s G2CI business to TPG complete**


TPG has completed the [acquisition](https://www.securityweek.com/tpg-to-acquire-forcepoints-government-cybersecurity-business-unit/) of Forcepoint’s Global Governments and Critical Infrastructure (G2CI) cybersecurity business. As a result of the deal, Forcepoint’s G2CI has become an independent company. Sean Berg, former president of the G2CI business, has been named CEO of the new firm. Francisco Partners maintains ownership of Forcepoint’s remaining commercial business and a minority stake in Forcepoint G2CI.


**Cybersecurity funding rises in Q3 2023**


Pinpoint Search Group reported that Q3 2023 saw a 21% [increase in cybersecurity funding](https://pinpointsearchgroup.com/cyber-security-vendor-funding-report-q3-2023/) compared to the same quarter of 2022. The total funding was $2.3 billion in Q3 2023. In addition, the 261 investment rounds recorded through the third quarter surpassed the 233 rounds seen the entire year in 2022. However, the total amount invested remains roughly 38% behind the total funding documented in 2022.


**Related**: [In Other News: New Analysis of Snowden Files, Yubico Goes Public, Election Hacking](https://www.securityweek.com/in-other-news-new-analysis-of-snowden-files-yubico-goes-public-election-hacking/)


**Related**: [In Other News: RSA Encryption Attack, Meta AI Privacy, ShinyHunters Hacker Guilty Plea](https://www.securityweek.com/in-other-news-rsa-encryption-attack-meta-ai-privacy-shinyhunters-hacker-guilty-plea/)





## Tags:


### Autogenerated tags:
[[cybersecurity]] [[forcepoint]] [[g2ci]] [[cisa]] [[firefox]] [[ech]] [[aws]] [[mfa]] [[q3]]
