# Mandiant Intelligence Chief Raises Alarm Over China's 'Volt Typhoon' Hackers in US Critical Infrastructure
## Critical infrastructure defenders should urgently work to find and remove traces of Volt Typhoon, a Chinese government-backed hacking team.
## Information:

+ Link: https://www.securityweek.com/mandiant-intelligence-chief-raises-alarm-over-chinas-volt-typhoon-hackers-in-us-critical-infrastructure/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 25 October 2023, 16:00
+ Date scraped: 25 October 2023, 17:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/10/ICS_Cybersecurity.jpg)


**ATLANTA – SECURITYWEEK 2023 ICS CYBERSECURITY CONFERENCE – Chief analyst at Mandiant Intelligence John Hultquist says defenders in the critical infrastructure trenches should urgently work on finding and removing traces of Volt Typhoon, a Chinese government-backed hacking team caught in a series of eyebrow-raising attacks against targets in Guam and the United States.**


Speaking at a keynote fireside chat at [SecurityWeek’s 2023 ICS Cybersecurity Conference](https://www.icscybersecurityconference.com/) in Atlanta on Tuesday, Hultquist said the Volt Typhoon campaign included “very deliberate targeting of critical infrastructure” installations and represents a major shift by Chinese hacking teams known mostly for economic espionage and IP theft.


“This Volt Typhoon activity is a brand-new thing for them. We have not seen a lot of deliberate targeting in the critical infrastructure space from China,” Hultquist said. “Occasionally, we’ll catch them probing into power, but this is a deliberate, long-term attempt to infiltrate a lot of critical infrastructure in a way that stays below the radar.”

The Volt Typhoon campaign was [first flagged by Microsoft with deliberate targeting](https://www.securityweek.com/microsoft-catches-chinese-gov-hackers-in-guam-critical-infrastructure-orgs/) of critical infrastructure in Guam, a discovery that raised eyebrows because the tiny island is considered an important part of a future China/Taiwan military conflict.


“They were found in Guam but they were also discovered all over the continental United States, including in telecommunications and logistics. Microsoft indicated that they’ve also been found in power and water sectors,” Hultquist noted.

“The NSA indicated that their theory behind this is that they are digging in for the possibility of creating a disruptive event in the event of a wartime scenario. While I don’t have the intelligence to confirm that, the deliberate targeting of critical infrastructure makes it a priority for us. This is especially concerning given how hard they’re working on their operational security, using botnets and zero-days to stay below the radar,” Hultquist added.


![Chief analyst at Mandiant Intelligence John Hultquist ](https://www.securityweek.com/wp-content/uploads/2023/10/Volt-Typhoon.jpg)


Volt Typhoon has been publicly documented as “stealthy and targeted malicious activity focused on post-compromise credential access and network system discovery.”

“Microsoft assesses with moderate confidence that this [Chinese cyberespionage] campaign is pursuing development of capabilities that could disrupt critical communications infrastructure between the United States and Asia region during future crises,” the software giant said in a [note](https://www.microsoft.com/en-us/security/blog/2023/05/24/volt-typhoon-targets-us-critical-infrastructure-with-living-off-the-land-techniques/) documenting the APT discovery.


The group, active since mid-2021, has compromised a wide variety of organizations spanning communications, manufacturing, utility, transportation, construction, maritime, government, information technology, and the education sectors.

Hultquist urged defenders to prioritize patching and mitigations for internet-facing edge devices and network routers that provide a major entry point for high-end attackers.

In the case of Volt Typhoon, he noted that the attackers are leveraging botnets for command and control with minimal use of malware, making it really hard to hunt them.

“You should really be keeping your eye on two things right now. One is the Volt Typhoon situation; it’s all over the United States. They are clearly dug in, and we’re going to have to root them out.  The second one is the current situation in the Middle East. The United States is heavily involved, and because of that, the likelihood of some sort of response, possibly from Iran, is legitimate. We have to keep that in mind as well. You’re starting to see some telemetry; they are at play without a doubt.”

Sessions from [SecurityWeek’s ICS Cybersecurity Conference](https://www.icscybersecurityconference.com/) can be watched in both live stream and on demand this week.


**Related**: [AWS Using MadPot Decoy System to Disrupt APTs, Botnets](https://www.securityweek.com/aws-using-madpot-decoy-system-to-disrupt-apts-botnets/)


**Related**: [Microsoft Says Chinese .Gov Hackers Targeting US Critical Infrastructure](https://www.securityweek.com/microsoft-catches-chinese-gov-hackers-in-guam-critical-infrastructure-orgs/)


**Related**: [Fortinet Warns of Possible Zero-Day Exploited in Limited Attacks](https://www.securityweek.com/fortinet-warns-customers-of-possible-zero-day-exploited-in-limited-attacks/)





## Tags:


### Autogenerated tags:
[[hultquist]] [[microsoft]] [[securityweek]] [[ics]] [[cybersecurity]] [[botnets]]
