# Orca Flags Dangerous Google Kubernetes Engine Misconfiguration
## Attackers could take over a Kubernetes cluster if access privileges are granted to all authenticated users in Google Kubernetes Engine.
## Information:

+ Link: https://www.securityweek.com/orca-flags-dangerous-google-kubernetes-engine-misconfiguration/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 24 January 2024, 15:16
+ Date scraped: 24 January 2024, 16:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**A misconfiguration in Google Kubernetes Engine (GKE) could allow attackers to take over Kubernetes clusters and access sensitive information, according to a warning from cloud security startup Orca Security.**


The issue is related to the privileges granted to users in the *system:authenticated* group, which includes all users with a Google account, although it could be mistakenly believed to include only verified identities.


“This misunderstanding creates a significant security loophole when administrators unknowingly bind this group with overly permissive roles,” Orca said in a [research report](https://orca.security/resources/blog/sys-all-google-kubernetes-engine-risk-example/).


A managed Kubernetes service, GKE supports cluster authentication and authorization, and, with Google being the identity provider, anyone with a Google account can authenticate against the Kubernetes API server.

This also means that, when it comes to Kubernetes built-in groups, such as *system:anonymous*, *system:authenticated*, and *system:unauthenticated*, authorization misconfigurations can occur, and the one Orca discovered could have dire consequences.


Specifically, the security firm discovered that an attacker could an access token via the OAuth 2.0 Playground and become part of the *system:authenticated* group, which would provide them at least with access to discovery APIs.


However, if authenticated users are authorized with extended roles, the attacker’s level of access would be far greater, allowing them to perform reconnaissance, take over the Kubernetes cluster, cause denial of service, or access sensitive information.

Orca said discovered more than 250,000 GKE clusters exposed to the internet, with about 1,300 potentially vulnerable to this misconfiguration. Of these, more than 100 could be immediately compromised, the company cautioned.


For some of the identified instances, cluster admin permissions had been granted to the *system:authenticated* group, providing an attacker with the ability to query multiple resources.


GKE clusters impacted by this seemingly innocuous misconfiguration were found to expose AWS credentials, GCP API keys, service account authentication JSON files, private keys, credentials for container registries, and access to critical resources such as Grafana, RabbitMQ, and ElasticSearch.

Orca reported the findings to Google, which has taken steps to mitigate the risks in GKE version 1.28, by preventing the binding of admin roles to Kubernetes built-in groups, by building configurable prevention rules, by restricting network access, and by notifying GKE users with bindings to these groups to review configurations.

“Clusters that apply authorized networks restrictions have a first layer of defense: they cannot be attacked directly from the Internet. But we still recommend removing these bindings for defense in depth and to guard against errors in network controls,” Google said in a [separate security bulletin](https://cloud.google.com/anthos/clusters/docs/security-bulletins#gcp-2024-003).


**Related:** [Flaws in Google Kubernetes Engine Allows Cluster Takeover](https://www.securityweek.com/vulnerabilities-in-google-kubernetes-engine-could-allow-cluster-takeover/)


**Related:** [Researchers Find Dangerous Exposure of Sensitive Kubernetes Secrets](https://www.securityweek.com/researchers-discover-dangerous-exposure-of-sensitive-kubernetes-secrets/)


**Related:** [Attackers Abuse Kubernetes RBAC to Deploy Persistent Backdoor](https://www.securityweek.com/attackers-abuse-kubernetes-rbac-to-deploy-persistent-backdoor/)





## Tags:


### Autogenerated tags:
[[kubernetes]] [[google]] [[gke]] [[system:authenticated]]
