# Thousands of Secret Keys Found in Leaked Samsung Source Code
## An analysis of the recently leaked Samsung source code revealed the exposure of thousands of secret keys, including many that could be very useful to malicious actors.
## Information:

+ Link: https://www.securityweek.com/thousands-secret-keys-found-leaked-samsung-source-code
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 15 March 2022, 13:00
+ Date scraped: 15 March 2022, 13:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The analysis was conducted by [GitGuardian](https://www.securityweek.com/gitguardian-raises-44-million-create-code-security-platform), a company that specializes in Git security scanning and secrets detection. The firm’s researchers looked at the source code leaked recently by a cybercrime group calling itself Lapsus$.


The hackers claim to have breached several major companies in the past weeks, including [NVIDIA](https://www.securityweek.com/credentials-71000-nvidia-employees-leaked-following-cyberattack), Samsung, [Ubisoft](https://www.securityweek.com/ubisoft-resets-employee-passwords-following-cyberattack) and [Vodafone](https://www.securityweek.com/vodafone-investigating-source-code-theft-claims). In many cases they appear to have obtained source code belonging to the victims, some of which has been made public.


In the case of Samsung, the cybercriminals claim to have stolen 190 Gb of data and the tech giant has confirmed that the compromised information included source code related to Galaxy devices.


GitGuardian’s [analysis of the leaked Samsung source code](https://blog.gitguardian.com/samsung-and-nvidia-are-the-latest-companies-to-involuntarily-go-open-source-potentially-leaking-company-secrets/) led to the discovery of more than 6,600 secret keys, including private keys, usernames and passwords, AWS keys, Google keys, and GitHub keys.


The firm’s researchers have yet to determine how many of the exposed keys are valid. However, their analysis showed that 90% are likely associated with internal systems and “can be more challenging for an attacker to use.” On the other hand, the remaining keys — roughly 600 of them — can grant attackers access to a wide range of systems and services.


“Of the more than 6,600 keys found in Samsung source code roughly 90% are for Samsung's internal services and infrastructure, whilst the other 10%, critically, could grant access to Samsung's external services or tools such as AWS, GitHub, artifactory and Google,” explained Mackenzie Jackson, developer advocate at GitGuardian.


A few months ago, GitGuardian also analyzed the source code leaked from Amazon-owned live streaming service Twitch, from which [hackers obtained](https://www.securityweek.com/twitch-says-hack-impacted-small-fraction-users) and made public roughly 6,000 internal Git repositories.


GitGuardian discovered nearly 6,600 secrets inside those repositories, including AWS keys, Twilio keys, Google API keys, database connection strings, and GitHub OAuth keys, among others.


A [study](https://blog.gitguardian.com/the-state-of-secrets-sprawl-2022/) conducted recently by the company showed that public GitHub repositories exposed more than six million secrets in 2021 — with 3 out of every 1,000 commits exposing at least one secret.




 


## Tags:


### Autogenerated tags:
[[samsung]] [[gitguardian]] [[github]] [[aws]]
