# 27 Malicious PyPI Packages with Thousands of Downloads Found Targeting IT Experts
## Beware of fake Python libraries! 27 malicious packages found on PyPI, disguised as legitimate ones.
## Information:

+ Link: https://thehackernews.com/2023/11/27-malicious-pypi-packages-with.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 17 November 2023, 15:26
+ Date scraped: 17 November 2023, 10:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiDBkI44nHRuP0OlrxuAmiytgqVzCVq1YMAahyvpnAWJWwq7bBTB9UelXxXLSw9GwzJp3ov-6f4G5ly_PW9t4H7iabSmFESM-yvHjbcltBeDY_EWNj5GoceWHBw4tJ_itBoMK7EFe7KHsoN5Pc6Sa0SdtIRQwheSluh-RsEthFyTf6ZpQzXv962C3_MQKAV/s728-rw-ft-e30/python.jpg)


An unknown threat actor has been observed publishing typosquat packages to the Python Package Index (PyPI) repository for nearly six months with an aim to deliver malware capable of gaining persistence, stealing sensitive data, and accessing cryptocurrency wallets for financial gain.


The 27 packages, which masqueraded as popular legitimate Python libraries, attracted thousands of downloads, Checkmarx said in a new report. A majority of the downloads originated from the U.S., China, France, Hong Kong, Germany, Russia, Ireland, Singapore, the U.K., and Japan.


"A defining characteristic of this attack was the utilization of steganography to hide a malicious payload within an innocent-looking image file, which increased the stealthiness of the attack," the software supply chain security firm [said](https://checkmarx.com/blog/attacker-hidden-in-plain-sight-for-nearly-six-months-targeting-python-developers/).


Some of the packages are pyefflorer, pyminor, pyowler, pystallerer, pystob, and pywool, the last of which was planted on May 13, 2023.


A common denominator to these packages is the use of the setup.py script to include references to other malicious packages (i.e., pystob and pywool) that deploy a Visual Basic Script (VBScript) in order to download and execute a file named "Runtime.exe" to achieve persistence on the host.


Embedded within the binary is a compiled file that's capable of gathering information from web browsers, cryptocurrency wallets, and other applications.


An alternate attack chain observed by Checkmarx is said to have hidden the executable code within a PNG image ("uwu.png"), which is subsequently decoded and run to extract the public IP address and the universally unique identifier ([UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)) of the affected system.


Pystob and Pywool, in particular, were published under the guise of tools for API management, only to exfiltrate the data to a Discord webhook and attempt to maintain persistence by placing the VBS file in the Windows startup folder.


"This campaign serves as another stark reminder of the ever-present threats that exist in today's digital landscape, particularly in areas where collaboration and open exchange of code are foundational," Checkmarx said.


The development comes as ReversingLabs [uncovered](https://www.reversinglabs.com/blog/protestware-taps-npm-to-call-out-wars-in-ukraine-gaza) a new wave of protestware npm packages that "hide scripts broadcasting messages of peace related to the conflicts in Ukraine and in Israel and the Gaza Strip."


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgxE6od8U_rwsn1efS0YV7f9zsnzY8NhRq1ZCvl7j_YIoj-LtAgvQhG0SLKbKhxl57a5c-HoyeXoUvhybWmsNP0JDH9YARGyOu2Qo5FOPgZoYnGqxgSRudsyzZuvGmY8RmDpvw1bEPspTNc_SyUImKp2SXDhWSmR2SqyR1rXDq7COvj7U1a8Eq5E2XxseOb/s728-rw-ft-e30/python.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgxE6od8U_rwsn1efS0YV7f9zsnzY8NhRq1ZCvl7j_YIoj-LtAgvQhG0SLKbKhxl57a5c-HoyeXoUvhybWmsNP0JDH9YARGyOu2Qo5FOPgZoYnGqxgSRudsyzZuvGmY8RmDpvw1bEPspTNc_SyUImKp2SXDhWSmR2SqyR1rXDq7COvj7U1a8Eq5E2XxseOb/s728-rw-ft-e30/python.jpg)
One of the packages, named [@snyk/sweater-comb](https://www.npmjs.com/package/@snyk/sweater-comb) (version 2.1.1), determines the geographic location of the host, and if it's found to be Russia, displays a message criticizing the "unjustified invasion" of Ukraine through another module called "[es5-ext](https://checkmarx.com/blog/new-protestware-found-lurking-in-highly-popular-npm-package/)"


Another package, [e2eakarev](https://www.npmjs.com/package/e2eakarev), has the description "free palestine protest package" in the package.json file, and carries out similar checks to see if the IP address resolves to Israel, and if so, log what's described as a "harmless protest message" that urges developers to raise awareness about the Palestinian struggle.


It's not just threat actors infiltrating open-source ecosystems. Earlier this week, GitGuardian [revealed](https://blog.gitguardian.com/uncovering-thousands-of-unique-secrets-in-pypi-packages/) the presence of 3,938 total unique secrets across 2,922 PyPI projects, of which 768 unique secrets were found to be valid.


This includes AWS keys, Azure Active Directory API keys, GitHub OAuth app keys, Dropbox keys, SSH keys, and credentials associated with MongoDB, MySQL, PostgreSQL, Coinbase and Twilio.


What's more, many of these secrets were leaked more than once, spanning multiple release versions, bringing the total number of occurrences to 56,866.


"Exposing secrets in open-source packages carries significant risks for developers and users alike," GitGuardian's Tom Forbes said. "Attackers can exploit this information to gain unauthorized access, impersonate package maintainers, or manipulate users through social engineering tactics."


The continuous wave of attacks targeting the software supply chain has also prompted the U.S. government to issue new guidance this month for software developers and suppliers to maintain and provide awareness about software security.


"It is recommended that acquisition organizations assign supply chain risk assessments to their buying decisions given the recent high profile software supply chain incidents," the Cybersecurity and Infrastructure Security Agency (CISA), National Security Agency (NSA), and the Office of the Director of National Intelligence (ODNI) [said](https://www.cisa.gov/news-events/alerts/2023/11/09/cisa-nsa-and-partners-release-new-guidance-securing-software-supply-chain).


"Software developers and suppliers should improve their software development processes and reduce the risk of harm to not just employees and shareholders, but also to their users."


  





## Tags:


### Autogenerated tags:
[[checkmarx]] [[pystob]] [[pywool]]
