# GitHub Rolls Out Default Secret Scanning Push Protection for Public Repositories
## GitHub's new default push protection has got your back, scanning for secrets in public repos
## Information:

+ Link: https://thehackernews.com/2024/03/github-rolls-out-default-secret.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 01 March 2024, 10:59
+ Date scraped: 01 March 2024, 06:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhRu3Nc-P7LAru0LiinivEvrbLO65Dqa77fH9WNAkJ7XUiOr50KGXlq_tn1RQS4DrKoSscj40uQ4smZ9W2dK_oxb7kSH3D0ezHJ7oDL-uyCHWQ5MjMiRL-5K3ranjeFLKtdl4mDN2IVoaKf7nimavTRXFGX3ha40gRhZFl18kSRixe_yNh9YDbjktcp8553/s728-rw-e365/github.jpg)


GitHub on Thursday announced that it's enabling secret scanning push protection by default for all pushes to public repositories.


"This means that when a supported secret is detected in any push to a public repository, you will have the option to remove the secret from your commits or, if you deem the secret safe, bypass the block," Eric Tooley and Courtney Claessens [said](https://github.blog/2024-02-29-keeping-secrets-out-of-public-repositories/).


[Push protection](https://docs.github.com/en/code-security/secret-scanning/push-protection-for-repositories-and-organizations) was [first piloted](https://github.blog/2023-08-09-enhanced-push-protection-features-for-developers-and-organizations/) as an opt-in feature in August 2023, although it has been under testing since April 2022. It became [generally available](https://thehackernews.com/2023/05/github-extends-push-protection-to.html) in May 2023.


The [secret scanning](https://docs.github.com/en/code-security/secret-scanning/about-secret-scanning) feature is designed to identify over [200 token types](https://docs.github.com/en/code-security/secret-scanning/secret-scanning-patterns) and patterns from more than 180 service providers in order to prevent their fraudulent use by malicious actors. 


The development comes nearly five months after the Microsoft subsidiary [expanded](https://thehackernews.com/2023/10/githubs-secret-scanning-feature-now.html) secret scanning to include validity checks for popular services such as Amazon Web Services (AWS), Microsoft, Google, and Slack.


It also follows the discovery of an ongoing "repo confusion" attack targeting GitHub that's inundating the source code hosting platform with thousands of repositories containing obfuscated malware capable of stealing passwords and cryptocurrency from developer devices.


[![GitHub](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhj9EdL1y8lJdp_vZnJxMjvCO_pMpWEgkFOxO7QQZ_aq01KCSPZc-NeQ6LE_Y-8naN6mJWW5gMXDP18W3-CHUzAPjN66SpZtgW59lPDuuTywFugfT37Y-G3JIbK8m5Rlg8qz8gne7B6nitT5j-SWiivEZYm2nVvUCy5JKXsdHM1HwEJ9IAVtiHK6T_qcYpo/s728-rw-e365/Malicious-Package-Timeline.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhj9EdL1y8lJdp_vZnJxMjvCO_pMpWEgkFOxO7QQZ_aq01KCSPZc-NeQ6LE_Y-8naN6mJWW5gMXDP18W3-CHUzAPjN66SpZtgW59lPDuuTywFugfT37Y-G3JIbK8m5Rlg8qz8gne7B6nitT5j-SWiivEZYm2nVvUCy5JKXsdHM1HwEJ9IAVtiHK6T_qcYpo/s728-rw-e365/Malicious-Package-Timeline.png)
The attacks represent another wave of the same malware distribution campaign that was disclosed by [Phylum](https://thehackernews.com/2023/05/developer-alert-npm-packages-for-nodejs.html) and [Trend Micro](https://www.trendmicro.com/en_us/research/23/j/infection-techniques-across-supply-chains-and-codebases.html) last year, leveraging bogus Python packages hosted on the cloned, trojanized repositories to deliver a [stealer malware](https://thehackernews.com/2023/06/new-golang-based-skuld-malware-stealing.html) called [BlackCap Grabber](https://github.com/Inplex-sys/BlackCap-Grabber-NoDualHook).


"Repo confusion attacks simply rely on humans to mistakenly pick the malicious version over the real one, sometimes employing social engineering techniques as well," Apiiro [said](https://apiiro.com/blog/malicious-code-campaign-github-repo-confusion-attack/) in a report this week.



  





## Tags:


### Autogenerated tags:
[[malware]]
