# Kubernetes Secrets of Fortune 500 Companies Exposed in Public Repositories
## Cybersecurity researchers have discovered publicly exposed Kubernetes configuration secrets, posing a risk of supply chain attacks.
## Information:

+ Link: https://thehackernews.com/2023/11/kubernetes-secrets-of-fortune-500.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 24 November 2023, 12:14
+ Date scraped: 24 November 2023, 07:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj3Nm_g051ZHHdzR7OgNZj5PdeJq6gizRWVRwFYHhrn43nAFmQclC3VeFVsGXP7oMvtsmu2JAtvOWdc6Cq6OVC0xRu1KKULuSlXL4BMIEvOLQnqc6G8SZdlry-KVRIzNkKsAqdDKexFjlCgSTnO_EMfL7RnrZA2ul5_JjsnLEY5KO_X8ZEHRbP2jCekrza1/s728-rw-ft-e30/container.jpg)


Cybersecurity researchers are warning of publicly exposed Kubernetes configuration secrets that could put organizations at risk of supply chain attacks.


"These encoded Kubernetes configuration secrets were uploaded to public repositories," Aqua security researchers Yakir Kadkoda and Assaf Morag [said](https://blog.aquasec.com/the-ticking-supply-chain-attack-bomb-of-exposed-kubernetes-secrets) in a new research published earlier this week.


Some of those impacted include two top blockchain companies and various other fortune-500 companies, according to the cloud security firm, which leveraged the GitHub API to fetch all entries containing .dockerconfigjson and .dockercfg, which [store credentials](https://kubernetes.io/docs/concepts/configuration/secret/) for accessing a container image registry.


Of the 438 records that potentially held valid credentials for registries, 238 records – about 46% – contained valid credentials that provided access to the respective registries. Ninety-three of the passwords were manually set by individuals, as opposed to the 345 that were computer-generated.


"In the majority of cases, these credentials allowed for both pulling and pushing privileges," the researchers noted. "Moreover, we often discovered private container images within most of these registries."


Furthermore, nearly 50% of the 93 passwords were deemed weak. This comprised password, test123456, windows12, ChangeMe, and dockerhub, among others.


[![Kubernetes Secrets](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgXd9Q7ugqCHkhYpugvz8AUWTRBMDqBhCiEtuc8NK7_ejw6QUE1AeDhqtItkXrNWsN7vmCXn7mYaTZlskdTGmnKvoofynRHw5bTqVblGgDMV8GzYGAKGpE7awX0XwDziB_TokFYqgQg-veyBzvAvK2PoikncROHCyzCcc-8j8NGd_KNiwYaROVgeciCRfUd/s728-rw-ft-e30/password.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgXd9Q7ugqCHkhYpugvz8AUWTRBMDqBhCiEtuc8NK7_ejw6QUE1AeDhqtItkXrNWsN7vmCXn7mYaTZlskdTGmnKvoofynRHw5bTqVblGgDMV8GzYGAKGpE7awX0XwDziB_TokFYqgQg-veyBzvAvK2PoikncROHCyzCcc-8j8NGd_KNiwYaROVgeciCRfUd/s728-rw-ft-e30/password.jpg)
"This underscores the critical need for organizational password policies that enforce strict password creation rules to prevent the use of such vulnerable passwords," the researchers added.


Aqua said it also found instances where organizations fail to remove secrets from the files that are committed to public repositories on GitHub, leading to inadvertent exposure.


But on a positive note, all the credentials associated with AWS and Google Container Registry (GCR) were found to be temporary and expired, making access impossible. In a similar vein, the GitHub Container Registry required two-factor authentication (2FA) as an added layer against unauthorized access.


"In some cases, the keys were encrypted and thus there was nothing to do with the key," the researchers said. "In some cases, while the key was valid it had minimal privileges, often just to pull or download a specific artifact or image."


According to Red Hat's [State of Kubernetes Security Report](https://www.redhat.com/en/resources/kubernetes-adoption-security-market-trends-overview) released earlier this year, vulnerabilities and misconfigurations emerged as top security concerns with container environments, with 37% of the total 600 respondents identifying revenue/customer loss as a result of a container and Kubernetes security incident.


  





## Tags:


### Autogenerated tags:
[[kubernetes]] [[github]]
