# Microsoft Azure 'AutoWarp' Bug Could Have Let Attackers Access Customers' Accounts
## Researchers have disclosed details of a now-patched Microsoft Azure automation vulnerability that could have allowed attackers access to Azure account
## Information:

+ Link: https://thehackernews.com/2022/03/microsoft-azure-autowarp-bug-could-have.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 08 March 2022, 06:44
+ Date scraped: 08 March 2022, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEhODhtyHtkPFNB3Iy30s8_nuQFyxXxwBiGWSzsx6J9_aaEzc6f874OpJUplchrhQXoIdTwC9Yn9pqXD6NmKucSNM8__Fi0V_cqbpnrIRvZ8oINaMWT3-mPvW_7os6eXWVIe4WPL_fk72KS6by3ewhY86Xprs9b5Uqy5wWlQNB70XZfRP-Y1-izRKsbL=s728-e1000)


Details have been disclosed about a now-addressed critical vulnerability in Microsoft's [Azure Automation](https://docs.microsoft.com/en-in/azure/automation/overview) service that could have permitted unauthorized access to other Azure customer accounts and take over control.


"This attack could mean full control over resources and data belonging to the targeted account, depending on the permissions assigned by the customer," Orca Security researcher Yanir Tsarimi [said](https://orca.security/resources/blog/autowarp-microsoft-azure-automation-service-vulnerability/) in a report published Monday.


The flaw potentially put several entities at risk, including an unnamed telecommunications company, two car manufacturers, a banking conglomerate, and big four accounting firms, among others, the Israeli cloud infrastructure security company added.


The Azure Automation service [allows](https://azure.microsoft.com/en-in/services/automation/) for process automation, configuration management, and handling operating system updates within a defined maintenance window across Azure and non-Azure environments.


Dubbed "**AutoWarp**," the issue affects all users of the Azure Automation service that have the [Managed Identity](https://docs.microsoft.com/en-us/azure/automation/automation-security-overview#managed-identities) feature turned on. It's worth noting that this feature is enabled by default. Following responsible disclosure on December 6, 2021, the issue was remediated in a patch pushed on December 10, 2021.


[![Microsoft Azure](https://thehackernews.com/new-images/img/a/AVvXsEhPnkz8R5BoWcIvU9pALK6-mbCwJBWpRN1Sj4pULP_pnPmT3CgJenBcKPnWbDlLibFrtz_TVkFgd1QaODZN85HI-6pTjLizNrMWjvFm0GEbQiRMfhZteRCJk81CKGTlPXFd4Q0Uv6poH7oGIWroi1HfCv_KaSnEeaG8NzpvgY2lxOPKtFjtNgFbHSNs=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEhPnkz8R5BoWcIvU9pALK6-mbCwJBWpRN1Sj4pULP_pnPmT3CgJenBcKPnWbDlLibFrtz_TVkFgd1QaODZN85HI-6pTjLizNrMWjvFm0GEbQiRMfhZteRCJk81CKGTlPXFd4Q0Uv6poH7oGIWroi1HfCv_KaSnEeaG8NzpvgY2lxOPKtFjtNgFbHSNs)
"Azure Automation accounts that used Managed Identities tokens for authorization and an Azure Sandbox for job runtime and execution were exposed," Microsoft Security Response Center (MSRC) [said](https://msrc-blog.microsoft.com/2022/03/07/13943/) in a statement. "Microsoft has not detected evidence of misuse of tokens."


While the automation jobs are designed to be isolated by means of a sandbox to prevent access by other code running on the same virtual machine, the vulnerability made it possible for a bad actor executing a job in an Azure Sandbox to obtain the authentication tokens of other automation jobs.


"Someone with malicious intentions could've continuously grabbed tokens, and with each token, widen the attack to more Azure customers," Tsarimi noted.


The disclosure comes nearly two months after Amazon Web Services (AWS) fixed two vulnerabilities – dubbed [Superglue](https://orca.security/resources/blog/aws-glue-vulnerability/) and [BreakingFormation](https://orca.security/resources/blog/aws-cloudformation-vulnerability/) – in the AWS Glue and CloudFormation services that could have been abused to access data of other AWS Glue customers and leak sensitive files.


In December 2021, Microsoft also [resolved](https://thehackernews.com/2021/12/4-year-old-bug-in-azure-app-service.html) another security weakness in the Azure App Service that resulted in the exposure of source code of customer applications written in Java, Node, PHP, Python, and Ruby for at least four years since September 2017.


  





## Tags:


### Autogenerated tags:
[[microsoft]] [[aws]]
