# Popular PyPI Package 'ctx' and PHP Library 'phpass' Hijacked to Steal AWS Keys
## Two trojanized Python and PHP packages, "ctx" and "phpass," have been uncovered in another instance of a software supply chain attack.
## Information:

+ Link: https://thehackernews.com/2022/05/pypi-package-ctx-and-php-library-phpass.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 24 May 2022, 15:31
+ Date scraped: 24 May 2022, 16:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjHJ4wNORgVjUdAixTZAPzpqjXgb9ifMK6BzTTFNB24L6pThD9AaNdliGplGLVOTNP4aK1F2oP75o5tTTthPCgZrLEQ9LfukDW4ZQAlkmqG49DCXeJhEdO6vh8D2t7cI19Tobuoh_xVbDPiuqIeKImLCfSCo-xaaSnoX37hR8E3CDye5TEAkgXfWAxc/s728-e1000/python-php.jpg)


Two trojanized Python and PHP packages have been uncovered in what's yet another instance of a software supply chain attack targeting the open source ecosystem.


One of the packages in question is "ctx," a Python module available in the PyPi repository. The other involves "phpass," a PHP package that's been forked on GitHub to distribute a rogue update.


"In both cases the attacker appears to have taken over packages that have not been updated in a while," the SANS Internet Storm Center (ISC) [said](https://isc.sans.edu/forums/diary/ctx+Python+Library+Updated+with+Extra+Features/28678/), one of whose volunteer incident handlers, Yee Ching, analyzed the ctx package.


It's worth noting that ctx was last published to PyPi on December 19, 2014. On the other hand, phpass hasn't received an update since it was uploaded to Packagist on August 31, 2012.


The malicious Python package, which was pushed to PyPi on May 21, 2022, has been [removed from the repository](https://pypi.org/project/ctx/), but the PHP library still continues to be [available](https://github.com/hautelook/phpass/) on GitHub.


In both instances, the modifications are designed to exfiltrate AWS credentials to a Heroku URL named 'anti-theft-web.herokuapp[.]com.' "It appears that the perpetrator is trying to obtain all the environment variables, encode them in Base64, and forward the data to a web app under the perpetrator's control," Ching said.


It's suspected that the attacker managed to gain unauthorized access to the maintainer's account to publish the new ctx version. Further investigation has revealed that the threat actor registered the expired domain used by the original maintainer on May 14, 2022.


![PyPI Package and PHP Library](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjmHv-1wZe8N9I715GsJtFiFZX7KxNqEzfkz41AruLet2x1BTB592ymLMNd26nGICEQQK7P_rqVteJJ0jpbWS8AoUcPFy5EulA8qhmjXegqLRlYlMxaZ6B9-x47i9YRbgMqEJ5DwT06ZZkRyiDSrygas2oW04YcjzcoEUmjvuuL0iLIza4OblzoDi3I/s728-e1000/php.jpg)
"With control over the original domain name, creating a corresponding email to receive a password reset email would be trivial," Ching added. "After gaining access to the account, the perpetrator could remove the old package and upload the new backdoored versions."


Coincidentally, on May 10, 2022, security consultant Lance Vick [disclosed](https://twitter.com/lrvick/status/1523774962909298690) how it's possible to purchase lapsed NPM maintainer email domains and subsequently use them to re-create maintainer emails and seize control of the packages.


[![PyPI Package and PHP Library](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEis5Quj8CDvyi56W9wjEbcyLHZFT-B0it9bRngKj8wPSueP3bjnG2PE298X4x6UM59A6t6--LFgr7IdGTsFj2y5nHlvgTXtTG1Iy4PvKqH2tcdT_iUy9AgneKDXxCK1JdlZdj92kzTDPR_XKna3KKQl1GCDup0Wz3MOR4x_DhMrUac7e-8cA0eEz2WC/s728-e1000/code.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEis5Quj8CDvyi56W9wjEbcyLHZFT-B0it9bRngKj8wPSueP3bjnG2PE298X4x6UM59A6t6--LFgr7IdGTsFj2y5nHlvgTXtTG1Iy4PvKqH2tcdT_iUy9AgneKDXxCK1JdlZdj92kzTDPR_XKna3KKQl1GCDup0Wz3MOR4x_DhMrUac7e-8cA0eEz2WC/s728-e100/code.jpg)
What's more, a [metadata analysis](https://arxiv.org/abs/2112.10165) of 1.63 million JavaScript NPM packages conducted by academics from Microsoft and North Carolina State University last year uncovered 2,818 maintainer email addresses associated with expired domains, effectively allowing an attacker to hijack 8,494 packages by taking over the NPM accounts.


"In general, any domain name can be purchased from a domain registrar allowing the purchaser to connect to an email hosting service to get a personal email address," the researchers said. "An attacker can hijack a user's domain to take over an account associated with that email address."


Should the domain of a maintainer turn out to be expired, the threat actor can acquire the domain and alter the DNS mail exchange ([MX](https://www.cloudflare.com/en-in/learning/dns/dns-records/dns-mx-record/)) records to appropriate the maintainer's email address.


"Looks like the phpass compromise happened because the owner of the package source - 'hautelook' deleted his account and then the attacker claimed the username," researcher Somdev Sangwan [said](https://twitter.com/s0md3v/status/1529005758540808192) in a series of tweets, detailing what's called a [repository hijacking](https://blog.securityinnovation.com/repo-jacking-exploiting-the-dependency-supply-chain) attack.


Public repositories of open source code such as Maven, NPM, Packages, PyPi, and RubyGems are a critical part of the software supply chain that many organizations rely on to develop applications.


On the flip side, this has also made them an attractive target for a variety of adversaries seeking to deliver malware.


This includes [typosquatting](https://thehackernews.com/2022/05/researchers-uncover-rust-supply-chain.html), [dependency confusion](https://thehackernews.com/2021/02/dependency-confusion-supply-chain.html), and account takeover attacks, the latter of which could be leveraged to ship fraudulent versions of legitimate packages, leading to widespread supply chain compromises. 


"Developers are blindly trusting repositories and installing packages from these sources, assuming they are secure," DevSecOps firm JFrog [said](https://thehackernews.com/2021/07/several-malicious-typosquatted-python.html) last year, adding how threat actors are using the repositories as a malware distribution vector and launch successful attacks on both developer and CI/CD machines in the pipeline.


  





## Tags:
***urls***: http://anti-theft-web.herokuapp.com

### Autogenerated tags:
[[ctx]] [[pypi]] [[npm]] [[php]] [[phpass]]
