# Researchers Discover Hundreds of Amazon RDS Instances Leaking Users' Personal Data
## Researchers discovered hundreds of databases on Amazon Relational Database Service (Amazon RDS) exposing personal identifiable information (PII).
## Information:

+ Link: https://thehackernews.com/2022/11/researchers-discover-hundreds-of-amazon.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 16 November 2022, 13:04
+ Date scraped: 16 November 2022, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgf1eGs2cdLg0po3Zu2fVzKXa_NB-9JN0hMPKYqSbb9w_vhadWpMdgpHbnko8_aJLjhNRtkvYXufzsG93F5RJHGG62iSsU4Xqa44m4-UckEOBFdgOAoTTb5yEByhu_SWobwZoLPOoFhUmO2QMXmh1X8n1dws9mXDus1Y8XeG802QUZigjawyhdgvftM/s728-e1000/amazon.jpg)


Hundreds of databases on Amazon Relational Database Service (Amazon RDS) are exposing personal identifiable information (PII), new findings from Mitiga, a cloud incident response company, show.


"Leaking PII in this manner provides a potential treasure trove for threat actors – either during the reconnaissance phase of the cyber kill chain or extortionware/ransomware campaigns," researchers Ariel Szarf, Doron Karmi, and Lionel Saposnik said in a [report](https://www.mitiga.io/blog/how-mitiga-found-pii-in-exposed-amazon-rds-snapshots) shared with The Hacker News.


This includes names, email addresses, phone numbers, dates of birth, marital status, car rental information, and even company logins.


Amazon RDS is a [web service](https://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/Welcome.html) that makes it possible to set up relational databases in the Amazon Web Services (AWS) cloud. It offers support for different database engines such as MariaDB, MySQL, Oracle, PostgreSQL, and SQL Server.


The root cause of the leaks stems from a feature called public [RDS snapshots](https://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/USER_CreateSnapshot.html), which allows for creating a backup of the entire database environment running in the cloud and can be accessed by all AWS accounts.


[![Amazon RDS Snapshots](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEitYLOcg5UTrdgsB3eBqRfURLcojxJmaJmJcS3_jb2E51-6OpptnvQyI1RaQsory35pTv0aGUhxovB76bzwmK4qXAoRSjzEbFDb49cjkGRBspxWaWR9vAfcbh1kC5-LOYjWqgUtEs6OQPh_IhwcL5_X0Zw6QpchRyH1uIlWBji-jHx_xvA2m8z0Bzbz/s728-e1000/data.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEitYLOcg5UTrdgsB3eBqRfURLcojxJmaJmJcS3_jb2E51-6OpptnvQyI1RaQsory35pTv0aGUhxovB76bzwmK4qXAoRSjzEbFDb49cjkGRBspxWaWR9vAfcbh1kC5-LOYjWqgUtEs6OQPh_IhwcL5_X0Zw6QpchRyH1uIlWBji-jHx_xvA2m8z0Bzbz/s728-e100/data.jpg)
"Make sure when sharing a snapshot as public that none of your private information is included in the public snapshot," Amazon [cautions](https://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/USER_ShareSnapshot.html) in its documentation. "When a snapshot is shared publicly, it gives all AWS accounts permission both to copy the snapshot and to create DB instances from it."


The Israeli company, which carried out the research from September 21, 2022, to October 20, 2022, said it found 810 snapshots that were publicly shared for varying duration, starting from a few hours to weeks, making them ripe for abuse by malicious actors.


Of the 810 snapshots, over 250 of the backups were exposed for 30 days, suggesting that they were likely forgotten.


Based on the nature of the information exposed, adversaries could either steal the data for financial gain or leverage it to get a better grasp of a company's IT environment, which could then act as a stepping stone for covert intelligence gathering efforts.


It's highly recommended that RDS snapshots are not publicly accessible in order to prevent potential leak or misuse of sensitive data or any other kind of security threat. It's also advised to encrypt snapshots where applicable.


  





## Tags:


### Autogenerated tags:
[[rds]] [[cloud]] [[aws]]
