# TeamTNT's Cloud Credential Stealing Campaign Now Targets Azure and Google Cloud
## A malicious actor expands their target beyond AWS. Azure and Google Cloud Platform (GCP) services are now at risk.
## Information:

+ Link: https://thehackernews.com/2023/07/teamtnts-cloud-credential-stealing.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 14 July 2023, 15:42
+ Date scraped: 14 July 2023, 11:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjlXGJwY-63sxWhUgOou8l_435yOGAXEKLaTOYOpS9hYcyok65fHZmpQIMhThJzm384JoD3L-Qn8qYVpwaWXK4CJoSSjdKx6FSNT3-vRzA1OOZxoJINNQHfXi_4LgAD28xQosqIous6FLrCsUnc_gxnYr68NFpJfnidRjuZhQkOSRk1FioW7fiKfRZnaig5/s728-e3650/azure.jpg)


A malicious actor has been linked to a cloud credential stealing campaign in June 2023 that's focused on Azure and Google Cloud Platform (GCP) services, marking the adversary's expansion in targeting beyond Amazon Web Services (AWS).


The findings come from [SentinelOne](https://www.sentinelone.com/labs/cloudy-with-a-chance-of-credentials-aws-targeting-cred-stealer-expands-to-azure-gcp/) and [Permiso](https://permiso.io/blog/s/agile-approach-to-mass-cloud-cred-harvesting-and-cryptomining/), which said the "campaigns share similarity with tools attributed to the notorious TeamTNT cryptojacking crew," although it emphasized that "attribution remains challenging with script-based tools."


They also overlap with an ongoing TeamTNT campaign [disclosed](https://thehackernews.com/2023/07/teamtnts-silentbob-botnet-infecting-196.html) by Aqua called Silentbob that leverages misconfigured cloud services to drop malware as part of what's said to be a testing effort, while also linking [SCARLETEEL](https://thehackernews.com/2023/07/scarleteel-cryptojacking-campaign.html) attacks to the threat actor, citing infrastructure commonalities.


"TeamTNT is scanning for credentials across multiple cloud environments, including AWS, Azure, and GCP," Aqua noted.


The attacks, which single out public-facing Docker instances to deploy a worm-like propagation module, are a continuation of an intrusion set that [previously targeted](https://permiso.io/blog/s/christmas-cloud-cred-harvesting-campaign/) Jupyter Notebooks in December 2022.


[![Azure and Google Cloud](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh1cWbyABCNsWeY5BTZFwQzqMuZvLLkvaIUopq7VRTf0bYRKkxaD5d-6yKQFF6ypdgHadwoBwezDS0c2DmRV1hk33fEo0eKFpp3QvBNpmdffjEJorjWJMzhvlUfVF6nZe-WekGt9iKzsDaCvSYwjwsKHBHfuV6QnaNhr1oP4d7agwx0XuTFE2WcZi3cO0S7/s728-e3650/cloud.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh1cWbyABCNsWeY5BTZFwQzqMuZvLLkvaIUopq7VRTf0bYRKkxaD5d-6yKQFF6ypdgHadwoBwezDS0c2DmRV1hk33fEo0eKFpp3QvBNpmdffjEJorjWJMzhvlUfVF6nZe-WekGt9iKzsDaCvSYwjwsKHBHfuV6QnaNhr1oP4d7agwx0XuTFE2WcZi3cO0S7/s728-e365/cloud.jpg)
As many as eight incremental versions of the credential harvesting script have been discovered between June 15, 2023, and July 11, 2023, indicating an actively evolving campaign.


The newer versions of the malware are designed to gather credentials from AWS, Azure, Google Cloud Platform, Censys, Docker, Filezilla, Git, Grafana, Kubernetes, Linux, Ngrok, PostgreSQL, Redis, S3QL, and SMB. The harvested credentials are then exfiltrated to a remote server under the threat actor's control.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Get Ready to Learn](https://thn.news/I26t1VFD)
SentinelOne said the credentials collection logic and the files targeted bears similarities to a [Kubelet-targeting campaign](https://sysdig.com/blog/teamtnt-kubelet-credentials/) undertaken by TeamTNT in September 2022. 


Alongside the shell script malware, the threat actor has also been observed distributing a Golang-based ELF binary that acts as a scanner to propagate the malware to vulnerable targets. The binary further drops a Golang network scanning utility called Zgrab.


"This campaign demonstrates the evolution of a seasoned cloud actor with familiarity across many technologies," security researchers Alex Delamotte, Ian Ahl, and Daniel Bohannon said. "The meticulous attention to detail indicates the actor has clearly experienced plenty of trial and error."


"This actor is actively tuning and improving their tools. Based on the tweaks observed across the past several weeks, the actor is likely preparing for larger scale campaigns."


  





## Tags:


### Autogenerated tags:
[[cloud]] [[teamtnt]] [[malware]] [[aws]]
