# Zoom Adopts NIST-Approved Post-Quantum End-to-End Encryption for Meetings
## Zoom has rolled out post-quantum end-to-end encryption (E2EE) for Zoom Meetings.
## Information:

+ Link: https://thehackernews.com/2024/05/zoom-adopts-nist-approved-post-quantum.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 May 2024, 10:16
+ Date scraped: 22 May 2024, 05:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg1XStqI7Xt3HD-h8HZpNkSg0-fMeNgnZlK-la-AItk7288oVV0E-ZZhNYZjAWKZWInIToLdffwXG6UGPawJgR5kwcH2iLVHAsgXe9oke8zpUhDgg_oHnytLi9VxXb8qIW-k94axQEoYSPeh8OqtR1rHW_R-9uY7UP6yJeewStWfP6eA9ZStXnYvVPGpb1x/s728-rw-e365/zoom.png)


Popular enterprise services provider Zoom has announced the rollout of post-quantum end-to-end encryption (E2EE) for Zoom Meetings, with support for Zoom Phone and Zoom Rooms coming in the future.


"As adversarial threats become more sophisticated, so does the need to safeguard user data," the company [said](https://news.zoom.us/post-quantum-e2ee/) in a statement. "With the launch of post-quantum E2EE, we are doubling down on security and providing leading-edge features for users to help protect their data."


Zoom's post-quantum E2EE uses [Kyber-768](https://pq-crystals.org/kyber/index.shtml), which aims at security roughly equivalent to AES-192. Kyber was [chosen](https://thehackernews.com/2022/07/nist-announces-first-four-quantum.html) by the U.S. Department of Commerce's National Institute of Standards and Technology (NIST) in July 2022 as the quantum-resistant cryptographic algorithm for general encryption.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
However, for post-quantum E2EE to be enabled by default, it [requires](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0065408) all meeting participants to be on Zoom desktop or mobile app version 6.0.10 or higher. In the event some of the participants don't meet this minimum version requirement, standard E2EE will be used.


While quantum computers are still in their experimental stages, the threat posed by such computers in the coming years is that they could trivially crack classical mathematical problems that are considered computationally intensive, thus making cryptanalysis much easier.


Compounding this aspect is a type of attack called harvest now, decrypt later ([HNDL](https://en.wikipedia.org/wiki/Harvest_now,_decrypt_later)), or retrospective decryption, where sophisticated threat actors steal and store encrypted network traffic now, with an intent to decrypt it later when quantum computers become more advanced.


Post-quantum cryptography is designed to thwart such risks, prompting several companies such as Amazon Web Services ([AWS](https://www.amazon.science/blog/preparing-today-for-a-post-quantum-cryptographic-future)), [Apple](https://thehackernews.com/2024/02/apple-unveils-pq3-protocol-post-quantum.html), [Cloudflare](https://blog.cloudflare.com/post-quantum-to-origins), [Google](https://thehackernews.com/2023/08/google-introduces-first-quantum.html), [HP](https://press.hp.com/us/en/blogs/2024/hp-launches-business-pc-to-protect-against-quantum-computer-hacks.html), [Signal](https://thehackernews.com/2023/09/signal-messenger-introduces-pqxdh.html), and [Tuta](https://tuta.com/blog/post-quantum-cryptography) to integrate the new standard into their products.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
Earlier this February, the Linux Foundation [announced](https://pqca.org/post-quantum-cryptography-alliance-launches-to-advance-post-quantum-cryptography/) the launch of a Post-Quantum Cryptography Alliance ([PQCA](https://pqca.org/)) that seeks to address cryptographic security challenges posed by quantum computing.


While quantum computers strong enough to break cryptography are currently only theoretical, government-backed efforts are already underway to help organizations transition to quantum-resistant cryptography.


"For organizations that support critical infrastructures or are depended upon by large sections of society, the need to migrate is particularly urgent," HP Wolf Security [noted](https://threatresearch.ext.hp.com/anticipating-the-quantum-threat-to-cryptography/#) earlier this year.



  





## Tags:


### Autogenerated tags:
[[post-quantum]] [[e2ee]]
