# Russia wants to isolate its internet, but experts warn it won’t be easy
## As Russia’s war with Ukraine drags on, the Kremlin has doubled down on its efforts to take control of the internet on its own turf.
## Information:

+ Link: https://therecord.media/russia-internet-isolation-challenges
+ Source: The Record
+ Author: Daryna Antoniuk
+ Date published: 17 October 2023, 00:00
+ Date scraped: 17 October 2023, 16:01

## Article:
![Main article image](https://cms.therecord.media/uploads/putin_0ddd12c235.jpg)

As Russia’s war with Ukraine drags on, the Kremlin has doubled down on its efforts to take control of the internet on its own turf.


Last week, for example, the renowned Russian human rights activist Alexey Sokolov [was detained](https://veved.ru/eburg/news/life/190147-ekaterinburgskogo-pravozaschitnika-arestovali-na-5-sutok-za-ssylku-na-zapreschennuju-socset.html) for five days for "displaying symbols of extremist organizations." The organization in question was Facebook, whose logo and link Sokolov had placed on his website.


Meta, the parent company of Facebook, [was designated](https://tass.com/society/1520947) as a terrorist organization in Russia after the Kremlin accused it of "Russophobia" during Russia's invasion of Ukraine last year. Popular mobile apps such as Facebook, Twitter, and Instagram are banned in Russia and can only be accessed through a virtual private network (VPN), which also faces frequent disruptions imposed by state regulators.


Russia has long wanted to create its own internet, often referred to as the Runet, which would work independently from the rest of the world and comply with Russian laws.


The last two years have made its ambitions more attainable, as many Western tech giants, including Apple, Microsoft, and Google, suspended or restricted their services in the country, urging users and businesses to switch to Russian alternatives.


But while the transition to homegrown hardware and software is compelling for authoritarian regimes like Russia's, its implementation faces many obstacles, according to experts who spoke to Recorded Future News.


Unlike China, Russia’s internet was never built as a self-contained system.


“China connected to the internet very late, very warily, and with an enormous domestic population that is, by policy, culturally pretty similar,” said Andrew Sullivan, president of the Internet Society.


“And because of China's enormous domestic addressable market, they were in a position to create completely domestic alternatives to any service offered outside of China,” he added.


China has spent decades building its Great Firewall, an intricate system for internet censorship and control. Meanwhile, Russia, accustomed to buying American smartphones, playing Japanese video games and having access to global tech services, has to make this shift while dealing with war, financial crisis, brain drain, supply shortages, and sanctions.


With the war in Ukraine, Russia has indeed started relying more on its own technology, especially in critical sectors like government and defense. However, experts question Moscow's ability to completely isolate its tech ecosystem and internet.


“It seems likely that the conditions do not exist in Russia to replicate China's path,” Sullivan said.


“That doesn't mean that Russia won't try. But the path is likely to result in greater resistance in a population that is having something taken away, than what emerged in a population that never had the internet in the first place.”


  

### Made in Russia


Since the beginning of the war in Ukraine, more than [200 foreign tech companies](https://arppsoft.ru/news/it/13779/), including industry giants like SAP, Cisco, Microsoft, AWS, IBM, and Intel, have stopped providing their services in Russia.


This has pushed the Kremlin to speed up its "import substitution" policy, encouraging local businesses and state companies to switch to domestic tech.


So far, this primarily has impacted government agencies, which, due to [a new law](http://publication.pravo.gov.ru/Document/View/0001202203300001?ysclid=ljx06hx0mf985727638), must fully abandon foreign software by 2025. For many Russians, this is not just a requirement but a necessity. Microsoft, used by up to 90% of corporate and state clients in the country, [has stopped renewing](https://therecord.media/microsoft-to-freeze-license-extensions-for-russian-companies) licenses for its products for Russian entities.


The most popular Russian alternatives to the Windows operating system include Astra Linux, initially developed for the country's military and intelligence agencies. Following the suspension of Microsoft licenses, one of the chambers of the Russian parliament, the State Duma, [purchased](https://www.forbes.ru/tekhnologii/497615-gosduma-zakupila-analogi-windows-i-microsoft-office-na-52-mln-rublej?utm_source=forbes&utm_campaign=interesting-today) 1,800 licenses for Astra Linux and a domestic alternative to Microsoft Office called My Office for its deputies and staff members.


  

![Microsoft Windows](https://cms.therecord.media/uploads/turag_photography_1u_Qe5_B_Ii_H8w_unsplash_95bebe33f1.jpg)
*Microsoft stopped renewing licenses for its products to Russian companies this month. Image: Unsplash*


In June, Russia's telecom giant Rostelecom [announced](https://therecord.media/russia-wants-phones-with-aurora-os) its plans to supply government officials with mobile phones using the domestic Aurora operating system. These phones could potentially replace Apple smartphones, as Russian security services have [accused](https://therecord.media/russia-accusses-us-of-hacking-apple-devices-to-spy-on-diplomats) them of espionage.


The transition to domestic tech wouldn’t be easy, experts warn.


The Russia-made alternative to the iPhone, which runs on the Aurora operating system, hasn't gained much popularity and has [sold](https://www.themoscowtimes.com/2023/03/23/russias-iphone-killer-sells-under-1000-smartphones-in-first-year-a80585) fewer than 1,000 units since its launch over a year ago.


“Weaning the public off Apple products is likely to be a difficult climb, but the ultimate substitutions for Western brands like Apple are likely to be Chinese handsets from Xiaomi, Realme, Tecno, and others,” said Gavin Wilde, a senior fellow at the Carnegie Endowment for International Peace.


Switching to Russian software means adapting to a new interface or changing the entire information technology infrastructure. Even seemingly simple things like file formats and fonts differ between Microsoft and Russian operating systems.


In certain industries, such as banking, there are just no comparable Russian alternatives to what companies like SAP and Oracle offer. Big Russian banks and financial services have even [asked the government](https://www.kommersant.ru/doc/6199827) to delay switching to domestic tech until 2027 to give them more time to rebuild their systems.


Another issue is the increasing cost of Russian-made software, according to Oleg Shakirov, an expert on Russian foreign policy and security at the Center for Strategic Research.


For instance, Russian cybersecurity product prices have [surged by over 20%](https://safe.cnews.ru/news/top/2022-05-31_zarabotat_na_importozameshchenii) since March 2022. Many suppliers are also grappling with hardware shortages caused by sanctions and supply chain disruptions.


If prices are too high or if there aren't user-friendly Russian alternatives to Western technology, there's a chance that small and medium-sized businesses may never make the switch. They might choose to use pirated foreign services instead, according to Shakirov, which can't be updated promptly and make them susceptible to cyberattacks.


Government agencies and big corporations are [reportedly procuring](https://www.wsj.com/articles/inside-the-gray-market-keeping-cisco-tech-in-stock-in-russia-23b60391?mod=tech_lead_pos5) banned foreign technology through intermediaries in other nations. For example, even though Cisco left Russia a year ago, its networking gear is still reaching the country through resellers in Asia and Turkey.


  

### Banned in Russia


In early June, the Russian internet and media regulator, Roskomnadzor, temporarily [disconnected](https://www.rbc.ru/technology_and_media/05/07/2023/64a569439a7947106d06262b) Russia from the global internet to test how Runet would operate independently.


According to Mikhail Klimarev, the executive director of the Russian Internet Defense Society, this test was considered a failure because it only lasted for 40 minutes instead of the promised two hours.


“Whatever Russia is doing, it isn't actually disconnecting its networks from the rest of the world, though it might be adding very significant filters, which we can't see from outside,” Sullivan said.


“Any network that is still connected is by definition not fully isolated — this is also what causes data breaches, after all: the point-of-sale system database is accessible from the internet, so someone gets in,” he added.


A fully isolated, self-sustaining internet that can survive within Russian borders for an extended period of time “would require a host of robust hardware and software capabilities — like a custom Domain Name System and consolidated internet exchange points,” according to Wilde.


“A whole host of economic and other functions are still dependent on the ‘non-RuNet,’ so full isolation would not be without significant costs and disruptions,” he said.


However, when it comes to content, Russia is actively seeking to gain more control over the internet.


According to a [report](https://theins.ru/politika/265575) from The Insider, a Russian independent media outlet, Russia is actively acquiring technology to block websites and applications based on their protocols. This could give the Russian government the power to limit access to services like YouTube, WhatsApp, and Telegram.


Until recently, Russian regulators couldn't filter internet traffic by protocol, so they used to block specific IP addresses. To get around this, some apps, including VPNs, frequently changed their IP addresses. But in April and June, Russia [started blocking](https://t.me/tvrain/71036) VPNs based on protocols, which caused most apps to stop working for Russian users for a few days.


In October, Roskomnadzor [announced](https://ria.ru/20231003/vpn-1900174800.html?in=l) that starting in 2024, it would block VPN services in all app stores, including the App Store and Google Play. The watchdog will also [shut down](https://www.forbes.ru/tekhnologii/497761-roskomnadzor-smozet-blokirovat-resursy-s-informaciej-ob-obhode-blokirovok?utm_source=forbes&utm_campaign=interesting-today) websites that explain how to get around the restrictions.


  

### Future of tech in Russia


It's hard to predict how the Russian tech and internet market will look in a few years, but there's a good chance it will stay much the same as it is now, according to Shakirov.


As in Soviet times, Russians are trying to find ways to pass through the digital curtain without breaking it. Many of them still use banned social networks, watch pirated Western movies, play banned video games and buy Apple tech, which is usually sold illegally.


All the strict rules come with exceptions and take certain interests into account, according to Shakirov.


For example, Russia recently [amended a law](https://www.rbc.ru/technology_and_media/02/08/2023/64c8921b9a794745316a4759) banning citizens from participating in foreign non-profit organizations (NGOs). This ban, however, could potentially criminalize involvement in foreign open-source projects and impact developers of Russian Linux-based software. To address this issue, businesses [suggested](https://www.forbes.ru/tekhnologii/497878-v-rossii-mogut-sozdat-reestr-inostrannyh-destruktivnyh-nko-v-sfere-it) that the government establish a separate list of prohibited NGOs that excludes open-source projects.


Some of Russia's new laws appear quite Orwellian, and it's not clear how they will be enforced. For example, a law that [prohibits](https://sozd.duma.gov.ru/bill/570420-7) Russian websites from registering new user accounts using foreign email addresses. Instead, Russia requires new accounts to be linked to a Russian phone number, Russian email address, or biometric data, making it difficult for Russians to stay anonymous online.


It is very hard to say how close Russia is to its goal of "a sovereign Russian internet," according to Sullivan.


“What is certainly true is that, if they achieve their stated goal, they wouldn't any longer be part of the internet. Instead, they'd be a separate network with a gateway to the internet — sort of "Russia Online" or something of that nature,” he added.


Shakirov said that Russia is looking for a balance.


“On the one hand, it's concerned about national security and control, but it also wants to stay connected to the world,” he said. “Even under sanctions, Russia is part of the global economy, including the digital one. No one is ready to be completely cut off from the world.”

[Previous article](/ampersand-television-advertising-sales-company-ransomware)[Next article](/state-data-broker-registries-california-vermont)[TV advertising sales giant affected by ransomware attack](/ampersand-television-advertising-sales-company-ransomware)[Delete-your-data laws have a perennial problem: Data brokers who fail to register](/state-data-broker-registries-california-vermont)


## Tags:


### Autogenerated tags:
[[microsoft]] [[shakirov]] [[sullivan]] [[facebook]] [[apps]] [[websites]]
