# 2022 Review: Trend Transforms to SaaS Cybersecurity
## Transformation to a SaaS-based cybersecurity vendor
## Information:

+ Link: https://www.trendmicro.com/en_us/research/23/b/saas-cybersecurity-company.html
+ Source: Trend Micro
+ Author: Lonny Huffar
+ Date published: 23 February 2023, 23:00
+ Date scraped: 27 February 2023, 19:00

## Article:
![Main article image](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/thumbnails/23/saas-cybersecurity-company.png)






Welcome to Trend Micro 3.0! What’s that you say? Trend Micro is a [leader in the cyber security market](https://newsroom.trendmicro.com/2022-11-23-Trend-Micro-Celebrates-Ranking-as-1-Channel-Security-Vendor) and not just an Anti-malware company? Shocker for some of you I know, but we believe our acknowledgment and recognition from Gartner, Forrester and [AWS](https://newsroom.trendmicro.com/2022-11-28-Trend-Micro-Awarded-2022-Regional-and-Global-AWS-Partner-Award) say just that. If you haven’t had an opportunity to check out Trend Micro Vision One, now’s the time. Why? We’ve just completed a myriad of third-party integrations to accelerate our customers visibility, build business resilience, extend their security posture and help them move beyond traditional cyber asset discovery.






![forrester](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/b/saas-cybersecurity-company/forrester.PNG)
Trend Micros was named a Leader in both The Forrester New Wave™: Extended Detection And Response (XDR) Providers, Q4 2021 and The Forrester New Wave™: Extended Detection And Response (XDR) Providers, Q4 2021







Let’s take a walk down memory lane to understand Trend Micro’s past and how we got to today and where we are going to tomorrow!


The History of Trend Micro


Trend came from humble beginnings on the premise of delivering trust and transparency to all our customers with the ideology of never apologizing for innovating. From our start in consumer anti-virus protection to Internet gateway virus protection to hybrid cloud, network and endpoint security to SAAS based cybersecurity virtualization, we pride ourselves in delivering trust and transparency to our customers, always.


Trend Micro has been at the [forefront of technological security innovation](https://www.trendmicro.com/en_us/about/history-vision-values.html) since 1988, moving and adapting with the continuous, and at time tumultuous, changes in the IT and security landscape. Our excellence has derived from our failures, which have guided us to be ever present and looking forward at the next potential threats, so that we may deliver the right solutions, at the right time to keep our customers protected when it matters most.






![industry-innovation](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/b/saas-cybersecurity-company/industry-innovation.PNG)






Since 1995 the threat landscape has evolved drastically and if we look at where it started to where it is headed, we see the bubble of Threat Defense growing every more prominent over Policy Enforcement across each decade. A testament to the need and development for more sophisticated tools and technologies for proactively defending and mitigating cyber risk.






![soc-technology](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/b/saas-cybersecurity-company/soc-technology.PNG)






Looking back on the last few years the pandemic taught us a lot and shifted our thinking in how we approached the market and what tools we needed to bring to market to adapt to changing cloud, workplace and security environments. Our answer: Trend Micro Vision One and XDR.


Launched in 2020 Trend Micro Vision One brought to the industry the first-ever comprehensive cyber security platform that brought together, endpoint security, network security, cloud security and email security to deliver the industry’s first XDR solution.


Trend Micro Today


Trend Micro today has evolved into the leader of Cybersecurity solutions. Our [portfolio of products and platform solutions](https://www.trendmicro.com/en_us/business/products/one-platform.html) are a direct reflection of what we see changing in the market and how customers are reacting. Our “always looking ahead” approach has helped us design our solutions for organizations who want to simplify and consolidate their security stacks while optimizing their human and financial resources.


When we look at customers today these are the challenges they are presented with:






![customer-change](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/b/saas-cybersecurity-company/customer-change.PNG)






Let’s be real. The attack surface management for organizations has exploded in the last three years since the pandemic, and with it have come more challenges, more headaches, and more security tools. This explosion of tools has also led to more siloed data – Just what every SOC Analyst, Security Operations and Threat Hunter wants…not really. What they do want is less noise and something that can tie together a story of what is happening in their environment, so they can remediate more quickly or find the threat before it even starts.






![soc-and-ciso-challenges](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/b/saas-cybersecurity-company/soc-and-ciso-challenges.PNG)






To address these issues our focus has shifted from single point end solutions to a platform solution. A solution that addresses and supports business transformation objectives with a scalable security strategy, that integrates with other solutions to deliver the insights, automation and efficiency security teams need to discover, assess and mitigate effectively.


In 2022 Trend Micro committed to building out our third-party ecosystem integrations even further with Trend Micro Vision One. Expanding our integration capabilities allows us to deliver more value to our customers by integrating with other security tools that customers are already using. This enables them to breakdown more data silos to uncover a more thorough story of what is happening within their security environments, while giving them the capability to consolidate tools.


We’ve designed our API-friendly platform to integrate with third-party ISV partners to ingest/exgest more data (firewall, vulnerability management, network, identity access management, SIEM, SOAR, for example) for analytical enrichment, as well as optimizing processes and workflows. Let’s take a look at our integrations from 2022.


A Review of 2022 Integrations


2022 was undoubtedly the year of ecosystem integrations at Trend Micro. In the span of 6 short months, we grew our ecosystem integrations by 122%, going from 18 integrations to over 40! And as a pre-cursor, we are striving to hit that milestone again in 2023.


Our key categories for integration this past year included:


* SIEM and SOAR
* Identity Access & Management (IAM)
* Breach & Attack Simulation (BAS)
* Vulnerability Management






![current-v1-integration-partners](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/b/saas-cybersecurity-company/current-v1.png)






By the end of 2022 we were able to deliver on our promise of integrating with the top-seated providers of SIEM and SOAR. We are pleased to share the following partnerships in this category: Elastic | LogRhythm | Securonix | Palo Alto Cortex XSOAR | Splunk | Azure Sentinel | Qradar


Being able to provide our customers visibility of Trend Micro Vision One telemetry and connection into these platforms was another steppingstone for accelerating our customers success.


On another high note, Trend Micro Vision One took on the Breach & Attack Simulation category and integrated with 4 of 5 top BAS vendors: AttackIQ | Cymulate | Picus Security | SafeBreach


Breach and attack simulation is vital to any one organization’s cyber security insights. By integrating these vendors within the Trend Micro Vision One platform we allow customers to effectively measure, manage and improve their ability to securely monitor, test and update their protocols based on the findings and vulnerabilities that BAS solutions have to offer. It provides reassurance to the customer that their environment is secure, and moreover, the solution they have implemented to assess their environment, is functioning properly.


Other notable integrations in 2022 included:


* Cyborg Security
* Netskope
* Google Workspace
* Microsoft Intune and a host of others


To learn more about our Technical Alliance Partners visit: <https://www.trendmicro.com/en_us/partners/alliance-partners/technology.html>


Where did we end in 2022?


Let’s recap just a few major milestones Trend Micro hit in 2022  








![trend-micro-at-a-glance](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/b/saas-cybersecurity-company/trend-micro-at-a-glance.PNG)






1. Trusted by 9 out of the Top 10 Fortune 500 Companies
2. Leader in global vulnerability research and discovery since 2007 – \_Omdia
	* : 4.8 rating out of 5 in Gartner Peer Insights; MQ EPP Leader


The accolades we received are just a testament to the team we have Trend Micro and the customers who trust in our knowledge, expertise, and experience. Therefore, we are continuing our drive to exceed 100% growth of our ecosystem integration in 2023. Stay tuned to see what we do next!


Future State of Trend Micro Vision One


There is no crystal ball that can tell us what the future of cybersecurity holds, but we do have 35+ years of experience on our side, as the leader in cybersecurity to guide us, and what our experience is telling us is the market is moving beyond threat defense to the following:






![beyong-threat-defense](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/b/saas-cybersecurity-company/beyond-threat.PNG)






The future of Trend Micro Vision One and its ecosystem integrations is on a path to accelerate our customers and amplify the power of their tools. We’ll continue with our promise of always progressing and innovating to enable organizations globally to infuse holistic security practices and processes into their everyday protocols through combined, and synchronized efforts of security vendors.


Our future relationships and integrations represent a call to action that Trend Micro understands the enemy is that of the “threat actor”, not other security providers. The more we work together with ISV partners to build platform solutions that are ecosystem-friendly, the more we can deliver the most advanced security solutions to the market, that allow:


* Better attack surface management
* Advanced, comprehensive views of their entire security landscape
* Customers to take a proactive approach to their threat defense, security measures and assessments


In 2023 Trend will bridge the gap with security vendors across the following areas:


* Complete integrations with all major SIEM providers: FortiSIEM | SIEMplify | Exabeam | DEVO
* Continue to add and integrate with major SOAR vendors: Chronicle | FortiSOAR | IBM SOAR
* Deliver on more IAM integrations: Google Identity | CyberArk
* Further integration with additional Ticketing and Intelligence vendors
* Develop additional API’s that support Attack Surface Risk Management (ASRM) and Zero Trust
* Launching a new Developer Community for community sourced integrations via GitHub


Every step Trend Micro takes forward with partner integrations amplifies and accelerates the technologies and tools our customers have at their disposal and security stacks. Our goal is to help our customers ease the pain of:


* constrained security operations
* alert fatigue
* breaches
* ransomware attacks
* disconnected detection and response
* managing an ever-growing and expanding attack surface


By leveraging the collective data made available to them, through their various security tools, we help customers manage and control their security environments with more ease, collaboration, and efficiency. Our vision beyond 2023 will encapsulate a “detect and respond” mantra. We will be at the forefront of providing customers a solution to help predict malicious behavior and allow them to be PROACTIVE in their attack surface risk management vs. reactive. We sure hope you’ll come along with us for the ride!








## Tags:
***urls***: https://www.trendmicro.com/en_us/partners/alliance-partners/technology.html

### Autogenerated tags:
[[xdr]] [[cybersecurity]] [[siem]] [[forrester]] [[third-party]] [[cloud]]
