# Cloud-ready and Channel-first
## Trend Micro named one of 2023’s coolest cloud security companies
## Information:

+ Link: https://www.trendmicro.com/en_us/research/23/b/crn-coolest-cloud-security-companies-2023.html
+ Source: Trend Micro
+ Author: Mike Milner
+ Date published: 05 February 2023, 23:00
+ Date scraped: 07 February 2023, 03:00

## Article:
![Main article image](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/thumbnails/23/crn-coolest-cloud-security-companies-2023.png)






Trend Micro is a cloud security pioneer. And for over 30 years, we’ve worked hand in hand with the channel to make the digital world a safer place. So we’re delighted to receive more recognition of the value we’re adding for partners and customers with the release of the latest [CRN Cloud 100](https://www.crn.com/news/security/the-20-coolest-cloud-security-companies-of-the-2023-cloud-100/20) list.


This comes on the heels of another great recognition as Trend Micro was recently awarded the AWS Marketplace Partner of the year during AWS re:Invent 2022 in reflection of our long-standing strategic partnership.


Cloud security means business


It’s difficult to find an organization today that isn’t ramping up its cloud migration strategy. [Gartner forecasts](https://www.gartner.com/en/newsroom/press-releases/2022-10-31-gartner-forecasts-worldwide-public-cloud-end-user-spending-to-reach-nearly-600-billion-in-2023) total global spending on public cloud services to hit nearly $592bn this year, up 21% on last year. But as more business-critical services are pushed out to third-party data centers, the corporate attack surface of countless organizations expands.


In-house skills and know-how are struggling to keep pace with the rate of migration and the speed at which cloud providers (CSPs) innovate with new features. Developer teams are exposed via their insatiable use of open-source components, while account misconfigurations are commonplace. And visibility and control are harder for security teams in the cloud, thanks to dynamic and ephemeral assets like containers and virtual machines which need protecting wherever they appear. The market needs cloud vendors it can trust, to simplify the complex without compromising on security.


Cloud-first for over a decade


CRN’s “coolest cloud security companies” list is designed to highlight vendors which have “demonstrated innovation in cloud-based technology development.” Well, with over 3,000 global engineers researching the latest threats, innovation is not something we’re short of at Trend Micro. We were among the very first vendors to spot the promise of cloud computing and the need to secure workloads. That’s why we’re one of AWS’s oldest technology partners and work closely with all the leading cloud platform providers today.


Our focus is on streamlining and automating security as much as possible to deliver a continuous risk management and take the pressure off IT teams. With the launch of [Trend Cloud One](https://www.trendmicro.com/en_us/business/products/hybrid-cloud.html), this approach took another leap forward with platform-based security designed to help organizations gain continuous visibility into their attack surface and manage risk across it. [Research shows](https://newsroom.trendmicro.com/2022-06-06-Global-Organizations-Concerned-Digital-Attack-Surface-is-Spiralling-Out-of-Control) that over two-fifths (43%) of global organizations feel their attack surface is “spiraling out of control,” with cloud cited as the biggest potential blind spot.


With Trend Cloud One, customers and partners get security built for the hybrid cloud world – protecting cloud networks, workloads, containers, and endpoints, as well as delivering security for serverless architectures, file storage, and open source components, and security and compliance posture management. Our platform approach is designed to:


* Save customers costs on the unnecessary licenses associated with point solutions
* Make stretched IT security teams more productive, as they have fewer tools to learn
* Eliminate the security gaps that can arise from point solutions
* Blend threat protection with detection and response; all underpinned by global threat intelligence powered by the Zero Day Initiative – the world's largest vendor agnostic bug bounty program


The channel is our home


The CRN list also recognizes vendors for their commitment to channel partners and provides solution providers with a list of those vendors best positioned to support their cloud product and service needs. As a CRN [5-star rated](https://newsroom.trendmicro.com/2021-03-30-Trend-Micro-Receives-5-Star-Rating-in-2021-CRN-R-Partner-Program-Guide) vendor, we are one of the few security companies judged to have a truly world-class channel program. And it’s got even better in recent years after a refresh delivered new incentives and discounts and a new focus on cloud-first flexibility, profitability, and success.


*“Trend Micro has a top-down culture that emphasizes collaboration with customers and their partner ecosystem to deliver results. Their Cloud One platform is much more than a set of security tools. It is the guardrails we put in place that allow our customers to securely build and innovate as fast as they can go.” – Kevin Mead, VP of Business Development at Kinect Consulting*


*“It is no surprise that Trend Micro has been recognized by CRN as a Cloud 100 company. Their Cloud One platform has been leading the pack for quite some time. Trend is open to our concept and willing to collaborate to meet our customers’ needs, including developing a usage-based licensing for our joint customers, showing they are as forward-thinking and customer-centric as we are.” – MJ DiBerardino, CEO, Cloudnexa*


That’s why Trend Micro [was recently placed](https://newsroom.trendmicro.com/2022-11-23-Trend-Micro-Celebrates-Ranking-as-1-Channel-Security-Vendor) at the apex of the *Canalys Global Cybersecurity Leadership Matrix* after an outstanding year for our channel-first engagement model. We can now boast:


* 88% of revenue conducted through the channel
* 58% of partners selling SaaS
* 17% MSP partner growth, to over 8,500 partners
* 295% AWS CPPO growth
* Enrolment of 29,000+ partners in training for Trend Cloud One and Vision One


Cool vendor or not, we’ll continue building on this unstoppable momentum, for all of our global partners and customers.









## Tags:


### Autogenerated tags:
[[cloud]] [[crn]] [[aws]] [[teams]]
