# Forrester Wave CWS 2022: Cloud Workload Security
## Trend Micro was named a strong performer in the Forrester Wave™: Cloud Workload Security, Q1 2022, achieving the highest possible score in the market presence category. That said, Trend Micro Cloud One secures far more than workloads and containers.
## Information:

+ Link: https://www.trendmicro.com/en_us/research/22/d/cloud-workload-security-cws-forrester-wave-2022.html
+ Source: Trend Micro
+ Author: Trend Micro
+ Date published: 06 April 2022, 22:00
+ Date scraped: 07 April 2022, 23:00

## Article:
![Main article image](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/d/research-trend-micro-a-strong-performer-in-cws/rnp-forrester-wave.jpg)






If organizations weren’t committed to the cloud before the pandemic, they certainly are now. Two years of sometimes gale-force business headwinds, market uncertainty and operational adversity have confirmed the criticality of cloud to boardroom leaders. By April 2021, a third of global organizations said they were running more than 50% of their workloads in the cloud. By this fall, [it’s estimated](https://www.statista.com/statistics/1266602/workloads-cloud-organizations-worldwide/#:~:text=Cloud%20workloads%20among%20global%20organizations%20now%20and%20in%20the%20future%202021&text=As%20of%20April%202021%2C%2033,of%20workloads%20in%20the%20cloud.) that over half (56%) of enterprises worldwide will be. That’s why Trend Micro has made cloud security a priority, offering a comprehensive range of solutions [from a single integrated security services platform](/en_us/business/products/hybrid-cloud.html).


We were recognized as a strong performer in cloud workload security (CWS) by Forrester in its recent report, The Forrester Wave™: Cloud Workload Security, Q1 2022. The good news for Trend Micro customers is that our capabilities go even further than the boundaries of this evaluation.


Securing the cloud


There’s no secret to the success of cloud. By offering businesses the flexibility, scale and IT agility to support remote working, streamline processes and deliver innovative new services, it quickly became invaluable during the pandemic. From an infrastructure-as-a-service (IaaS) perspective, cloud service provider (CSP) platforms have enabled DevOps teams to accelerate time-to-value, enabling their organization to continue delivering innovative services amidst rapidly evolving market demand.


But this evolution does bring challenges. The same cloud systems that deliver so much can also create new complexities for the IT department to navigate. An overabundance of functionality makes misconfiguration commonplace, potentially exposing critical assets. Most organizations invest in platforms from multiple cloud security providers and blend public cloud with private cloud and on-premises environments, adding further complexity and siloes.


Maintaining all of these securely requires a skillset even the largest organizations struggle to achieve, and security point products working across these environments leave plenty of coverage gaps for the bad guys to hide in. It all adds up to a perfect storm of cloud risk.


These are the challenges that Trend Micro Cloud One was made to tackle. In fact, the opening of the Forrester report, The Forrester Wave™: Cloud Workload Security, Q1 2022, states:


“Forrester sees end-user organizations increasingly preferring suite providers. Instead of disparate tools, suite providers offer cloud workload protection (CWP), runtime and pre-runtime container security, and cloud security posture management (CSPM). CSPM covers not just configurations but also cloud platform administrative identities.”


Delivering value


To compile the report, Forrester rigorously evaluated 12 security vendors across 33 criteria across three distinct categories: current offering, strategy and market presence. Trend Micro is rated a “Strong Performer” and tied for the second highest score in the strategy category. Trend Micro was also the only vendor to receive the highest possible score in the market presence category.


Other notes in the report included:


* “Cloud Security Posture Management (CSPM) features are above average for AWS and Azure.”
* “In its current CWS offering, the vendor offers strong agent deployment, malware and memory integrity protection, alongside file integrity monitoring and host-based firewalls”
* “The solution is a great fit for organizations that require strong CWP features, have an on-prem and hybrid cloud-installed base and skill set to operate Trend Micro’s Deep Security.”


In reality, of course, Trend Micro Cloud One is about far more than workload protection, CSPM and runtime/pre-runtime container security. It also enables cloud builders to securely manage:


* File and object storage
* Serverless functions, APIs and apps
* Cloud networks
* Open-source vulnerabilities and license risks


Most importantly, we secure your journey to the public cloud – regardless of what stage of that journey you’re at. For most organizations, that means a hybrid deployment. Providing these capabilities from a single user interface reduces the administrative overhead for stretched IT practitioners and delivers connected security that leaves nowhere for threat actors to hide.


If you’re interested in learning more, check out these other industry evaluations of our cloud security capabilities:


* [IDC Market Share Report for Cloud Workload Security](#) (2021): For the third consecutive year, Trend Micro was ranked #1, with a 27.5% market share. Trend Micro has more than triple the market share of our closest competitor
* [Gartner Market Guide for Cloud Workload Protection Platforms](https://www.gartner.com/en/documents/4003465): Trend Micro meets 8/8 recommendations
* Gartner Peer Insights, G2, AWS Marketplace: Trend Micro offers the top-rated cloud security solution as reviewed by customers in [Gartner Peer Insights](https://www.gartner.com/reviews/market/cloud-workload-protection-platforms/vendor/trend-micro), [G2,](https://www.g2.com/products/trend-micro-hybrid-cloud-security-solution/reviews) and [AWS marketplace](https://aws.amazon.com/marketplace/pp/prodview-g232pyu6l55l4)
* [Mitre Engenuity ATT&CK Framework Testing](#) (2021): Top three overall and #1 performer in Linux, with 100% of attacks against the Linux host detected and prevented
* [Forrester Consulting study](/en_us/business/campaigns/total-economic-impact.html)  - New Technology: The Projected Total Economic Impact™ Of Trend Micro Cloud One™ Security Services Platform (commissioned by Trend Micro, 2021): Projected ROI of 188% over three years for a composite organization using Trend Micro Cloud One


Hybrid cloud is just one part of the broader enterprise IT environment that Trend Micro can help you secure. Find out why we are a leader across the enterprise as [determined by industry experts](/en_us/about/industry-recognition.html). 









## Tags:


### Autogenerated tags:
[[cloud]] [[forrester]] [[cspm]] [[aws]] [[gartner]]
