# Trend Micro Joins AWS Marketplace Vendor Insights
## Streamlining and enhancing security in the cloud with AWS and Trend Micro
## Information:

+ Link: https://www.trendmicro.com/en_us/research/22/g/aws-marketplace-vendor.html
+ Source: Trend Micro
+ Author: Trend Micro
+ Date published: 26 July 2022, 22:00
+ Date scraped: 26 July 2022, 15:00

## Article:
![Main article image](https://www.trendmicro.com/content/dam/article-large-tile.jpg)






Cloud computing is on a roll. [Gartner predicts](https://www.gartner.com/en/newsroom/press-releases/2022-04-19-gartner-forecasts-worldwide-public-cloud-end-user-spending-to-reach-nearly-500-billion-in-2022) that spending on public cloud services including IaaS, SaaS and PaaS will reach nearly $500bn this year and grow by over 21% to hit $600bn by 2023. But security concerns persist. Marketplaces like the one offered by AWS make it a lot easier to get the right security tools in the hands of those that need them most. But finding the right cybersecurity partners can still be something of an operational challenge involving a mountain of manual work.


That’s why we’re delighted to be a launch partner for new AWS Marketplace feature. Marketplace Vendor Insights takes the pain out of due diligence by delivering the information prospective customers need—reducing friction and accelerating the journey to cloud security.


A tech tipping point


We all know why global organizations are turning in their droves to cloud computing services and infrastructure. For many, it was the pandemic that pushed them over a technology tipping point. For others, digital transformation had been a priority for much longer, but the events of the past two years added a new sense of urgency. Cloud investments are delivering innovative customer experiences, streamlining business processes and driving enterprise agility across the planet. But such initiatives must be built on solid, secure foundations.


Trend Micro [blocked 101%](https://newsroom.trendmicro.com/2022-06-21-Email-Threats-Spike-101-,-Remains-a-Top-Attack-Vector) more cloud-based email threats in 2021 than the previous year. We also know that threat actors are actively scanning for misconfigured cloud environments. In-house skills shortages and the rapid pace of innovation from cloud service providers exacerbate this challenge. The expansive use of open source code by DevOps teams adds another element of risk which requires urgent attention.


Climbing a mountain, the easy way


IT leaders know that cloud security is [a shared responsibility](https://aws.amazon.com/compliance/shared-responsibility-model/). The challenge is often finding the right partners to align with their specific requirements. Even though platforms like the [AWS Marketplace](https://aws.amazon.com/marketplace) have streamlined the process of procurement immeasurably for cloud builders, friction persists. Security is a complex business, especially in the cloud, where many traditional rules associated with the on-premises world no longer apply. That means customers have to ask prospective providers like Trend Micro a mountain of questions.


In fact, we receive extensive spreadsheets full of these questions several times a week. They often contain hundreds of queries to process, which may have been written by lawyers who don’t fully understand the subject matter. While buyers usually aim for lead times of weeks or months, the questionnaires themselves can get stuck in a bottleneck if forwarded first to IT service partners.


This is where AWS Marketplace Vendor Insights comes in. It collects data from ISV partners like Trend Micro via two mechanisms:


* ISVs upload compliance certificates, which are scanned and processed, with the salient information extracted by Marketplace Vendor Insights
* AWS technology is deployed to ISV production accounts to directly monitor and inspect configuration of technology resources and collect other critical information


The result is a win-win for ISVs like Trend Micro and security-minded AWS customers. With Marketplace Vendor Insights, IT leaders can review compliance attestations and double click on more details about ISV security best practices directly from the AWS Marketplace. It also enables buyers to view vendor information in the same way, allowing for true apples to apples comparison. In so doing, it eliminates the need for endless back-and-forth communications between ISV and prospective customer.


It’s about standardizing and streamlining an important but cumbersome process to fast-track due diligence—ultimately enabling enterprises to extract value from platforms like Trend Micro Cloud One even quicker.









## Tags:


### Autogenerated tags:
[[cloud]] [[aws]] [[isv]]
