# APAC firms see need to train staff in digital skills, but few actually do so | ZDNet
## Some 97% of organisations across seven Asia-Pacific markets, including Singapore and Australia, recognise the need to train their employees in digital skillsets, with cloud and cybersecurity the top-most in demand, but just 29% have implemented plans to do so.
## Information:

+ Link: https://www.zdnet.com/article/apac-firms-see-need-to-train-staff-in-digital-skills-but-few-actually-do-so/
+ Source: ZDNet
+ Author: Eileen Yu
+ Date published: 22 March 2022, 04:00
+ Date scraped: 22 March 2022, 06:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/e290075674568bde3cf7abd772db87536998f477/2014/08/18/b1fd209e-26c1-11e4-8c7f-00505685119a/people.jpg?width=770&height=578&fit=crop&auto=webp)



{"@context":"http:\/\/schema.org","@type":"ItemList","numberOfItems":0,"url":"https:\/\/www.zdnet.com\/article\/apac-firms-see-need-to-train-staff-in-digital-skills-but-few-actually-do-so\/","itemListElement":[]}

Most organisations in Asia-Pacific realise their employees need training in digital skills, but few have put in place plans to do so. With cloud and cybersecurity amongst the top digital skills in demand, employers run the risk of missing out on key business benefits if the skills gaps remain unplugged.

Specifically, the ability to use [cloud-based tools](https://www.zdnet.com/article/cloud-data-amongst-apac-digital-skills-most-needed/) such as accounting and CRM (customer relationship management) software-as-a-service (SaaS) applications emerged as the top-most needed digital skill by 2025, according to a study commissioned by [Amazon Web Services](https://www.zdnet.com/article/aws-looks-to-tap-apac-demand-for-edge-access-with-local-zones/) (AWS). This was followed by [cybersecurity](https://www.zdnet.com/article/pandemic-pushes-cybersecurity-to-top-agenda-in-asean-boardrooms/) skills, including the ability to develop or deploy protocols as well as techniques to maintain the security of their organisation's digital systems and data. 

Conducted last August by consultancy AlphaBeta, the online survey polled 2,166 employers and 7,193 workers across seven Asia-Pacific markets: Singapore, Australia, India, Indonesia, Japan, New Zealand, and South Korea. Employers comprised business and IT managers from organisations in private and public sectors, while workers included tech and non-tech full-time employees who used digital skills in their jobs. 


The study further revealed that technical support, digital marketing skills, and the ability to manage migration from on-premises to the cloud were amongst the top five most in-demand digital skills. Others that were in demand by 2025 included [artificial intelligence](https://www.zdnet.com/article/singapore-firms-must-put-stronger-focus-on-reskilling-amid-rise-of-ai/) and machine learning, cloud architecture design, Internet of Things (IoT) skills, and software development. 

The desire for digital skills also was felt by employees, especially as the global [pandemic fuelled digital transformation](https://www.zdnet.com/article/singapore-firms-credit-covid-19-for-clarifying-digital-transformation-plans/) across many enterprises.

Some 88% of workers said they now needed more digital skills to keep up with changes in their job, with 86% noting that COVID-19 had accelerated the pace of digital adoption in their organisation. 

In particular, 64% of employees said they needed training in cloud-related skills by 2025, Emmanuel Pillai, AWS' Asean head of education and training, said in a video interview with ZDNet. 

Some 54% of workers said they needed to learn how to maintain safe and secure digital systems, while 33% needed to learn how to migrate on-premises facilities to the cloud. Another 27% believed they needed skillsets in cloud architecture design to progress in their careers. 

However, while 97% of companies recognised the need to train their workers on digital skills, just 29% actually had implemented a plan to do so, Pillai noted. 

In fact, two-thirds of workers revealed they were not confident they were gaining digital skillsets fast enough to meet their future career requirements. The lack of confidence was most apparent, at 83%, amongst employees aged 55 and above, while 75% of those aged between 40 and 55 felt likewise as did 60% of workers aged 40 and below.

Across the board, 93% of organisations and employees faced barriers in accessing digital skills they needed to remain competitive, with time and awareness cited as the top challenges. 

Some 72% pointed to limited awareness of available training courses as a barrier, while 66% noted limited awareness of the digital skills needed. Another 65% pointed to high training costs as a challenge. 

Amongst employees, 71% cited the lack of time to pursue training as a barrier, while 64% noted the lack of quality training. 

### Businesses should look at long-term benefits of skills investment

Organisations in this region, though, should look at the long-term benefits of digital skills training, rather than perceiving this to be an added cost, noted Genevieve Lim, Asia-Pacific director at AlphaBeta, which is part of Access Partnership.

She told ZDNet that amongst organisations that did invest in digital skills training, 88% saw higher staff productivity. Another 83% reported higher employee retention, while 82% clocked increased revenue.

With 80% of employees noting that the ability to learn new digital skills led to greater job satisfaction, Lim said such findings could offer insights on how companies could retain talent amidst the global mass resignation phenomenon. 

If left unaddressed, the gaps in cloud skills also meant organisations would miss out on benefits such technologies brought to the table, she said. 

For instance, they would take a longer time to innovate if they lacked the talent to help them develop and go-to-market with new products. In addition, they would not gain the cost efficiencies and productivity improvements that digital and cloud technologies were touted to deliver, Lim said. 

The study estimated that 86 million more employees across the seven Asia-Pacific markets would have to undergo digital skills training over the next year to keep up with technological change. This figure accounted for 14% of the total workforce in those regional markets. 

With Asia-Pacific enterprises in different stages of their cloud adoption journey, from migration to operating in a cloud-native environment, Pillai said AWS looked to support them across all phases with more than 250 managed cloud services. 

He added that the cloud vendor not only offered security-specific training and certifications, but also ensured security was "baked" into all its training programs. Pointing to the shared responsibility to [safeguard cloud systems and data](https://www.zdnet.com/article/growing-reliance-on-third-party-suppliers-signals-increasing-security-risks/), he underscored the need for enterprises to understand how to secure and build secured applications. 

Doing so would further reduce the need to plug gaps later, he noted. He said an AWS customer was able to reduce its time-to-market by 15% to 25% because its engineers were trained to develop applications with a [security-by-design mindset](https://www.zdnet.com/article/singapore-urges-nation-to-adopt-security-by-design-mindset/). 

This meant they did not have to spend as much time debugging and fixing bugs, allowing their company to push out the applications faster, Pillai said.

### RELATED COVERAGE

* [Cloud, data amongst APAC digital skills most needed](https://www.zdnet.com/article/cloud-data-amongst-apac-digital-skills-most-needed/)
* [Pandemic pushes cybersecurity to top agenda in Asean boardrooms](https://www.zdnet.com/article/pandemic-pushes-cybersecurity-to-top-agenda-in-asean-boardrooms/)
* [Half of APAC firms bypass processes to accommodate remote work](https://www.zdnet.com/article/half-of-apac-firms-waver-on-processes-to-accommodate-remote-work/)
* [Majority of firms concerned about public cloud security, most have suffered breach](https://www.zdnet.com/article/majority-of-firms-concerned-about-public-cloud-security-most-have-suffered-breach/)
* [Lack of cloud expertise, controls leave APAC firms vulnerable in remote work](https://www.zdnet.com/article/lack-of-cloud-expertise-controls-leave-apac-firms-vulnerable-in-remote-work-era/)





## Tags:


### Autogenerated tags:
[[cloud]] [[organisations]] [[asia-pacific]] [[aws]] [[pillai]] [[cybersecurity]] [[apac]]
