# Singapore to build quantum-safe network for critical infrastructure trials | ZDNet
## National network will initially comprise 10 nodes across the country and provide a testbed for public and private organisations to trial critical infrastructure applications within a quantum-safe environment.
## Information:

+ Link: https://www.zdnet.com/article/singapore-to-build-quantum-safe-network-for-critical-infrastructure-trials/
+ Source: ZDNet
+ Author: Eileen Yu
+ Date published: 17 February 2022, 15:33
+ Date scraped: 17 February 2022, 17:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/30ea0e65aee7dc2180bae49b23f3fb559dad1aaa/2020/10/26/59b90923-87e3-404c-9e53-74035a9e6c80/sf-quantum-thumb.jpg?width=770&height=578&fit=crop&auto=webp)


Singapore is aiming to build a quantum-safe network that it hopes will showcase "crypto-agile connectivity" and facilitate trials with both public and private organisations. The initiative also includes a quantum security lab for vulnerability research. 

The three-year initiative is led by the Quantum Engineering Programme (QEP), with SG$8.5 million ($6.31 million) set aside to fund its deployment. Supported by the National Research Foundation (NRF), the project has roped in 15 partners from the public and private sectors including two local universities, ST Telemedia Global Data Centres, Cyber Security Agency, and Amazon Web Services (AWS). 

QEP was launched in 2018 to provide the research and ecosystem needed to drive the development of quantum technologies. Its work focuses on four key areas including quantum sensing, quantum communication and security, and the establishment of a national quantum fabless foundry. 


Its plans for a national quantum-safe network (NQSN) would facilitate trials of commercial technologies and in-depth evaluation of security systems. It also would develop guidelines to support companies in adopting such technologies, QEP said in a [statement](https://qepsg.org/news-singapore-to-build-national-quantum-safe-network-that-provides-robust-cybersecurity-for-critical-infrastructure) Thursday. 

It added that the nationwide trials of quantum-safe communication technologies aimed to provide robust network security for critical infrastructures and companies handling sensitive data. 

This was critical as public-key encryption was expected to be [vulnerable to attacks by quantum computers](https://www.zdnet.com/article/quantum-computing-breaking-into-real-world-biz-but-not-yet-into-cryptography/) in future. There was increasing urgency to address the cybersecurity threat as the technology advanced, QEP said.

"Quantum-safe communication technologies are designed to counter the threat of quantum computing with specialised hardware and new cryptographic algorithms," it said. "They could secure communication systems for governments, critical infrastructure such as energy grids, and companies handling sensitive data in areas such as healthcare and finance."






Quantum-safe cryptography or post-quantum cryptography looks to establish algorithms that can combat attacks by both traditional and quantum computers. 

Hosted on National University of Singapore (NUS), the NQSN would provide [quantum key distribution](https://www.zdnet.com/article/researchers-in-singapore-demonstrate-new-quantum-key-distribution-technique-over-singtels-fibre-network/), which offered a hardware approach to quantum-safe communication. This involved the installation of devices to create and receive quantum signals, QEP explained. 

The network also would offer post-quantum [cryptography](https://www.zdnet.com/article/singapore-researchers-tapping-quantum-cryptography-to-enhance-network-encryption/), in which software was enhanced to run new cryptographic algorithms deemed to be resistant to attacks by quantum computers. 

The NQSN initially would comprise 10 network nodes to be rolled out across the city-state, connected to fibre. These would include two at NUS, two at Nanyang Technological University (NTU), and others on the premises of government and private organisations. 

Expected to be up within a year, the nodes would be connected to provide a public network that could serve as a living lab for companies looking to experience quantum-safe communication technologies. This would run separate from government and private networks trialling applications, according to QEP. 

Another experimental node at NUS would provide a free-space fibre connection to the public network. This could facilitate the development of technologies that could extend secure links to locations unable to connect to fibre, such as boats.

A quantum security lab also would be set up to facilitate advanced quantum security vulnerability research and security design. 

NQSN's co-coordinator and Fraunhofer Singapore's department director for cyber and information security, Michael Kasper, said: "Quantum-safe communication can play a crucial role in long-term information security. With NQSN, we aim to demonstrate crypto-agile connectivity for our partners and support the deployment of quantum networks for broader use in industry and society."

Fraunhofer, along with NUS and NTU, would provide expertise, coordination, and locations for hardware needed in the initiative. Other partners such as NetLink Trust and ST Telemedia would provide access to Singapore fibre network and develop use cases, respectively. CSA would work with its Common Criteria testing labs T-Systems and UL on security certification of quantum-safe technologies, while DSO National Laboratories and Horizon Quantum Computing would partake in quantum network research projects.

"Singapore can build on its heritage in quantum science, optics, and cybersecurity engineering to become a trusted global provider of quantum network technology and services, said Charles Lim, NQSN's lead principal investigator and assistant professor with NUS' Department of Electrical and Computer Engineering and Centre for Quantum Technologies. 

"In NQSN, we will bring quantum innovation to deployed optical networks, where we can study operational issues such as a quantum network's reliability and resilience together with our industry partners," Lim said. 

### RELATED COVERAGE

* [Singapore researchers tapping quantum cryptography to enhance network encryption](https://www.zdnet.com/article/singapore-researchers-tapping-quantum-cryptography-to-enhance-network-encryption/)
* [Quantum computing breaking into real-world biz, but not yet into cryptography](https://www.zdnet.com/article/quantum-computing-breaking-into-real-world-biz-but-not-yet-into-cryptography/)
* [Researchers in Singapore demonstrate new quantum key distribution technique over Singtel's fibre network](https://www.zdnet.com/article/researchers-in-singapore-demonstrate-new-quantum-key-distribution-technique-over-singtels-fibre-network/)
* [Quantum computers: Eight ways quantum computing is going to change the world](https://www.zdnet.com/article/quantum-computers-eight-ways-quantum-computing-is-going-to-change-the-world/)
* [Quantum computers could read all your encrypted data. This 'quantum-safe' VPN aims to stop that](https://www.zdnet.com/article/quantum-computers-could-read-all-our-encrypted-data-this-quantum-safe-vpn-is-trying-to-prevent-that/)





## Tags:


### Autogenerated tags:
[[quantum-safe]] [[nqsn]] [[qep]]
