# White House joins OpenSSF and the Linux Foundation in securing open-source software | ZDNet
## Open-source software supply chain security is now a vital issue of national security.
## Information:

+ Link: https://www.zdnet.com/article/white-house-joins-openssf-and-the-linux-foundation-in-securing-open-source-software/
+ Source: ZDNet
+ Author: Steven Vaughan-Nichols
+ Date published: 13 May 2022, 17:41
+ Date scraped: 13 May 2022, 20:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/d06924f393b1c3a56713ce86725b334fd29f6366/2019/01/21/50639fea-626a-4472-8274-77c2dc08a2d6/the-white-house-tpsdave.jpg?width=770&height=578&fit=crop&auto=webp)




* 
* 
* 
* 
* 
* 
* 





[![Steven Vaughan-Nichols](https://www.zdnet.com/a/img/resize/b43d0720aa5435df692e9998d3eb65393369d8ab/2014/07/22/e57da6d8-1174-11e4-9732-00505685119a/steven-j-vaughan-nichols.jpg?width=50&height=50&fit=crop&auto=webp)](/meet-the-team/us/steven-j-vaughan-nichols/)



 
 Written by

 
 [Steven Vaughan-Nichols](/meet-the-team/us/steven-j-vaughan-nichols/), Senior Contributing Editor


[![Steven Vaughan-Nichols](https://www.zdnet.com/a/img/resize/b72fa9356de03e3c76142f794fab95312be1c1df/2014/07/22/e57da6d8-1174-11e4-9732-00505685119a/steven-j-vaughan-nichols.jpg?width=70&height=70&fit=crop&auto=webp)](/meet-the-team/us/steven-j-vaughan-nichols/)
[Steven Vaughan-Nichols](/meet-the-team/us/steven-j-vaughan-nichols/)
[Senior Contributing Editor](/meet-the-team/us/steven-j-vaughan-nichols/)
Steven J. Vaughan-Nichols, aka sjvn, has been writing about technology and the business of technology since CP/M-80 was the cutting edge, PC operating system; 300bps was a fast Internet connection; WordStar was the state of the art word processor; and we liked it.


[Full Bio](/meet-the-team/us/steven-j-vaughan-nichols/)



 Posted in [Linux and Open Source](/blog/open-source/)
 
 on May 13, 2022
| Topic: [Security](/topic/security/)



{
 "@context": "https:\/\/schema.org",
 "@type": "BreadcrumbList",
 "itemListElement": [
 {
 "@type": "ListItem",
 "position": 1,
 "name": "Topic",
 "item": "https:\/\/www.zdnet.com\/topic\/"
 },
 {
 "@type": "ListItem",
 "position": 2,
 "name": "Security",
 "item": "https:\/\/www.zdnet.com\/topic\/security\/"
 },
 {
 "@type": "ListItem",
 "position": 3,
 "name": "White House joins OpenSSF and the Linux Foundation in securing open-source software"
 }
 ]
}

Securing the open-source software supply chain is a huge deal. Last year, the Biden administration issued an [executive order to improve software supply chain security](https://www.whitehouse.gov/briefing-room/presidential-actions/2021/05/12/executive-order-on-improving-the-nations-cybersecurity/). This came after the [Colonial Pipeline ransomware attack](https://www.zdnet.com/article/colonial-pipeline-ransomware-attack-everything-you-need-to-know/) shut down gas and oil deliveries throughout the southeast and the [SolarWinds software supply chain attack](https://www.zdnet.com/article/microsoft-solarwinds-attack-took-more-than-1000-engineers-to-create/). Securing software became a top priority. In response, The [Open Source Security Foundation (OpenSSF)](https://openssf.org/) and [Linux Foundation](https://www.linuxfoundation.org/) rose to [this security challenge](https://www.zdnet.com/article/linux-and-open-source-communities-rise-to-bidens-cybersecurity-challenge/). Now, they're calling for $150 million in funding over two years to fix ten major open-source security problems.


They'll need every penny of it and more.

The government will not be paying the freight for these changes. $30 million has already been pledged by Amazon, Ericsson, Google, Intel, Microsoft, and VMWare. More is already on the way. [Amazon Web Services (AWS) has already pledged an additional $10 million](https://aws.amazon.com/blogs/opensource/aws-investing-an-additional-10-million-in-open-source-supply-chain-security/?sc_channel=sm&sc_campaign=Open_Source&sc_publisher=TWITTER&sc_geo=GLOBAL&sc_outcome=awareness&trk=Open_Source). 

At the White House press conference, OpenSSF general manager Brian Behlendorf said, "I want to be clear: We're not here to fundraise from the government. We did not anticipate needing to go directly to the government to get funding for anyone to be successful."

Here are the ten goals the open-source industry is committed to meeting.

1. Security Education: Deliver baseline secure software development education and certification to all.
2. Risk Assessment: Establish a public, vendor-neutral, objective-metrics-based risk assessment dashboard for the top 10,000 (or more) OSS components.
3. Digital Signatures: Accelerate the adoption of digital signatures on software releases.
4. Memory Safety: Eliminate root causes of many vulnerabilities through the replacement of non-memory-safe languages.
5. Incident Response: Establish the OpenSSF Open Source Security Incident Response Team, security experts who can step in to assist open source projects during critical times when responding to a vulnerability.
6. Better Scanning: Accelerate the discovery of new vulnerabilities by maintainers and experts through advanced security tools and expert guidance.
7. Code Audits: Conduct third-party code reviews (and any necessary remediation work) of up to 200 of the most-critical OSS components once per year.
8. Data Sharing: Coordinate industry-wide data sharing to improve the research that helps determine the most critical OSS components.
9. [Software Bill of Materials (SBOMs)](https://www.zdnet.com/article/securing-the-open-source-ecosystem-sboms-are-no-longer-optional/): Everywhere Improve SBOM tooling and training to drive adoption.
10. Improved Supply Chains: Enhance the 10 most critical open-source software build systems, package managers, and distribution systems with better supply chain security tools and best practices.

I'll go into more detail about those in later stories, but even at a glance, this is a massive undertaking. For instance, C, which is core to the Linux kernel, the most important of all open-source projects, has many vulnerabilities within it. While the memory-safe [Rust language is now being used in Linux](https://www.zdnet.com/article/rust-takes-a-major-step-forward-as-linuxs-second-official-language/), it's years, decades away, from replacing C in Linux's over 27.8 million lines of code. Indeed, I doubt we'll ever see all of Linux's C code replaced by Rust. 

We're already close to solving some of the others. The open-source security company [Chainguard](https://www.chainguard.dev/) is calling on the [software industry to standardize on Sigstore](https://blog.chainguard.dev/sigstore-statement-for-openssf-call/). [Sigstore](https://www.sigstore.dev/) enables developers to securely sign software artifacts such as release files, container images, binaries, bills of material manifests. and more. This Linux Foundation project is backed by Google, Red Hat, and Purdue University.

Sigstore has several great features. These include:

* Sigstore's keyless signing gives a great developer experience and removes the need for painful key management.
* [Sigstore's public transparency log (Rekor)](https://github.com/sigstore/rekor) and APIs mean Kubernetes consumers may easily verify signed artifacts.
* Sigstore's use of standards, such as support for any Open Container Initiative (OCI) artifact (including containers, Helm Charts, configuration files, and policy bundles) and OpenID Connect (OIDC), means it integrates seamlessly with other tools and services.
* The active, open-source, vendor-neutral Sigstore community gives confidence that the project will be rapidly adopted and become a de-facto industry standard.

Indeed, [Kubernetes has already adopted Sigstore](https://thenewstack.io/kubernetes-adopts-sigstore-for-supply-chain-security/). In brief, it makes it simple to adopt a secure digital signature for your code. Then, the programmers who use your code can be sure it really is the code they want and can trust.

This is essential. As Stephen Chin, software chain security company [JFrog](https://jfrog.com/) VP of Developer Relations, said, "While open source has always been seen as a seed for modernization, the recent rise of software supply chain attacks has demonstrated we need a more hardened process for validating open-source repositories."

Of course, there will always be bugs. As Behlendorf said, "Software will never be perfect. The only software that doesn't have any bugs is software with no users."

**Related Stories:**

* [Red Hat Enterprise Linux 9: Security baked in](https://www.zdnet.com/article/red-hat-enterprise-linux-9-security-baked-in/)
* [Securing the open-source ecosystem: SBOMs are no longer optional](https://www.zdnet.com/article/securing-the-open-source-ecosystem-sboms-are-no-longer-optional/)
* [In 2022, security will be priority number one for Linux and open-source developers](https://www.zdnet.com/article/in-2022-security-will-be-linux-and-open-source-developers-job-number-one/)





## Tags:


### Autogenerated tags:
[[open-source]] [[linux]] [[sigstore]] [[vaughan-nichols]] [[openssf]] [[oss]]
