# AWS fixes security flaws that exposed AWS customer data
## Amazon Web Services (AWS) has addressed an AWS Glue security issue that allowed attackers to access and alter data linked to other AWS customer accounts.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/aws-fixes-security-flaws-that-exposed-aws-customer-data/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 13 January 2022, 20:04
+ Date scraped: 13 January 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/09/AWS.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/04/09/AWS.jpg)

![AWS fixes security flaws that exposed AWS customer data](https://www.bleepstatic.com/content/hl-images/2021/04/09/AWS.jpg)


Amazon Web Services (AWS) has addressed an AWS Glue security issue that allowed attackers to access and alter data linked to other AWS customer accounts.


[AWS Glue](https://aws.amazon.com/glue) is a serverless cloud data integration service that helps discover, prepare, and combine data for app development, machine learning, and analytics.


The flaw stemmed from an exploitable AWS Glue feature and an internal service API misconfiguration that allowed Orca Security security researchers to escalate privileges to gain access to all service resources in the region.


"During our research, we were able to identify a feature in AWS Glue that could be exploited to obtain credentials to a role within the AWS service’s own account, which provided us full access to the internal service API," [explained](https://orca.security/resources/blog/aws-glue-vulnerability/) Yanir Tsarimi, a Cloud Security Researcher at Orca Security.


"In combination with an internal misconfiguration in the Glue internal service API, we were able to further escalate privileges within the account to the point where we had unrestricted access to all resources for the service in the region, including full administrative privileges."


The researchers added that their findings were uncovered using only Orca Security-owned AWS accounts and that they didn't access information or data belonging to other AWS customers during their research.


![](https://www.bleepstatic.com/images/news/security/attack-flow.gif)


While investigating the vulnerability, the researchers assumed roles trusted by the Glue service in other AWS customers' accounts (every account with Glue access has at least one such role).


They were also able to query and alter AWS Glue service-related resources in an AWS region, including but not limited to metadata for Glue jobs, dev endpoints, workflows, crawlers, and triggers.


The AWS Glue service team reproduced and confirmed the flaw within hours after receiving Orca Security's report and partially mitigated the issue globally by the following morning.


They deployed full mitigation for the Superglue vulnerability in just a few days, preventing potential attackers from accessing AWS Glue customers' data.


AWS' Security Team has also patched a second vulnerability found by Orca Security in the AWS CloudFormation service ([dubbed BreakingFormation](https://orca.security/resources/blog/aws-cloudformation-vulnerability/)).


According to the researchers, this XXE (XML External Entity) flaw led to file and credential disclosure of internal AWS infrastructure services.


"Our research team believes, given the data found on the host (including credentials and data involving internal endpoints), that an attacker could abuse this vulnerability to bypass tenant boundaries, giving them privileged access to any resource in AWS," Orca Security's Tzah Pahima added.


However, AWS VP Colm MacCárthaigh denied the security firm's claims, saying that the BreakingFormation bug could have only been used to access host-level credentials and that AWS CloudFormation hosts don't have access to resources in all AWS accounts.



> 
> O.k. here's my quick synopsis of this issue: [@orcasec](https://twitter.com/orcasec?ref_src=twsrc%5Etfw) discovered and reported an issue that lead to SSRF on hosts and could fetch some local host-level creds and configuration. Great find! 1/n <https://t.co/R2UsSrOdZ7>
> 
> 
> — Colm MacCárthaigh (@colmmacc) [January 13, 2022](https://twitter.com/colmmacc/status/1481682859324760070?ref_src=twsrc%5Etfw)







## Tags:
***urls***: https://t.co/R2UsSrOdZ7

### Autogenerated tags:
[[aws]] [[api]]
