# Frontline Security Practitioners Reveal the Latest About AI
## Organizers at mWISE, the anticipated cybersecurity conference from Mandiant, now part of Google Cloud, have released this year's session catalog. Learn more from Mandiant about the upcoming mWise sessions.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/frontline-security-practitioners-reveal-the-latest-about-ai/
+ Source: Bleeping Computer
+ Author: Bleeping Computer
+ Date published: 17 July 2023, 10:02
+ Date scraped: 17 July 2023, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/posts/2023/07/16/mwise-see-lineup-header.jpg)


[![Mandiant meet the lineup header](https://www.bleepstatic.com/content/posts/2023/07/16/mwise-see-lineup-header.jpg)](https://mwise.mandiant.com/conf23/sessions?&utm_campaign=mwise-conference-2023&utm_source=bleepingcomputer&utm_medium=native&utm_term=registration-discount&utm_content=mwise-conference-2023_bleepingcomputer_article_1600x900_registration-discount_sessions-speakers)


*Mark your calendar for mWISE™, the uniquely targeted, community-focused cybersecurity conference from Mandiant. It runs from September 18–20, 2023 in Washington, DC.*


Organizers at mWISE, the highly anticipated cybersecurity conference from Mandiant, now part of Google Cloud, have released this year’s session catalog.


The seven topic tracks cover everything from cloud security and engineering to third-party and cyber risk management.


A trending topic area throughout is, of course, Artificial Intelligence. Frontline, in-the-trenches practitioners will look at AI from a variety of important angles, including:


* **AI and the Security Practitioner**  

AI is finally delivering on the promise of benefiting security. Are you ready to embrace it — and what should you know before you do?
* **How AI Is Changing the Malware Landscape**  

What happens when you use an LLM to analyze malware scripts? See lessons learned from AI-generated malware and evasion techniques.
* **The Implications of Generative AI for Cyber-Enabled Influence Operations**  

What level of threat does generative AI present in the cyber-enabled IO domain? Get a balanced, nuanced picture.
* **China and Russia’s Use of AI: Impacts on Cybersecurity**  

A look at the growing use of AI with China and Russia’s cyber elite, including methods, motivations, and relationships.
* **Addressing Cognitive Bias in AI Systems for Enhanced Cyber Threat Analysis**  

What are the cognitive biases in AI cyber threat analysis? Where do they come from, and how do they affect threat detection?

What else is offered at mWISE? With more than 80 sessions to choose from, you’ll have ample opportunity to gain relevant knowledge in the areas you care about most.


Learn about methodologies, tactics, and solutions you can put to use immediately. Other hot-topic sessions include:


* **Pairing SOCs with Automation: You Won’t Be Replaced by a Robot Yet**  
*Christina Parry, Huntress Labs*  

Which simple but effective automations can any SOC build with open-source libraries?
* **Behind the Curtains of a Large Supply Chain Security Program**  
*Cassie Crossley, Schneider Electric*  

Practical approaches for over 12 SCRM initiatives, including R&D security, secure development, SBOMs, vulnerability management, and third-party risk management.
* **You’ve Leaked Hashes: The Inside Story of CVE-2023-23397**  
*Roberto Bamberger, Microsoft Corporation*  

Strange activity on an Exchange Server revealed a zero-day vulnerability in Outlook exploited by the nation-state actor Strontium. Get the inside story.
* **Why You Need More Than the SOC Triad**  
*Jean Schaffer, formerly of DIA and NSA*  

Why the SOC Visibility Triad should be expanded to include cloud data, with identity underpinning all of it.
* **Securing the Unseen: Navigating the Challenges of Security in Serverless**  
*Desmond Lamptey, Capital One*  

Get a walkthrough of hacking an insecure AWS Lambda app from your mobile device.
* **Bank Heist: UNC2891 Case Study**  
*Takahiro Sugiyama, Mandiant*  

Criminals kept withdrawing cash from ATMs using fake bank cards. How did they do it, and how did Mandiant investigate?

In the complete [session catalog](https://mwise.mandiant.com/conf23/sessions?&utm_campaign=mwise-conference-2023&utm_source=bleepingcomputer&utm_medium=native&utm_term=registration-discount&utm_content=mwise-conference-2023_bleepingcomputer_article_text_registration-discount_session-catalog) you can sort by track, technical level, and session type. Or go right to the [speakers](https://mwise.mandiant.com/conf23/speakers?&utm_campaign=mwise-conference-2023&utm_source=bleepingcomputer&utm_medium=native&utm_term=registration-discount&utm_content=mwise-conference-2023_bleepingcomputer_article_text_registration-discount_speakers) to see the depth and breadth of their expertise.


[![Register now for mWise](https://www.bleepstatic.com/images/news/security/m/mandiant/mandiant-register-now-image.jpg)](https://mwise.mandiant.com/conf23?&utm_campaign=mwise-conference-2023&utm_source=bleepingcomputer&utm_medium=native&utm_term=registration-discount&utm_content=mwise-conference-2023_bleepingcomputer_article_1200x628_registration-discount_join-forces)


## A new kind of security conference.


mWISE was established as an intimate, vendor-neutral gathering with a focus on hard-hitting solutions for practitioners on the front lines. It’s not a megaconference; it’s a targeted space where people who are serious about security find each other, make connections, and solve problems. You can expect to have important, fruitful personal interactions not only with other attendees but with speakers and session leaders.


The conference runs from September 18–20, 2023, in Washington, DC.


**Just a few weeks left for discount registration.**  

Register by August 13th to get $300 off the standard price for the Full Conference pass.  
**[REGISTER NOW](https://mwise.mandiant.com/conf23?&utm_campaign=mwise-conference-2023&utm_source=bleepingcomputer&utm_medium=native&utm_term=registration-discount&utm_content=mwise-conference-2023_bleepingcomputer_article_text_registration-discount_register-now)**


*Sponsored and written by [Mandiant](https://mwise.mandiant.com/conf23/sessions?&utm_campaign=mwise-conference-2023&utm_source=bleepingcomputer&utm_medium=native&utm_term=registration-discount&utm_content=mwise-conference-2023_bleepingcomputer_article_1600x900_registration-discount_sessions-speakers)*





## Tags:
***CVE's***: CVE-2023-23397

### Autogenerated tags:
[[mandiant]] [[cybersecurity]] [[cloud]] [[malware]]
