# GoAnywhere MFT zero-day vulnerability lets hackers breach servers
## The developers of the GoAnywhere MFT file transfer solution are warning customers of zero-day remote code execution vulnerability on exposed administrator consoles.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/goanywhere-mft-zero-day-vulnerability-lets-hackers-breach-servers/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 03 February 2023, 16:39
+ Date scraped: 05 February 2023, 13:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/03/Fortra_GoAnywhere_MFT.jpg)



The developers of the GoAnywhere MFT file transfer solution are warning customers of zero-day remote code execution vulnerability on exposed administrator consoles.


GoAnywhere is a secure web file transfer solution that allows companies to securely transfer encrypted files with their partners while keeping detailed audit logs of who accessed the files.


The GoAnywhere security advisory was first made public by reporter [Brian Krebs](http://infosec.exchange/@briankrebs/109795710941843934), who posted a copy on Mastodon.


A customer who received the notification told BleepingComputer that this is affecting both the on-premise and SaaS implementations of GoAnywhere but we could not independently confirm this at this time.


According to the security advisory, the exploit requires access to the administrative console, which should not normally be exposed to the internet.


"A Zero-Day Remote Code Injection exploit was identified in GoAnywhere MFT," warns the GoAnywhere security advisory.


"The attack vector of this exploit requires access to the administrative console of the application, which in most cases is accessible only from within a private company network, through VPN, or by allow-listed IP addresses (when running in cloud environments, such as Azure or AWS)."


As there is no patch currently available for the zero-day vulnerability, Fortra urges admins to apply the following mitigation:


1. On the file system where GoAnywhere MFT is installed, edit the file "[install\_dir]/adminroot/WEB\_INF/web.xml."
2. Find and remove (delete or comment out) the following servlet and servlet-mapping configuration in the screenshot below.
3. Restart the GoAnywhere MFT application.

![Code](https://www.bleepstatic.com/images/news/u/1220909/2023/Software/2/code.png)


At this time, there's no other way to mitigate the attacks, as Fortra has not yet made a security update available.


Fortra has also temporarily shut down its SaaS solution while they resolve the bug.


The company also recommends that Administrators perform an audit of their installations, including:


* Check to see if new, unknown admin accounts were created by the 'system' and if the "Admin Audit Log shows a non-existent or disabled super user creating this account."
* Search the Administration log for activity (Reporting -> Audit Logs -> Administration). Search for anything created by root user.

Security professional [Kevin Beaumont](https://infosec.exchange/@GossiTheDog@cyberplace.social) has performed a Shodan scan to determine how many GoAnywhere instances are exposed on the internet and found 1,008 servers, mainly in the United States.


However, Beaumont said that most admin consoles utilize ports 8000 and 8001, of which BleepingComputer only saw 151 exposed.



![Shodan scan results for exposed GoAnywhere MFT](https://www.bleepstatic.com/images/news/security/vulnerabilities/g/goanywhere-zero-day/shodan.jpg)**Shodan scan results for exposed GoAnywhere MFT** *([Kevin Beaumont](https://cyberplace.social/@GossiTheDog/109795920737215405))*


While the attack surface may appear limited, it's important to note that large organizations use these products to transfer sensitive files with their partners.


BleepingComputer has identified local governments, healthcare companies, banks, energy firms, financial services companies, museums, and computer part manufacturers utilizing the GoAnywhere file transfer solution.


Hence, even a single breach leveraging GoAnywhere MFT's zero-day flaw could leak sensitive information that could be used for extortion.


This exact scenario was seen in the [2021 hacks of Accellion FTA](https://www.bleepingcomputer.com/news/security/global-accellion-data-breaches-linked-to-clop-ransomware-gang/) (File Transfer Appliance) by the Clop ransomware gang, which impacted many high-profile companies worldwide.


BleepingComputer has contacted Fortra to ask for more details about whether the attacks are actively exploited, and we will update this post as soon as we receive a response.





## Tags:


### Autogenerated tags:
[[goanywhere]] [[mft]] [[zero-day]] [[bleepingcomputer]] [[fortra]]
