# Malicious Google ads sneak AWS phishing sites into search results
## A new phishing campaign targeting Amazon Web Services (AWS) logins is abusing Google ads to sneak phishing sites into Google Search to steal your login credentials.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/malicious-google-ads-sneak-aws-phishing-sites-into-search-results/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 09 February 2023, 18:37
+ Date scraped: 09 February 2023, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/08/23/phishing-hook.jpg)



A new phishing campaign targeting Amazon Web Services (AWS) logins is abusing Google ads to sneak phishing sites into Google Search to steal your login credentials.


The campaign was discovered by [Sentinel Labs](https://www.sentinelone.com/blog/cloud-credentials-phishing-malicious-google-ads-target-aws-logins/), whose analysts observed the malicious search results on January 30, 2023. The bad ads ranked second when searching for “aws,” right behind Amazon’s own promoted search result.



![The malicious Google search result](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/5/google-search.png)**The malicious Google search result** *(Sentinel One)*


Initially, the threat actors linked the ad directly to the phishing page. However, at a later phase, they added a redirection step, likely to evade detection by Google’s ad fraud detection systems.



![Complete attach chain](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/5/attack-chain.png)**Complete phishing chain** *(Sentinel One)*


The malicious Google ads take the victim to a blogger website (“us1-eat-a-w-s.blogspot[.]com”) under the attackers’ control, which is a copy of a legitimate vegan food blog.


The site uses ‘window.location.replace’ to automatically redirect the victim to a new website that hosts the fake AWS login page, made to appear authentic.



![The redirection code](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/5/redirection.jpg)**The redirection code** *(Sentinel One)*


The victim is prompted to select if they are a root or IAM user and then enter their email address and password. This option helps the threat actors categorize the stolen data into two categories of value and utility.



![AWS phishing page](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/5/phish-1.jpg)**AWS phishing page** *(Sentinel One)*



![Second phishing step, requesting the user password](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/5/phish-2.jpg)**Second phishing step, requesting the user password** *(Sentinel One)*


The phishing domains seen by Sentinel Labs are:


* aws1-console-login[.]us
* aws2-console-login[.]xyz
* aws1-ec2-console[.]com
* aws1-us-west[.]info

An interesting feature of the phishing pages is that their author has included a JavaScript function to disable right clicks, middle mouse buttons, or keyboard shortcuts.



![Disabling right mouse clicks](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/5/mouse-click.jpg)**Disabling right mouse clicks** *(Sentinel One)*


Sentinel Labs says this is likely a mechanism to prevent users from navigating away from the page, either purposefully or by mistake.


The security firm reports seeing Portuguese used as a language in the JavaScript code comments and variables, while the root page of the blogger domain mimics a Brazilian dessert business. Finally, the Whois details used for registering the domains point to a Brazilian person.


Sentinel Labs reported the abuse to CloudFlare, which protected the phishing sites, and the internet company quickly shut down the account. However, the malicious Google Ads remain, even if the sites they link to are no longer online.


Google Ads have been under massive abuse from cybercriminals of all kinds lately, serving as an alternative method to reach potential victims.


These ads have been used lately for [phishing password manager accounts](https://www.bleepingcomputer.com/news/security/bitwarden-password-vaults-targeted-in-google-ads-phishing-attack/), achieving [initial network compromise](https://www.bleepingcomputer.com/news/security/ransomware-access-brokers-use-google-ads-to-breach-your-network/) for ransomware deployment, and [malware distribution](https://www.bleepingcomputer.com/news/security/hackers-push-malware-via-google-search-ads-for-vlc-7-zip-ccleaner/) masquerading [legitimate software tools](https://www.bleepingcomputer.com/news/security/hackers-abuse-google-ads-to-spread-malware-in-legit-software/).


Last week, Sentinel Labs discovered a campaign that uses [virtualization technology](https://www.bleepingcomputer.com/news/security/google-ads-push-virtualized-malware-made-for-antivirus-evasion/) together with Google Ads to spread malware that makes it harder to detect by antivirus tools.





## Tags:
***urls***: http://aws2-console-login.xyz http://us1-eat-a-w-s.blogspot.com http://aws1-console-login.us http://aws1-us-west.info http://aws1-ec2-console.com

### Autogenerated tags:
[[phishing]] [[google]] [[aws]]
