# BackSlash’s new ASPM combines existing AppSec with context-based risk prioritization
## The new platform is designed to drastically reduce alert noise and allow security teams to focus on genuine threats.
## Information:

+ Link: https://www.csoonline.com/article/657707/backslashs-new-aspm-combines-existing-appsec-with-context-based-risk-prioritization.html
+ Source: CSO
+ Author: Shweta Sharma
+ Date published: 01 November 2023, 10:58
+ Date scraped: 01 November 2023, 13:01

## Article:
![Main article image](https://www.csoonline.com/wp-content/uploads/2023/11/leader_executive_reviewing_tablet_outside_boardroom_with_cityscape_overlay_by_hiraman_gettyimages-1026593952_2400x1600-100857852-orig.jpg?quality=50&strip=all&w=1024)



The new platform is designed to drastically reduce alert noise and allow security teams to focus on genuine threats.








Application code security provider BackSlash has announced a new [application security posture management](https://www.csoonline.com/article/657138/how-to-choose-the-best-cloud-security-posture-management-tools.html) (ASPM) platform to combine its existing [application security](https://www.csoonline.com/article/566471/what-is-application-security-a-process-and-tools-for-securing-software.html) (AppSec) capabilities with a few new ones.


The new platform will pack BackSlash's existing AppSec solutions including [software component analysis](https://www.csoonline.com/article/571621/software-composition-analysis-explained-and-how-it-identifies-open-source-software-risks.html) (SCA), static application security testing ([SAST](https://www.csoonline.com/article/568049/top-sast-and-dast-tools.html)), [software bill of materials (SBOM)](https://www.csoonline.com/article/573185/what-is-an-sbom-software-bill-of-materials-explained.html), [vulnerability exploitability exchange](https://www.csoonline.com/article/573377/vulnerability-exploitability-exchange-explained-how-vex-makes-sboms-actionable.html) (VEX), and secrets detection, within a holistic ASPM offering, aimed specifically to focus on risk prioritization.


"Most AppSec professionals spend 50% or more of their time chasing vulnerabilities," BackSlash said in a press release. "The sheer volume of vulnerabilities flagged across multiple costly and siloed tools overwhelms the typical AppSec team, and fixing the most critical security risks is increasingly challenging without the ability to prioritize."


The ASPM platform is generally available at launch and can also be availed on the AWS Marketplace.






BackSlash fuses "reachability analysis" into existing stack
-----------------------------------------------------------


BackSlash [recently announced](https://www.csoonline.com/article/574813/backslash-appsec-solution-targets-toxic-code-flows-threat-model-automation.html) a cloud-native AppSec solution aimed at identifying toxic code flows and automating threat models. The new ASPM is intended to provide an integrated, continuous view of an organization's AppSec posture to help prioritize risks.


"Backslash is approaching application security from a risk-prioritization security posture standpoint to help security teams and developers work more efficiently," said Melinda Marks, senior analyst at ESG. "This is a clever way to enable risk mitigation and application protection with a hacker point of view with what they are calling 'reachability analysis."




BackSlash's new reachability analysis will constitute the core offering of the ASPM platform by attempting to prioritize the most critical open source software vulnerabilities and code vulnerabilities by pinpointing risks that are actually reachable and exploitable. This, according to BackSlash, will drastically reduce alert noise and allow security teams to focus on genuine threats.


"The top challenge for security operations is the change velocity with the speed and volume of software releases, so having a more efficient way to manage remediation can help teams mitigate risk to prevent security incidents," Marks added.



BackSlash promises contextual risk analysis
-------------------------------------------


BackSlash's new ASPM will inherit its existing toxic flow analysis capability that allows the product to identify, on average, one critical toxic flow for every 100 security alerts produced by the AppSec tools. This is done through [risk-based vulnerability management](https://www.csoonline.com/article/566605/risk-based-vulnerability-management-a-better-form-of-cyber-defense.html) (RBVM) wherein BackSlash prioritizes risks based on their exposure and business context.


"Context and efficiency are now key to help security teams scale with modern application development," Marks said. "Organizations are moving to consolidation and platform approaches. So, instead of using separate siloed tools, they are looking for integrated platforms that can pull in data from multiple sources to give them the context needed to prioritize risk."


The new ASPM will also feature a "remediation at the root" capability, which will allow it to target the right developer for each code fix, with evidence to reduce remediation and triage [MTTR](https://www.csoonline.com/article/574243/mttr-not-a-viable-metric-for-complex-software-system-reliability-and-security.html) (mean time to recovery).





## Tags:


### Autogenerated tags:
[[aspm]] [[appsec]] [[teams]]
