# Cohesity Data Cloud 7.0 enhances privileged access authentication, ransomware recovery
## Vendor announces the 7.0 software release of its Cohesity Data Cloud platform with a focus on “data-centric” cyber resilience.
## Information:

+ Link: https://www.csoonline.com/article/3687179/cohesity-data-cloud-70-enhances-privileged-access-authentication-ransomware-recovery.html
+ Source: CSO
+ Author: Michael Hill
+ Date published: 08 February 2023, 11:00
+ Date scraped: 08 February 2023, 20:01

## Article:
![Main article image](https://images.idgesg.net/images/article/2018/07/cloud_hand_touch_create_access_secure-clouds_reach_tech-job-100763725-large.jpg?auto=webp&quality=85,70)


Data security and management vendor has announced the 7.0 software release of its Cohesity Data Cloud platform. The release provides customers with enhanced cyber resiliency capabilities to help protect and secure data against cyberattacks, the firm stated in its announcement. Expanded features include privileged access hardening, accelerated ransomware recovery for files and objects, and attack surface reduction via AWS GovCloud support, Cohesity added.

## **Cohesity 7.0 focuses on a “data-centric” approach to cyber resilience**

In a [press release](https://www.cohesity.com/press/new-cohesity-data-cloud-release-7-0-expands-data-security-and-management-capabilities-to-combat-ransomware-attacks-and-data-breaches/), Cohesity explained that the 7.0 software release helps businesses take a more data-centric approach to cyber resilience including data immutability, data isolation (or cyber vaulting), and recovery at scale. “Organizations are facing significant challenges with managing and securing their data estate across cloud and on-premises, with ransomware and data theft as their number one concern,” commented Chris Kent, VP product and solutions marketing, Cohesity. “[Cohesity Data Cloud 7.0](https://www.cohesity.com/blogs/cohesity-7-0-data-management-and-security-for-cyber-resilience/) adds a new layer of protection and recovery to organizations’ most critical data.”

## **Cohesity 7.0 offers hardened access controls, data lifecycle features, AWS GovCloud support**

Hardened access controls for Cohesity Data Cloud enable tighter control and management of privileged administrative accounts and protection of access credentials, Cohesity said. “These controls further increase the difficulty of threat actors tampering with backup data. New innovative differentiators, like split key capabilities, require multiple people to authenticate for some privileged access to administrative controls.” No single administrator can unilaterally issue privileged commands, thereby helping to protect data from malicious threat actors, the firm added.


Cohesity has also advanced ransomware recovery for files and objects with Cohesity [SmartFiles](https://www.cohesity.com/products/smartfiles/), the vendor stated. “New powerful data lifecycle features are designed to reduce the attack surface for data exfiltration by ensuring data is not retained for longer than necessary, and custom security policies help further secure unstructured data from unauthorized access and attacks.” The new release also introduces new capabilities for analyzing and visualizing data utilization on third party NAS systems to help organizations move data to SmartFiles for long-term retention and data immutability, it added.

Lastly, Cohesity Data Cloud 7.0 adds support for AWS GovCloud for target data and metadata protection to help organizations reduce their attack surface by consolidating multiple point products, Cohesity claimed. “Additional storage targets for long-term retention, and support for local backup on third-party platforms including Lenovo SR645, HPE DL360 and DL380, Cisco UCS C220M6 AFC and C240 M6, and Dell 740XD for private cloud deployments.”

Commenting on the release, Randy Kerns, senior strategist and analyst at Evaluator Group, noted Cohesity Data Cloud 7.0’s split key and KMS auto-failover capabilities as a means to help support customers and partners to protect data against cyberattacks.





## Tags:


### Autogenerated tags:
[[cohesity]] [[cloud]] [[ransomware]] [[aws]] [[govcloud]]
