# Hacked home computer of engineer led to second LastPass data breach
## LastPass reports that the same threat actor who breached its systems in August used exfiltrated data to target the home computer of an engineer and launch a second successful cyberattack.
## Information:

+ Link: https://www.csoonline.com/article/3688922/hacked-home-computer-of-engineer-led-to-second-lastpass-data-breach.html
+ Source: CSO
+ Author: Apurva Venkat
+ Date published: 28 February 2023, 20:42
+ Date scraped: 01 March 2023, 15:00

## Article:
![Main article image](https://images.idgesg.net/images/idge/imported/imageapi/2022/03/10/11/cso_security_hacker_breach_privacy_ransomware_malware_attack_gettyimages-1216075693_by-towfiqu-ahamed_2400x1600px-100861762-large-100921501-large.jpg?auto=webp&quality=85,70)


Password management company LastPass, which was [hit by two data breaches last year](https://www.csoonline.com/article/3684790/timeline-of-the-latest-lastpass-data-breaches.html), has revealed that data exfiltrated during the first intrusion, discovered in August, was used to target the personal home computer of one of its [devops](https://www.infoworld.com/article/3215275/what-is-devops-transforming-software-development.html) engineers and launch a second successful cyberatttack, detected in November.

The threat actor involved in the breaches infected the engineer's home computer with a [keylogger](https://www.csoonline.com/article/3326304/keyloggers-explained-how-attackers-record-computer-inputs.html), which recorded information that enabled a cyberattack that exfiltrated sensitive information from the company's AWS cloud storage servers, LastPass said in a [cybersecurity incident update](https://support.lastpass.com/help/incident-2-additional-details-of-the-attack) Monday.

The company had divulged information about the data breaches last year; the update reveals for the first time that the same threat actor was responsible for both breaches.


The first intrusion ended on August 12 last year. However, LastPass now says that the threat actor was actively engaged in a new series of reconnaissance, enumeration, and exfiltration activity aimed at the company's the cloud storage environment from August 12 to October 26, 2022.

“The observed tactics, techniques, and procedures (TTPs), as well as the indicators of compromise (IOCs) of the second incident were not consistent with those of the first. While proximal in terms of timeline, it was not initially obvious that the two incidents were directly related,” LastPass said in its update. There has been no activity by the threat actor after October 26, the company added.

The developer whose home computer was infected with the keylogger was only one of four devops engineers in the company who had access to the decryption keys of encrypted Amazon S3 buckets.

## LastPass engineer's master password stolen

"The threat actor was able to capture the employee's master password as it was entered, after the employee authenticated with MFA, and gain access to the devops engineer's LastPass corporate vault," LastPass said.

The threat actor then exported the native corporate vault entries and content of shared folders, which contained encrypted secure notes with access and decryption keys needed to access the AWS S3 LastPass production backups, other cloud-based storage resources, and some related critical database backups.

The use of valid credentials made it difficult for the company's investigators to detect the threat actor's activity.

In the first intrusion, in August, a software engineer’s corporate laptop was compromised, allowing the  threat actor to gain access to a cloud-based development environment and steal source code, technical information, and certain LastPass internal system secrets, LastPass CEO Karim Toubba said in a [blog](https://support.lastpass.com/download/lastpass-blog-security) addressed to customers. 

No customer data or vault data was stolen during this incident, as LastPass did not have any customer or vault data in the development environment.

## Stolen data used to gain access in second breach

“We declared this incident closed but later learned that information stolen in the first incident was used to identify targets and initiate the second incident,” Toubba said.

During the first incident, the threat actor was able to access on-demand, cloud-based development and source code repositories of 14 out of 200 software repositories.

Internal scripts from the repositories — which contained company secrets and certificates as well as internal documentation including technical information that described how the development environment operated — were also accessed by the threat actor.

In the second incident, the threat actor used the information stolen in the first intrusion to target a senior devops engineer and exploit vulnerable third-party software to install a keylogger, Toubba said.

The threat actor leveraged information from the keylogger malware, including the engineer's credentials, to bypass and ultimately gain access to cloud backups. The data accessed from those backups included system configuration data, API secrets, third-party integration secrets, and encrypted and unencrypted customer data, the company said.

The threat actor also accessed devops secrets including information used to gain access to cloud-based backup storage. Access to a backup of the LastPass multifactor authentication (MFA) and federation database that contained copies of the company’s authenticator seeds, telephone numbers used for MFA backup, as well as a split-knowledge component (the K2 “key”) used for LastPass federation, was also gained by threat actor, LastPass said.

The identity of the threat actor and their motivation is unknown. There has been no contact or demands made, and there has been no detected credible underground activity indicating that the threat actor is actively engaged in marketing or selling any information obtained during either incident, LastPass said.

## **Remediation actions taken**

There have been several steps that LastPass has taken to strengthen its security in the wake of the incidents. “We invested a significant amount of time and effort hardening our security while improving overall security operations,” the CEO said.

Some of this included assisting devops engineers with hardening the security of their home network and personal resources, rotating critical and high privilege credentials, and enabling custom analytics that can detect ongoing abuse of AWS resources. LastPass says it has  have millions of users and more than 100,000 businesses as customers.

  
  
  
  






## Tags:


### Autogenerated tags:
[[lastpass]] [[devops]] [[keylogger]] [[said.the]] [[cloud-based]] [[aws]] [[cloud]] [[mfa]] [[toubba]]
