# Why you should install the latest Apple updates
## The latest software updates from Apple address critical security problems, introduce improved privacy tools and include the SharePlay feature. Still missing? Universal Control.
## Information:

+ Link: https://www.computerworld.com/article/3644420/why-you-should-install-the-latest-apple-updates.html
+ Source: Computerworld
+ Author: Jonny Evans
+ Date published: 14 December 2021, 13:16
+ Date scraped: 18 December 2021, 11:03

## Article:
![Main article image](https://images.idgesg.net/images/idge/imported/imageapi/2021/08/18/11/wwdc21-shareplay-100899671-large.jpg?auto=webp&quality=85,70)

## Article:
![Article Image](https://images.idgesg.net/images/idge/imported/imageapi/2021/08/18/11/wwdc21-shareplay-100899671-large.jpg?auto=webp&quality=85,70)

If you use a Mac and an iPad to get things done, the fact that Apple hasn’t yet introduced [Universal Control](https://www.computerworld.com/article/3620945/wwdc-universal-control-on-the-mac-and-ipad-explained.html) (now [promised for spring](https://apple.sjv.io/c/321564/435031/7613?subid1=US-011-3644420-000-000000-web&u=https://www.apple.com/macos/monterey/)), might put you off installing the latest Apple updates — iOS 15.2, iPadOS 15.2 and macOS 12.1.

But there are very good reasons to do so.

**The update that fixed the internet**
--------------------------------------

Last week [news arrived](https://www.lunasec.io/docs/blog/log4j-zero-day/) of a nasty vulnerability in [Apache’s Log4j software library](https://logging.apache.org/log4j/2.x/security.html) that could easily be used to steal data and credentials from web services and install software onto servers running Log4j.

What made this hack so serious is that it is ubiquitous and used across millions of services and applications online, including AWS, Steam, and iCloud.

Apple now appears to have secured iCloud against the attack, *[Eclecticlight](https://eclecticlight.co/2021/12/12/last-week-on-my-mac-when-the-internet-caught-fire/comment-page-1/)* claims.

Apparently, the vulnerability could be exploited on iCloud online on Dec. 9 and 10, but was fixed by Dec. 11. It’s a server-side flaw and you’ll find it is in the process of being fixed across millions of sites and services across the next few weeks.

The latest updates also patch a variety of other vulnerabilities, including:

* A bug that lets Macs running Monterey be tracked by the Bluetooth MAC address.
* A flaw across iPhones, iPads, Macs, and WatchOS that enabled a maliciously crafted audio or image file to execute arbitrary code.
* A maliciously crafted audio file running on all Apple platforms that could lead to disclosure of user information.

These and other nasties are all repaired now. It is also worth noting that the software update follows Apple’s recent decision to [take NSO Group to court](https://www.computerworld.com/article/3641261/apple-pulls-no-punches-in-lawsuit-against-amoral-nso-group.html).

**That privacy thing**
----------------------

Another important enhancement in this update is the [App Privacy Report](https://www.applemust.com/here-is-what-developers-must-share-in-apples-app-privacy-labels/), which will shed a [bright light](https://support.apple.com/en-us/HT212958) on apps [that are not respecting your privacy settings](https://www.computerworld.com/article/3644428/apple-should-enforce-the-app-store-privacy-promise.html).

Enabled in *Settings>Privacy>toggle App Privacy Report to on*, this shows you what apps are using what resources on your device, including your microphone and camera. It also shows you network activity, which may enable you to spot apps sending data when you don’t want them to do so.

This empowers every iPhone user with insight into what their apps are doing. It also means those apps that continue to [abuse customer trust](https://www.computerworld.com/article/3644428/apple-should-enforce-the-app-store-privacy-promise.html) by attempting to evade your privacy settings become a little more obvious. It seems likely that many users will be surprised at what they find out, which I hope means those apps that fail to live up to the spirit of App privacy on iOS devices will be quickly discovered and their apps deleted or replaced with more privacy-respecting services.

It’s a start.

Next year, I hope to see Apple begin to assertively reject developers who do not keep to the spirit of app privacy from the App Store.

For enterprise users, this visibility into app behavior may make the difference between some popular collaboration and communication services being approved for use on company hardware, or not. Enterprises may also want to use the [Hide My Email tool](https://www.applemust.com/how-to-use-hide-my-email-in-icloud/), which is available in this release for [iCloud+ subscribers](https://www.computerworld.com/article/3634029/what-is-icloud-and-why-should-you-use-it.html).

The update also includes the first part of Apple’s [deeply controversial CSAM protection tools](https://www.computerworld.com/article/3629434/apples-botched-csam-plan-shows-need-for-digital-rights.html). These do appear to have been made a little less open to abuse, and what’s offered here includes the slightly less contentious settings parents can use to enable warnings for children when they receive or send photos that contain nudity. Siri, Spotlight, and Safari Search also offer enhanced safety warnings.

### **The holidays are for sharing**

For Apple, the big deal in the latest software release is [SharePlay](https://www.computerworld.com/article/3622279/apples-shareplay-vision-too-little-too-late.html), which is now supported on the Mac. It lets you watch TV shows, music, movies, and other content [with others from within a FaceTime call](https://www.applemust.com/how-shareplay-works-on-apples-iphones-ipads-and-apple-tv/). Though this sharing largesse doesn’t extend to every service, it does work with TV+ content. That means it could provide a sense of connection to families who once again cannot be together in this second plague holiday season.

If you run a business, you can also use SharePlay to collaborate on documents in supporting apps, which at present means Keynote and Pages, though developers are introducing support for this.

**Digital Legacy**
------------------

Perhaps less holiday-focused, the release also introduces Apple’s [promised Digital Legacy tools](https://www.applemust.com/what-is-apples-digital-legacy-and-how-do-you-use-it/). This is a much-needed solution that lets you ensure your emails, photos, and other personal data are available to those who need it in the event you pass away.

Sadly, the one thing you can’t bequeath for no good reason whatsoever is your digital music or movies collections, unless you’ve ripped them from disk or stolen them online. Copyright holder seem to want to usher in a year Zero on content, given that you can’t pass your iTunes collection on to your heirs.

Good for business? Maybe. But bad for music and movie fans who want to pass along their love of the interesting and obscure to the next generation.

*Please follow me on [Twitter](https://twitter.com/jonnyevans_cw), or join me in the [AppleHolic’s bar & grill](https://mewe.com/join/appleholics_bar_and_grill) and [Apple Discussions](https://mewe.com/join/apple_discussions) groups on MeWe.*







## Tags:


### Autogenerated tags:
[[apps]] [[icloud]]
