# AlienFox - A Hacking Toolkit That Steals Credential From Multiple Cloud Services
## A recently discovered comprehensive toolset dubbed AlienFox toolkit is circulating on Telegram to scan for poorly configured servers.
## Information:

+ Link: https://cybersecuritynews.com/?p=15369
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 02 April 2023, 04:24
+ Date scraped: 02 April 2023, 05:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh4TwJB68cNlV1m4ntONJOa_lUMKDGE_YVKwOu_QonjF_-xyO6IlvuvFi-7TpXUGuAR7WIqMz7vhmwt217kb4_Qqt12vuTwPcj7AoJ8L7ruGtLnCbsevAVO0u1lx1aWkH-zS4Rr0s-kS4FGv-OlpLeLxxIMnEVXbw_fLhM5oqGzDO-bfcGGLSeDVRo2nQ/s728/AlienFox%20-%20A%20Hacking%20Toolkit%20That%20Steals%20Credential%20From%20Multiple%20Cloud%20Service%20Providers.webp)


A recently discovered comprehensive toolset dubbed AlienFox toolkit is circulating on Telegram.





It’s a modular set of tools that enables malicious actors to scan for poorly configured servers, potentially leading to the theft of cloud-based email service credentials and authentication secrets.


SentinelOne security researcher Alex Delamotte [stated](https://www.sentinelone.com/labs/dissecting-alienfox-the-cloud-spammers-swiss-army-knife/):-


*“A new trend in cyberattacks involves exploiting less complex cloud services that are unsuitable for [cryptocurrency mining](https://cybersecuritynews.com/cloud-based-cryptocurrency-miners/). The spread of AlienFox is an example of this trend, as it allows attackers to expand their operations and launch further campaigns. This development has gone largely unreported in the cybersecurity community.”*


Cybercriminals can access a private Telegram channel via which the toolkit is sold to them, which has become the usual method for network hackers and malware authors to engage in transactions.


**Hosting Frameworks Targeted**


Here below, we have mentioned all the hosting frameworks that AlienFox targets:-


* Laravel
* Drupal
* Joomla
* Magento
* Opencart
* Prestashop
* WordPress


## **Identified versions of AlienFox**


All the versions of AlienFox that the security analysts identify:-


* AlienFox V2
* AlienFox V3.x
* AlienFoxV4


The discovery of three different versions of AlienFox suggests that the toolkit’s creator is currently engaged in actively developing and improving the malicious toolkit. While this finding comes from the analysis conducted by cybersecurity experts at SentinelOne security.


## **AlienFox steals credentials & secrets**


There are a number of custom tools in AlienFox that were developed by different authors and utilize a variety of modified open-source utilities.


Using security scanning platforms, malicious actors employ AlienFox to obtain inventories of poorly configured cloud endpoints from sources including:-


* LeakIX
* SecurityTrails


Secondly, AlienFox retrieves sensitive configuration files that generally store sensitive data from misconfigured servers using data-extraction scripts, including:-


* API keys
* Account credentials
* Authentication tokens


In addition to its primary function, the toolkit features independent scripts that can enable the tool to establish persistence and elevate privileges on servers with identified vulnerabilities.



![](https://lh5.googleusercontent.com/5bZzlC_R-nloFdu__Ukc1sZPg-ooiKFvmMUVhc_l-wupbBx15SKtH-4bsuHGFvOOsRstafnnwu6NHP5GWMzP4IPC19xKGRHa0TA1sO7V4lceiPMBrJiPrsHHncbXbnIoefrcXLVfY8GyjfkIKsFz2yo)



![](https://lh6.googleusercontent.com/DvH0jR88PHlroPTumJ8gEEnOzoU1MpUl6-jXqQBvn7s_T0GwN70nDKrgyJa_AxVLTdSakL0rvHgiptnRQ0lV381Ut-cQFoEW-IkOvIzKqGjW9K_Iwx60juHJ6RREWqzKN8XH6vZQ6HFEYM4KAYWMes8)


AWS account access and [privilege escalation](https://attack.mitre.org/tactics/TA0004/) have been integrated into recent versions of the tool. Moreover, the toolkit can automate spam campaigns by exploiting compromised accounts to further proceedings.


While the earlier version AlienFox v2 primarily concentrates on extracting and modifying the environment files of the web server.


Then it attempts to access the targeted server using the Paramiko Python library to identify credentials in the files and test them on the targeted server.


With the release of AlienFox v3, the toolkit can now automatically extract keys and secrets from Laravel environments. In addition, harvested data now includes tags that specify the acquisition method.


AlienFox’s latest version, v4, boasts improved organization of its code and scripts. Additionally, the toolkit’s targeting scope has been broadened.


**Cloud-based Email Platforms Targeted**


There are several cloud-based email platforms that are targeted, such as:-


* 1and1
* AWS
* Bluemail
* Exotel
* Google Workspace
* Mailgun
* Mandrill
* Nexmo
* Office365
* OneSignal
* Plivo
* Sendgrid
* Sendinblue
* Sparkpostmail
* Tokbox
* Twilio
* Zimbra
* Zoho


**Recommendation**


Here below, we have mentioned all the recommendations offered by the security researchers that will help the defenders to counter this evolving threat:-


* The administrators must ensure that the access control settings of their servers are set accordingly.
* Ensure that the file permissions on their server are set properly.
* Remove any unnecessary services that are running on your server.
* Make sure to enable multi-factor authentication.
* Ensure that any activity on your accounts that seems unusual or suspicious is closely monitored.


**Building Your Malware Defense Strategy – [Download Free E-Book](https://www.perimeter81.com/whitepapers/maldef-strategy-ebook?&utm_campaign=malware&utm_term=secure_internet_access&a_aid=2428)**


Also Read:


* [New Linux Malware Brute Force Credentials and Gain Access to SSH Servers](https://cybersecuritynews.com/new-linux-malware-brute-force-credentials/)
* [New Undetected Swiss Army Knife Linux Malware Installs Rootkits, Backdoors](https://cybersecuritynews.com/undetected-swiss-army-knife-linux-malware/)
* [OrBit – Undetected Linux Malware Uses Unseen Hijack Method to Attack Linux Systems](https://cybersecuritynews.com/orbit-undetected-linux-malware/)






## Tags:


### Autogenerated tags:
[[alienfox]] [[malware]] [[linux]] [[cloud-based]]
