# ChatGPT-Next-Web SSRF Flaw Let Attackers Gain Unauthorized Access
## Apart from ChatGPT and Gemini AI which are the most popular Artificial Intelligence systems available to the public, there are several other
## Information:

+ Link: https://cybersecuritynews.com/?p=59368
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 12 March 2024, 10:44
+ Date scraped: 12 March 2024, 11:05

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgESVAggFybfThBMLwNgdUL9EyBG2gaq1bg95sZFyW2qX9R3fYvZ_g4Ps9vtC2vcXpIBtF6CLGSSycim3Z3i9f8ZkwAGc27CJQGwhCXL2q-Kg1-E6ynUCo0rY1vPxdg5mAOCKd9SxaDK0eZ1LSQXd2kE9RgyyS5bofC6y05Oba6dnPUwpxyBX9_hl81NQhK/s16000/ChatGPT-Next-Web%20SSRF%20Vulnerability.webp)


Apart from ChatGPT and Gemini AI which are the most popular Artificial Intelligence systems available to the public, there are several other standalone chatbot applications that are available for users to deploy and use for their own personal customization.


These standalone applications also provide the feature to plug in and test different AI models and can also bypass IP block restrictions.


One of the most popular standalone Gen AI chatbot applications available for users is the NextChat, a.k.a ChatGPT-Next-Web.


This particular application is open-source and available on GitHub with more than 63K+ stars and 52K+ forks.


Additionally, a shodan query (title:NextChat,”ChatGPT Next Web”) shows that this chatbot application has been deployed mostly in China and the US with more than 7500+ exposed instances.


However, this particular chatbot application is vulnerable to a critical full-read server-side request forgery (SSRF) vulnerability.


This vulnerability has been assigned the [CVE-2023-49785](https://nvd.nist.gov/vuln/detail/CVE-2023-49785) designation and has a severity level of 9.1 (Critical). No patch is available for this vulnerability yet, making it still a threat to organizations.


ChatGPT-Next-Web SSRF Vulnerability
-----------------------------------


According to the reports shared with Cyber Security News, NextChat is a Next.js based JavaScript application and its functionalities have been mostly implemented as client-side code.


The vulnerability was present at the /api/cors endpoint of this application, which is used to save client-side chat data to WebDAV users.


An unauthenticated user with access to this application can send arbitrary HTTP requests through this endpoint that could enable the users to bypass built-in browser protections and access cross-domain resources through a server-side endpoint.


An attacker can exploit this vulnerability by adding an internal endpoint at the end of the URL [endpoint](https://cybersecuritynews.com/endpoint-security-tools/), which allows the attacker to access internal HTTP resources. 



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjccD7L94qEjQrHSe2QInXyh9WW2evOSgrlTR-yF3o__ZsPf-Yy426Zk7_uJ9SPqZlMsOaaFD99epRq0kkEy6QEdQvOjYafbhrFIdnOMfiXqZD1ySeqQFglLjAA6dSE_9My01xpqYZ4GC074Qox4OrLE735x7OJl56faFRmPpF6mPaAfXYkzIPapAjEN9j3/s16000/Capture%20(12).webp)Exploitation of SSRF as Open Redirect (Source: Horizon3)


In addition to this, if the instance is deployed in AWS, an attacker can access AWS cloud metadata and retrieve AWS access keys from an EC2 instance running with IMDSv1 (Instance Metadata Service Version 1) enabled.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjn6Z63-niLp5MJh9CLsytlNOwXjWSa6WyVtxW9jb3J40ulwEz_puVtQlNElsRGbkrDw2BSt8F3BIoY8hcJUX9lc0Aa-TTPQDcp8H0w6w0zmgdK52Kk-SBWwgMHu2shtZb7E6wnv2jbh1_N8BaA7hv_bBYq-m5JVmmnWzk5re1z6gj-vr02nzjwmTLieEPi/s16000/Capture%20(13).webp)AWS Metadata leak (Source: Horizon3)


Nevertheless, passing other headers such as Cookie and Content-Type is limited. However, there are creative ways to inject these headers on the HTTP request.


**Reflected XSS**
-----------------


As an interesting side note, this endpoint was also discovered to be vulnerable to cross-site scripting, which does not require another website to trigger the exploit.


The endpoint uses the fetch method, which supports the data protocol, allowing the [XSS](https://cybersecuritynews.com/xss-flaw-impacting-100000-wordpress-sites/) to trigger directly on the website. 


The XSS can be triggered using the following exploit code added to the URL endpoint.


data:text%2fhtml;base64,PHNjcmlwdD5hbGVydChkb2N1bWVudC5kb21haW4pPC9zY3JpcHQ+%23


Decoded: <script>alert(document.domain)</script>



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgldC086GBzEP5tmzzHRtejEgQkZ5WNG6DhX0v-AKKhcLIH3DLzw1kZ_FTNtR2qVBzpTu9hg46qRlRdt_j-i48NLNOkaB1KtL0nW2MwQ2j8CBsvybKs-IxqTuHUsEUmJ7yqpPHZESUmYXvXdaC3TZY9NuozTpJqwvnAXr9LlP6SrDS9kmIrze5QYG2xR5Bj/s16000/Capture%20(14).webp)XSS Triggered (Source: Horizon3)


It is recommended that organizations prevent this application from being exposed to the internet.


If it is inevitable to add internet access to this application, it is suggested to isolate it without access to other internal resources.


With [Perimeter81 malware protection](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428), you can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits. All are incredibly harmful and can wreak havoc on your network.





## Tags:
***CVE's***: CVE-2023-49785

### Autogenerated tags:
[[chatbot]] [[aws]] [[xss]] [[standalone]] [[ssrf]] [[http]] [[horizon3]] [[metadata]]
