# ChatGPT-Powered Malware Attacking Cloud Platforms to Steal Login Credentials
## Threat actors can ChatGPT to generate convincing phishing emails or deceptive content that encourages users to download malware.
## Information:

+ Link: https://cybersecuritynews.com/?p=49470
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 09 November 2023, 13:48
+ Date scraped: 09 November 2023, 14:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgcwGghCOhD-FOWTCRu8_IVeBXL61IlaD0UzrHwTe7wbPglKhvX2L501LEhGJYf5CH_7MrcfcU-q87uS35PIcB8PRW0XpjJQBfD6XzEvYjgw7jfT-JFbm2A-lawvaXorAbmDr-_dmZxNibEWA44lUkwfQFPG8AHJKwj1HPXAziFb3hRMZMiRQnbxxhGkdTR/s16000/ChatGPT-Powered%20Malware%20Attacking%20Cloud%20Platforms%20to%20Steal%20Login%20Credentials.webp)


Threat actors can potentially exploit ChatGPT to generate convincing phishing emails or deceptive content encouraging users to download malware.


They may also use the model to obfuscate malicious code or to assist in [social engineering attacks](https://cybersecuritynews.com/social-engineering/), making it more challenging for security systems to detect and prevent illicit activities.


Cybersecurity researchers at SentinelLabs recently [identified](https://www.sentinelone.com/labs/predator-ai-chatgpt-powered-infostealer-takes-aim-at-cloud-platforms/) ChatGPT-powered malware actively attacking cloud platforms to steal login credentials. The ChatGPT-powered malware is an infostealer that is dubbed “Predator AI.”


**Technical Analysis**
----------------------


Predator AI is promoted in hacking Telegram channels for web app attacks. It targets CMS and cloud email like AWS SES, along with AlienFox and Legion tools, sharing code with the following modules:-


* Androxgh0st
* Greenbot


Predator is actively updated, and in September 2023, a user requested a Twilio account checker to the developers, which was delivered in 2 weeks.



![](https://lh7-us.googleusercontent.com/P6QFV1SAuxJPS3UBQwsctTvyChJ_8vApJYfy9r0hlMWm9TWjbTPL9DBVa-OMrZi8JsPMh2RQ-zqhjIaUByrUe7I3Ee0eAheA5wQ4IekqlA0olXOyX2aOvvFWX1wQ5zyD6L3g6MDFzDyy4Y4K-0af3cQ)Developer’s message 


In October, a new version with Twilio features surfaced. The script starts with a copyright notice and an educational use disclaimer. Besides this, Predator infostealer is a Python application that has more than 11,000 lines.


![](https://lh7-us.googleusercontent.com/yMJ4XaQ6KmoFWbeHvTRTNUsu_cSfBhr-mjR83O243UGBMo9PDRyKHKL8hANiImknhKjyc0a2xPJNpbZUS10XbCFChlHxwgIaAXrabHGalhL4L9a73YYM7Qjs-tL4Jw1WcgAzOSLmuPaWWHxJdGJVaJc)


There are 13 global classes defined in this script, and here below we have mentioned those classes:-


* Predator
* Settings
* Utility
* PumperSettings
* FakeErrorBuilder
* StealerBuilder
* Translator
* NetGun
* CTkMessagebox
* CTkListbox
* ThemeMaker
* GPTj
* NetXplorer


**Cloud Platforms Attacked**
----------------------------


Hackers can exploit this script to target the following cloud platforms:


* Drupal
* Joomla
* Laravel
* Magento
* OpenCart
* osCommerce
* PrestaShop
* vBulletin
* WordPress


GPTj’s ‘Predator AI’ chat interface reduces API use by solving locally first. It recognizes over 100 web and cloud hacking cases, handles data internally, and uses third-party services.


Moreover, it deals with AWS SES, Twilio, IP, and phone number data, only querying ChatGPT when needed. Here below we have mentioned all the driving functions defined inside the GPTj Class:-


* generate\_text
* Ai\_Backend
* aiRes
* ChatEvent


**Recommendations**
-------------------


Predator AI’s discovery marks an anticipated shift in hacking tools. With the rise of AI, security pros have wondered about AI’s role in threat actor operations.


Some past projects like BlackMamba fell short of the hype, while Predator AI is a modest advancement, actively integrating AI into tools.


Predator AI’s integration offers a limited attacker advantage, and not only that, it’s unadvertised, potentially unstable, and costly.


As recommendations, cybersecurity analysts at SntinelLabs urged:-


* ge:sure to secure systems with all the latest available security updates.
* Always keep limited internet access.
* Ensure proper implementation of CSPM(Cloud security posture management).
* Monitor for anomalous behaviors.


**Indicators of Compromise**
----------------------------


### **SHA-1 Hash**


* 88d40f86eefee5112515b73cce2d2badb7f49ffd – main.py Predator Python script


### **Hardcoded Strings**


* “jSDSgnditikunggobloktolol” – hardcoded AWS account name string
* “titid” – hardcoded username in AWS GPT functionality
* “Adminn” – hardcoded username in AWS GPT functionality
* “Predator123” – hardcoded password from the Settings class
* “admainkontolpaslodsajijsd21334#1ejeg2shehhe” – hardcoded password for ‘Kontolz’ user account
* arn:aws:iam::320406895696:user/Kontolz – example ARN for Kontolz user


**Patch Manager Plus: Automatically Patch over 850 third-party applications quickly – [Try Free Trial](https://www.manageengine.com/patch-management/?utm_source=GBHackers&utm_medium=Website-CPM&utm_campaign=PMP-300x600).**


**Also Read:**


**[Hackers Using ChatGPT to Generate Malware & Social Engineering Threats](https://cybersecuritynews.com/hackers-using-chatgpt-generate-malware/)**


**[OpenAI Released ChatGPT Enterprise With SOC 2 Compliant & Data Encryption](https://cybersecuritynews.com/chatgpt-enterprise-data-encryption/)**






## Tags:
***SHA1-hash***: 88d40f86eefee5112515b73cce2d2badb7f49ffd

### Autogenerated tags:
[[cloud]] [[hardcoded]] [[aws]] [[chatgpt]] [[malware]] [[twilio]] [[gptj]]
