# Ghost Sites - Hackers May Steal Corporate Data From Deactivated Salesforce Communities
## Researchers at Varonis Threat Labs discovered that some Salesforce sites were improperly deactivated or unmaintained SalesforceGhost Sites. Threat actors can exfiltrate PII and business data by simply manipulating the host headers for these websites. Salesforce partners and customers are provided an option to create customized communities to help them collaborate. When these communities are not […]
## Information:

+ Link: https://cybersecuritynews.com/?p=18967
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 02 June 2023, 06:57
+ Date scraped: 02 June 2023, 07:04

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgy2HNGXYz55UjZELcMH2hg-HxpnXzjyWCo1IgU6H7rO8Ap5vqsMe6xVfPeykfhtP7ZCMHAFqUBZuQqBrtkI2tOs60CAXnL69b_ffsqdyi-CMGzm-JW6EfJj3yCnZJLrD8IyWAewTxSsHZqSI9qQNy5drjZw25IHJojfheuD6CnMs4LKRMeahItopxy0g/s16000/Ghost%20Sites.webp)


Researchers at Varonis Threat Labs discovered that some Salesforce sites were improperly deactivated or unmaintained SalesforceGhost Sites.





Threat actors can exfiltrate PII and business data by **simply manipulating the host headers** for these websites.


Salesforce partners and customers are provided an option to create customized communities to help them collaborate.


When these communities are not needed, they are set **aside instead of deactivated**. 


In addition to this, these kinds of community sites are not maintained, which means that they are not scanned or tested for [vulnerabilities](https://cybersecuritynews.com/infrastructure-as-code/).


Admins often fail to security test these websites due to the newer guidelines for site security.


However, [researchers discovered](https://www.varonis.com/blog/salesforce-ghost-sites) that **these websites can still pull data from Salesforce sites**. These sites are very within reach for threat actors and easily exploitable. 


As these sites are **unmonitored**, threats often go undetected and are exploited by threat actors. These sites are named “Ghost Sites.”


## Ghost Sites Arise


Companies often create custom domain names for their users to browse their Salesforce sites.


For instance, If “*Acme*” decides to partner up with Salesforce, instead of creating “*acme.org/partners*”, *partners.acme.org* is created, which is DNS configured to point towards *partners.acme.org*.*00d400.live.siteforce.com* (Salesforce Website)*.*


However, for the new [DNS record](https://cybersecuritynews.com/dns-attacks/) to work, it should have a CNAME entry that points to the FQDN (Fully Qualified Domain Name). 


It is then followed by the organization ID (*00d400*) and *live.siteforce.com*. 


Now, people who visit *partners.acme.org* will be able to browse Acme’s Salesforce website. Nevertheless, the original problem arises when *Acme* chooses a new vendor instead of Salesforce.


## Birth of a Ghost Site


If Acme goes with another vendor who runs their application on the AWS environment, Acme will modify the DNS record of “*partners.acme.org*” to point towards the new vendor. 


The *partners.acme.org.00d400.live.siteforce.com* is not entirely removed, which continues to pull data from Salesforce and becomes a ghost site.


## Exploiting these Ghost Sites


Though it is not as simple as calling a Salesforce endpoint like “Aura” to extract information, it is still possible for threat actors with the right methodology.


Since these sites are still active in Salesforce, the *siteforce* (Salesforce) domain will resolve, but accessing information will take some effort.


Once these websites are detected, threat actors can modify the host header, resulting in Salesforce serving the website to the threat actor.


This is because Salesforce thinks that this website is being accessed by *partners.acme.org*.


![](https://cybersecuritynews.com/wp-content/uploads/2023/06/image-2-1024x803.png)


Full Internal URLs will also make these websites accessible to threat actors. Full internal URLs can be extracted by using tools like [SecurityTrails](https://securitytrails.com/), which make these ghost sites visible. 


Old websites in these circumstances are less secure and decrease the effort of an attack.


Researchers found many ghost sites that provide much more PII ([Personally Identifiable Information](https://cybersecuritynews.com/icici-bank-data-leak/)) and sensitive business data easily accessible. 


Data exposure was not limited to old data but also new records shared with guest users. This was because of the sharing configuration in Salesforce environments.


## Mitigation


* Sites that are no longer in use must be deactivated.
* Keeping track of all the Salesforce sites and their user permission is highly recommended
* Subdomain cleanup can be done to keep track of all the active and inactive domains.






## Tags:


### Autogenerated tags:
[[salesforce]] [[websites]] [[website]] [[partners.acme.org]] [[dns]]
