# Hackers Weaponizing MinIO Storage System Flaws to Execute Remote Code
## MinIO is an open-source high-performance Object storage service that uses Amazon S3 API. These vulnerabilities existed on the MinIO - Amazon S3 cloud storage service.
## Information:

+ Link: https://cybersecuritynews.com/?p=41794
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 06 September 2023, 07:19
+ Date scraped: 06 September 2023, 08:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgb7Hv3c3OUofqTos_XqoTKwYTeGvWmgZ5IL8TLqHCxr4UKu0-YFsgchbSbp4R2x4Ks6d2RkinNMKT1UT3FXhALIQzBjmJYLfWLoHMyFyDHsyk_esdnJHwso3EO21U6R5G3xSUs5e5I3ML6wzRry8v1h6E3ar2aCFjF16Kukt3S3_9A3wo6jpBDAMqtr9H-/s1600/hackers-weaponizing-minio-system-flaws-64f8150fb8b0c-1.webp)


Recent reports indicate two vulnerabilities relating to information disclosure and remote code execution in MinIO, and their proof of concept was publicly disclosed.


Threat actors relied on a non-native solution and exploited these vulnerabilities relatively easily. These vulnerabilities existed on the MinIO, an Amazon S3 [cloud storage](https://cybersecuritynews.com/cloud-service-providers/) service.






MinIO is an open-source, high-performance Object storage service that uses Amazon S3 API. It is considered a cost-effective storage solution that can be used for cloud-native applications and backup or archive.


It also has RESTful API and AWS Command Line Interface (CLI) that can be used for adaptability.


**CVE-2023-28434 and CVE-2023-28432**
-------------------------------------


According to the reports shared with Cyber Security News, the two highly used vulnerabilities for exploitation were [CVE-2023-28434](https://nvd.nist.gov/vuln/detail/CVE-2023-28434) and [CVE-2023-28432](https://nvd.nist.gov/vuln/detail/CVE-2023-28432). The severities for these vulnerabilities were 7.5 (**High**) and 8.8 (**High**), respectively.


A threat actor can exploit CVE-2023-28434 to bypass a bucket name checking and put an object in any S3 bucket when *PostPolicyBucket* is being processed. 


However, there are prerequisites for exploiting this vulnerability, which include credentials with `arn:aws:s3:::\*` permission and enabling console API access.


CVE-2023-28432 relates to an information disclosure vulnerability due to a flaw in a cluster deployment in RELEASE.2019-12-17T23-16-33Z and prior to RELEASE.2023-03-20T20-16-18Z.


These MinIO deployments return all variables, including *`MINIO\_SECRET\_KEY*` and `MINIO_ROOT_PASSWORD,` which can be used by threat actors for malicious purposes.


A GitHub repository under the name [evil\_minio](https://github.com/AbelChe/evil_minio), which contains a proof-of-concept for these vulnerabilities, was publicly disclosed, raising suspicion of any relation between the attackers and the publisher. 


A [complete report](https://www.securityjoes.com/post/new-attack-vector-in-the-cloud-attackers-caught-exploiting-object-storage-services) about the investigation has been published by Security Joes, which provides [detailed information](https://cybersecuritynews.com/5-cloud-security-challenges-and-risks-to-be-aware-of/) about the exploitation, [indicators of compromise](https://www.securityjoes.com/post/new-attack-vector-in-the-cloud-attackers-caught-exploiting-object-storage-services#:~:text=above%20with%20caution!-,Indicators%20of%20Compromise,-Filename), and YARA rules for detection.






## Tags:
***CVE's***: CVE-2023-28432 CVE-2023-28434

### Autogenerated tags:
[[minio]] [[s3]] [[api]] [[cve-2023-28434]] [[cve-2023-28432]]
