# LeakyCLI: New Vulnerability Exposes Credentials In AWS, Azure & Google Cloud
## Multiple Cloud Service providers like Google Cloud, AWS and Azure have been discovered with a new vulnerability that has been termed as
## Information:

+ Link: https://cybersecuritynews.com/?p=62481
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 17 April 2024, 12:14
+ Date scraped: 17 April 2024, 14:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEguFXbrT6rf9e-aZBoWl9V75c_4nhSVg0bv_5EP8DHoFJEwxWrL9NoMRr8dcKEulDz-djrJ-6Wswv4DRy54PyLQjwMzX-q9vatbLvH0Z61-zsLnoZ6ISPpVF8jB-cqDY2bzg_0VkrQczZe63Gbk5GJDwpAy17GGmJAT7effp4iaXp3oQcyOW-rFTkm7sege/s16000/LeakyCLI%20Vulnerability%20Cloud%20Credentials.webp)


Multiple Cloud Service providers like Google Cloud, AWS, and Azure have been discovered with a new vulnerability that has been termed “LeakyCLI.”


As the name suggests, the Command line interfaces of Google Cloud (Gcloud CLI), AWS (AWSCLI), and Azure (Azure CLI) expose sensitive information in the form of environment variables.


This vulnerability was assigned with [CVE-2023-36052](https://nvd.nist.gov/vuln/detail/CVE-2023-36052), and the severity was given as 8.6 (**High**).


If this vulnerability is subjected to exploitation, threat actors can gain access to multiple sensitive information such as credentials, usernames, passwords, and keys that can later be used to gain access to any resource.


Exploitation can be done through tools like GitHub actions.


LeakyCLI: New Vulnerability
---------------------------


According to the reports [shared with](https://orca.security/resources/blog/leakycli-aws-google-cloud-command-line-tools-can-expose-sensitive-credentials-build-logs/) Cyber Security News, CLIs are tools provided by Cloud Service vendors for users to manage cloud services and use documented Rest API requests to gather information about configuration or other issues.


**`Free Live Webinar**`for DIFR/SOC Teams`**: Securing the Top 3 SME Cyber Attack Vectors - [Register Here](https://go.cynet.com/top-3-sme-attack-vectors?utm_source=gbhackers&utm_medium=display_ad&utm_campaign=Q2-sponsored-webinars)`**.


In addition, these CLIs are also used in CI/CD (Continuous Integration and Continuous Deployment) environments where the use of these documented Rest API requests can expose configuration information about the resources alongside environment variables.


In addition, all these issues exist in a serverless environment, such as Azure functions, Google Cloud functions, and AWS Lambda.


**AWS CLI Leakage**
-------------------


In AWS, the lambda API requests like aws lambda get-function-configuration and aws lambda get-function can be used to gather information about the environment configuration and function information.


However, the output given to the stdout contains the environment variable information as well.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhFEb2Eg_IsdpKLOUu0bqI4IIkPnTkmsDyb9jdwXNIqub6UQETvcqRqT6hjiLw630FEjUCRSBsJd0q7G3e1xPbJ16_MlKtVpO_gkezLxVOSop7zZiIf9Hk7b9IJijW0Q1kKZi3uqDFtYV8BK2H2APaBIOne7TRzacRqbl0V6NfqvKPdmS3pFiFMw9QQ4lHz/s16000/Capture%20-%202024-04-17T143103.275.webp)AWS CLI Leakage (Source: Orca Security)


Some of the organizations store sensitive information such as AWS bucket name, passwords or any other keys in the environment variables which are exposed when running these commands on the AWS CLI.


**GCloud CLI Leakage**
----------------------


Similar to AWS CLI, GCloud CLI also offers certain commands like gcloud functions deploy <func> –set-env-vars and gcloud functions deploy <func> –update-env-vars for accessing resources and configurations of the GCloud environment.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhAFGNkoffZFrh0sUn2N2-aMpvMpz6BJjWFPQsAf84fdWu4wi-MQD8czp0zggqwTr3AiwNQ5ySC1J7lAfU8DVB3gBoQX0eTBcjMvQExK43WYBd66MN-8ZM-NjKnuMrcBYDW-8vIC8zE1IgqGS5vxkqMotNTVjdolaaghLIAHBBQeDqs4hoFbcuZp4byaoa-/s16000/Capture%20-%202024-04-17T143416.505.webp)AWS CLI Leakage (Source: Orca Security)


However, the responses given in the stdout expose defined or predefined environment variables.


In some extreme cases, the stdout also contains build logs which could contain pre-existing environment variables or sensitive information such as passwords in the cloud function which are exposed.


**Proof Of Concept**
--------------------


### **AWS**


In order to prove this vulnerability’s existence and severity, researchers used the below command to leak information via GitHub actions, CircleCI and TravisCI


“aws lambda” AND (“update-function-configuration” OR “update-function-code” OR “publish-version”) AND (path:.github/workflows OR path:.circleci OR path:.travis)



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi36xxzpIKDzQ9dbkuWu_m33AKgErG9tSndI1AI2SmLn3NGSdcwBqG6Qg2PesuVnN0y4y0Se8-jsf3pN4GjsHMUk5Vs0VCZz80dnCI53OHJGtu958H5eXwT0fz0VAgPgImpo18KpmNXjr3l6vBIKRt9cqiIAfdncDL-IyaMTlCysumedft_FEdBx0GpEpzM/s16000/Capture%20-%202024-04-17T143931.795.webp)Leakage via GitHub Actions (Source: Orca Security)



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi6lnK5aViYwV75ytytykErpd1Nwxx5Xd1cMc6jaotYq1kmICWObaou2PyhPevVvaGsT0InvX8Frf2aoY4cpS-wNWfU-6DF4UMBARoGZR097zsyQ4MkKR2FYmrMFDHYBPXLk5neHmzf4vXL0EJwZQL6wbhS6jQldyYmo5JeOqhYbip3i39rSNieI-yZ5h4o/s16000/Capture%20-%202024-04-17T144216.360.webp)Leakage via TravisCI (Source: Orca Security)



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjirqGFi2bmCnXzlx_H1FzimwCgAmGeTL7N_Nb6YrhJ4PhhqejJMquCPbRW6VxUwJ4OAiJWVI1VTJZnmYx6Sk8porUUzMWMXThMpj_yiZXK_GAP_nrdd-2O2WJ5DMiHRJAo27eysAA3biuCy2GoKOOHIa07DrJOFH4567yjFdUzOTD2qmWVtGUcTzxC9OJo/s16000/Capture%20-%202024-04-17T144822.275.webp)Leakage via CircleCI (Source: Orca Security)


The result of this command contained over 1000 hits which was narrowed down to many dozens of projects by manual and limited procedures.


Some of the resulting repositories consisted of logs that leaked sensitive information like environment variables, passwords and keys.


In other cases, other information like account ID’s or S3 bucket names were exposed which are not considered to be private.


Nevertheless, there were also cases where the sensitive information ranged between account IDs (not private) to passwords and keys (Private).


### **GCP**


Researchers used the below command to test Google Cloud CLI to target Github Actions, CircleCI, TravisCI and Cloudbuild.


The resulting hits contributed to only 137 repositories but most of them consisted of several sensitive information such as project names, service accounts and environment variables.


“gcloud functions deploy” AND (“–set-env-vars” OR “–update-env-vars” OR “–remove-env-vars”) AND (path:.github/workflows OR path:.circleci OR path:.travis OR path:cloudbuild)


To provide a brief insight on how they were able to fetch cloudbuild logs of private repositories, researchers used cloudbuild GitHub integration application which allowed them to view these build logs inside GitHub.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjKWuJU-vCjVSbpMAAGJncKD89fhzduOxQtXFckX4CjyN6tGT_09JxyBdmnFc-cnh3m10jtHnVsjNCu8Lo5NNxB0dZeVl3pwF3czzlSpsHa4kVhxu2LH6_HaOuXyVflrYlUDO2aR1yChuLvJY4glNB_kqgdLMWHfBVa9tkG7XO5yI6j3Qo6_vZ8eCSUUlcc/s16000/Capture%20-%202024-04-17T145119.591.webp)Leakage via Cloudbuild (Source: Orca Security)


If threat actors get their hands on these cloudbuild logs and gather these sensitive information, they can use them to escalate their privileges to other services using the exposed environment variables.


**Mitigation**
--------------


### **AWS**


* Users of AWS are recommended to follow the below steps
* Do not use environment variables to store sensitive information
* Review build logs to make sure they don’t contain sensitive information
* Restrict the access and scope of the logs to specific use cases


### **GCP**


For Google Cloud users, the output from the CLI can be suppressed by using the *–no-user-output-enabled* flag. Additionally, the use of the Secrets manager function is also recommended for storing credentials. 


For Azure users, it is recommended to upgrade your CLI versions to the latest as a means of mitigating this vulnerability.





## Tags:
***CVE's***: CVE-2023-36052

### Autogenerated tags:
[[aws]] [[cloud]] [[gcloud]] [[github]] [[google]] [[cloudbuild]] [[api]] [[stdout]] [[circleci]] [[travisci]]
