# Over 60% of AWS Environments Exposed to Zenbleed Attacks
## The Zenbleed vulnerability that is documented recently puts more than 60 percent of AWS environments at risk, impacting AMD Zen 2 processors.
## Information:

+ Link: https://cybersecuritynews.com/?p=31297
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 27 July 2023, 11:05
+ Date scraped: 27 July 2023, 12:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjMz3qkjbiI-91r_fI_q-bTj8hStoZvbvkLb4agxJ7zPr079JrjkkycvrdWkA9G_wIyiSjAiZ0h_7_2H7pJW9X2f8H73d6JRC3cSnAMjzitaRBiv-f-PYkhApdVaDO40SkF_XbVzwB8j_WAhNqGPblLRjFqMfPqbi6E2xhuyBqSv5qlB3E7FI9hNYdPvSKk/s1600/Over%2060%20Percent%20of%20AWS%20Environments%20Exposed%20to%20Zenbleed%20Attacks.webp)


AMD Zenbleed 2 processors were found vulnerable to use-after-free flaws, enabling data theft. While the exploitation of this flaw demands local code execution, less likely in cloud setups.


The [Zenbleed vulnerability](https://gbhackers.com/zenbleed-flaw/) that is documented recently puts more than 60 percent of AWS environments at risk, impacting AMD Zen 2 processors.





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



Cybersecurity researchers at Wiz, a [cloud security](https://cybersecuritynews.com/best-cloud-security-tools/) startup, reported about this new attack chain using the cross-process info leak vulnerability in AMD Zen 2 Processors, Zenbleed, which is tracked as ‘CVE-2023-20593’.


## **Flaw Profile**


* **CVE ID**: CVE-2023-20593
* **Description:** Under specific microarchitectural circumstances, an issue in “Zen 2” CPUs may allow an attacker to access sensitive information potentially.
* **Source:** Advanced Micro Devices Inc.
* **NVD Published Date:** 07/24/2023
* **NVD Last Modified:** 07/27/2023


Tavis Ormandy from Project Zero was the one who uncovered the Zenbleed vulnerability. [CVE-2023-20593](https://nvd.nist.gov/vuln/detail/CVE-2023-20593) is a rare vulnerability that stems from the misuse of the [vzeroupper instruction](https://github.com/dotnet/runtime/issues/10484) during speculative execution in contemporary processors.


Unlike side-channel flaws, this attack swiftly affects AMD Zen 2 CPUs without complex provisions.


Using fuzzing and performance counters, the researcher pinpointed hardware events and validated them with “Oracle Serialization.” By comparing execution with serialized oracle, inconsistencies emerged, unveiling CVE-2023-20593 in Zen 2 CPUs.


The flaw enabled an optimized exploit, granting access to [sensitive data](https://cybersecuritynews.com/quickblox-framework-security-flaws-exposes-millions-of-users-sensitive-data/) from diverse system operations, including:-


* Virtual machines
* Sandboxes
* Containers


Wiz [Research data](https://www.wiz.io/blog/zenbleed) reveals 62% of AWS environments are at risk from Zenbleed, with Zen 2 CPUs in EC2 instances.


## **Products Affected**


All the AMD CPUs that are built on the Zen 2 architecture were affected, and here below we have mentioned them:-


* Ryzen 3000 (“Matisse”)
* Ryzen 4000U/H (“Renoir”)
* Ryzen 5000U (“Lucienne”)
* Ryzen 7020
* ThreadRipper 3000
* Epyc server (“Rome”)


Moreover, this vulnerability is a completely independent flaw; in short, it’s not dependent on any specific OS. While the cloud experts predict “Rome” CPUs in AWS hosting most affected VM instances, including EC2 types:-


* C5a
* C5ad
* G4ad
* G5


In Azure, this includes the following VMs:-


* HBv2
* Da\_v3
* Ea\_v3


While in GCP, this includes the following VMs:-


* n2d-s2 (Rome)
* n2d-s4 (Rome)
* n2d-s8 (Rome)


## **Recommendation**


For Zenbleed-affected CPUs, apply AMD’s microcode update or wait for a [BIOS fix](https://cybersecuritynews.com/intel-confirms-alder-lake-bios-source-code-leak/) from vendors. But, in this scenario, the cloud providers handle it best, while VMs may have some mitigations.


To verify Zenbleed impact on your Linux VM, follow these manual steps for checking the host machine:-


* Run the following command to check your host’s CPU model:


***$ lscpu -J | grep ‘Model name’***


* Then you have to search online for information on the CPU model’s architecture.
* After that, you have to determine if the CPU model uses the Zen 2 microarchitecture.
* If it uses Zen 2 microarchitecture, then proceed to the next step.
* But, if it doesn’t use Zen 2 microarchitecture, then your machine is not affected by Zenbleed.
* Now, you have to verify the current microcode version on your machine.
* Then, confirm if the microcode version is 0x0830107A, which is the latest version.
* After that, you have to run the following command to check the microcode version:


***$ grep ‘microcode’ /proc/cpuinfo***






## Tags:
***CVE's***: CVE-2023-20593

### Autogenerated tags:
[[zenbleed]] [[amd]] [[cloud]] [[ryzen]] [[aws]] [[cve-2023-20593]] [[vms]]
