# Warning: These 3 Security Mistakes are Costing Your Organization Millions
## A small misconfiguration in an AWS S3 bucket could end up in a massive security breach. Your organization must stay up to date with changing technologies, as malicious actors can use any loophole to penetrate company networks.
## Information:

+ Link: https://cybersecuritynews.com/?p=9979
+ Source: Cyber Security News
+ Author: cybsecn
+ Date published: 01 August 2022, 16:34
+ Date scraped: 01 August 2022, 17:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgZBFfgJwl0zLUjE4ueJNMui5b_63vWnLpgfuiUqemWLfEVKxCHhemJ7CllqN2rjhwhmn6Hz0lEaJmCrOX2quSOdcV7QLy4Y1w0jtJu5ms4X1AFQq7iXdU-18SIdjSoyQv5JUEzav7oubqjaIMOSFmNqln1UiB6h5LuVn7x9pH1UotK7QE9imeADjhOig/s16000/3%20Cyber%20Security%20Mistakes%20.png)

Cybercrime is on the rise. Experts predict that cybercrime will cost the world over $10.5 trillion annually by 2025.

The average cost of a [data breach](https://www.perimeter81.com/blog/network/2020s-biggest-hacks-and-data-breaches?a_aid=2428&a_bid=52eb3a60&chan=code24&data1=csn) in an enterprise setting with over 25,000 employees is around $5.52 million. We’ve seen well-known companies fall victim to cyber attacks and end up losing millions in data breach settlement fees by not having the proper security measures in place.

Cybercriminals infiltrate companies of all sizes and look for security loopholes to exploit.

A small [misconfiguration in an AWS S3 bucket](https://www.perimeter81.com/blog/cloud/5-ways-to-prevent-aws-misconfigurations?a_aid=2428&a_bid=2b5da8c6&chan=code24&data1=csn) could end up in a massive security breach. Your organization must stay up to date with changing technologies, as malicious actors can use any loophole to penetrate company networks.

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://bit.ly/3xmY62n)But how will a large-scale organization know if their security decisions are being handled correctly? Let’s take a look at 3 common security mistakes that can cost businesses millions and how you can fix them.

**1. Not Securing Access to Third Parties**

One of the biggest challenges for any [IT](https://www.perimeter81.com/lp/business-network-security?a_aid=2428&a_bid=c932ffcd&chan=code24&data1=csn) is securing third parties from accessing the corporate network. Access has shifted from an open policy to a more restricted process known as [Zero Trust Network Access](https://www.perimeter81.com/lp/gartner-market-guide-for-zero-trust-network-access?a_aid=2428&a_bid=b4e21092&chan=code24&data1=csn). ZTNA has effectively taken over the security reigns from [traditional VPNs](https://www.perimeter81.com/whitepapers/ztna-vs-on-premises-firewall?a_aid=2428&a_bid=1118eef3&chan=code24&data1=csn). Third party vendors are now given access on a “need to know” basis in order to perform the specific tasks and prevent any unauthorized access within the company network. A compromised third party system can create major vulnerabilities or opportunities for malicious attackers to gain a foothold inside your network.

**2. Using Weak Passwords**

One of the most overlooked aspects of security are passwords. Weak passwords accounted for 30% of security breaches. It goes without saying that you should not never share passwords or reuse them, but that happens more often than you would think. Nearly 42% of employees admitted to sharing their workplace passwords with others with mid-size companies being the most at risk.

Enforcing a higher level of identity verification such as [Two-Factor Authentication (2FA)](https://www.perimeter81.com/glossary/2fa?a_aid=2428&a_bid=d3228a5c&chan=code24&data1=csn) can help guard [against phishing attacks](https://www.perimeter81.com/blog/news/dont-get-hooked-by-phishing?a_aid=2428&a_bid=1df086ba&chan=code24&data1=csn) with a more layered security approach. Password managers can be used in combination with a [Zero Trust](https://www.perimeter81.com/whitepapers/deploying-zero-trust?a_aid=2428&a_bid=df96deb6&chan=code24&data1=csn) approach for maximum security effectiveness in the ongoing pursuit to combat new sophisticated phishing attacks. 

**3. Not Updating Software**

A critical mistake many organizations make is not updating or patching software. Software should be routinely updated at least once a month if not sooner. Performing a monthly or quarterly software audit can help uncover vulnerabilities you might not have noticed otherwise. Bugs should be fixed according to priority levels.

Teams must come together to go through lines of code or have a dedicated QA tester verify whether the bug has been fixed or if it needs more attention. A code audit should be performed to analyze source code in your website and applications.

## **Conclusion**

Gone are the days when being hacked was all you had to care for. Now there are numerous lists of cyber crimes that are more damaging and costly than simple hacking.

To solve the issue of poor security, organizations will have to step up their cybersecurity game plan. First, by identifying where your company’s security policy is lacking, then take active steps in addressing it.

Always have security policies defined and enforced across the entire organization. Provide clear guidelines and proper employee training to state the company’s objectives and direction, from setting BYOD policies to accessing cloud resources. Organizations should also set up phishing awareness training and encourage continued educational programs.

To sum things up, every organization must have a targeted cybersecurity defense playbook in the event of a breach, especially for [securing remote workers](https://www.perimeter81.com/lp/secure-access-remote-workers?a_aid=2428&a_bid=72aa3a1b&chan=code24&data1=csn) in today’s modern workspace. Don’t wait until a remote employee accidentally downloads a malicious file to implement these three security measures.

Sponsored by [**Perimeter 81**](https://www.perimeter81.com?a_aid=2428&a_bid=5eb6b5ba&chan=code24&data1=csn)




## Tags:
***email-adresses***: themost@risk.enforcing

### Autogenerated tags:
[[phishing]]
