# CISA urges security upgrades as DDoS continues to target Rapid Reset zero day
## Microsoft released guidance on mitigation steps, while F5 warned about denial of service attack risk against Nginx Open Source.
## Information:

+ Link: https://www.cybersecuritydive.com/news/cisa-security-ddos-rapid-reset-zero-day/696258/
+ Source: CyberSecurity Dive
+ Author: David Jones
+ Date published: 11 October 2023, 09:45
+ Date scraped: 16 October 2023, 16:01

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/4vkvxrbQ3susfWHLK6cp4rg0mMNxIjcinPavPGkiuDg/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExNjE4OTg5ODIuanBn.jpg)


### Dive Brief:


* TheCybersecurity and Infrastructure Security Agency[called on organizations](https://www.cisa.gov/news-events/alerts/2023/10/10/http2-rapid-reset-vulnerability-cve-2023-44487) Tuesday to apply patches and consider possible configuration changes after security researchers warned a high-severity vulnerability, called HTTP/2 Rapid Reset, was exploited to launch [record-breaking distributed denial of service attacks](https://www.cybersecuritydive.com/news/ddos-attacks-novel-zero-day/696136/).
* F5urged users of itsNginxopen source project to apply immediate upgrades to configuration files, as the vulnerability can be exploited to launch denial of service attacks againstNginx Open Source,Nginx Plusand related products,[according to a blog post](https://www.nginx.com/blog/http-2-rapid-reset-attack-impacting-f5-nginx-products/)released Tuesday.
* Microsoft said[in a Tuesday blog post](https://msrc.microsoft.com/blog/2023/10/microsoft-response-to-distributed-denial-of-service-ddos-attacks-against-http/2/)there was no evidence of customer data being compromised, however urged customers that are self-hosting web applications to apply security patches.


### Dive Insight:


In a coordinated disclosure released Tuesday with AWS and Google, Cloudflare warned malicious actors have been launching a series of record-breaking DDoS attacks since late August.


The attackers are exploiting the high-severity vulnerability, tracked as[CVE-2023-44487](https://nvd.nist.gov/vuln/detail/CVE-2023-44487), to launch attacks that reached as high as398 million requests per second, according to a[Tuesday blog post by Google](https://cloud.google.com/blog/products/identity-security/google-cloud-mitigated-largest-ddos-attack-peaking-above-398-million-rps).


HTTP/2is a protocol developed in2015, which replaced the original hypertext transfer protocol, to enable more efficient data streams. Experts however say HTTP/2’s ability to conduct faster streams opens it up to more powerful attacks.


Nginx is a widely used open source web server, load balancer and reverse proxy. Nginx normally limits the number of concurrent streams at 128 up to a maximum of 1,000, according to the blog post. However, if Nginx is configured for a higher number of requests, an attack could deplete system resources.


The company is taking additional steps to “ensure that customers who do need to configure Nginx beyond recommended specifications are able to do so,” an F5 spokesperson said via email.The company said it will release a patch Wednesday that will increase stability for such conditions.





## Tags:
***CVE's***: CVE-2023-44487

### Autogenerated tags:
[[blog]] [[nginx]]
