# Cloudflare thwarts ‘sophisticated’ phishing attack strategy that bruised Twilio
## Dissimilar responses from Cloudflare and Twilio bear important lessons in transparency, resiliency and access.
## Information:

+ Link: https://www.cybersecuritydive.com/news/cloudflare-twilio-phishing/629293/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 08 August 2022, 22:00
+ Date scraped: 15 August 2022, 12:26

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/HV3Jm-NOx3q7dQBJ8hdUl-EaaX7ZqA6hYzVkaG5RnQg/crop:973:526/g:nowe:25:294/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL2Nsb3VkZmFyZS1waGlzaGluZy5wbmc.png)


Twilio employees aren’t the only individuals recently targeted by a sophisticated phishing attack.


Cloudflare on Tuesday said three employees fell for a phishing attack with very similar characteristics but,[unlike Twilio](https://www.cybersecuritydive.com/news/twilio-phishing-attack/629142/), the content delivery network was able to thwart intrusion.


“This was a sophisticated attack targeting employees and systems in such a way that we believe most organizations would likely be breached,” Cloudflare CEO Matthew Prince wrote in a[blog post](https://blog.cloudflare.com/2022-07-sms-phishing-attacks/)authored alongside engineers Daniel Stinson-Diess and Sourov Zaman.


Cloudflare employees began receiving phishing text messages pointing to a spoofed Cloudflare Okta login page more than two weeks before Twilio employees were targeted with similar messages. At least 76 Cloudflare employees received text messages on their personal and work phones in less than a minute, the company said.


Some employees’ family members were targeted as well.


Cloudflare said it found no sign of compromise when it reviewed access logs to its employee directory, a detail that further illustrates a heightened level of advanced tactics and determination mobilized by the threat actors behind this attack.


All phishing text messages originated from four phone numbers issued by T-Mobile, and directed employees to a domain registered at Porkbun less than 40 minutes before the campaign began, Cloudflare said.


Attacks on third-party vendors such as Twilio and Cloudflare produce inherently greater risks because a breach could potentially compromise customer data, multiple analysts told Cybersecurity Dive.


The downstream impact of an attack, such as the one that occurred at Twilio, depends on what was compromised and when, Allie Mellen, senior analyst at Forrester, said via email.


Organizations, users and customers can all be at risk when employees unsuspectingly provide credentials to threat actors, granting access to internal systems and data.


The compromise of Twilio’s two-factor authentication adds another worrying wrinkle to that mix.


“Twilio’s actions can serve as an impetus for other organizations to proactively strengthen their two-factor authentication security safeguards and policies, as well as consider multi-factor authentication alternatives,” said Ron Westfall, senior analyst and research director at Futurum Research.



Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.


### **A tale of two responses**


The divergence between Cloudflare and Twilio’s response to the phishing attack bears important lessons in transparency, resiliency and access.


While Twilio said its investigation remains underway, it has yet to disclose how many customers are potentially impacted, how many employees were tricked into providing their credentials and what type of customer data was exposed as a result of the attack.


Twilio’s customers need to react, but they can’t make appropriate moves without more detail about the extent to which their data might be compromised, said Frank Dickson, group VP at IDC. The company could be more forthcoming with a timeline for when those details will be shared, he added.


Discovering and remediating a breach is just one part of the process, which takes about one-fifth the time of a full assessment and shutdown of all compromised vectors, according to Dickson.


Absent further details, Twilio also faces questions about the resiliency of its authentication security practices, and the level of access granted when those controls fail.


Some systems should require more than two factors for authentication, but additional safeguards can be established with network architecture, Dickson said.


Segmenting access, implementing a zero-trust strategy and instituting least-privileged access controls can limit the blast radius following a breach, analysts said.


“Twilio needs to improve its response approach, especially since the company specializes in customer engagement software platform technology” and helps organizations meet some of their cybersecurity needs, Westfall said.


Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.



### 
 Read More in Strategy












[![Chris Krebs, former director of the Cybersecurity and Infrastructure Security Agency, testifies on Capitol Hill, October 19, 2017 in Washington, DC.](/imgproxy/VLjnjl5s4TsJ0UaVrSCg8ITDUBEH3anZhk5UrfWnUhs/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTg2MzA1MDM4Ni5qcGc.jpg)](https://www.cybersecuritydive.com/news/krebs-blackhat-cybersecurity-woes/629402/)
Aug 10, 2022
[Don’t count on government, tech vendors to fix security woes, former CISA chief Krebs says](https://www.cybersecuritydive.com/news/krebs-blackhat-cybersecurity-woes/629402/)



[![Team of data center system administrators and IT specialists use laptop and tablet computers.](/imgproxy/dI2x8JuwSVNC_ZQEbBM98uyg9xipm-q9cdL12cJOboQ/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL2dldHR5aW1hZ2VzLTEzNDQ3MzE5OTItMTcwNjY3YS5qcGc.jpg)](https://www.cybersecuritydive.com/news/open-source-data-project/629342/)
Aug 10, 2022
[AWS, Splunk lead open source effort to spot and curb cyberattacks](https://www.cybersecuritydive.com/news/open-source-data-project/629342/)



[![Gas pipeline with multiple valves.](/imgproxy/SW8HPmtuC2exWZ7iEuMlyKbKrqu4X8OVXTCMYWQASBw/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTE3ODQwMzczNi5qcGc.jpg)](https://www.cybersecuritydive.com/news/encevo-ransomware-response/629030/)
Aug 08, 2022
[Encevo stays resilient post-attack, but it’s still assessing the data damage](https://www.cybersecuritydive.com/news/encevo-ransomware-response/629030/)



[![Image depicts the implementation of cybersecurity with a lock displayed over a screen.](/imgproxy/e58ozJ6zmmf1VUlrI5X_-VV_OHZq0tyRuyiigQ5U-PA/crop:4705:2543/g:nowe:0:484/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyNzkzODg0MTcuanBn.jpg)](https://www.cybersecuritydive.com/news/ransomware-defense-guidance/628884/)
Aug 04, 2022
[Ransomware defense guidance risks hang-ups under many steps](https://www.cybersecuritydive.com/news/ransomware-defense-guidance/628884/)



[![Programming scripts on laptop monitor, unauthorized remote hacking of server](/imgproxy/qXNiqIj7bbHktfCuhgwCNOLG5gvNxRVec19SH4LzMXw/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExMzQyODExNzUuanBn.jpg)](https://www.cybersecuritydive.com/news/threat-microsoft-macros-containers/628447/)
Jul 29, 2022
[Threat actors shifting tactics as Microsoft blocks, unblocks and reblocks macros](https://www.cybersecuritydive.com/news/threat-microsoft-macros-containers/628447/)



[![close up programmer man hand typing on keyboard laptop for register data system or access password at dark operation room , cyber security concept - stock photo](/imgproxy/wgRPLOrvJALmeIKiRiYRsaX37MEPyPsK6_Eyfu1igHg/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEwNTUwODMxOTRfNjBBTW56aS5qcGc.jpg)](https://www.cybersecuritydive.com/news/mandiant-red-team-breach-OT/628295/)
Jul 27, 2022
[Mandiant red team breaches OT servers to mimic crime group techniques](https://www.cybersecuritydive.com/news/mandiant-red-team-breach-OT/628295/)



[![AWS logo appears in the background of a busy conference.](/imgproxy/0XtYnLOlCVuE3KUiKN863L41kiuUTPIeaHWGtHSM6Lk/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzNTY2OTY5ODIuanBn.jpg)](https://www.cybersecuritydive.com/news/aws-reinforce-cloud-security/628199/)
Jul 27, 2022
[AWS wants to be an enterprise security strategy advisor](https://www.cybersecuritydive.com/news/aws-reinforce-cloud-security/628199/)



[![Digital technology vector background depicting a cyberattack.](/imgproxy/qNqZqrb3QqHDPXfH3g3Ia9ay-17-Q_JFxrHnLYLZY0k/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzNDMzNDk1NTguanBn.jpg)](https://www.cybersecuritydive.com/news/cyber-insurance-risk-assessment/627396/)
Jul 15, 2022
[Cyber insurers split on what’s most important in a security posture assessment](https://www.cybersecuritydive.com/news/cyber-insurance-risk-assessment/627396/)



[Want to see more stories in **Strategy**?
 

 Read More ➔](/topic/strategy/)




This incident should lead Twilio’s customers and partners to exercise greater caution in using the company’s products, he added. “This situation is not unique to Twilio, however the companies that have adopted a transparent and proactive approach have been able to restore a good degree of their brand integrity and trust in less time.”





## Tags:


### Autogenerated tags:
[[twilio]] [[cloudflare]] [[phishing]] [[cybersecurity]] [[jul]] [[dickson]]
