# New Vcurms Malware Targets Popular Browsers for Data Theft
## Vcurms malware utilizes email as a command and control center, leveraging public cloud services like AWS and GitHub for storage.
## Information:

+ Link: https://www.hackread.com/vcurms-malware-browsers-for-data-theft/
+ Source: HACKRead
+ Author: Waqas
+ Date published: 12 March 2024, 23:49
+ Date scraped: 13 March 2024, 00:03

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/03/vcurms-malware-browsers-for-data-theft-2.jpg)


Fortinet’s FortiGuard Labs recently uncovered a new cybersecurity threat: a malware known dubbed “Vcurms.” The attackers behind Vcurms malware have employed sophisticated tactics, using email as their command and control center and leveraging public services such as AWS and GitHub to store the malicious software. Additionally, they have employed a commercial protector to evade detection, indicating a concerted effort to maximize the malware’s impact.






### **Targeting Java Platforms**


This campaign primarily targets platforms with Java installed, posing a risk to any organization utilizing such systems. The severity of the threat cannot be understated, as successful infiltration grants attackers full control over compromised systems.


### **Tactics and Techniques: Spreading Vcurms**


The modus operandi of the attackers involves luring users to download a malicious Java downloader, which serves as a vector for spreading Vcurms and STRRAT, a trojan previously found to be **[posing as fake ransomware infection](https://www.hackread.com/fake-ransomware-attack-strrat-infects-pcs/)** to steal data. These malicious emails typically masquerade as legitimate requests, urging recipients to verify payment information and download harmful files hosted on AWS.



[![New Vcurms Malware Targets Popular Browsers for Data Theft](https://www.hackread.com/wp-content/uploads/2024/03/vcurms-malware-browsers-for-data-theft-1.jpg)](https://www.hackread.com/wp-content/uploads/2024/03/vcurms-malware-browsers-for-data-theft-1.jpg)


### **Phishing Traits**


Once downloaded, the malware exhibits classic phishing traits, employing spoofed names and obfuscated strings to disguise its nefarious nature. Notably, it utilizes a class named “DownloadAndExecuteJarFiles.class” to facilitate the downloading and execution of additional JAR files, further expanding the attacker’s foothold.


The Remote Access Trojan (**[RAT](https://www.hackread.com/tag/RAT/)**) component of Vcurms communicates with its command and control center via email, demonstrating a concerning level of sophistication. It establishes persistence by replicating itself into the Startup folder and employs various techniques to identify and monitor victims, including keylogging and password recovery functionalities.


### **Targeting Popular Browsers and Apps**


Furthermore, the malware employs advanced obfuscation techniques, such as the **[Branchlock obfuscator](https://www.youtube.com/watch?v=3lx21X1WvJY)**, to evade detection and analysis. Despite these challenges, cybersecurity researchers continue to develop methods for deobfuscating and understanding the inner workings of Vcurms.






Vcurms also exhibits notable similarities with the **[Rude Stealer malware](https://www.linkedin.com/posts/cyble-global_new-java-based-rude-stealer-abuses-directx-activity-7132329557633732608-d1w4/)** but distinguishes itself through its unique transmission methods and targeted data acquisition. It prioritizes stealing sensitive information from popular browsers like Chrome, Brave, Edge, Vialdi, Opera, OperaGX, Firefox, etc. and applications, including Discord and Steam.



[![New Vcurms Malware Targets Popular Browsers for Data Theft](https://www.hackread.com/wp-content/uploads/2024/03/vcurms-malware-browsers-for-data-theft-2-1024x597.jpg)](https://www.hackread.com/wp-content/uploads/2024/03/vcurms-malware-browsers-for-data-theft-2.jpg)


In response to this threat, FortiGuard Labs in their **[blog post](https://www.fortinet.com/blog/threat-research/vcurms-a-simple-and-functional-weapon)**, recommend proactive measures, including the deployment of updated security solutions and network segmentation. Additionally, maintaining vital password practices and exercising caution when handling email attachments are crucial steps in mitigating the risk of Vcurms infection.


Commenting on this, **[Jason Soroko](https://www.linkedin.com/in/jason-soroko-19b41920?originalSubdomain=ca)**, Senior Vice President of Product at Sectigo, emphasizes the importance of authentication methods in combating malware attacks. 


*“*Malware writers are benefiting from the cloud and that shouldn’t surprise anyone. RAT malware typically harvests whatever it can, and the new VCURMS and STRRAT remote access trojans seem to have one or more keyloggers,*“* Jason warned. *“*This technique has been around for quite some time and is yet another example of why stronger authentication methods than simply a username and password are necessary.*“*






### *Related News*


1. [ToxicEye RAT hits Telegram app to spy, steal user data](https://www.hackread.com/toxiceye-rat-telegram-app-spy-steal-data/)
2. [Fake Skype, Zoom, Google Meet Sites Infecting Devices with RATs](https://www.hackread.com/fake-skype-zoom-google-meet-sites-rats/)
3. [AsyncRAT Infiltrates Key US Infrastructure Through GIFs and SVGs](https://www.hackread.com/asyncrat-key-us-infrastructure-gifs-svgs/)
4. [BRATA Android malware factory resets phones after stealing funds](https://www.hackread.com/brata-android-malware-factory-reset-steal-funds/)
5. [New Bifrost RAT Variant Targets Linux Devices, Mimics VMware Domain](https://www.hackread.com/bifrost-variant-linux-mimics-vmware-domain/)





## Tags:


### Autogenerated tags:
[[malware]] [[vcurms]]
