# Feds: Androxgh0st Botnet Is Targeting AWS, Office 365, and Azure Credentials
## The US Cybersecurity and Infrastructure Security Agency (CISA) and the FBI say the botnet can steal credentials and use that information to deliver malicious payloads.
## Information:

+ Link: https://www.pcmag.com/news/feds-androxgh0st-botnet-is-targeting-aws-office-365-and-azure-credentials
+ Source: PCMag
+ Author: Joe Hindy
+ Date published: 17 January 2024, 21:30
+ Date scraped: 17 January 2024, 22:06

## Article:
![Main article image](https://sm.pcmag.com/t/pcmag_uk/news/f/feds-andro/feds-androxgh0st-botnet-is-targeting-aws-office-365-and-azur_mqgb.1200.jpg)


Federal cybersecurity officials are warning server and website owners of a spike in Androxgh0st malware, which is targeting Amazon Web Services (AWS), Microsoft Office 365, SendGrip, and Twilio credentials.

The botnet has been around since late 2022 and is often used to steal credentials for use in spam or crypto-mining. According to [FortiGuard Labs](https://www.fortiguard.com/encyclopedia/ips/52567), the botnet has control of approximately 30,000 devices as of this week, though that's down from 50,000 in the first week of January.

The botnet is capable of abusing the Simple Mail Transfer Protocol (SMTP) as well as application programming interfaces (APIs), according to a [report](https://www.cisa.gov/news-events/cybersecurity-advisories/aa24-016a) from the Cybersecurity and Infrastructure Security Agency (CISA). [Bleeping Computer](https://www.bleepingcomputer.com/news/security/fbi-androxgh0st-malware-botnet-steals-aws-microsoft-credentials/) says SendGrip and Twilio credentials can be "used by threat actors to conduct spam campaigns impersonating the breached companies."

CISA outlines how to check and see if your server is compromised and alternative monikers that you may see instead of Androxgh0st. The FBI and CISA also posted several mitigations that organizations can take to ensure that they stay safe from the botnet. They include:

* Keep all operating systems, software, and firmware up to date. Specifically, ensure that Apache servers are not running versions 2.4.49 or 2.4.50.
* Verify that the default configuration for all URIs is to deny all requests unless there is a specific need for it.
* Ensure that any live Laravel applications are not in "debug" or testing mode. Remove all cloud credentials from ENV files and revoke them.
* On a one-time basis for previously stored cloud credentials, and on an ongoing basis for other types of credentials that cannot be removed, review any platforms or services that have credentials listed in the ENV file for unauthorized access or use.
* Scan the server's file system for unrecognized PHP files.
* Review outgoing GET requests (via cURL command) to file hosting sites.





## Tags:


### Autogenerated tags:
[[botnet]] [[cisa]]
