# Hackers Target Azure Accounts With Malware-Laden Shared Documents
## Threat actors are directing their attacks against senior-level executives and employees across multiple organizations, says cybersecurity firm Proofpoint.
## Information:

+ Link: https://www.pcmag.com/news/hackers-target-azure-accounts-with-malware-laden-shared-documents
+ Source: PCMag
+ Author: Joe Hindy
+ Date published: 13 February 2024, 19:01
+ Date scraped: 13 February 2024, 20:03

## Article:
![Main article image](https://sm.pcmag.com/t/pcmag_uk/news/h/hackers-ta/hackers-target-azure-accounts-with-malware-laden-shared-docu_dfbs.1200.jpg)


A campaign to hack into Azure Cloud accounts is targeting senior executives at a wide range of organizations, affecting hundreds of user accounts so far, according to California-based cybersecurity firm Proofpoint.

"In late November 2023, Proofpoint researchers detected a new malicious campaign, integrating credential phishing and cloud account takeover (ATO) techniques," Proofpoint [said in an advisory post](https://www.proofpoint.com/us/blog/cloud-security/community-alert-ongoing-malicious-campaign-impacting-azure-cloud-environments). The firm notes that the attack is still ongoing.

The advisory post explains the technical details of the hacks, but in short, threat actors use shared documents that are individualized to the target as [phishing](/security/138079/dont-get-caught-how-to-spot-email-and-sms-phishing-attempts) lures. The document links, however, redirect users to a malicious phishing web page, where account details are stolen. 

Once stolen, attackers register their multi-factor authentication (MFA) methods, such as an [authenticator app](/security/133038/the-best-authenticator-apps) or a phone number for SMS verification, thus effectively locking the victim out of their account. According to Proofpoint, "in most MFA manipulation instances, attackers preferred to add an authenticator app with notification and code."

After the attacker steals the account, Proofpoint says that most of them access and download sensitive files, go after other employees from the original victim's email, conduct financial fraud, and try cover their tracks.

Attackers have used various proxy services to hide their locations, but Proofpoint identified several ISPs, including Selena Telecom LLC out of Russia along with Nigerian providers Airtel Networks Limited and MTN Nigeria Communication Limited.

This comes several weeks after federal cybersecurity officials warned server and website owners of a [spike in Androxgh0st malware](/security/150519/feds-androxgh0st-botnet-is-targeting-aws-office-365-and-azure-credentials), which is also targeting Azure credentials, as well as those from AWS, Microsoft Office 365, SendGrip, and Twilio.





## Tags:


### Autogenerated tags:
[[proofpoint]] [[phishing]]
