# Experts warn of attacks exploiting zero-day in WordPress BackupBuddy plugin
## Threat actors are exploiting a zero-day vulnerability in a WordPress plugin called BackupBuddy, Wordfence researchers warned. On September 6, 2022, the Wordfence Threat Intelligence team was informed of a vulnerability being actively exploited in the BackupBuddy WordPress plugin. This plugin allows users to back up an entire WordPress installation, including theme files, pages, posts, widgets, users, and […]
## Information:

+ Link: https://securityaffairs.co/wordpress/135518/hacking/backupbuddy-wordpress-zero-day.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 09 September 2022, 11:50
+ Date scraped: 09 September 2022, 12:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2015/02/FanceBox-plugin-WordPress-2.jpg?resize=300%2C300&ssl=1)


On September 6, 2022, the Wordfence Threat Intelligence team [was informed of a vulnerability being actively exploited in the BackupBuddy](https://ithemes.com/blog/wordpress-vulnerability-report-special-edition-september-6-2022-backupbuddy/) WordPress plugin. This plugin allows users to back up an entire WordPress installation, including theme files, pages, posts, widgets, users, and media files.


The vulnerability, tracked as CVE-2022-31474 (CVSS score: 7.5), can be exploited by an unauthenticated user to download arbitrary files from the affected site. It has been estimated that the plugin has around 140,000 active installations.


Wordfence researchers determined that threat actors started exploiting this vulnerability in the wild on August 26, 2022. The security firm also added to have blocked 4,948,926 attacks exploiting this vulnerability since that time.


The attackers were attempting to retrieve sensitive files such as the /wp-config.php and /etc/passwd.


The vulnerability affects versions 8.5.8.0 to 8.7.4.1 and was fixed with the release of version 8.7.5 on September 2, 2022.


The plugin allows storing backup files in multiple locations (Destinations) including Google Drive, OneDrive, and AWS. The plugin also allows storing backups via the ‘Local Directory Copy’ option, but experts discovered that this feature isn’t secure and allows unauthenticated users to download any file stored on the server.


*“More specifically the plugin registers an admin\_init hook for the function intended to download local back-up files and the function itself did not have any capability checks nor any nonce validation. This means that the function could be triggered via any administrative page, including those that can be called without authentication (admin-post.php), making it possible for unauthenticated users to call the function.” [reads](https://www.wordfence.com/blog/2022/09/psa-nearly-5-million-attacks-blocked-targeting-0-day-in-backupbuddy-plugin/) the report. “The back-up path is not validated and therefore an arbitrary file could be supplied and subsequently downloaded.”*


Due to this vulnerability being actively exploited, and its ease of exploitation, we are sharing minimal details about this vulnerability.


Wordfence did not share additional details about about the flaw because it is easy to exploit.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, WordPress)**




 
  


---


  




## Tags:
***CVE's***: CVE-2022-31474
***ipv4-adresses***: 8.7.4.1 8.5.8.0

### Autogenerated tags:
[[plugin]] [[wordfence]] [[wordpress]]
