# FBI, CISA warn of AndroxGh0st botnet for victim identification and exploitation
## U.S. CISA and the FBI warned of AndroxGh0st malware used to create a botnet for victim identification and exploitation in target networks.
## Information:

+ Link: https://securityaffairs.com/157622/cyber-crime/androxgh0st-botnet-alert.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 17 January 2024, 12:10
+ Date scraped: 17 January 2024, 13:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/01/image-28.png)


US CISA and the Federal Bureau of Investigation (FBI) released a joint [Cybersecurity Advisory](https://www.cisa.gov/news-events/cybersecurity-advisories/aa24-016a) (CSA) to warn of [AndroxGh0st](https://securityaffairs.com/144888/hacking/legion-python-tool-credential-harvester.html) malware. The malware is spreading to create a botnet for victim identification and exploitation in target networks.


The US agencies are sharing known indicators of compromise (IOCs) and tactics, techniques, and procedures (TTPs) associated with threat actors deploying the Androxgh0st malware.



*“Androxgh0st malware establishes a botnet for victim identification and exploitation in vulnerable networks, and targets files that contain confidential information, such as credentials, for various high profile applications.” **[reads the advisory](https://www.cisa.gov/news-events/alerts/2024/01/16/cisa-and-fbi-release-known-iocs-associated-androxgh0st-malware).** “Threat actors deploying Androxgh0st malware have been observed exploiting specific vulnerabilities which could lead to remote code execution”*


The Python-based malware [AndroxGh0st was first spotted](https://www.lacework.com/blog/androxghost-the-python-malware-exploiting-your-aws-keys/) in December 2022 by the cybersecurity firm Lacework.


*“AndroxGh0st is a “SMTP cracker” which is primarily intended to scan for and parse Laravel application secrets from exposed .env files. **Note**: Laravel is an open source PHP framework and the Laravel [.env file is often targeted](https://www.zdnet.com/article/botnets-have-been-silently-mass-scanning-the-internet-for-unsecured-env-files/) for its various configuration data including AWS, SendGrid and Twilio.” [reported](https://www.lacework.com/blog/androxghost-the-python-malware-exploiting-your-aws-keys/) Lacework.*


[![AndroxGh0st malware](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/01/image-28.png?resize=1024%2C616&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/01/image-28.png?ssl=1)


The malware supports multiple features, including scanning, exploitation of exposed credentials and APIs, and even deployment of webshells. The malware allows operators to scan for and parse AWS keys, but it has also the ability to generate keys for brute-force attacks. 


According to the joint Cybersecurity Advisory (CSA), threat actors behind the Androxgh0st malware exploit the following vulnerabilities to achieve remote code execution on target systems:


* [CVE-2017-9841](https://nvd.nist.gov/vuln/detail/CVE-2017-9841) (PHP Unit Command)
* [CVE-2021-41773](https://nvd.nist.gov/vuln/detail/CVE-2021-41773) (Apache HTTP Server versions), and
* [CVE-2018-15133](https://nvd.nist.gov/vuln/detail/CVE-2018-15133) (Laravel applications).


Known Indicators of Compromise Associated with this malware are available [here](https://www.cisa.gov/news-events/cybersecurity-advisories/aa24-016a).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, malware)**





---




---





## Tags:
***CVE's***: CVE-2018-15133 CVE-2017-9841 CVE-2021-41773

### Autogenerated tags:
[[malware]] [[androxgh0st]] [[laravel]] [[cybersecurity]]
