# VMware fixed a critical flaw in Aria Automation. Patch it now!
## VMware warns customers of a critical vulnerability impacting its Aria Automation multi-cloud infrastructure automation platform
## Information:

+ Link: https://securityaffairs.com/157576/security/vmware-aria-automation.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 16 January 2024, 17:22
+ Date scraped: 16 January 2024, 18:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2021/04/vmware-logo.png)


VMware Aria Automation (formerly [vRealize Automation](https://securityaffairs.com/134222/security/vmware-poc-code-cve-2022-31656.html)) is a modern cloud automation platform that simplifies and streamlines the deployment, management, and governance of cloud infrastructure and applications. It provides a unified platform for automating tasks across multiple cloud environments, including VMware Cloud on AWS, VMware Cloud on Azure, and VMware Cloud Foundation.


VMware addressed a critical vulnerability, tracked as [CVE-2023-34063](https://www.vmware.com/security/advisories/VMSA-2024-0001.html) (CVSS score 9.9), that impacted its Aria Automation platform.



The issue is a missing access control vulnerability that can be exploited by an authenticated attacker actor to gain unauthorized access to remote organizations and workflows.


*“Aria Automation contains a Missing Access Control vulnerability.” [reads the advisory](https://www.vmware.com/security/advisories/VMSA-2024-0001.html). “An authenticated malicious actor may exploit this vulnerability leading to unauthorized access to remote organizations and workflows.”*


The vulnerability was discovered by Commonwealth Scientific and Industrial Research Organisation’s (CSIRO) Scientific Computing Platforms team.


The vulnerability CVE-2023-34063 affects versions before 8.16 and Cloud Foundation.


VMware strongly recommends customers update their installs to platform version 8.16.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, VMware)**





---




---





## Tags:
***CVE's***: CVE-2023-34063

### Autogenerated tags:
[[vmware]] [[cloud]]
