# 'Leaky Vessels' Container Escape Vulnerabilities Impact Docker, Others
## Snyk discloses information on Leaky Vessels, several potentially serious container escape vulnerabilities affecting Docker and others.
## Information:

+ Link: https://www.securityweek.com/leaky-vessels-container-escape-vulnerabilities-impact-docker-others/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 01 February 2024, 15:37
+ Date scraped: 01 February 2024, 16:02

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2024/02/Leaky-Vessels.jpg)


**Researchers at developer security company Snyk have discovered several potentially serious vulnerabilities that could be exploited by malicious actors to escape containers.**


The flaws are collectively called [Leaky Vessels](https://snyk.io/blog/leaky-vessels-docker-runc-container-breakout-vulnerabilities/) and they are tracked as CVE-2024-21626, CVE-2024-23651, CVE-2024-23653 and CVE-2024-23652.


The security holes were discovered late last year in Docker’s Runc, a tool designed for spawning and running containers on Linux, and BuildKit, a system for building images, both of which are open source.

While Snyk has found no evidence of exploitation in the wild, the company warned that an attacker could leverage the Leaky Vessels flaws to escape a container and gain access to the underlying host operating system. From there, they could access data stored on the system, which can include customer information and credentials, and conduct further attacks.

“These vulnerabilities can only be exploited if a user actively engages with malicious content by incorporating it into the build process or running a container from a suspect image (particularly relevant for the CVE-2024-21626 container escape vulnerability),” [Docker explained](https://www.docker.com/blog/docker-security-advisory-multiple-vulnerabilities-in-runc-buildkit-and-moby/). 


“Potential impacts include unauthorized access to the host filesystem, compromising the integrity of the build cache, and, in the case of CVE-2024-21626, a scenario that could lead to full container escape,” it added.

Patches and mitigations are available for the Runc and BuildKit vulnerabilities. Users have been advised to install available patches and keep an eye out for updates from Kubernetes vendors, cloud container services, and open source communities that use the vulnerable components.

“You should upgrade systems running container engines and container build tools as soon as fixes are released by your providers,” Snyk urged users.


Security advisories for the Leaky Vessels vulnerabilities have been released by the time of writing by [Google Cloud](https://cloud.google.com/anthos/clusters/docs/security-bulletins#gcp-2024-005-gke), [AWS](https://aws.amazon.com/security/security-bulletins/AWS-2024-001/), and [Ubuntu](https://ubuntu.com/security/notices/USN-6619-1). 


**Related**: [MySQL Servers, Docker Hosts Infected With DDoS Malware](https://www.securityweek.com/mysql-servers-docker-hosts-infected-with-ddos-malware/)


**Related**: [GNU C Library Vulnerability Leads to Full Root Access](https://www.securityweek.com/gnu-c-library-vulnerability-leads-to-full-root-access/)


**Related**: [Researchers Discover Dangerous Exposure of Sensitive Kubernetes Secrets](https://www.securityweek.com/researchers-discover-dangerous-exposure-of-sensitive-kubernetes-secrets/)





## Tags:
***CVE's***: CVE-2024-23653 CVE-2024-23652 CVE-2024-21626 CVE-2024-23651

### Autogenerated tags:
[[snyk]] [[cve-2024-21626]]
