# AWS Using MadPot Decoy System to Disrupt APTs, Botnets
## AWS says an internal threat intel decoy tool called MadPot is successfully trapping nation state APTs like Volt Typhoon and Sandworm.
## Information:

+ Link: https://www.securityweek.com/aws-using-madpot-decoy-system-to-disrupt-apts-botnets/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 29 September 2023, 16:41
+ Date scraped: 29 September 2023, 17:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/09/madpot.png)


**Cloud computing giant AWS says an internal threat intel decoy system called MadPot has been used successfully to trap malicious activity, including nation state-backed APTs like Volt Typhoon and Sandworm.**


MadPot, the brainchild of AWS software engineer Nima Sharifi Mehr, is described as “a sophisticated system of monitoring sensors and automated response capabilities” that entraps malicious actors, watches their movements, and generates protection data for multiple AWS security products.

AWS said the honeypot system is designed to look like a huge number of plausible innocent targets to pinpoint and stop DDoS botnets and proactively block [high-end threat actors like Sandworm](https://www.securityweek.com/five-eyes-report-new-russian-malware-targeting-ukrainian-military-android-devices/) from compromising AWS customers.


In a [note](https://aws.amazon.com/blogs/security/how-aws-threat-intelligence-deters-threat-actors/) describing the MadPot tool, AWS said the sensors keep watch on more than 100 million potential threat interactions and probes every day around the world, with approximately 500,000 of those observed activities advancing to the point where they can be classified as malicious. 


“That enormous amount of threat intelligence data is ingested, correlated, and analyzed to deliver actionable insights about potentially harmful activity happening across the internet. The response capabilities automatically protect the AWS network from identified threats, and generate outbound communications to other companies whose infrastructure is being used for malicious activities,” the company said.

In the case of Sandworm, AWS said its honeypot caught the actor attempting to exploit a vulnerability affecting WatchGuard network security appliances. “With close investigation of the payload, we identified not only IP addresses but also other unique attributes associated with the Sandworm threat that were involved in an attempted compromise of an AWS customer,” it added.

“MadPot’s unique ability to mimic a variety of services and engage in high levels of interaction helped us capture additional details about Sandworm campaigns, such as services that the actor was targeting and post-exploitation commands initiated by that actor. Using this intelligence, we notified the customer, who promptly acted to mitigate the vulnerability,” AWS said.


In another high-profile case, AWS said the MadPot system was used to help government and law enforcement authorities to [identify and disrupt Volt Typhoon](https://www.securityweek.com/microsoft-catches-chinese-gov-hackers-in-guam-critical-infrastructure-orgs/), a Chinese state-backed hacking group caught siphoning data from critical infrastructure organizations in Guam, a U.S. territory in the Pacific Ocean.


“Through our investigation inside MadPot, we identified a payload submitted by the threat actor that contained a unique signature, which allowed identification and attribution of activities by Volt Typhoon that would otherwise appear to be unrelated,” AWS explained.

AWS said MadPot’s data and findings is used to beef up the quality of a suite of security tools that include AWS WAF, AWS Shield, AWS Network Firewall, and Amazon Route 53 Resolver DNS Firewall, and detective and reactive services like Amazon GuardDuty, AWS Security Hub, and Amazon Inspector.

**Related:** [Chinese APT Caught Hiding in Cisco Router Firmware](https://www.securityweek.com/chinese-gov-hackers-caught-hiding-in-cisco-router-firmware/)


**Related:** [Chinese .Gov Hackers Targeting US Critical Infrastructure](https://www.securityweek.com/microsoft-catches-chinese-gov-hackers-in-guam-critical-infrastructure-orgs/)


**Related:** [Russian APT Caught Infecgting Ukrainian Military Android Devices](https://www.securityweek.com/five-eyes-report-new-russian-malware-targeting-ukrainian-military-android-devices/)


**Related:** [New ‘Sandman’ APT Group Hitting Telcos With Rare LuaJIT Malware](https://www.securityweek.com/new-sandman-apt-group-hitting-telcos-with-rare-luajit-malware/)





## Tags:


### Autogenerated tags:
[[aws]] [[madpot]]
