# Amazon RDS Vulnerability Led to Exposure of Credentials
## AWS recently addressed a vulnerability in Amazon Relational Database Service (RDS) that could lead to the exposure of internal credentials.
## Information:

+ Link: https://www.securityweek.com/amazon-rds-vulnerability-led-exposure-credentials
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 12 April 2022, 15:00
+ Date scraped: 12 April 2022, 15:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Amazon RDS is a managed database service that offers support for several database engines, including Amazon Aurora, AWS’s own database engine, which offers support for MySQL and PostgreSQL.


The addressed security issue was identified in the Aurora PostgreSQL engine, more specifically in the third-party open-source PostgreSQL extension “log\_fdw,” which allows a user to leverage the SQL interface to access the database engine log, as well as to build foreign tables.


While searching for potential vulnerabilities in the Amazon Aurora engine, Lightspin researcher Gafnit Amiga [discovered](https://blog.lightspin.io/aws-rds-critical-security-vulnerability) that it was possible to bypass the log\_fdw extension validation and gain access to some system files, including files that contained internal credentials.


According to AWS, the leaked credentials were “specific to their Aurora cluster,” meaning that they could not be used to compromise other clusters or customers.



“No cross-customer or cross-cluster access was possible; however, highly privileged local database users who could exercise this issue could potentially have gained additional access to data hosted in their cluster or read files within the operating system of the underlying host running their database,” AWS [explains](https://aws.amazon.com/security/security-bulletins/AWS-2022-004/).


The log\_fdw extension, AWS also notes, is pre-installed in both Aurora PostgreSQL and Amazon RDS for PostgreSQL. A privileged, authenticated user able to trigger the bug could use the leaked credentials to gain elevated access to database resources.


“They would not be able to use the credentials to access internal RDS services or move between databases or AWS accounts. The credentials could only be used to access resources associated with the Aurora database cluster from which the credentials were retrieved,” AWS notes.


The researcher reported the vulnerability to Amazon on December 9, 2021. An initial patch was released on December 14, but roughly three months were needed to deploy the fix to all customers.


The company updated both Aurora PostgreSQL and RDS for PostgreSQL to resolve the issue and also deprecated a series of minor versions, preventing users from creating new instances with those versions.





 


## Tags:


### Autogenerated tags:
[[postgresql]] [[aws]] [[rds]]
