# CISA: China's Volt Typhoon Hackers Planning Critical Infrastructure Disruption
## New CISA alert includes technical mitigations to harden attack surfaces and instructions to hunt for the Chinese government-backed hackers.
## Information:

+ Link: https://www.securityweek.com/cisa-chinas-volt-typhoon-hackers-planning-critical-infrastructure-disruption/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 07 February 2024, 21:45
+ Date scraped: 07 February 2024, 22:03

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/12/China-Volt-Typhoon-hackers.jpg)


**The US government’s cybersecurity agency CISA is ramping up the pressure on defenders to find and remove malware artifacts planted by Volt Typhoon, a Chinese state-backed hacking group that** [**has burrowed deep into thousands of**](https://www.securityweek.com/mandiant-intelligence-chief-raises-alarm-over-chinas-volt-typhoon-hackers-in-us-critical-infrastructure/) **organizations around the world.**


“[We] have confirmed that Volt Typhoon has compromised the IT environments of multiple critical infrastructure organizations in the continental and non-continental United States and its territories, including Guam,” CISA said in an advisory, warning that the hacking team’s choice of targets and pattern of behavior is not consistent with traditional cyber espionage or intelligence gathering operations.

The [CISA advisory](https://www.cisa.gov/sites/default/files/2024-02/aa24-038a-jcsa-prc-state-sponsored-actors-compromise-us-critical-infrastructure_0.pdf) includes detailed technical mitigations to harden attack surfaces and the agency recommends that defenders start hunting for similar malicious activity linked to the Chinese hackers.


The alert takes on added significance because the US government believes the Chinese hackers are “pre-positioning themselves on IT networks to enable lateral movement to OT assets to disrupt functions.”

“[We] are concerned about the potential for these actors to use their network access for disruptive effects in the event of potential geopolitical tensions and/or military conflicts,” it added.

The latest urgency comes on the heels of a move by the US Justice Department to disrupt and disable a botnet full of end-of-life Cisco and Netgear routers after researchers warned it was being used by Volt Typhoon as a covert communications channel.

Last December, researchers warned that the router botnet was packed with outdated Cisco, Netgear and Fortinet devices acting as a Tor-like covert data transfer network to perform malicious operations.

**Related:** [Chinese APT Volt Typhoon Linked to Unkillable SOHO Router Botnet](https://www.securityweek.com/chinese-apt-volt-typhoon-linked-to-unkillable-soho-router-botnet/) 


**Related:** [Mandiant Raises Alarm for ‘Volt Typhoon’ Hacking Group](https://www.securityweek.com/mandiant-intelligence-chief-raises-alarm-over-chinas-volt-typhoon-hackers-in-us-critical-infrastructure/)


**Related:** [Microsoft Catches Chinese .Gov Hackers in US Critical Infrastructure](https://www.securityweek.com/microsoft-catches-chinese-gov-hackers-in-guam-critical-infrastructure-orgs/)


**Related:** [Fortinet Warns of Possible Zero-Day Exploited in Limited Attacks](https://www.securityweek.com/fortinet-warns-customers-of-possible-zero-day-exploited-in-limited-attacks/) 


**Related:** [AWS Using MadPot Decoy System to Disrupt APTs, Botnets](https://www.securityweek.com/aws-using-madpot-decoy-system-to-disrupt-apts-botnets/)





## Tags:


### Autogenerated tags:
[[cisa]] [[botnet]]
