# Cloud Users Warned of Data Exposure Risk From Command-Line Tools
## Cloud security specialists found data exposure risk associated with Azure, AWS, and Google Cloud command-line tools.
## Information:

+ Link: https://www.securityweek.com/cloud-users-warned-of-data-exposure-risk-from-command-line-tools/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 16 April 2024, 13:32
+ Date scraped: 16 April 2024, 14:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Cloud security firm Orca is warning organizations that command-line tools can expose sensitive information, but major cloud services providers say the behavior is expected.**


Microsoft Azure, AWS and Google Cloud provide command-line interface (CLI) tools that customers can use for interacting with each platform.

Researchers found that some commands associated with these tools can expose information in the form of environment variables, in build log files.

“If bad actors get their hands on these environment variables, this could potentially lead to view sensitive information including credentials, such as passwords, user names, and keys, which could allow them to access any resources that the repository owners can,” Orca explained on Tuesday.

According to Orca, by default, CLI commands are assumed to be running in a secure environment, but they may also be used for continuous integration and continuous development (CI/CD) environments, which is where the security risks can emerge.

The issue was initially discovered by a Palo Alto Networks researcher in the [Azure CLI](https://www.paloaltonetworks.com/blog/prisma-cloud/secrets-leakage-user-error-azure-cli/) last year. Microsoft assigned the vulnerability the identifier [CVE-2023-36052](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-36052) and patched it in November 2023. 


“An attacker that successfully exploited this vulnerability could recover plaintext passwords and usernames from log files created by the affected CLI commands and published by Azure DevOps and/or GitHub Actions,” Microsoft said in its advisory.

Orca later discovered that the same issue, which it has named [LeakyCLI](https://orca.security/resources/blog/leakycli-aws-google-cloud-command-line-tools-can-expose-sensitive-credentials-build-logs/), also impacts AWS and Google Cloud CLI tools. 


However, AWS and Google Cloud have described it as “expected behavior”, according to the cloud security firm, but their customers can take steps to prevent the exposure of sensitive data.

“We’re appreciative of the researcher’s work in identifying and reporting their findings to Google,” a Google Cloud spokesperson told *SecurityWeek*. “We do not consider this specific finding a vulnerability as environment variables are inherently not secure for storing secrets in production workloads. Google recommends using Secrets manager functions built into gcloud deploy cmd to store credentials.”


As for AWS, it told Orca that it will update its documentation for customers. The cloud giant recommends not storing secrets in environment variables, and reviewing build logs for sensitive information.

**Related**: [Inside AWS’s Crusade Against IP Spoofing and DDoS Attacks](https://www.securityweek.com/inside-awss-crusade-against-ip-spoofing-and-ddos-attacks/)


**Related**: [Microsoft Plugs Gaping Hole in Azure Kubernetes Service Confidential Containers](https://www.securityweek.com/microsoft-plugs-gaping-hole-in-azure-kubernetes-service-confidential-containers/)


**Related**: [Vulnerability Allowed Takeover of AWS Apache Airflow Service](https://www.securityweek.com/vulnerability-allowed-one-click-takeover-of-aws-service-accounts/)





## Tags:
***CVE's***: CVE-2023-36052

### Autogenerated tags:
[[cloud]] [[aws]] [[google]] [[microsoft]]
