# Cybersecurity Vendors Assessing Impact of Recent OpenSSL Vulnerability
## Cybersecurity, cloud, storage and other vendors are assessing the impact of a high-severity OpenSSL vulnerability on their products and services.
## Information:

+ Link: https://www.securityweek.com/cybersecurity-vendors-assessing-impact-recent-openssl-vulnerability
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 31 March 2022, 15:00
+ Date scraped: 31 March 2022, 15:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)



Updates released by the OpenSSL Project earlier this month patch a [high-severity denial-of-service (DoS) vulnerability](https://www.securityweek.com/high-severity-dos-vulnerability-patched-openssl) related to certificate parsing.


The security hole, tracked as **[CVE-2022-0778](https://www.openssl.org/news/secadv/20220315.txt)** and reported by Google vulnerability researcher Tavis Ormandy, affects OpenSSL versions 1.0.2, 1.1.1 and 3.0. It has been fixed with the release of versions 1.0.2zd, 1.1.1n and 3.0.2.


Exploitation of the vulnerability is possible in certain situations, and it can lead to a DoS attack against a process that parses externally supplied certificates.


**[ READ: [Evolution of OpenSSL Security After Heartbleed](https://www.securityweek.com/evolution-openssl-security-after-heartbleed) ]**


Technical details and at least one [proof-of-concept (PoC) exploit](https://github.com/drago-96/CVE-2022-0778) are publicly available, and companies whose products and services rely on OpenSSL have started assessing its impact.


[Palo Alto Networks](https://security.paloaltonetworks.com/CVE-2022-0778) on Wednesday informed customers that it’s still investigating the impact of CVE-2022-0778 on its products, but the company has so far confirmed that PAN-OS, the GlobalProtect app, and the Cortex XDR agent software contain a vulnerable version of OpenSSL. Fixes are being developed for affected products.


“For PAN-OS software, this includes both hardware and virtual firewalls and Panorama appliances as well as Prisma Access customers. This vulnerability has reduced severity on Cortex XDR agent and Global Protect app as successful exploitation requires an attacker-in-the-middle attack (MITM),” the company explained.


[F5](https://support.f5.com/csp/article/K31323265) says the OpenSSL vulnerability affects BIG-IP and Traffix products and it’s working on patches. BIG-IP is only affected if specific configurations are used.


[Check Point](https://supportcenter.checkpoint.com/supportcenter/portal?eventSubmit_doGoviewsolutiondetails=&solutionid=sk178411) has also confirmed that several of its products are affected and the company has released patches.


[Sophos](https://www.sophos.com/it-it/security-advisories/sophos-sa-20220318-openssl-dos) says the vulnerability impacts its Firewall, UTM and Web Appliance products. The company’s advisory informs customers that fixes are scheduled for late March and April.


Other cybersecurity vendors that are currently investigating the impact of CVE-2022-0778 include [SonicWall](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2022-0002) and [Pulse Secure](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB45061/).


[QNAP](https://www.qnap.com/en-in/security-advisory/qsa-22-06) published an advisory this week to inform customers that several versions of its QTS, QuTS and QuTScloud operating systems for NAS devices are affected. The storage solutions provider is working on patches.


The developers of the [VyOS](https://blog.vyos.io/cve-2022-0778) open source router and firewall platform have also confirmed that version 1.3.0 is affected. The OpenSSL component has been updated with the recent VyOS 1.3.1 release.


[AWS](https://aws.amazon.com/security/security-bulletins/AWS-2022-003/) has also released a brief security bulletin, informing customers that it’s aware of the issue and investigating impact on its services.


[NetApp](https://security.netapp.com/advisory/ntap-20220321-0002/) has also identified over a dozen affected products and it has started releasing patches.


[Red Hat](https://access.redhat.com/security/cve/cve-2022-0778) initially said it was not directly affected by the flaw, but further investigation revealed that some versions of Red Hat Enterprise Linux are vulnerable to DoS attacks. [Other Linux distributions](https://www.freebsd.org/security/advisories/FreeBSD-SA-22:03.openssl.asc) have also released advisories.





 


## Tags:
***CVE's***: CVE-2022-0778

### Autogenerated tags:
[[openssl]] [[cve-2022-0778]]
