# Denonia: First Malware Targeting AWS Lambda
## Denonia is the name given to what appears to be the first piece of malware designed to specifically target AWS Lambda environments.
## Information:

+ Link: https://www.securityweek.com/denonia-first-malware-targeting-aws-lambda
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 06 April 2022, 16:00
+ Date scraped: 06 April 2022, 16:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The malware, named [Denonia](https://www.cadosecurity.com/cado-discovers-denonia-the-first-malware-specifically-targeting-lambda/) based on the name of a domain it communicates with, was discovered by researchers at Cado Security, who found samples uploaded to VirusTotal in [January](https://www.virustotal.com/gui/file/739fe13697bc55870ceb35003c4ee01a335f9c1f6549acb6472c5c3078417eed/details) and late [February](https://www.virustotal.com/gui/file/a31ae5b7968056d8d99b1b720a66a9a1aeee3637b97050d95d96ef3a265cbbca/details). The samples are currently detected by roughly half of the security vendors on VirusTotal.


Denonia was developed in Go and it currently appears to be used for cryptocurrency mining, specifically Monero (XMR), using a custom version of the popular XMRig mining software.


AWS describes Lambda as a “serverless, event-driven compute service that lets you run code for virtually any type of application or backend service without provisioning or managing servers.”


Cado noted that AWS secures the underlying Lambda execution environment, but it’s up to customers to secure functions, which makes it possible for cybercriminals to deploy such malware.


An analysis of Denonia showed that the malware is designed to execute in Lambda environments, but it’s still unclear how it’s deployed.


“It may simply be a matter of compromising AWS Access and Secret Keys then manually deploying into compromised Lambda environments, as we’ve seen before with more simple Python scripts,” Cado researchers explained.


According to researchers, Denonia uses DNS over HTTPS ([DoH](https://www.securityweek.com/nsa-publishes-guidance-enterprises-adoption-encrypted-dns)) for C&C traffic, which can help it evade detection measures and virtual network access controls.


The researchers noted that while this particular piece of malware does not appear to have been widely distributed and it only has limited capabilities, its existence demonstrates that attackers are “using advanced cloud-specific knowledge to exploit complex cloud infrastructure, and is indicative of potential future, more nefarious attacks.”


Cado has shared indicators of compromise (IoC), including hashes, C&C domains and IP addresses.





 


## Tags:


### Autogenerated tags:
[[malware]] [[denonia]] [[cado]] [[aws]]
