# Leaked Algolia API Keys Exposed Data of Millions of Users
## CloudSEK warns of thousands of applications leaking Algolia API keys, including tens with hardcoded admin keys, potentially exposing data of millions of users.
## Information:

+ Link: https://www.securityweek.com/leaked-algolia-api-keys-exposed-data-millions-users
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 22 November 2022, 16:00
+ Date scraped: 22 November 2022, 16:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Organizations can use Algolia’s API to incorporate into their applications functions such as search, discovery, and recommendations. The API is used by over 11,000 companies, including Lacoste, Slack, Medium, and Zendesk.


CloudSEK says it has identified 1,550 applications that [leaked Algolia API keys](https://cloudsek.com/whitepapers_reports/hardcoded-algolia-api-keys-could-be-exploited-by-threat-actors-to-steal-millions-of-users-data/), including 32 apps that had hardcoded admin secrets, providing attackers with access to pre-defined Algolia API keys.


The offending 32 apps, CloudSEK says, had more than 2.5 million downloads, potentially exposing the data of their users to malicious attacks. A threat actor could exploit these weaknesses to read user information, including IP addresses, access details, and analytics data, and delete user information.


“While this is not a flaw in Algolia or other such services that provide integrations, it is evidence of how API keys are mishandled by app developers. So, it is up to individual companies to address the security concerns associated with payment gateways, AWS services, open firebases,” CloudSEK points out.


The Algolia API requires that the Application ID and API key are passed via two headers, to use services such as search, browse index, add records/delete records, list/update indexes, read/update index settings, and to retrieve logs and information from APIs.


An attacker with access to the leaked API keys could access any of these features and read information they should not have access to.


CloudSEK points out that organizations should revoke the leaked API keys and generate new ones that are stored securely, and that authenticated endpoints should be used to communicate with sensitive, external APIs, to prevent the leak of secrets.


The company says it has informed both Algolia and the affected organizations of the hardcoded API keys.





 


## Tags:


### Autogenerated tags:
[[api]] [[algolia]] [[cloudsek]]
