# Microsoft AI Researchers Expose 38TB of Data, Including Keys, Passwords and Internal Messages
## Exposed data includes backup of employees workstations, secrets, private keys, passwords, and over 30,000 internal Microsoft Teams messages.
## Information:

+ Link: https://www.securityweek.com/microsoft-ai-researchers-expose-38tb-of-data-including-keys-passwords-and-internal-messages/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 18 September 2023, 16:45
+ Date scraped: 18 September 2023, 17:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/09/wiz-microsoft-data-scaled.webp)


**Researchers at Wiz have flagged another major security misstep at Microsoft that caused the exposure of 38 terabytes of private data during a routine open-source AI training material update on GitHub.**


The exposed data includes a disk backup of two employees’ workstations, corporate secrets, private keys, passwords, and over 30,000 internal Microsoft Teams messages, Wiz said in a note documenting the discovery.

Wiz, a cloud data security startup founded by ex-Microsoft software engineers, said the issue was discovered during routine internet scans for misconfigured storage containers. “We found a GitHub repository under the Microsoft organization named *robust-models-transfer*. The repository belongs to Microsoft’s AI research division, and its purpose is to provide open-source code and AI models for image recognition,” the company explained.


While sharing the files, Microsoft used an Azure feature called SAS tokens that allows data sharing from Azure Storage accounts. While the access level can be limited to specific files only; Wiz found that the link was configured to share the entire storage account — including another 38TB of private files.

“This URL allowed access to more than just open-source models. It was configured to grant permissions on the entire storage account, exposing additional private data by mistake,” [Wiz noted](https://www.wiz.io/blog/38-terabytes-of-private-data-accidentally-exposed-by-microsoft-ai-researchers).


“Our scan shows that this account contained 38TB of additional data — including Microsoft employees’ personal computer backups. The backups contained sensitive personal data, including passwords to Microsoft services, secret keys, and over 30,000 internal Microsoft Teams messages from 359 Microsoft employees.”

In addition to what it describes as overly permissive access scope, Wiz researchers found that the token was also misconfigured to allow “full control” permissions instead of read-only, giving attackers the power to delete and overwrite existing files.


“An attacker could have injected malicious code into all the AI models in this storage account, and every user who trusts Microsoft’s GitHub repository would’ve been infected by it,” Wiz warned.

The repository’s primary function compounds the security concerns. Tasked with supplying AI training models, these blueprints come in a ‘*ckpt*‘ format, a creation of the widely-used TensorFlow and sculpted using Python’s *pickle* formatter. Wiz notes that the very format can be a gateway for arbitrary code execution.


“An attacker could have injected malicious code into all the AI models in this storage account, and every user who trusts Microsoft’s GitHub repository would’ve been infected by it,” the company added.

**Related:** [Microsoft Puts ChatGPT to Work on Automating Security](https://www.securityweek.com/microsoft-puts-chatgpt-to-work-on-automating-cybersecurity/)


**Related:** [OpenAI Using Security to Sell ChatGPT Enterprise](https://www.securityweek.com/openai-turns-to-security-to-sell-chatgpt-enterprise/)


**Related:** [Wiz Says 62% of AWS Environments Exposed to Zenbleed](https://www.securityweek.com/wiz-says-62-of-aws-environments-exposed-to-zenbleed-exploitation/)


**Related:** [Microsoft Hack Exposed More Than Exchange, Outlook Emails](https://www.securityweek.com/microsoft-cloud-hack-exposed-more-than-exchange-outlook-emails/)





## Tags:


### Autogenerated tags:
[[microsoft]] [[github]] [[open-source]]
