# Microsoft Fixes Exploited Zero-Days in WordPad, Skype for Business
## Microsoft patches more than 100 vulnerabilities across the Windows ecosystem and warned that three are already being exploited in the wild.
## Information:

+ Link: https://www.securityweek.com/microsoft-fixes-exploited-zero-days-in-wordpad-skype-for-business/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 10 October 2023, 18:20
+ Date scraped: 10 October 2023, 19:02

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/06/zero-day.jpg)


**Microsoft’s security response team on Tuesday pushed out a massive batch of software and OS updates to cover more than 100 vulnerabilities across the Windows ecosystem and warned that three of the flaws are already being exploited in the wild.**


As part of the scheduled batch of Patch Tuesday fixes, Microsoft joined with tech giants AWS, Google and Cloudflare to address the ‘HTTP/2 Rapid Reset’ zero-day ([see separate SecurityWeek coverage](https://www.securityweek.com/rapid-reset-zero-day-exploited-to-launch-largest-ddos-attacks-in-history/)) that exposed the internet to massive DDoS attacks.


In addition, the Redmond, Wash. software giant called attention to a pair of zero-days — in Microsoft WordPad and Skype for Business — that are being exploited in the wild.

The WordPad bug, tracked as [CVE-2023-36563](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-36563), is described as an information disclosure issue that allows the disclosure of NTLM hashes.


Microsoft credited the discovery to its own threat intelligence team, suggesting it was being used in malware attacks via maliciously crafted URLs or files.

As is customary, Microsoft’s barebones advisory does not include indicators of compromise (IOCs) or telemetry to help defenders hunt for signs of compromise.

The company also warned that a Skype for Business bug, tracked as [CVE-2023-41763](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-41763), is being exploited by attackers to elevate rights on compromised Windows machines. 


“An attacker could make a specially crafted network call to the target Skype for Business server, which could cause the parsing of an http request made to an arbitrary address. This could disclose IP addresses or port numbers or both to the attacker,” Microsoft warns.

In some cases, Microsoft cautioned that the exposed sensitive information could provide access to internal networks.

In all, Microsoft documented about 110 vulnerabilities affecting a wide range of Windows and operating system components, including Exchange Server, Microsoft Office, Visual Studio, ASP.NET Core, Microsoft Dynamics and the Message Queuing technology.

The Microsoft Message Queuing technology was particularly affected, with 20 separate bulletins documented security defects with major implications.

One of these Message Queuing bugs ([CVE-2023-35349](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-35349)) carries a CVSS severity score of 9.8/10 and appears to be wormable in some cases, according to ZDI, a vulnerability routing company that reports flaws to Microsoft.


“A remote, unauthenticated attacker could execute arbitrary code at the level of the service without user interaction. That makes this bug wormable – at least on systems where Message Queuing is enabled. You should definitely check your systems to see if it’s installed and also consider blocking TCP port 1801 at your perimeter,” ZDI said in an [analysis](https://www.zerodayinitiative.com/blog/2023/10/10/the-october-2023-security-update-review) of the Patch Tuesday releases.


The company is also urging Windows admins to pay attention to [CVE-2023-36434](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-36434), a Windows IIS Server elevation of privilege bug with a  CVSS 9.8 rating. 


“An attacker who successfully exploits this bug could log on to an affected IIS server as another user. Microsoft doesn’t rate this as Critical since it would require a brute-force attack, but these days, brute force attacks can be easily automated. If you’re running IIS, you should treat this as a critical update and patch quickly, ZDI said.

**Related:** [Critical Code Execution Flaws in Adobe Commerce, Photoshop](https://www.securityweek.com/patch-tuesday-code-execution-flaws-in-adobe-commerce-photoshop/)


**Related:** [‘HTTP/2 Rapid Reset’ Zero-Day Exploited to Launch Massive DDoS Attacks](https://www.securityweek.com/rapid-reset-zero-day-exploited-to-launch-largest-ddos-attacks-in-history/)


**Related**: [Apple Warns of Newly Exploited iOS 17 Kernel Zero-Day](https://www.securityweek.com/apple-warns-of-newly-exploited-ios-17-kernel-zero-day/)


**Related:** [SAP Releases 7 New Notes on October 2023 Patch Day](https://www.securityweek.com/sap-releases-7-new-notes-on-october-2023-patch-day/)





## Tags:
***CVE's***: CVE-2023-35349 CVE-2023-36563 CVE-2023-41763 CVE-2023-36434

### Autogenerated tags:
[[microsoft]] [[windows]] [[zero-day]] [[skype]] [[zdi]] [[iis]]
