# New 'Inception' Side-Channel Attack Targets AMD Processors
## Researchers have disclosed the details of a new locally exploitable side-channel attack targeting AMD CPUs named Inception
## Information:

+ Link: https://www.securityweek.com/new-inception-side-channel-attack-targets-amd-processors/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 09 August 2023, 08:21
+ Date scraped: 09 August 2023, 09:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/08/Inception-System_credit_ETH-Zurich.jpg)


**Researchers on Tuesday disclosed the details of a new CPU side-channel attack named Inception that impacts AMD processors.**


The [Inception](https://comsec.ethz.ch/research/microarch/inception/) attack method was discovered by a team of researchers from the ETH Zurich university in Switzerland. It allows a local attacker to leak potentially sensitive data, such as passwords or encryption keys, from anywhere in the memory of a computer powered by an AMD Zen processor.


Inception is a transient execution attack that leverages a method named Training in Transient Execution (TTE) and an attack dubbed Phantom Speculation (CVE-2022-23825).

“As in the movie of the same name, Inception plants an ‘idea’ in the CPU while it is in a sense ‘dreaming’, to make it take wrong actions based on supposedly self conceived experiences. Using this approach, Inception hijacks the transient control-flow of return instructions on all AMD Zen CPUs,” the researchers explained.

They have published separate papers detailing the [Inception](https://comsec.ethz.ch/wp-content/files/inception_sec23.pdf) and [Phantom](https://comsec.ethz.ch/wp-content/files/phantom_micro23.pdf) attacks. For Inception, they have also made available [proof-of-concept (PoC) source code](https://github.com/comsec-group/inception) and a video showing the exploit in action.





AMD has published an [advisory](https://www.amd.com/en/resources/product-security/bulletin/amd-sb-7005.html) confirming that an Inception attack can lead to information disclosure. 


The chipmaker provides microcode patches and other mitigations. It has also advised customers to employ security best practices.

“This attack is similar to previous branch prediction-based attacks like [Spectrev2](https://www.securityweek.com/amd-updates-spectre-mitigations-following-intel-research/) and Branch Type Confusion (BTC)/[RetBleed](https://www.securityweek.com/retbleed-new-speculative-execution-attack-targets-intel-amd-processors/),” AMD explained. “As with similar attacks, speculation is constrained within the current address space and to exploit, an attacker must have knowledge of the address space and control of sufficient registers at the time of RET (return from procedure) speculation.” 


The company believes the vulnerability could only be exploited locally — by a piece of malware, for example — and noted that it’s not aware of any malicious exploitation.

Inception is not the only AMD Zen vulnerability disclosed in recent weeks. Google researchers have found [Zenbleed](https://www.securityweek.com/zenbleed-vulnerability-affecting-amd-cpus-can-expose-sensitive-information/), an AMD Zen 2 processor vulnerability that can allow an attacker to access sensitive information. 


Google’s researchers have also discovered an Intel processor attack method [Downfall](https://www.securityweek.com/downfall-new-intel-cpu-attack-exposing-sensitive-information/), whose details they disclosed on Tuesday, when Intel also published an advisory. 


**Related**: [Wiz Says 62% of AWS Environments Exposed to Zenbleed Exploitation](https://www.securityweek.com/wiz-says-62-of-aws-environments-exposed-to-zenbleed-exploitation/)


**Related**: [AMD Processors Expose Sensitive Data to New ‘SQUIP’ Attack](https://www.securityweek.com/amd-processors-expose-sensitive-data-new-squip-attack/)





## Tags:
***CVE's***: CVE-2022-23825

### Autogenerated tags:
[[amd]]
