# Researchers Flag FBot Hacking Tool Hijacking Cloud, Payment Services
## The tool, called FBot, is capable of credential harvesting for spamming attacks, and AWS, PayPal and SaaS account hijacking.
## Information:

+ Link: https://www.securityweek.com/researchers-flag-fbot-hacking-tool-hijacking-cloud-payment-services/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 11 January 2024, 20:27
+ Date scraped: 11 January 2024, 21:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Malware hunters at SentinelOne on Thursday flagged a newly discovered Python-based hacking tool being used by cybercriminals to hijack cloud platforms and payment services.**


The tool, called FBot, is capable of credential harvesting for spamming attacks, AWS account hijacking and functions to enable attacks against PayPal and various SaaS accounts.

According to documentation from the company’s SentinelLabs research unit, Fbot is characterized by a smaller footprint compared to similar tools, indicating possible private development and a more targeted distribution approach.

SentinelLabs researcher Alex Delamotte [dissected the internals](https://www.sentinelone.com/labs/exploring-fbot-python-based-malware-targeting-cloud-and-payment-services/) of the attack tool and found features to target web servers and cloud services as well as Software-as-a-Service (SaaS) technologies that include Aws, Office365, PayPal, Sendgrid and Twilio.


While the tool is primarily designed for actors to hijack cloud, SaaS, and web services, Delamotte discovered a secondary focus on obtaining accounts to conduct spamming attacks.

“The tool contains assorted utilities, including an IP address generator and port scanner. There is also an email validator function, which uses an Indonesian technology service provider to validate email addresses,” the SentinelLabs researcher said.

The anti-malware company also discovered several features that target payment services, including a PayPal Validator feature, a SendGrid API key generator, and features for harvesting key secrets.

Delamotte recommends that organizations enable multi-factor authentication (MFA) for AWS services with programmatic access and set up systems to alert security operations teams when a new AWS user account is added to the organization.


The researcher also suggests setting up alerts for new identities added or major configuration changes to SaaS bulk mailing applications.

**Related:** [New ‘Sandman’ APT Group Hitting Telcos With Rare LuaJIT Malware](https://www.securityweek.com/new-sandman-apt-group-hitting-telcos-with-rare-luajit-malware/)


**Related:** [US Gov Warning: Start Hunting for Iranian APTs That Exploited Log4j](https://www.securityweek.com/us-gov-warning-start-hunting-iranian-apts-exploited-log4j/)


**Related:** [Researchers Crowdsourcing Effort to ID Mysterious Metador APT](https://www.securityweek.com/researchers-crowdsourcing-effort-identify-mysterious-metador-apt/)


**Related:** [Urgent Fixes for Critical Flaws in Windows Kerberos, Hyper-V](https://www.securityweek.com/microsoft-ships-urgent-fixes-for-critical-flaws-in-windows-kerberos-hyper-v/)





## Tags:


### Autogenerated tags:
[[aws]] [[saas]] [[cloud]] [[paypal]]
