# SonicWall Patches Unauthorized Access Vulnerability in SMA Appliances
## SonicWall has released patches for multiple vulnerabilities in its Secure Mobile Access (SMA) series appliances, including a high-severity issue that could lead to unauthorized access.
## Information:

+ Link: https://www.securityweek.com/sonicwall-patches-unauthorized-access-vulnerability-sma-appliances
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 16 May 2022, 13:00
+ Date scraped: 16 May 2022, 13:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Tracked as [CVE-2022-22282](https://www.sonicwall.com/support/knowledge-base/security-notice-sma-1000-series-unauthenticated-access-control-bypass/220510172939820/) (CVSS score of 8.2), the vulnerability is described as an unauthenticated access control bypass, where the access to a specific resource is incorrectly restricted.


According to SonicWall, SMA1000 series “incorrectly restricts access to a resource using HTTP connections from an unauthorized actor leading to Improper Access Control vulnerability.” The bug impacts the SMA1000 series firmware versions 12.4.0, 12.4.1-02965, and earlier.


SonicWall explains that an attacker may exploit the vulnerability by crafting connections from an unauthenticated position. Successful exploitation allows the attacker to gain access to internal resources.


SonicWall also [patched](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2022-0009) CVE-2022-1701 (CVSS score of 5.7), a vulnerability where a shared and hardcoded encryption key is used across the SMA1000 series to store data.


An attacker able to exploit this medium-severity security hole could access encrypted credentials, the network security firm says.


The third vulnerability that SonicWall addressed was an open redirection. Tracked as CVE-2022-1702 (CVSS score of 6.1), the issue exists because the appliances “accept a user-controlled input that specifies a link to an external site and uses that link in a redirect.”


According to SonicWall, these vulnerabilities impact SMA 6200, 6210, 7200, 7210, and 8000v (ESX, KVM, Hyper-V, AWS, Azure) appliances. SMA1000 series firmware version 12.4.1-02994 contains the necessary patches.


“There are no temporary mitigations. SonicWall urges impacted customers to implement applicable patches as soon as possible,” SonicWall says.


The company also notes that none of these vulnerabilities appear to be exploited in attacks. However, it’s important that customers install the patches as SMA appliances are known to have been [targeted by threat actors](https://www.securityweek.com/sonicwall-zero-day-exploited-ransomware-group-it-was-patched).





 


## Tags:
***CVE's***: CVE-2022-22282 CVE-2022-1701 CVE-2022-1702

### Autogenerated tags:
[[sonicwall]] [[sma1000]] [[cvss]]
