# Vulnerability Found in Fluent Bit Utility Used by Major Cloud, Tech Companies
## Linguistic Lumberjack (CVE-2024-4323) is a vulnerability in the Fluent Bit utility that can allow DoS, information disclosure and RCE.
## Information:

+ Link: https://www.securityweek.com/vulnerability-found-in-fluent-bit-utility-used-by-major-cloud-tech-companies/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 20 May 2024, 15:00
+ Date scraped: 20 May 2024, 16:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Fluent Bit, a popular logging utility used by several major companies, is affected by a critical vulnerability that can allow denial-of-service (DoS) attacks, information disclosure, and possibly remote code execution (RCE), according to cybersecurity firm Tenable.**


Fluent Bit is an open source data collector and processor capable of handling large volumes of log data from a variety of sources. The tool has billions of downloads and is currently seeing more than 10 million daily deployments.

Its developers say it is being used by major cloud companies such as Microsoft, Google Cloud and AWS, as well as tech giants such as Cisco, LinkedIn, VMware, Splunk, Intel, Arm and Adobe.

Tenable researchers have uncovered what they described as a critical memory corruption vulnerability (CVSS score of 9.8) in Fluent Bit’s built-in HTTP server. The issue has been named [Linguistic Lumberjack](https://www.tenable.com/blog/linguistic-lumberjack-attacking-cloud-services-via-logging-endpoints-fluent-bit-cve-2024-4323) and is officially tracked as CVE-2024-4323.


The cybersecurity firm has confirmed that a user or a service that has access to the Fluent Bit monitoring API, which is designed for querying and monitoring internal service information, can launch a DoS attack or obtain potentially sensitive information.

It may also be possible to exploit CVE-2024-4323 for RCE, but Tenable noted that exploitation is dependent on various factors, such as operating system and host architecture.

“While heap buffer overflows such as this are known to be exploitable, creating a reliable exploit is not only difficult, but incredibly time intensive,” Tenable explained.

The company on Monday made public technical information and a proof-of-concept (PoC) exploit that can be used for DoS attacks.


Tenable [reported its findings](https://www.tenable.com/security/research/tra-2024-17) to Fluent Bit developers in late April and while a [patch](https://github.com/fluent/fluent-bit/commit/9311b43a258352797af40749ab31a63c32acfd04) has been developed, it has yet to be included in a formal release. The security firm said it also reported its findings to Microsoft, AWS and Google Cloud on May 15. 


Mitigations are available for users who have deployed Fluent Bit in their own infrastructure and environments, including restricting access to the tool’s API and disabling the impacted endpoint if it’s not used.

**Related**: [‘Looney Tunables’ Glibc Vulnerability Exploited in Cloud Attacks](https://www.securityweek.com/looney-tunables-glibc-vulnerability-exploited-in-cloud-attacks/) 


**Related**: [Vulnerability Allowed Takeover of AWS Apache Airflow Service](https://www.securityweek.com/vulnerability-allowed-one-click-takeover-of-aws-service-accounts/)


**Related**: [Microsoft Cloud Vulnerability Led to Bing Search Hijacking, Exposure of Office 365 Data](https://www.securityweek.com/microsoft-cloud-vulnerability-led-to-bing-search-hijacking-exposure-of-office-365-data/)





## Tags:
***CVE's***: CVE-2024-4323

### Autogenerated tags:
[[cloud]] [[microsoft]] [[aws]]
