# WAFs of Several Major Vendors Bypassed With Generic Attack Method
## Claroty researchers discovered a generic method for bypassing the WAFs of Palo Alto Networks, AWS, Cloudflare, F5 and Imperva.
## Information:

+ Link: https://www.securityweek.com/wafs-several-major-vendors-bypassed-generic-attack-method
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 08 December 2022, 16:00
+ Date scraped: 08 December 2022, 16:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Claroty’s researchers discovered the method following an analysis of Cambium Networks’ wireless device management platform. They discovered a SQL injection vulnerability that could be used to obtain sensitive information, such as session cookies, tokens, SSH keys and password hashes.


Exploitation of the flaw worked against the on-premises version, but an attempt to exploit it against the cloud version was blocked by the Amazon Web Services (AWS) WAF, which flagged the SQL injection payload as malicious.


Further analysis revealed that the [WAF could be bypassed by abusing the JSON data sharing format](https://claroty.com/team82/research/js-on-security-off-abusing-json-based-sql-to-bypass-waf). JSON syntax is supported by all major SQL engines and it’s enabled by default.


Claroty researchers used a JSON syntax to craft a new SQL injection payload that would bypass the WAF — because the WAF did not understand it — while still being valid for the database engine to parse. They achieved this by using the JSON operator ‘@<’, which threw the WAF into a loop and allowed the payload to pass to the targeted database.


After they verified the bypass method against the AWS WAF, the researchers checked if it would work against firewalls from other vendors as well. They successfully reproduced the bypass — with few or no changes to the payload — against products from Palo Alto Networks, Cloudflare, F5, and Imperva.![WAF bypass](https://www.securityweek.com/sites/default/files/images/WAF_bypass.png "WAF bypass")


In order to demonstrate the risks associated with this attack in the real world, Claroty added support for the technique to the SQLMap open source exploitation tool.


“We discovered that the leading vendors’ WAFs did not support JSON syntax in their SQL injection inspection process, allowing us to prepend JSON syntax to a SQL statement that blinded a WAF to the malicious code,” the security firm explained.


In response to the research, all of the impacted vendors added JSON syntax support to their products, but Claroty believes other WAFs could be impacted as well.


“Attackers using this novel technique could access a backend database and use additional vulnerabilities and exploits to exfiltrate information via either direct access to the server or over the cloud,” Claroty said. “This is especially important for OT and IoT platforms that have moved to cloud-based management and monitoring systems. WAFs offer a promise of additional security from the cloud; an attacker able to bypass these protections has expansive access to systems.”




 


## Tags:


### Autogenerated tags:
[[json]] [[sql]] [[claroty]] [[wafs]]
