# Wiz Says 62% of AWS Environments Exposed to Zenbleed Exploitation
## Researchers say a whopping 62 percent of AWS environments may be exposed to the newly documented AMD 'Zenbleed' information leak flaw.
## Information:

+ Link: https://www.securityweek.com/wiz-says-62-of-aws-environments-exposed-to-zenbleed-exploitation/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 26 July 2023, 23:57
+ Date scraped: 27 July 2023, 00:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Researchers at cloud security startup Wiz are reporting that a whopping 62 percent of AWS environments may be exposed to the newly documented** [**Zenbleed**](https://www.securityweek.com/zenbleed-vulnerability-affecting-amd-cpus-can-expose-sensitive-information/) **information leak vulnerability in AMD Zen 2 processors.**


In a [research note](https://www.wiz.io/blog/zenbleed) posted Wednesday, Wiz calculated that more than 60 percent of AWS environments are running EC2 instances with Zen 2 CPUs and may therefore be affected by the use-after-free memory corruption bug.


Zenbleed, [discovered and documented](https://www.securityweek.com/zenbleed-vulnerability-affecting-amd-cpus-can-expose-sensitive-information/) by Project Zero’s Tavis Ormandy, impacts all Zen 2 processors, including Ryzen 3000 (PRO and Threadripper), 4000 (PRO), 5000, 7020, and Epyc (Rome). The issue can be exploited by malicious hackers to steal sensitive data, such as passwords and encryption keys.  It is tracked as CVE-2023-20593.


As [previously reported](https://www.securityweek.com/zenbleed-vulnerability-affecting-amd-cpus-can-expose-sensitive-information/), AMD has started releasing microcode updates and the vendor has also advised customers to apply AGESA firmware updates. For some products, the updates are expected to become available in the last quarter of 2023. 


Wiz researchers are amplifying the warnings, noting that the flaw can be exploited by an attacker with unprivileged access to an affected machine to escalate privileges or gain access to data.

The company said it combed through its data and found that a vast majority of cloud environments are running the vulnerable Epyc server (“Rome”), which is a CPU designed for data centers.

Wiz is also noting that patches are [available from Google Cloud Platform](https://cloud.google.com/support/bulletins#gcp-2023-020) (GCP) while [fixes from AWS](https://aws.amazon.com/security/security-bulletins/AWS-2023-004/) are expected to be released once testing is complete.


**Related:** [AMD CPU Flaw ‘Zenbleed’ Can Expose Sensitive Information](https://www.securityweek.com/zenbleed-vulnerability-affecting-amd-cpus-can-expose-sensitive-information/)


**Related:** [Intel, AMD Address Multiple Bugs With Patch Tuesday Bulletins](https://www.securityweek.com/intel-amd-address-many-vulnerabilities-patch-tuesday-advisories/)


**Related:** [Chipmaker Patch Tuesday: Intel, AMD Address Over 100 Vulns](https://www.securityweek.com/chipmaker-patch-tuesday-intel-amd-address-over-100-vulnerabilities/)


**Related:** [AMD Processors Expose Sensitive Data in ‘SQUIP’ Attack](https://www.securityweek.com/amd-processors-expose-sensitive-data-new-squip-attack/)





## Tags:
***CVE's***: CVE-2023-20593

### Autogenerated tags:
[[amd]] [[cloud]] [[aws]]
