# 10 Credential Stealing Python Libraries Found on PyPI Repository
## Researchers have discovered 10 new malicious Python packages distributed via the Python Package Index (PyPI) to harvest critical data points.
## Information:

+ Link: https://thehackernews.com/2022/08/10-credential-stealing-python-libraries.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 09 August 2022, 11:48
+ Date scraped: 09 August 2022, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjKOUu6tVu75TTWZGaKHMU6WfK0mseBPbXhg6st9-KcyMiVonCsy0j_ZLDcez0eP3bm5ZpcflLmOYKYXNAUUMoWpL6I76ZijyfyXuXYG2k5BeHei0RjXWLN-OjgEGXuUIamwq7foOltijJq9n8_uWxBHf90c3E5z7seN6HsZTOGmaaziTA8xYLvg_Id/s728-e1000/python-code.jpg)


In what's yet another instance of malicious packages creeping into public code repositories, 10 modules have been removed from the Python Package Index (PyPI) for their ability to harvest critical data points such as passwords and Api tokens.


The packages "install info-stealers that enable attackers to steal developer's private data and personal credentials," Israeli cybersecurity firm Check Point [said](https://research.checkpoint.com/2022/cloudguard-spectral-detects-several-malicious-packages-on-pypi-the-official-software-repository-for-python-developers/) in a Monday report.


A short summary of the offending packages is below -


* **Ascii2text**, which downloads a nefarious script that gathers passwords stored in web browsers such as Google Chrome, Microsoft Edge, Brave, Opera, and Yandex Browser
* **Pyg-utils, Pymocks, and PyProto2**, which are designed to [steal users' AWS credentials](https://thehackernews.com/2022/06/multiple-backdoored-python-libraries.html)
* **Test-async and Zlibsrc**, which download and execute malicious code during installation
* **Free-net-vpn, Free-net-vpn2, and WINRPCexploit**, which steal user credentials and environment variables, and
* **Browserdiv**, which are capable of collecting credentials and other information saved in the web browser's [Local Storage](https://developer.chrome.com/docs/extensions/reference/storage/) folder


The disclosure is the latest in a rapidly ballooning list of recent cases where threat actors have published rogue software on widely used software repositories such as PyPI and Node Package Manager (NPM) with the goal of disrupting the software supply chain.


[![Python Package Index Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh7UAGE3TAhbgtwEQx7qR-6dTVIAQ1nwxuuvJzLgcVAvH8kBKIhGz8dYLssFfZ4pBCg7BHC2fzpC2Jm8hFdHqQR4mqw7slnRDNa-D0mSu7UhKF8VPtk5f4bo7QihymtrBG_1JxlWlBhop07LAfvkZo5YjrAM_3tv5UAgmJ3Ey_8ROCcKDiL1s3cVgCC/s728-e1000/python-2.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh7UAGE3TAhbgtwEQx7qR-6dTVIAQ1nwxuuvJzLgcVAvH8kBKIhGz8dYLssFfZ4pBCg7BHC2fzpC2Jm8hFdHqQR4mqw7slnRDNa-D0mSu7UhKF8VPtk5f4bo7QihymtrBG_1JxlWlBhop07LAfvkZo5YjrAM_3tv5UAgmJ3Ey_8ROCcKDiL1s3cVgCC/s728-e100/python-2.jpg)[![Python Package Index Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEik6TUB3c-zb1zLV83jEiYPzTcGiZu2bofxLS2QOzr05hbwredEw4cJknmTRNmOKofWF_7VdNiLCRKtvUN7e7KD65Prv0O7n5vBjpFIYo86La5SRwCRC4K3Ro-j-sHn202dBtbmKdtlVepxeI1o9bN-X9eh4XfTTW5eeCKBFAhwlFGpbARXJMQxRAU0/s728-e1000/python.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEik6TUB3c-zb1zLV83jEiYPzTcGiZu2bofxLS2QOzr05hbwredEw4cJknmTRNmOKofWF_7VdNiLCRKtvUN7e7KD65Prv0O7n5vBjpFIYo86La5SRwCRC4K3Ro-j-sHn202dBtbmKdtlVepxeI1o9bN-X9eh4XfTTW5eeCKBFAhwlFGpbARXJMQxRAU0/s728-e100/python.jpg)
If anything, the elevated risk posed by such incidents heightens the need to review and exercise due diligence prior to downloading third-party and open source software from public repositories.

#### Malicious NPM Packages Steal Discord Tokens and Bank Card Data

Just last month, Kaspersky disclosed four libraries, viz small-sm, pern-valids, lifeculer, and proc-title, in the NPM package registry that contained highly obfuscated malicious Python and JavaScript code designed to steal Discord tokens and linked credit card information.


The campaign, dubbed [LofyLife](https://securelist.com/lofylife-malicious-npm-packages/107014/), proves how such services have proven to be a lucrative attack vector for adversaries to reach a significant number of downstream users by dressing up malware as seemingly useful libraries.


"Supply chain attacks are designed to exploit trust relationships between an organization and external parties," the researchers said. "These relationships could include partnerships, vendor relationships, or the use of third-party software."


"Cyber threat actors will compromise one organization and then move up the supply chain, taking advantage of these trusted relationships to gain access to other organizations' environments."


  





## Tags:


### Autogenerated tags:
[[npm]]
