# Alert: New Kubernetes Vulnerabilities Enable Remote Attacks on Windows Endpoints
## Critical security flaws discovered in Kubernetes could lead to remote code execution with elevated privileges on Windows endpoints within a cluster
## Information:

+ Link: https://thehackernews.com/2023/09/alert-new-kubernetes-vulnerabilities.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 13 September 2023, 19:35
+ Date scraped: 13 September 2023, 15:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhTBEom8WUqXBtmaTwGvT5wBUaxKbtCFA83ziMSHKbSd5YCedkFBX0nx9qgo0cflwihosIIAUIIl_2Jmk62L_wncdEkZvHnAs7f8BRmcF-W9QO3txDF7ShrtQLWCqpmGwkmxRj5hKRSfM8WIuzmyEcawWNaoJ990SOzFnkyvdFygwOPbHh9YphkRSu1HAM3/s728-e3650/flaws.jpg)


Three interrelated high-severity security flaws discovered in Kubernetes could be exploited to achieve remote code execution with elevated privileges on Windows endpoints within a cluster.


The [issues](https://github.com/kubernetes/kubernetes/issues/119339), tracked as CVE-2023-3676, CVE-2023-3893, and CVE-2023-3955, carry CVSS scores of 8.8 and impact all Kubernetes environments with Windows nodes. Fixes for the vulnerabilities were [released](https://discuss.kubernetes.io/t/security-advisory-cve-2023-3676-insufficient-input-sanitization-on-windows-nodes-leads-to-privilege-escalation/25204) on August 23, 2023, following responsible disclosure by Akamai on July 13, 2023.


"The vulnerability allows remote code execution with SYSTEM privileges on all Windows endpoints within a Kubernetes cluster," Akamai security researcher Tomer Peled said in a technical write-up shared with The Hacker News. "To exploit this vulnerability, the attacker needs to apply a malicious YAML file on the cluster."


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
[Amazon Web Services](https://aws.amazon.com/security/security-bulletins/AWS-2023-008/) (AWS), [Google Cloud](https://cloud.google.com/support/bulletins#gcp-2023-026), and [Microsoft Azure](https://github.com/Azure/AKS/issues/3869) have all released advisories for the bugs, which affect the following versions of Kubelet -


* kubelet < v1.28.1
* kubelet < v1.27.5
* kubelet < v1.26.8
* kubelet < v1.25.13, and
* kubelet < v1.24.17


In a nutshell, [CVE-2023-3676](https://github.com/akamai/akamai-security-research/tree/main/PoCs/CVE-2023-3676) allows an attacker with 'apply' privileges -- which makes it possible to interact with the Kubernetes API -- to inject arbitrary code that will be executed on remote Windows machines with SYSTEM privileges.


"CVE-2023-3676 requires low privileges and, therefore, sets a low bar for attackers: All they need to have is access to a node and apply privileges," Peled noted.


UPCOMING WEBINAR[Identity is the New Endpoint: Mastering SaaS Security in the Modern Age](https://thehacker.news/itdr-saas?source=inside)Dive deep into the future of SaaS security with Maor Bin, CEO of Adaptive Shield. Discover why identity is the new endpoint. Secure your spot now.

[Join Now](https://thehacker.news/itdr-saas?source=inside)
The vulnerability, along with CVE-2023-3955, arises as a result of a lack of input sanitization, thereby enabling a specially crafted path string to be parsed as a parameter to a PowerShell command, effectively leading to command execution.


CVE-2023-3893, on the other hand, relates to a case of privilege escalation in the Container Storage Interface ([CSI](https://github.com/kubernetes-csi/csi-proxy)) proxy that allows a malicious actor to obtain administrator access on the node.


"A recurring theme among these vulnerabilities is a lapse in input sanitization in the Windows-specific porting of the Kubelet," Kubernetes Security platform ARMO [highlighted](https://www.armosec.io/blog/cve-2023-3676-kubelet-vulnerabilities-on-windows-nodes/) last month.


"Specifically, when handling Pod definitions, the software fails to adequately validate or sanitize user inputs. This oversight enables malicious users to craft pods with environment variables and host paths that, when processed, lead to undesired behaviors, such as privilege escalation."


  





## Tags:
***CVE's***: CVE-2023-3955 CVE-2023-3676 CVE-2023-3893

### Autogenerated tags:
[[kubelet]] [[kubernetes]] [[windows]] [[cve-2023-3676]]
