# AndroxGh0st Malware Targets Laravel Apps to Steal Cloud Credentials
## Researchers uncover AndroxGh0st, a tool targeting Laravel apps to steal sensitive data from .env files, affecting AWS & Twilio accounts.
## Information:

+ Link: https://thehackernews.com/2024/03/androxgh0st-malware-targets-laravel.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 21 March 2024, 18:18
+ Date scraped: 21 March 2024, 14:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhAY8xDHC90sh3axM9xybCESUurqXFcX5_9vEH3hP4N0qNS6j5gGJ-01_FAMEP7d5OGI3ER3C23SBeC79VVn1-FODXLKhUEGyfg4XAf62wsz4bf7r648h2w-U0mj-gIzsWnErLJiqhZk0gyPnB2ni_Q2OHr3MxT1mvLqwELwvEvasjYFy2WOsgX1JGe8orj/s728-rw-e365/lock.jpg)


Cybersecurity researchers have shed light on a tool referred to as **AndroxGh0st** that's used to target Laravel applications and steal sensitive data.


"It works by scanning and taking out important information from .env files, revealing login details linked to AWS and Twilio," Juniper Threat Labs researcher Kashinath T Pattan [said](https://blogs.juniper.net/en-us/security/shielding-networks-against-androxgh0st).


"Classified as an SMTP cracker, it exploits SMTP using various strategies such as credential exploitation, web shell deployment, and vulnerability scanning."


AndroxGh0st has been detected in the wild since at least 2022, with threat actors leveraging it to access Laravel environment files and steal credentials for various cloud-based applications like Amazon Web Services (AWS), SendGrid, and Twilio.


Attack chains involving the Python malware are known to exploit known security flaws in Apache HTTP Server, Laravel Framework, and PHPUnit to gain initial access and for privilege escalation and persistence.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
Earlier this January, U.S. cybersecurity and intelligence agencies [warned](https://thehackernews.com/2024/01/feds-warn-of-androxgh0st-botnet.html) of attackers deploying the AndroxGh0st malware to create a botnet for "victim identification and exploitation in target networks."


"Androxgh0st first gains entry through a weakness in Apache, identified as CVE-2021-41773, allowing it to access vulnerable systems," Pattan explained.


"Following this, it exploits additional vulnerabilities, specifically CVE-2017-9841 and CVE-2018-15133, to execute code and establish persistent control, essentially taking over the targeted systems."


Androxgh0st is designed to exfiltrate sensitive data from various sources, including .env files, databases, and cloud credentials. This allows threat actors to deliver additional payloads to compromised systems.


Juniper Threat Labs said it has observed an uptick in activity related to the exploitation of CVE-2017-9841, making it essential that users move quickly to update their instances to the latest version.


[![AndroxGh0st Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgFxJbR4kmxr6cuy72Ij-Oo-XUJ3WXQqqLSrUTKSslY1CXrcwQGr2NlgVTWPX_dvEExpJT6DkJO0UaWIuhA3c-uAortt2FcmG1J-flvwraxmi99pW62SM_ZH8bE5hrBTkMpyyGtmyrFvT_4sflxc3hK6sDM3XTGyXmtt5d3SJSd3S4N-qrQe-QSJrS09TY5/s728-rw-e365/android.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgFxJbR4kmxr6cuy72Ij-Oo-XUJ3WXQqqLSrUTKSslY1CXrcwQGr2NlgVTWPX_dvEExpJT6DkJO0UaWIuhA3c-uAortt2FcmG1J-flvwraxmi99pW62SM_ZH8bE5hrBTkMpyyGtmyrFvT_4sflxc3hK6sDM3XTGyXmtt5d3SJSd3S4N-qrQe-QSJrS09TY5/s728-rw-e365/android.jpg)
A majority of the attack attempts targeting its honeypot infrastructure originated from the U.S., U.K., China, the Netherlands, Germany, Bulgaria, Kuwait, Russia, Estonia, and India, it added.


The development comes as the AhnLab Security Intelligence Center (ASEC) [revealed](https://asec.ahnlab.com/en/62564/) that vulnerable WebLogic servers located in South Korea are being targeted by adversaries and used them as download servers to distribute a cryptocurrency miner called [z0Miner](https://thehackernews.com/2022/06/atlassian-confluence-flaw-being-used-to.html) and other tools like fast reverse proxy (FRP).


It also follows the discovery of a malicious campaign that infiltrates AWS instances to create over 6,000 EC2 instances within minutes and deploy a binary associated with a decentralized content delivery network (CDN) known as [Meson Network](https://www.meson.network/).


The Singapore-based company, which aims to create the "world's largest bandwidth marketplace," works by allowing users to exchange their idle bandwidth and storage resources with Meson for tokens (i.e., rewards).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiq3FD_K5jS19OiNrl_zJkHFPA5uRlxhWj-jrr23FY6-XPfhWmbo9d2hGEAU7haozVp8oJP6WDTShcroe-tunJMeq5PVdoOrePEC_-bzW8DlT4Dpp7r5CvIyQxabciMuLITAu8SQT6OeFR8bKOS4GQ32wteZFU8KG6c8a54AY-I7hO5w6Pc-Fzeun9pPY4w/s728-rw-e3650/cis-d.png)](https://thehackernews.uk/cis-hardened-images-platforms)
"This means miners will receive Meson tokens as a reward for providing servers to the Meson Network platform, and the reward will be calculated based on the amount of bandwidth and storage brought into the network," Sysdig [said](https://sysdig.com/blog/cloud-threats-deploying-crypto-cdn/) in a technical report published this month.


"It isn't all about mining cryptocurrency anymore. Services like Meson network want to leverage hard drive space and network bandwidth instead of CPU. While Meson may be a legitimate service, this shows that attackers are always on the lookout for new ways to make money."


With cloud environments increasingly becoming a lucrative target for threat actors, it is critical to keep software up to date and monitor for suspicious activity.


Threat intelligence firm Permiso has also [released](https://permiso.io/blog/cloudgrappler-a-powerful-open-source-threat-detection-tool-for-cloud-environments) a tool called [CloudGrappler](https://github.com/Permiso-io-tools/CloudGrappler), that's built on top of the foundations of [cloudgrep](https://github.com/cado-security/cloudgrep) and scans AWS and Azure for flagging malicious events related to well-known threat actors.


  





## Tags:
***CVE's***: CVE-2018-15133 CVE-2017-9841 CVE-2021-41773

### Autogenerated tags:
[[androxgh0st]] [[aws]] [[laravel]]
