# Brazilian Feds Dismantle Grandoreiro Banking Trojan, Arresting Top Operatives
## Brazilian law enforcement has taken down a major cybercrime ring behind the notorious Grandoreiro banking trojan
## Information:

+ Link: https://thehackernews.com/2024/01/brazilian-feds-dismantle-grandoreiro.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 30 January 2024, 22:13
+ Date scraped: 30 January 2024, 17:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi1dHYGhmkRf1ylIsGmlmUDYt71mx6IqQjXxQihICcFMIhiXkaFgXXxs1i5k-xuQlJAWrJFe6n9F3kReUKeuQ8VQUEmVUOhBXWAkxUZ3gMuev6d2QEyptNs6K14780z5x3meZ61tvAL83mUUNfeVQq3J0xgi5RjJqbwRhityWntneRzlf39eRnlkMxefyhd/s728-rw-ft-e30/brazil.jpg)


A Brazilian law enforcement operation has led to the arrest of several Brazilian operators in charge of the **Grandoreiro** malware.


The Federal Police of Brazil [said](https://www.gov.br/pf/pt-br/assuntos/noticias/2024/01/pf-combate-organizacao-criminosa-que-praticava-fraudes-bancarias-eletronicas-contra-vitimas-no-exterior) it served five temporary arrest warrants and 13 search and seizure warrants in the states of São Paulo, Santa Catarina, Pará, Goiás, and Mato Grosso.


Slovak cybersecurity firm ESET, which provided additional assistance in the effort, said it uncovered a design flaw in Grandoreiro's network protocol that helped it to identify the victimology patterns.


[Grandoreiro](https://thehackernews.com/2022/08/new-grandoreiro-banking-malware.html) is one of the many Latin American banking trojans such as Javali, Melcoz, Casabeniero, Mekotio, and Vadokrist, primarily targeting countries like Spain, Mexico, Brazil, and Argentina. It's known to be active since 2017.


In late October 2023, Proofpoint [revealed](https://thehackernews.com/2023/10/malvertising-campaign-targets-brazils.html) details of a phishing campaign that distributed an updated version of the malware to targets in Mexico and Spain.


The banking trojan has capabilities to both steal data through keyloggers and screenshots as well as siphon bank login information from overlays when an infected victim visits pre-determined banking sites targeted by the threat actors. It can also display fake pop-up windows and block the victim's screen.


Attack chains typically leverage phishing lures bearing decoy documents or malicious URLs that, when opened or clicked, lead to the deployment of malware, which then establishes contact with a command-and-control (C&C) server for remotely controlling the machine in a manual fashion.


"Grandoreiro periodically monitors the foreground window to find one that belongs to a web browser process," ESET [said](https://www.welivesecurity.com/en/eset-research/eset-takes-part-global-operation-disrupt-grandoreiro-banking-trojan/).


[![Grandoreiro Banking Trojan](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEipuKEZzSfwe-zdlz7lf-qmC4NnWZDvZuLq1ZsHDBQyLE_0mzdr1GMRy_b7UIFjHyXXA2gH2ThdTOZHH0k_DcvamsDxKMXbxNxaOnlXMenDooX5z5DCF3fCT1WikqIzTWLhpF7MJmL-yBtuHL4hq5CaVyhVWUyIhp9Ps77G7CrZzLy-4oV0ZltQDME07hZS/s728-rw-ft-e30/dga.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEipuKEZzSfwe-zdlz7lf-qmC4NnWZDvZuLq1ZsHDBQyLE_0mzdr1GMRy_b7UIFjHyXXA2gH2ThdTOZHH0k_DcvamsDxKMXbxNxaOnlXMenDooX5z5DCF3fCT1WikqIzTWLhpF7MJmL-yBtuHL4hq5CaVyhVWUyIhp9Ps77G7CrZzLy-4oV0ZltQDME07hZS/s728-rw-ft-e30/dga.jpg)
"When such a window is found and its name matches any string from a hardcoded list of bank-related strings, then and only then the malware initiates communication with its C&C server, sending requests at least once a second until terminated."


The threat actors behind the malware are also known to employ a domain generation algorithm ([DGA](https://en.wikipedia.org/wiki/Domain_generation_algorithm)) since around October 2020 to dynamically identify a destination domain for C&C traffic, making it harder to block, track, or take over the infrastructure.


A majority of the IP addresses these domains resolve to are provided primarily by Amazon Web Services (AWS) and Microsoft Azure, with the life span of the C&C IP addresses ranging anywhere between 1 day to 425 days. On average, there are 13 active and three new C&C IP addresses per day, respectively.


ESET also said that Grandoreiro's flawed implementation of its RealThinClient (RTC) network protocol for C&C made it possible to get information about the number of victims that are connected to the C&C server, which is 551 unique victims in a day on average mainly spread across Brazil, Mexico, and Spain.


Further investigation has found that an average number of 114 new unique victims connect to the C&C servers each day.


"The disruption operation led by the Federal Police of Brazil aimed at individuals who are believed to be high up in the Grandoreiro operation hierarchy," ESET said.


  





## Tags:


### Autogenerated tags:
[[c&c]] [[grandoreiro]] [[malware]] [[eset]] [[ip]]
