# Cloudflare Breach: Nation-State Hackers Access Source Code and Internal Docs
## Cloudflare suffered nation-state attack. Hackers accessed documentation, source code, and attempted data center breach. Read full story for details.
## Information:

+ Link: https://thehackernews.com/2024/02/cloudflare-breach-nation-state-hackers.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 02 February 2024, 11:51
+ Date scraped: 02 February 2024, 07:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhqy5-MRRGyoCTA2O0QQiy0RvBbfjBfb0TVNvwZ8sVIfPIVrxSOeCcLsSM_NBkPZfM330CiN_kBdyFiVb-0t6GdhMPJ5M7cKxnbBtuWBEXnBzYsL4A5Awwk7vaxQ0fBjTXj96t4GrGxC6S_aje7KAEftuALuA-W708DVfaH8S2VTlqdHJfq21gu7Mupj5n4/s728-rw-ft-e30/cloudflare.jpg)


Cloudflare has revealed that it was the target of a likely nation-state attack in which the threat actor leveraged stolen credentials to gain unauthorized access to its Atlassian server and ultimately access some documentation and a limited amount of source code.


The intrusion, which took place between November 14 and 24, 2023, and detected on November 23, was carried out "with the goal of obtaining persistent and widespread access to Cloudflare's global network," the web infrastructure company [said](https://blog.cloudflare.com/thanksgiving-2023-security-incident), describing the actor as "sophisticated" and one who "operated in a thoughtful and methodical manner."


As a precautionary measure, the company further said it rotated more than 5,000 production credentials, physically segmented test and staging systems, carried out forensic triages on 4,893 systems, reimaged and rebooted every machine across its global network.


The incident involved a four-day reconnaissance period to access Atlassian Confluence and Jira portals, following which the adversary created a rogue Atlassian user account and established persistent access to its Atlassian server to ultimately obtain access to its Bitbucket source code management system by means of the [Sliver](https://thehackernews.com/2024/01/chinese-hackers-exploiting-critical-vpn.html) adversary simulation framework.


As many as 120 code repositories were viewed, out of which 76 are estimated to have been exfiltrated by the attacker.


"The 76 source code repositories were almost all related to how backups work, how the global network is configured and managed, how identity works at Cloudflare, remote access, and our use of Terraform and Kubernetes," Cloudflare said.


"A small number of the repositories contained encrypted secrets which were rotated immediately even though they were strongly encrypted themselves."


The threat actor is then said to have unsuccessfully attempted to "access a console server that had access to the data center that Cloudflare had not yet put into production in São Paulo, Brazil."


The attack was accomplished by making use of one access token and three service account credentials associated with Amazon Web Services (AWS), Atlassian Bitbucket, Moveworks, and Smartsheet that were stolen following the [October 2023 hack](https://thehackernews.com/2023/10/oktas-support-system-breach-exposes.html) of Okta's support case management system.


Cloudflare acknowledged that it had failed to rotate these credentials, mistakenly assuming they were unused.


The company also said it took steps to terminate all malicious connections originating from the threat actor on November 24, 2024. It also involved cybersecurity firm CrowdStrike to perform an independent assessment of the incident.


"The only production systems the threat actor could access using the stolen credentials was our Atlassian environment. Analyzing the wiki pages they accessed, bug database issues, and source code repositories, it appears they were looking for information about the architecture, security, and management of our global network," Cloudflare said.


  





## Tags:


### Autogenerated tags:
[[cloudflare]] [[atlassian]]
