# Feds Warn of AndroxGh0st Botnet Targeting AWS, Azure, and Office 365 Credentials
## CISA & FBI warn of a growing AndroxGh0st botnet targeting AWS, Microsoft Office 365, SendGrid, and Twilio credentials.
## Information:

+ Link: https://thehackernews.com/2024/01/feds-warn-of-androxgh0st-botnet.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 17 January 2024, 16:44
+ Date scraped: 17 January 2024, 12:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_BQ3UD4MI8YAITtng54VYiWmPDk4CUFoQGuAJPBWbjTZp2Z5nLEvVC2yvnvZ1M1w5DIFwMC-LmwPYnHXCdCGmjwhZWrl9_9AbNNhH4a3b0wsof4WyMsol9YvR0S66cIqd8kcK7EwrLOZ8vN2dJ9SCq1VvYgcVx3CCp-hupoUwTASXJ0CgQGdZznDdUipr/s728-rw-ft-e30/server.jpg)


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) and the Federal Bureau of Investigation (FBI) [warned](https://www.cisa.gov/news-events/alerts/2024/01/16/cisa-and-fbi-release-known-iocs-associated-androxgh0st-malware) that threat actors deploying the **AndroxGh0st** malware are creating a botnet for "victim identification and exploitation in target networks."


A Python-based malware, [AndroxGh0st](https://fortiguard.fortinet.com/threat-signal-report/5066/androxgh0st-malware-actively-used-in-the-wild) was first documented by Lacework in December 2022, with the malware inspiring several [similar tools](https://thehackernews.com/2023/03/alienfox-malware-targets-api-keys-and.html) like AlienFox, GreenBot (aka Maintance), Legion, and Predator.


The cloud attack tool is capable of infiltrating servers vulnerable to known security flaws to access Laravel environment files and steal credentials for high-profile applications such as Amazon Web Services (AWS), Microsoft Office 365, SendGrid, and Twilio.


Some of the notable flaws weaponized by the attackers include [CVE-2017-9841](https://thehackernews.com/2023/11/kinsing-actors-exploit-linux-flaw-to.html) (PHPUnit), [CVE-2021-41773](https://thehackernews.com/2021/10/apache-warns-of-zero-day-exploit-in.html) (Apache HTTP Server), and [CVE-2018-15133](https://nvd.nist.gov/vuln/detail/CVE-2018-15133) (Laravel Framework).


"AndroxGh0st has multiple features to enable SMTP abuse including scanning, exploitation of exposed creds and APIs, and even deployment of web shells," Lacework [said](https://www.lacework.com/blog/androxghost-the-python-malware-exploiting-your-aws-keys/). "For AWS specifically, the malware scans for and parses AWS keys but also has the ability to generate keys for brute-force attacks."


[![AndroxGh0st Botnet](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEieEsKesmrkZ3M1NbvJ5M3Mdh4Pqz09KgublmsZFw3iKwchVbS47ujMKjpYRxEF3jNy2HClJhR5G-uz9Bug22DTRq8T7cqz0wpzHyg35m-czliRLYaPEPviQvT3VXwMU-0atAVKMkVX5PE9Md7RORba6OZrJbX7GljTU_K8mGR2rN9cMJs-d3eU0bXGaFC1/s728-rw-ft-e30/keys.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEieEsKesmrkZ3M1NbvJ5M3Mdh4Pqz09KgublmsZFw3iKwchVbS47ujMKjpYRxEF3jNy2HClJhR5G-uz9Bug22DTRq8T7cqz0wpzHyg35m-czliRLYaPEPviQvT3VXwMU-0atAVKMkVX5PE9Md7RORba6OZrJbX7GljTU_K8mGR2rN9cMJs-d3eU0bXGaFC1/s728-rw-ft-e30/keys.jpg)
These features make AndroxGh0st a potent threat that can be used to download additional payloads and retain persistent access to compromised systems.


The development arrives less than a week after SentinelOne revealed a related-but-distinct tool called [FBot](https://thehackernews.com/2024/01/new-python-based-fbot-hacking-toolkit.html) that is being employed by attackers to breach web servers, cloud services, content management systems (CMS), and SaaS platforms.


It also follows an alert from NETSCOUT about a significant spike in botnet scanning activity since mid-November 2023, touching a peak of nearly 1.3 million distinct devices on January 5, 2024. A majority of the source IP addresses are associated with the U.S., China, Vietnam, Taiwan, and Russia.


"Analysis of the activity has uncovered a rise in the use of cheap or free cloud and hosting servers that attackers are using to create botnet launch pads," the company [said](https://www.netscout.com/blog/asert/unprecedented-growth-malicious-botnets-observed). "These servers are used via trials, free accounts, or low-cost accounts, which provide anonymity and minimal overhead to maintain."


  





## Tags:
***CVE's***: CVE-2018-15133 CVE-2017-9841 CVE-2021-41773

### Autogenerated tags:
[[androxgh0st]] [[malware]] [[botnet]] [[cloud]] [[aws]]
