# First Malware Targeting AWS Lambda Serverless Platform Discovered
## Researchers discover the first malware targeting Amazon Web Services' (AWS) Lambda serverless platform.
## Information:

+ Link: https://thehackernews.com/2022/04/first-malware-targeting-aws-lambda.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 07 April 2022, 15:29
+ Date scraped: 07 April 2022, 16:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj8rdyXU0bVPk0Moz_fOkXkmSox4AXLrxCFWDtD72_RqTSozVThbVaFUHV1qX_-2EksGzmcmCPdKnLgOg0HxEluohrTItyjN8Lqre6KHgOCpKxBJ3ZxOonV07hTMWBUB-Sygb20cMD9REmS3N6kqkRWF0TVnoMKMplOWJaClpyUbaS5H_ovoTrBCNOs/s728-e100/aws.jpg)


A first-of-its-kind malware targeting Amazon Web Services' (AWS) Lambda serverless computing platform has been discovered in the wild.


Dubbed "Denonia" after the name of the domain it communicates with, "the malware uses newer address resolution techniques for command and control traffic to evade typical detection measures and virtual network access controls," Cado Labs researcher Matt Muir [said](https://www.cadosecurity.com/cado-discovers-denonia-the-first-malware-specifically-targeting-lambda/).


The [artifact](https://www.virustotal.com/gui/file/a31ae5b7968056d8d99b1b720a66a9a1aeee3637b97050d95d96ef3a265cbbca) analyzed by the cybersecurity company was uploaded to the VirusTotal database on February 25, 2022, sporting the name "python" and packaged as a 64-bit [ELF](https://en.wikipedia.org/wiki/Executable_and_Linkable_Format) executable.


However, the filename is a misnomer, as Denonia is programmed in Go and harbors a customized variant of the XMRig cryptocurrency mining software. That said, the mode of initial access is unknown, although it's suspected it may have involved the compromise of AWS Access and Secret Keys.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi4s1AgA91NGj9-8PdQ_4DzeRR0Rc8CTguNvaMcDgMcqtPY2CDRW_ms5OqrPNNY_A9uxaUIEM-xuWP4yU9F6QRiQCDmCF8Fdxi1oKSMbgUICV_FXGvWsr8mgDfuwUulVQ7qtZjD24pnyETJawN1m54tj6Do66kNV_QlAkQtjg_yK7sh43XL71cuqA3z/s728-e100/aws-malware.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi4s1AgA91NGj9-8PdQ_4DzeRR0Rc8CTguNvaMcDgMcqtPY2CDRW_ms5OqrPNNY_A9uxaUIEM-xuWP4yU9F6QRiQCDmCF8Fdxi1oKSMbgUICV_FXGvWsr8mgDfuwUulVQ7qtZjD24pnyETJawN1m54tj6Do66kNV_QlAkQtjg_yK7sh43XL71cuqA3z/s728-e100/aws-malware.jpg)
Another notable feature of the malware is its use of DNS over HTTPS ([DoH](https://en.wikipedia.org/wiki/DNS_over_HTTPS)) for communicating with its command-and-control server ("gw.denonia[.]xyz") by concealing the traffic within encrypted DNS queries.


However, "python" isn't the only sample of Denonia unearthed so far, what with Cado Labs finding a second sample (named "[bc50541af8fe6239f0faa7c57a44d119.virus](https://www.virustotal.com/gui/file/739fe13697bc55870ceb35003c4ee01a335f9c1f6549acb6472c5c3078417eed)") that was uploaded to VirusTotal on January 3, 2022.


"Although this first sample is fairly innocuous in that it only runs crypto-mining software, it demonstrates how attackers are using advanced cloud-specific knowledge to exploit complex cloud infrastructure, and is indicative of potential future, more nefarious attacks," Muir said.


  





## Tags:
***urls***: http://gw.denonia.xyz
***MD5-hash***: bc50541af8fe6239f0faa7c57a44d119

### Autogenerated tags:
[[malware]] [[denonia]]
