# Hackers Exploit Containerized Environments to Steals Proprietary Data and Software
## The latest cyber attack targeting containerized environments to steal proprietary data and software but using crypto miner malware.
## Information:

+ Link: https://thehackernews.com/2023/03/hackers-exploit-containerized.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 02 March 2023, 13:40
+ Date scraped: 02 March 2023, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEilityjzdrhM7puURiJeY4v7t3cyw0zmqnKc3ASF8X0S7ALCuuZ8A7gomtFiW_UdN4nTbnUv45EPJBBuKYJfagwaIPN1H-Uwu8Ayt83sim-9ArpTLXRj4P2Dxj9m44cfx8lthditgMx54BC_E0E_Qt-FNsejIjgDyXUxQg8nmmmDxXTWjoDA2Gt-jrV/s728-e3650/doc.png)


A sophisticated attack campaign dubbed **SCARLETEEL** is targeting containerized environments to perpetrate theft of proprietary data and software.


"The attacker exploited a containerized workload and then leveraged it to perform privilege escalation into an AWS account in order to steal proprietary software and credentials," Sysdig [said](https://sysdig.com/blog/cloud-breach-terraform-data-theft/) in a new report.


The advanced cloud attack also entailed the deployment of crypto miner software, which the cybersecurity company said is either an attempt to generate illicit profits or a ploy to distract defenders and throw them off the trail.


The initial infection vector banked on exploiting a vulnerable public-facing service in a self-managed Kubernetes cluster hosted on Amazon Web Services (AWS).


Upon gaining a successful foothold, an XMRig crypto miner was launched and a bash script was used to obtain credentials that could be used to further burrow into the AWS cloud infrastructure and exfiltrate sensitive data.


"Either crypto mining was the attacker's initial goal and the goal changed once they accessed the victim's environment, or crypto mining was used as a decoy to evade the detection of data exfiltration," the company said.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjxd9q_ylZtKCdg2phE2Ix0vFrEOBQofN5DwP5YNEgko6CHAHGaJ7cY4a9uCrMQnG7r7BdH4GGK1r02BxlhT9UwLTqIK6kc_1dvzFzWaCPX39RjFADcW2ypctoZ8pLbFErXNI4o2WuQMivf0VD74kiaeUYtGOImxeM0iE9La1LVpdxs_ycbcB8TEfWc/s728-e365/data.png)
The intrusion notably also disabled [CloudTrail logs](https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-log-file-examples.html) to minimize the digital footprint, preventing Sysdig from accessing additional evidence. In all, it allowed the threat actor to access more than 1TB of data, including customer scripts, troubleshooting tools, and logging files.

 "They also attempted to pivot using a Terraform state file to other connected AWS accounts to spread their reach throughout the organization," the company said. This, however, proved to be unsuccessful due to lack of permissions.


The findings come weeks after Sysdig also [detailed](https://sysdig.com/blog/8220-gang-continues-to-evolve/) another cryptojacking campaign mounted by the [8220 Gang](https://thehackernews.com/2022/07/this-cloud-botnet-has-hijacked-30000.html) between November 2022 and January 2023 targeting exploitable Apache web server and Oracle Weblogic applications.


  





## Tags:


### Autogenerated tags:
[[aws]] [[sysdig]]
