# Indonesian Cybercriminals Exploit AWS for Profitable Crypto Mining Operations
## GUI-vil, the financially driven Indonesian group, leverages AWS EC2 instances for crypto mining, leaving victim organizations to bear the cost.
## Information:

+ Link: https://thehackernews.com/2023/05/indonesian-cybercriminals-exploit-aws.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 22 May 2023, 21:35
+ Date scraped: 22 May 2023, 18:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh3CHScRqcKS7PwL-oce_WjeNwa0Sl2eIq-gNhlPHJoG-hYRAtkqL2jrNAmLQagkSVgt-aR1wRRcwVGNqN6yn9b1oS5E0VchRELzhSykTZ5r-QTVSDjBtAawUdPlSmzqr2bR_-A7tb-hSUgePACaFcbsccKo-l8n8DoR_RefDhfXBGkXNIFLrrGRuPg/s728-e3650/aws.jpg)


A financially motivated threat actor of Indonesian origin has been observed leveraging Amazon Web Services (AWS) Elastic Compute Cloud (EC2) instances to carry out illicit crypto mining operations.


Cloud security company's Permiso P0 Labs, which first detected the group in November 2021, has assigned it the moniker **GUI-vil** (pronounced Goo-ee-vil).


"The group displays a preference for Graphical User Interface (GUI) tools, specifically S3 Browser (version 9.5.5) for their initial operations," the company said in a report shared with The Hacker News. "Upon gaining AWS Console access, they conduct their operations directly through the web browser."


Attack chains mounted by GUI-vil entail obtaining initial access by weaponizing AWS keys in publicly exposed source code repositories on GitHub or scanning for GitLab instances that are vulnerable to remote code execution flaws (e.g., [CVE-2021-22205](https://nvd.nist.gov/vuln/detail/CVE-2021-22205)).


A successful ingress is followed by privilege escalation and an internal reconnaissance to review all available S3 buckets and determine the services that are accessible via the AWS web console.


[![AWS Crypto Mining](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi-wqMQB2jvy2co5rrJP7SzsydnIdZ-fEf7WfDc9OnfEdr8kt3t2-aL2mS5LCRUBYnjsZa8OKAEF8goHiPS_8vXtytGZV6PfACz0D51iShYjUffqHFsNDX-P-9l3wGhuwAUEQ7R_Cmj6fleeyeTJNdh-xn4fQ2S782773uzU3YYf9ag35Neq1qV9-ex/s728-e365/crypto.jpg)
A notable aspect of the threat actor's modus operandi is its attempt to blend in and persist within the victim environment by creating new users that conform to the same naming convention and ultimately meet its objectives.


"GUI-vil will also create access keys for the new identities they are creating so they can continue usage of [S3 Browser](https://s3browser.com/) with these new users," the company explained.


Alternatively, the group has also been spotted [creating login profiles](https://s3browser.com/iam-aws-identity-and-access-management.aspx) for existing users that do not have them so as to enable access to the AWS console without raising red flags.


GUI-vil's links to Indonesia stem from the fact that the source IP addresses associated with the activities are linked to two Autonomous System Numbers (ASNs) located in the Southeast Asian country.


"The group's primary mission, financially driven, is to create EC2 instances to facilitate their crypto mining activities," researchers said. "In many cases the profits they make from crypto mining are just a sliver of the expense the victim organizations have to pay for running the EC2 instances."



  





## Tags:
***CVE's***: CVE-2021-22205

### Autogenerated tags:
[[aws]] [[gui-vil]] [[ec2]] [[s3]]
