# Kubernetes RBAC Exploited in Large-Scale Campaign for Cryptocurrency Mining
## A large-scale attack campaign exploiting Kubernetes RBAC has been discovered, leading to backdoors and cryptocurrency miners.
## Information:

+ Link: https://thehackernews.com/2023/04/kubernetes-rbac-exploited-in-large.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 April 2023, 13:26
+ Date scraped: 21 April 2023, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg0-BVh31B-R_Az4QQpicPDqFk0eG6EQy524sAF7F12A9eoBYKG4N0FSzsqX9pRpgjwF7hJyQGOzjCAnpiAJpvwldVComwBhdQqBrgrhVtDXeGuSahK-uMioIybCcqXYWw_A1PczuqzIsTuDShArZZre55U1UqbdbRBRzdk0KnXbB-pfZL3B_CxTNYC/s728-e3650/kk.png)


A large-scale attack campaign discovered in the wild has been exploiting Kubernetes (K8s) Role-Based Access Control ([RBAC](https://kubernetes.io/docs/reference/access-authn-authz/rbac/)) to create backdoors and run cryptocurrency miners.


"The attackers also deployed DaemonSets to take over and hijack resources of the K8s clusters they attack," cloud security firm Aqua said in a [report](https://blog.aquasec.com/leveraging-kubernetes-rbac-to-backdoor-clusters) shared with The Hacker News. The Israeli company, which dubbed the attack **RBAC Buster**, said it found 60 exposed K8s clusters that have been exploited by the threat actor behind this campaign.


The attack chain commenced with the attacker gaining initial access via a misconfigured API server, followed by checking for evidence of competing miner malware on the compromised server and then using RBAC to set up persistence.


"The attacker created a new ClusterRole with near admin-level privileges," the company said. "Next, the attacker created a 'ServiceAccount', 'kube-controller' in the 'kube-system' namespace. Lastly, the attacker created a 'ClusterRoleBinding', binding the ClusterRole with the ServiceAccount to create a strong and inconspicuous persistence."


In the intrusion observed against its K8s honeypots, the attacker attempted to weaponize the exposed AWS access keys to obtain an entrenched foothold into the environment, steal data, and escape the confines of the cluster.


[![Kubernetes RBAC](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhuUVrY-8oECPp6DPt3S1LSpgJ4MPJPHxIa5KqD_7iWvRT-9WlXjs3edeq7AGVG1vFIl-MUVSZ6kLqI3kj3HjmC4MlBo2bM_6JbCb74zetE6kge-Dd4oAyF8TxmNI4-Ayg8VjtaGhkCoJ6pvifuIb-lwvddFirhjd9BgWYQjnOdMb7YhaIFfrXEKkOG/s728-e365/hi.png)
The final step of the attack entailed the threat actor creating a DaemonSet to deploy a container image hosted on Docker ("kuberntesio/kube-controller:1.0.1") on all nodes. The container, which has been pulled 14,399 times since its upload five months ago, harbors a cryptocurrency miner.


"The container image named 'kuberntesio/kube-controller' is a case of typosquatting that impersonates the legitimate 'kubernetesio' account," Aqua said. "The image also mimics the popular 'kube-controller-manager' container image, which is a critical component of the control plane, running within a Pod on every master node, responsible for detecting and responding to node failures."


Interestingly, some of the tactics described in the campaign bear similarities to another [illicit cryptocurrency mining operation](https://thehackernews.com/2023/03/new-cryptojacking-operation-targeting.html) that also took advantage of DaemonSets to mint Dero and Monero. It's currently not clear whether the two sets of attacks are related.



  





## Tags:


### Autogenerated tags:
[[k8s]] [[rbac]]
