# Legion Malware Upgraded to Target SSH Servers and AWS Credentials
## Legion malware evolves with expanded capabilities. Latest version exploits SSH servers and gains access to DynamoDB and CloudWatch credentials.
## Information:

+ Link: https://thehackernews.com/2023/05/legion-malware-upgraded-to-target-ssh.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 24 May 2023, 15:30
+ Date scraped: 24 May 2023, 11:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiEmrk1GG68cIsEZTSFeSzRiN6Z1lypMapi3RIJO9w-W6vu5CkOm-LhxQRenVnS4KMJjzmM-UTUFxkpblkx9ooDvhmpwPy6njweb5-rwPwRzhfVEw5aWZ7VWVEFdZuaEqWt-3V-PaHJUWfmGjrJ_6EfQnJ8TxjE7VcVlo1U4qXUTBbwUwUDOzS4wlbe/s728-e3650/malware.jpg)


An updated version of the commodity malware called Legion comes with expanded features to compromise SSH servers and Amazon Web Services (AWS) credentials associated with DynamoDB and CloudWatch.


"This recent update demonstrates a widening of scope, with new capabilities such the ability to compromise SSH servers and retrieve additional AWS-specific credentials from Laravel web applications," Cado Labs researcher Matt Muir [said](https://www.cadosecurity.com/updates-to-legion-a-cloud-credential-harvester-and-smtp-hijacker/) in a report shared with The Hacker News.


"It's clear that the developer's targeting of cloud services is advancing with each iteration."


Legion, a Python-based hack tool, was [first documented](https://thehackernews.com/2023/04/new-python-based-legion-hacking-tool.html) last month by the cloud security firm, detailing its ability to breach vulnerable SMTP servers in order to harvest credentials.


It's also known to exploit web servers running content management systems (CMS), leverage Telegram as a data exfiltration point, and send spam SMS messages to a list of dynamically-generated U.S. mobile numbers by making use of the stolen SMTP credentials.


A notable addition to Legion is its ability to exploit SSH servers using the [Paramiko module](https://www.paramiko.org/). It also includes features to retrieve additional AWS-specific credentials related to DynamoDB, CloudWatch, and [AWS Owl](https://github.com/ab/aws-owl) from Laravel web applications.


Another change relates to the inclusion of additional paths to enumerate for the existence of .env files such as /cron/.env, /lib/.env, /sitemaps/.env, /tools/.env, /uploads/.env, and /web/.env among others.


"Misconfigurations in web applications are still the primary method used by Legion to retrieve credentials," Muir said.


"Therefore, it's recommended that developers and administrators of web applications regularly review access to resources within the applications themselves, and seek alternatives to storing secrets in environment files."



  





## Tags:


### Autogenerated tags:
[[ssh]]
