# LummaC2 Malware Deploys New Trigonometry-Based Anti-Sandbox Technique
## New LummaC2 malware uses trigonometry-based tactic to differentiate between users and security systems, evading sandboxes and security analyses.
## Information:

+ Link: https://thehackernews.com/2023/11/lummac2-malware-deploys-new.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 20 November 2023, 16:19
+ Date scraped: 20 November 2023, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjMFViIUR8jphoPGdQcLpQJHRDsMTQJ-bB7Ouku3wEQDeHkNROgFsHDAsHrRR6z85VIIlV4RYBd1pyJTZgfNHp9ruVOoKxm8Cofy5ZtQIPIcsFcIL4_v1wsuo4Qw2MdrQzUiDj6ArX2RiQ72TZYE0hQtiBGmfwCUopHAh0htJt4dcjendWqnnNh4UpcBmGn/s728-rw-ft-e30/malware.jpg)


The stealer malware known as **LummaC2** (aka Lumma Stealer) now features a new anti-sandbox technique that leverages the mathematical principle of trigonometry to evade detection and exfiltrate valuable information from infected hosts.


The method is designed to "delay detonation of the sample until human mouse activity is detected," Outpost24 security researcher Alberto Marín [said](https://outpost24.com/blog/lummac2-anti-sandbox-technique-trigonometry-human-detection/) in a technical report shared with The Hacker News.


Written in the C programming language, LummaC2 has been sold in underground forums since December 2022. The malware has since [received](https://thehackernews.com/2023/09/new-zenrat-malware-targeting-windows.html) [iterative updates](https://thehackernews.com/2023/11/new-jupyter-infostealer-version-emerges.html) that make it harder to analyze via control flow flattening and even allow it to deliver additional payloads.


The current version of LummaC2 (v4.0) also requires its customers to use a [crypter](https://thehackernews.com/2023/09/cybercriminals-using-new-asmcrypt.html) as an added concealing mechanism, not to mention prevent it from being leaked in its raw form.


Another noteworthy update is the reliance on trigonometry to detect human behavior on the infiltrated endpoint.


"This technique takes into consideration different positions of the cursor in a short interval to detect human activity, effectively preventing detonation in most analysis systems that do not emulate mouse movements realistically," Marín said.


To do so, it extracts the current cursor position for five times after a predefined interval of 300 milliseconds, and checks if every captured position is different from its preceding one. The process is repeated indefinitely until all consecutive cursor positions differ.


Once all the five cursor positions (P0, P1, P2, P3, and P4) meet the requirements, LummaC2 treats them as [Euclidean vectors](https://en.wikipedia.org/wiki/Euclidean_vector) and [calculates the angle](https://www.omnicalculator.com/math/angle-between-two-vectors) that's formed between two consecutive vectors (P01-P12, P12-P23, and P23-P34).


"If all the calculated angles are lower than 45º, then LummaC2 v4.0 considers it has detected 'human' mouse behavior and continues with its execution," Marín said.


"However, if any of the calculated angles is bigger than 45º, the malware will start the process all over again by ensuring there is mouse movement in a 300-millisecond period and capturing again 5 new cursor positions to process."


The development comes amid the emergence of new strains of information stealers and remote access trojans such as [BbyStealer](https://cyble.com/blog/bbystealer-malware-resurfaces-sets-sights-on-vpn-users/), [Trap Stealer](https://cyble.com/blog/new-open-source-trap-stealer-pilfers-data-in-just-6-seconds/), [Predator AI](https://www.sentinelone.com/labs/predator-ai-chatgpt-powered-infostealer-takes-aim-at-cloud-platforms/), and [Sayler RAT](https://cyble.com/blog/new-java-based-sayler-rat-targets-polish-speaking-users/) that are designed to extract a wide range of sensitive data from compromised systems.


Predator AI, an actively maintained project, is also notable for the fact that it can be used to attack many popular cloud services such as AWS, PayPal, Razorpay, and Twilio, in addition to incorporating a ChatGPT API to "make the tool easier to use," SentinelOne noted earlier this month.


"The malware-as-a-service (MaaS) model, and its readily available scheme, remains to be the preferred method for emerging threat actors to carry out complex and lucrative cyberattacks," Marín said.


"Information theft is a significant focus within the realm of MaaS, [and] represents a considerable threat that can lead to substantial financial losses for both organizations and individuals."


  





## Tags:


### Autogenerated tags:
[[lummac2]] [[marín]] [[malware]]
