# Malicious 'SNS Sender' Script Abuses AWS for Bulk Smishing Attacks
## A malicious Python script allowing cybercriminals to launch SMS phishing attacks via AWS SNS
## Information:

+ Link: https://thehackernews.com/2024/02/malicious-sns-sender-script-abuses-aws.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 16 February 2024, 16:19
+ Date scraped: 16 February 2024, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEim77xbXmGAd0HChhj1ys1w6aha_gFXwFkuruF01q5wqgBjowYIOP3V2X-8p4tM-q77fS0u8_P616fZLYuKsezgBDfxg9uVVztMNaqQ6xmFoh0xZOBV4KQhDqVj8o55bYTJV89Y3GI5xMsW2HKccFSZvjqT026kxl35clD9gkSZJopfdkWoNr-5Pb4BONOg/s728-rw-e365/sms.jpg)


A malicious Python script known as **SNS Sender** is being advertised as a way for threat actors to send bulk smishing messages by abusing Amazon Web Services (AWS) Simple Notification Service ([SNS](https://aws.amazon.com/sns/)).


The SMS phishing messages are designed to propagate malicious links that are designed to capture victims' personally identifiable information (PII) and payment card details, SentinelOne [said](https://www.sentinelone.com/labs/sns-sender-active-campaigns-unleash-messaging-spam-through-the-cloud/) in a new report, attributing it to a threat actor named ARDUINO\_DAS.


"The smishing scams often take the guise of a message from the United States Postal Service (USPS) regarding a missed package delivery," security researcher Alex Delamotte said.


SNS Sender is also the first tool observed in the wild that leverages AWS SNS to conduct SMS spamming attacks. SentinelOne said that it identified links between ARDUINO\_DAS and more than 150 phishing kits offered for sale.


The malware requires a list of phishing links stored in a file named links.txt in its working directory, in addition to a list of AWS access keys, the phone numbers to target, the sender ID (aka display name), and the content of the message.


The mandatory inclusion of sender ID for sending the scam texts is noteworthy because support for sender IDs varies from country to country. This suggests that the author of SNS Sender is likely from a country where the sender ID is a conventional practice.


"For example, carriers in the United States don't support sender IDs at all, but carriers in India require senders to use sender IDs," Amazon says in its documentation.


There is evidence to suggest that this operation may have been active since at least July 2022, going by bank logs containing references to ARDUINO\_DAS that have been shared on carding forums like [Crax Pro](https://craxpro.io/threads/bank-logs.56226/).


A vast majority of the phishing kits are USPS-themed, directing users to bogus pages that prompt users to enter their personal and credit/debit card information, as evidenced by security researcher @JCyberSec\_ on X (formerly Twitter) in early September 2022.


"Do you think the deploying actor knows all the kits have a hidden backdoor sending the logs to another place?," the researcher further [noted](https://twitter.com/JCyberSec_/status/1567874393103007747).


If anything, the development represents commodity threat actors' ongoing attempts to exploit cloud environments for smishing campaigns. In April 2023, Permiso [revealed](https://permiso.io/blog/s/smishing-attack-on-aws-sms-new-phone-who-dis/) an attack campaign that took advantage of previously exposed AWS access keys to infiltrate AWS servers and send SMS messages using SNS.


The findings also follow the discovery of a new dropper codenamed TicTacToe that's likely sold as a service to threat actors and has been observed being used to propagate a wide variety of information stealers and remote access trojans (RATs) targeting Windows users throughout 2023.


Fortinet FortiGuard Labs, which [shed light on the malware](https://www.fortinet.com/blog/threat-research/tictactoe-dropper), said it's deployed by means of a four-stage infection chain that starts with an ISO file embedded within email messages.


Another relevant example of threat actors continuously innovating their tactics concerns the use of advertising networks to stage effective spam campaigns and deploy malware such as [DarkGate](https://thehackernews.com/2024/01/invoice-phishing-alert-ta866-deploys.html).


"The threat actor proxied links through an advertising network to evade detection and capture analytics about their victims," HP Wolf Security [said](https://threatresearch.ext.hp.com/hp-wolf-security-threat-insights-report-q4-2023/). "The campaigns were initiated through malicious PDF attachments posing as OneDrive error messages, leading to the malware."


The infosec arm of the PC maker also highlighted the misuse of legitimate platforms like Discord to stage and distribute malware, a trend that has become [increasingly common in recent years](https://thehackernews.com/2023/10/discord-playground-for-nation-state.html), prompting the company to switch to temporary file links by the end of last year.


"Discord is known for its robust and reliable infrastructure, and it is widely trusted," Intel 471 [said](https://intel471.com/blog/how-discord-is-abused-for-cybercrime). "Organizations often allowlist Discord, meaning that links and connections to it are not restricted. This makes its popularity among threat actors unsurprising given its reputation and widespread use."


  





## Tags:


### Autogenerated tags:
[[sns]] [[aws]] [[malware]] [[phishing]] [[smishing]] [[sms]] [[arduino_das]]
