# Muddled Libra Shifts Focus to SaaS and Cloud for Extortion and Data Theft Attacks
## Muddled Libra threat group weaponizes SaaS & cloud environments for data exfiltration.
## Information:

+ Link: https://thehackernews.com/2024/04/muddled-libra-shifts-focus-to-saas-and.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 15 April 2024, 18:59
+ Date scraped: 15 April 2024, 14:10

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgY4QgJVIKWaChCqvYFr75IVLZvUnsS6kjwWhk3LQAiRSQvJRMgHCmJ_2oh2Che-jGwwx8WXbXw3mPJUTE91VKkXH4iEAudnCwyBj6RPYw6hq1YLLBCFUuJOziPPv0Yt3Ow4dWe2ar5fFmQgOLaYXiIoKWCFxDLLHgfriICAfFGs56uYI5L2z3xodny9aZY/s728-rw-e365/cloud-data-security.jpg)


The threat actor known as **Muddled Libra** has been observed actively targeting software-as-a-service (SaaS) applications and cloud service provider (CSP) environments in a bid to exfiltrate sensitive data.


"Organizations often store a variety of data in SaaS applications and use services from CSPs," Palo Alto Networks Unit 42 [said](https://unit42.paloaltonetworks.com/muddled-libra-evolution-to-cloud/) in a report published last week.


"The threat actors have begun attempting to leverage some of this data to assist with their attack progression, and to use for extortion when trying to monetize their work."


Muddled Libra, also called Starfraud, UNC3944, Scatter Swine, and Scattered Spider, is a notorious cybercriminal group that has leveraged sophisticated social engineering techniques to gain initial access to target networks.


"Scattered Spider threat actors have historically evaded detection on target networks by using living off the land techniques and allowlisted applications to navigate victim networks, as well as frequently modifying their TTPs," the U.S. government [said](https://thehackernews.com/2023/11/us-cybersecurity-agencies-warn-of.html) in an advisory late last year.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The attackers also have a history of monetizing access to victim networks in numerous ways, including extortion enabled by ransomware and data theft.


Unit 42 [previously told](https://thehackernews.com/2023/06/cybercrime-group-muddled-libra-targets.html) The Hacker News that the moniker "Muddled Libra" comes from the "confusing muddled landscape" associated with the 0ktapus phishing kit, which has been put to use by other threat actors to stage credential harvesting attacks.


A key aspect of the threat actor's tactical evolution is the use of reconnaissance techniques to identify administrative users to target when posing as helpdesk staff using phone calls to obtain their passwords.


The recon phase also extends to Muddled Libra, which performs extensive research to find information about the applications and the cloud service providers used by the target organizations.


"The [Okta cross-tenant impersonation attacks](https://thehackernews.com/2023/09/okta-warns-of-social-engineering.html) that occurred from late July to early August 2023, where Muddled Libra bypassed IAM restrictions, display how the group exploits Okta to access SaaS applications and an organization's various CSP environments," security researcher Margaret Zimmermann explained.


The information obtained at this stage serves as a stepping stone for conducting lateral movement, abusing the admin credentials to access single sign-on (SSO) portals to gain quick access to SaaS applications and cloud infrastructure.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiiksXp97VpicYjwvdYbkygNnl3BUQfxiHmA-K52sHq1FbSmZdy5qzlyOnaGo7V49en7BJXlu6DKAJ9eeGG0mHdv7qpmBWoOGd3HxkoAT4vKQ1H9tSqSx1qk1uJ0K9qWSU7jqUK4aDLHjmAPa9pyXxdegnu1VMeZ64G483TwmQMFhwmYxZEp3l_n8oCneDX/s728-rw-e365/map.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiiksXp97VpicYjwvdYbkygNnl3BUQfxiHmA-K52sHq1FbSmZdy5qzlyOnaGo7V49en7BJXlu6DKAJ9eeGG0mHdv7qpmBWoOGd3HxkoAT4vKQ1H9tSqSx1qk1uJ0K9qWSU7jqUK4aDLHjmAPa9pyXxdegnu1VMeZ64G483TwmQMFhwmYxZEp3l_n8oCneDX/s728-rw-e365/map.png)
In the event SSO is not integrated into a target's CSP, Muddled Libra undertakes broad discovery activities to uncover the CSP credentials, likely stored in unsecured locations, to meet their objectives.


The data stored with SaaS applications are also used to glean specifics about the infected environment, capturing as many credentials as possible to widen the scope of the breach via privilege escalation and lateral movement.


"A large portion of Muddled Libra's campaigns involve gathering intelligence and data," Zimmermann said.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"Attackers then use this to generate new vectors for lateral movement within an environment. Organizations store a variety of data within their unique CSP environments, thus making these centralized locations a prime target for Muddled Libra."


These actions specifically single out Amazon Web Services (AWS) and Microsoft Azure, targeting services like AWS IAM, Amazon Simple Storage Service (S3), AWS Secrets Manager, Azure storage account access keys, Azure Blob Storage, and Azure Files to extract relevant data.


Data exfiltration to an external entity is achieved by abusing legitimate CSP services and features. This encompasses tools like AWS DataSync, AWS Transfer, and a technique called [snapshot](https://learn.microsoft.com/en-us/azure/virtual-machines/snapshot-copy-managed-disk), the latter of which makes it possible to move data out of an Azure environment by staging the stolen data in a virtual machine.


Muddled Libra's tactical shift requires organizations to secure their identity portals with robust secondary authentication protections like hardware tokens or biometrics.


"By expanding their tactics to include SaaS applications and cloud environments, the evolution of Muddled Libra's methodology shows the multidimensionality of cyberattacks in the modern threat landscape," Zimmermann concluded. "The use of cloud environments to gather large amounts of information and quickly exfiltrate it poses new challenges to defenders."


  





## Tags:


### Autogenerated tags:
[[saas]] [[cloud]] [[aws]] [[zimmermann]]
