# New AMBERSQUID Cryptojacking Operation Targets Uncommon AWS Services
## A new cryptojacking operation, AMBERSQUID, is exploiting uncommon AWS services like AWS Amplify, Fargate, and SageMaker.
## Information:

+ Link: https://thehackernews.com/2023/09/new-ambersquid-cryptojacking-operation.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 18 September 2023, 18:00
+ Date scraped: 18 September 2023, 13:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg6SHw-6-d58ODiwoYiRfSJiVQjwOYCV5agvbynJf8Iy0CJaZbUYdOsrUCn2G-CDpbKT5KRO1TVx3FhqDDVEPWOX8am1NGtXR9PhE020urmSm2kWC1nd3TF0DBPSsw7pBR1Iw7pmlPfIljZrme3B8VgWNCho-nkxiXZmWFQlI9R_uw8SFLW5jV_hUbw5Ezp/s728-e3650/aws.jpg)


A novel cloud-native cryptojacking operation has set its eyes on uncommon Amazon Web Services (AWS) offerings such as AWS Amplify, AWS Fargate, and Amazon SageMaker to illicitly mine cryptocurrency.


The malicious cyber activity has been codenamed **AMBERSQUID** by cloud and container security firm Sysdig.


"The AMBERSQUID operation was able to exploit cloud services without triggering the AWS requirement for approval of more resources, as would be the case if they only spammed EC2 instances," Sysdig security researcher Alessandro Brucato said in a [report](https://sysdig.com/blog/ambersquid/) shared with The Hacker News.


"Targeting multiple services also poses additional challenges, like incident response, since it requires finding and killing all miners in each exploited service."


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
Sysdig said it discovered the campaign following an [analysis of 1.7 million images](https://sysdig.com/content/c/pf-2023-global-cloud-threat-report?x=-QQbCS) on Docker Hub, attributing it with moderate confidence to Indonesian attackers based on the use of Indonesian language in scripts and usernames.


Some of these images are engineered to execute cryptocurrency miners downloaded from actor-controlled GitHub repositories, while others run shell scripts targeting AWS.


A key characteristic is the abuse of AWS CodeCommit, which is used to host private Git repositories, to "generate a private repository which they then used in different services as a source."


[![Cryptojacking Operation](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjkkghu7rfcd20Co8GKFq1pAPR5nn_qaV6ebLjzaL1psEJ8WhTGlpodVy0rCYWQYXEUrS6NRV-AmF8I0DbjSuvcEL8CTrf17yvpOOo4PEKMCiBwxtOmbh8qjMOdCBuPxWYc6gVGOM9lbzuSAPce1oT072hAkb5ICTb9mfG6sR1xxou5RTJstOLQvJMos-QG/s728-e3650/minor.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjkkghu7rfcd20Co8GKFq1pAPR5nn_qaV6ebLjzaL1psEJ8WhTGlpodVy0rCYWQYXEUrS6NRV-AmF8I0DbjSuvcEL8CTrf17yvpOOo4PEKMCiBwxtOmbh8qjMOdCBuPxWYc6gVGOM9lbzuSAPce1oT072hAkb5ICTb9mfG6sR1xxou5RTJstOLQvJMos-QG/s728-e365/minor.jpg)
The repository contains the source code of an AWS Amplify app that, in turn, is leveraged by a shell script to create a Amplify web app and ultimately launch the cryptocurrency miner.


The threat actors have also been observed employing shell scripts to perform cryptojacking in AWS Fargate and SageMaker instances, incurring significant compute costs for the victims.


Sysdig estimated that AMBERSQUID could result in losses of more than $10,000 per day if it's scaled to target [all AWS regions](https://aws.amazon.com/about-aws/global-infrastructure/). A further analysis of the wallet addresses used reveals that the attackers have earned more than $18,300 in revenues to date.


UPCOMING WEBINAR[Identity is the New Endpoint: Mastering SaaS Security in the Modern Age](https://thehacker.news/itdr-saas?source=inside)Dive deep into the future of SaaS security with Maor Bin, CEO of Adaptive Shield. Discover why identity is the new endpoint. Secure your spot now.

[Get Ready to Learn](https://thehacker.news/itdr-saas?source=inside)
This is not the first time Indonesian threat actors have been linked to cryptojacking campaigns. In May 2023, Permiso P0 Labs detailed an actor named [GUI-vil](https://thehackernews.com/2023/05/indonesian-cybercriminals-exploit-aws.html) which was spotted leveraging Amazon Web Services (AWS) Elastic Compute Cloud (EC2) instances to carry out crypto mining operations.


"While most financially motivated attackers target compute services, such as EC2, it is important to remember that many other services also provide access to compute resources (albeit it more indirectly)," Brucato said.


"It is easy for these services to be overlooked from a security perspective since there is less visibility compared to that available through runtime threat detection."


  





## Tags:


### Autogenerated tags:
[[aws]] [[sysdig]] [[cryptojacking]] [[ambersquid]] [[cloud]] [[ec2]]
