# Python-Based PyLoose Fileless Attack Targets Cloud Workloads for Cryptocurrency Mining
## A sophisticated threat actor has been employing a new Python-based fileless attack called PyLoose to mine cryptocurrency on cloud workloads.
## Information:

+ Link: https://thehackernews.com/2023/07/python-based-pyloose-fileless-attack.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 12 July 2023, 13:09
+ Date scraped: 12 July 2023, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhn5CyNTo1ZN0TbvWyYanCLjwH5dr4tMtEeDKgFa9RswOGirZLzxGoXWQbKeFD9KpzUp-f5HOoNk6AGZm7L8bNrz74JpPbLGM9GXJ7IReNrWuGi7y2niHDzCvPbLVkUAVC9mQ3los_Vo2RB5o1QA-cbRvM0yvHCVOAwlQCglCwfO17IrVoFsbscS6uK_aE/s728-e3650/wiz.jpg)


A new fileless attack dubbed **PyLoose** has been observed striking cloud workloads with the goal of delivering a cryptocurrency miner, new findings from Wiz reveal.


"The attack consists of Python code that loads an XMRig Miner directly into memory using [memfd](https://lwn.net/Articles/812325/), a known Linux fileless technique," security researchers Avigayil Mechtinger, Oren Ofer, and Itamar Gilad [said](https://www.wiz.io/blog/pyloose-first-python-based-fileless-attack-on-cloud-workloads). "This is the first publicly documented Python-based fileless attack targeting cloud workloads in the wild."


The cloud security firm said it found nearly 200 instances where the attack method was employed for cryptocurrency mining. No other details about the threat actor are currently known other than the fact that they possess sophisticated capabilities.


In the infection chain documented by Wiz, initial access is achieved through the exploitation of a publicly accessible Jupyter Notebook service that allowed for the execution of system commands using Python modules.


[PyLoose](https://www.virustotal.com/gui/file/25232290fa9fa5529240a4e893ce206dfdcfc28d0b3a1b89389f7270f1046822), first detected on June 22, 2023, is a Python script with just nine lines of code that embeds a compressed and encoded precompiled XMRig miner. The payload is retrieved from paste.c-net[.]org into the Python runtime's memory by means of an HTTPS GET request without having to write the file to disk.



The Python code is designed to decode and decompress the XMRig miner and then load it directly into memory via the memfd memory file descriptor, which is used to access [memory-resident files](https://www.linkedin.com/pulse/detecting-linux-memfdcreate-fileless-malware-command-line-rowland/).


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Join Now](https://thn.news/I26t1VFD)
"The attacker went to great lengths to be untraceable by using an open data-sharing service to host the Python payload, adapting the fileless execution technique to Python, and compiling an XMRig miner to embed its config to avoid touching the disk or using a revealing command line," the researchers said.


The development comes as Sysdig detailed a new attack campaign mounted by a threat actor known as [SCARLETEEL](https://thehackernews.com/2023/07/scarleteel-cryptojacking-campaign.html) that entails the abuse of AWS infrastructure to steal proprietary data and conduct illicit crypto mining.


  





## Tags:
***urls***: http://paste.c-net.org

### Autogenerated tags:
[[fileless]] [[xmrig]] [[cloud]]
