# Record-Breaking 100 Million RPS DDoS Attack Exploits HTTP/2 Rapid Reset Flaw
## Cloudflare reported an industry-wide campaign that targeted AWS, Cloudflare, and Google Cloud, launching DDoS attacks exploiting HTTP/2 Rapid Reset.
## Information:

+ Link: https://thehackernews.com/2023/10/record-breaking-100-million-rps-ddos.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 26 October 2023, 18:30
+ Date scraped: 26 October 2023, 14:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgpQfSY2d1yhl2yQ8VIz6x2lvJTd2YNReScUmoj3SVhM_AfgWAfb4qvWt58rfw-IDofjBmjyaCL7EVu_Y1Todmi-1CRb6JtcXE2VN8tbI-bLK5OhmdExGulRy80b4vBiG6-B6_BUdS348_dof6IM_OT23PBgfeF2cicaAswoD-eHVySvMvB3ziSPMvUBP3T/s728-rw-ft-e30/ddos.jpg)


Cloudflare on Thursday said it mitigated thousands of hyper-volumetric HTTP distributed denial-of-service (DDoS) attacks that exploited a recently disclosed flaw called [HTTP/2 Rapid Reset](https://thehackernews.com/2023/10/http2-rapid-reset-zero-day.html), 89 of which exceeded 100 million requests per second (RPS).


"The campaign contributed to an overall increase of 65% in HTTP DDoS attack traffic in Q3 compared to the [previous quarter](https://blog.cloudflare.com/ddos-threat-report-2023-q2/)," the web infrastructure and security company [said](https://blog.cloudflare.com/ddos-threat-report-2023-q3/) in a report shared with The Hacker News. "Similarly, [L3/4 DDoS attacks](https://www.cloudflare.com/learning/ddos/layer-3-ddos-attacks/) also increased by 14%."


The total number of HTTP DDoS attack requests in the quarter surged to 8.9 trillion, up from 5.4 trillion in Q2 2023 and 4.7 trillion in Q1 2023. The number of attack requests in Q4 2022 stood at 6.5 trillion.


HTTP/2 Rapid Reset (CVE-2023-44487) came to light earlier this month following an industry-wide coordinated disclosure that delved into DDoS attacks orchestrated by an unknown actor by leveraging the flaw to target various providers such as Amazon Web Services (AWS), Cloudflare, and Google Cloud.


Fastly, in a [disclosure](https://www.fastly.com/blog/how-fastly-protects-customers-from-ddos-including-rapid-reset-attack) of its own on Wednesday, said it countered a similar attack that peaked at a volume of about 250 million RPS and a duration of approximately three minutes.


[![RPS DDoS Attack](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEilhbLYouBQtia84qg5yTFUOnNfch829HbPqYcBg16MqiIwavnPk-SRLak7VsqgVzHcLL2Wi-8oZOV72CsA8U05mnu-bMqT2xr5T_84Y3AYuCeMcIjaNQmYYwLm8LS0Ofv5pUj_loWsMg2eX8Qtew9bifZBeIt9QUG-pV52YxVA7LHCjNqoNoGhhlwO9JIa/s728-rw-ft-e30/cd.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEilhbLYouBQtia84qg5yTFUOnNfch829HbPqYcBg16MqiIwavnPk-SRLak7VsqgVzHcLL2Wi-8oZOV72CsA8U05mnu-bMqT2xr5T_84Y3AYuCeMcIjaNQmYYwLm8LS0Ofv5pUj_loWsMg2eX8Qtew9bifZBeIt9QUG-pV52YxVA7LHCjNqoNoGhhlwO9JIa/s728-rw-ft-e30/cd.jpg)[![RPS DDoS Attack](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjP7u0NF98bPFqx-NdBGvS3k07rNULJPKb3u6heWkZVLBw7ZX68ePrGZ6Sqd4Cx_sASKNQnc0G6RH6hmIfOvfExtlWAfCg4KingwGXp16s1xaT6LZjboBlijRBmWwaDysB4NDYLwQDzRFi_3chxPTwyA3jaKq6_f16eUr3BaswKRyAkWqiQV4dB08GZ2IqR/s728-rw-ft-e30/ddos-1.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjP7u0NF98bPFqx-NdBGvS3k07rNULJPKb3u6heWkZVLBw7ZX68ePrGZ6Sqd4Cx_sASKNQnc0G6RH6hmIfOvfExtlWAfCg4KingwGXp16s1xaT6LZjboBlijRBmWwaDysB4NDYLwQDzRFi_3chxPTwyA3jaKq6_f16eUr3BaswKRyAkWqiQV4dB08GZ2IqR/s728-rw-ft-e30/ddos-1.jpg)
"Botnets that leverage cloud computing platforms and exploit HTTP/2 are able to generate up to x5,000 more force per botnet node," Cloudflare noted. "This allowed them to launch hyper-volumetric DDoS attacks with a small botnet ranging 5-20 thousand nodes alone."


Some of the top industries targeted by HTTP DDoS attacks include gaming, IT, cryptocurrency, computer software, and telecom, with the U.S., China, Brazil, Germany, and Indonesia accounting for the biggest sources of application layer (L7) DDoS attacks.


On the other hand, the U.S., Singapore, China, Vietnam, and Canada emerged as the main targets of HTTP DDoS attacks.


"For the second consecutive quarter, [DNS-based DDoS attacks](https://www.cloudflare.com/learning/ddos/dns-flood-ddos-attack/) were the most common," the company said. "Almost 47% of all attacks were DNS-based. This represents a 44% increase compared to the previous quarter. [SYN floods](https://www.cloudflare.com/learning/ddos/syn-flood-ddos-attack/) remain in second place, followed by [RST floods](https://kb.mazebolt.com/knowledgebase/rst-flood/), [UDP floods](https://www.cloudflare.com/learning/ddos/udp-flood-ddos-attack/), and [Mirai attacks](https://www.cloudflare.com/learning/ddos/glossary/mirai-botnet/)."


Another notable change is the decrease in ransom DDoS attacks, which Cloudflare said "is because threat actors have realized that organizations will not pay them."


The disclosure [comes amid](https://blog.cloudflare.com/q3-2023-internet-disruption-summary/) [internet traffic fluctuations](https://blog.cloudflare.com/internet-traffic-patterns-in-israel-and-palestine-following-the-october-2023-attacks/) and a [spike in DDoS attacks](https://blog.cloudflare.com/cyber-attacks-in-the-israel-hamas-war/) in the aftermath of the Israel-Hamas war, with Cloudflare repelling several attack attempts aimed at Israeli and Palestinian websites.



  





## Tags:
***CVE's***: CVE-2023-44487
***email-adresses***: 2022stood@6.5

### Autogenerated tags:
[[ddos]] [[cloudflare]] [[http]] [[http/2]]
