# Researchers Detail AppSync Cross-Tenant Vulnerability in Amazon Web Services
## Researchers have reported a cross-tenant vulnerability in Amazon Web Services (AWS) that exploits AWS AppSync.
## Information:

+ Link: https://thehackernews.com/2022/11/researchers-detail-appsync-cross-tenant.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 28 November 2022, 11:56
+ Date scraped: 28 November 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiEZoUe9wuUok0XcxVIDQICe6w0xI5_BtVH78G4c5QpXp_gXXWDMLA7_TMHy-tB-UqjYFEijDrwCl5c_N1D_RohWXvThSTKkcND18N3ju70auGExVHzvAmlEUyjVHhb5-iOBBEq8olQABt5161ZN9QYDrxC3bQ3rC3uqMNpC7jnSr5QqdKICillXaQm/s728-e1000/aws.png)


Amazon Web Services (AWS) has resolved a cross-tenant vulnerability in its platform that could be weaponized by an attacker to gain unauthorized access to resources.


The issue relates to a [confused deputy problem](https://docs.aws.amazon.com/IAM/latest/UserGuide/confused-deputy.html), a type of privilege escalation where a program that doesn't have permission to perform an action can coerce a more-privileged entity to perform the action.


The shortcoming was reported by Datadog to AWS on September 1, 2022, following which a patch was shipped on September 6.


"This attack abuses the AppSync service to assume [identity and access management] [roles](https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles.html) in other AWS accounts, which allows an attacker to pivot into a victim organization and access resources in those accounts," Datadog researcher Nick Frichette [said](https://securitylabs.datadoghq.com/articles/appsync-vulnerability-disclosure/) in a report published last week.


In a coordinated disclosure, Amazon [said](https://aws.amazon.com/security/security-bulletins/AWS-2022-009/) that no customers were affected by the vulnerability and that no customer action is required.


It described it as a "case-sensitivity parsing issue within AWS AppSync, which could potentially be used to bypass the service's cross-account role usage validations and take action as the service across customer accounts."


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhRIzWUUcEIcBPuhViecrwNzhKzqp5zxoOtgxrurwbJv2IR_BGJtyjR9ciqepnZbssvJBx1FA3byhLTszAvRVfPHMlRyCcqNU5Mg405zgQ0YmhFY3IHzEZfLG6LjEQFhxxSL26g5AFU7WZ1K9HaVs8VKNzskavCQVCzNN4W-_vblnRTkEPRmYr6vxch/s728-e100/image.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhRIzWUUcEIcBPuhViecrwNzhKzqp5zxoOtgxrurwbJv2IR_BGJtyjR9ciqepnZbssvJBx1FA3byhLTszAvRVfPHMlRyCcqNU5Mg405zgQ0YmhFY3IHzEZfLG6LjEQFhxxSL26g5AFU7WZ1K9HaVs8VKNzskavCQVCzNN4W-_vblnRTkEPRmYr6vxch/s728-e100/image.png)
AWS AppSync [offers](https://aws.amazon.com/appsync/) developers GraphQL APIs to retrieve or modify data from multiple data sources as well as automatically sync data between mobile and web applications and the cloud.


The service can also be used to integrate with other AWS services through specific roles designed to perform the necessary API calls with the required IAM permissions.


While AWS does have safeguards in place to prevent AppSync from assuming arbitrary roles by validating the role's Amazon Resource Name (ARN), the problem stems from the fact that the check could be trivially bypassed by passing the "[serviceRoleArn](https://docs.aws.amazon.com/appsync/latest/APIReference/API_DataSource.html)" parameter in a lower case.


This behavior could then be exploited to provide the identifier of a role in a different AWS account.


"This vulnerability in AWS AppSync allowed attackers to cross account boundaries and execute AWS API calls in victim accounts via IAM roles that trusted the AppSync service," Frichette said.


"By using this method, attackers could breach organizations that used AppSync and gain access to resources associated with those roles."


  





## Tags:


### Autogenerated tags:
[[aws]] [[appsync]]
