# Researchers Detail New Attack Method to Bypass Popular Web Application Firewalls
## Researchers detail a new attack method that can be used to circumvent web application firewalls (WAFs) of various vendors and infiltrate systems.
## Information:

+ Link: https://thehackernews.com/2022/12/researchers-detail-new-attack-method-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 December 2022, 06:18
+ Date scraped: 10 December 2022, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj-w1xVYrSGCATjd9jsHC3v5VXTA751frowKneHnwHdZboKBmNawRO13DAlhw1m0U7Fedd6aOgj7lJfBsEvT6qpjOpxXq9mM4q46-B8SJVQO5EP6KPbClgqIQEAMat-YhqUXSJE_oDa2w9yte9pW9G1PJfu4tBbeqaVkFE4ow1uf1_ZRGRrglyKQ2Ja/s728-e1000/web-app-firewall.png)


A new attack method can be used to circumvent web application firewalls (WAFs) of various vendors and infiltrate systems, potentially enabling attackers to gain access to sensitive business and customer information.


Web application firewalls are a [key line of defense](https://www.cloudflare.com/learning/ddos/glossary/web-application-firewall-waf/) to help filter, monitor, and block HTTP(S) traffic to and from a web application, and safeguard against attacks such as cross-site forgery, cross-site-scripting (XSS), file inclusion, and SQL injection.


The generic bypass "involves appending [JSON syntax](https://en.wikipedia.org/wiki/JSON) to SQL injection payloads that a WAF is unable to parse," Claroty researcher Noam Moshe [said](https://claroty.com/team82/research/js-on-security-off-abusing-json-based-sql-to-bypass-waf). "Most WAFs will easily detect SQLi attacks, but prepending JSON to SQL syntax left the WAF blind to these attacks."


The industrial and IoT cybersecurity company said its technique successfully worked against WAFs from vendors like Amazon Web Services (AWS), Cloudflare, F5, Imperva, and Palo Alto Networks, all of whom have since released updates to support JSON syntax during SQL injection inspection.


[![Web Application Firewalls]()](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi9QEvMZoDsVWLSbI8shJ0ash5MHSxO7TxBujP2pZ8p1QtL2sQwn1T93EM5nnar0SPoMzlxlQR0S4Z8_LslUw5tc9oE4iaJSufUQX60-37EGfvzh5dlaqQJU_iVcrUEZoY_QzG9YIgzF1X2SaMe3aTFEsgiBGE64jL0_bc8xxIiLnYvegtT1RSuXXoZ/s728-e100/code.png)
With WAFs acting as a security guardrail against malicious external HTTP(S) traffic, an attacker with capabilities to get past the barrier can obtain initial access to a target environment for further post-exploitation.


The bypass mechanism devised by Claroty banks on the lack of JSON support for WAFs to craft rogue SQL injection payloads that include JSON syntax to skirt the protections.


"Attackers using this novel technique could access a backend database and use additional vulnerabilities and exploits to exfiltrate information via either direct access to the server or over the cloud," Moshe explained. "This is a dangerous bypass, especially as more organizations continue to migrate more business and functionality to the cloud."


  





## Tags:


### Autogenerated tags:
[[wafs]] [[sql]] [[json]]
