# Serious Attacks Could Have Been Staged Through This Amazon ECR Public Gallery Vulnerability
## This severe vulnerability affecting the Amazon ECR Public Gallery may have opened the repositories to potential "deep software supply chain" attacks.
## Information:

+ Link: https://thehackernews.com/2022/12/serious-attacks-could-have-been-staged.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 13 December 2022, 13:58
+ Date scraped: 13 December 2022, 16:52

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEioBACCeqyYIFtiNZxNbPnN3PXODoXgRypKKnobEiAiS5iOmaerlcK7eVLl6675HzkRkfjIc8oUaT_4kfJlr3L916R5bTNfopMPcgW9I_qe69E4DtLnefxuzUVbBK8R2994eeqrhHmch_WxPoVBjkeMmUVyAAJXO7NWdF7zEx1uuYs2taFN3ZJj9Aqg/s728-e1000/amazon.png)


A critical security flaw has been disclosed in Amazon Elastic Container Registry (ECR) Public Gallery that could have been potentially exploited to stage a multitude of attacks, according to cloud security firm Lightspin.


"By exploiting this vulnerability, a malicious actor could delete all images in the Amazon ECR Public Gallery or update the image contents to inject malicious code," Gafnit Amiga, director of security research at Lightspin, said in a [report](https://blog.lightspin.io/aws-ecr-public-vulnerability) shared with The Hacker News.


"This malicious code is executed on any machine that pulls and runs the image, whether on user's local machines, Kubernetes clusters or cloud environments."


ECR is a [container image registry service](https://aws.amazon.com/ecr/) managed by Amazon Web Services, enabling users to package code as Docker images and deploy the artifacts in a scalable manner. Public repositories hosted on ECR are displayed in what's called the [ECR Public Gallery](https://gallery.ecr.aws/).


"By default, your account has read and write access to the repositories in your public registry," Amazon [notes](https://docs.aws.amazon.com/AmazonECR/latest/public/public-repositories.html) in its documentation. "However, IAM users require permissions to make calls to the Amazon ECR APIs and to push images to your repositories."


But the issue identified by Lightspin meant that it could be weaponized by external actors to delete, update, and create poisoned versions of legitimate images in registries and repositories that belong to other AWS accounts by taking advantage of undocumented internal ECR Public APIs.


[![Amazon ECR Public Gallery Vulnerability](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjHOGlDprjzBExrTd9r-k1uBIH7UoCG7ngYkvbaaPhAMysYFOicYFe1xZbmq6bUi7vFWFbmEnDNL89NCj43xw8CWCAfWEHbHD_6EZiz1ItvVRJpReiuNiwPb3x4fUSqvHfekjWtge1Lhu9YdyGFGkfhLJ_J7u_OEj0g2g4WeTGENPjYwi3HbET6N_XJ/s728-e100/amazon.png)[![Amazon ECR Public Gallery Vulnerability](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgtqNlbqTQDw-QmUX4Cdye4M0jcfDEdHEkYTiSV_mP_e6TspMYkJjVtWLtOMu0CZv82xiO-2leziyx1NLlsfF9dg51zqwrnzK7FQncXZv_lhdnB9zEIujH3KuN2WvN4qprJEjHs-zUBnbQ7XbOa6jNwsOrIRovqCY53af0M5fUwe7G6cituIKTPltiX/s728-e100/code.png)
This is achieved by acquiring temporary credentials using [Amazon Cognito](https://aws.amazon.com/cognito/) to authorize requests to the internal APIs and activate the action to delete images using "DeleteImageForConvergentReplicationInternal," or alternatively push a new image via the "PutImageForConvergentReplicationInternal" action.

 Lightspin characterized the flaw as an instance of "deep software supply chain attack."


Amazon has since [deployed a fix](https://aws.amazon.com/security/security-bulletins/AWS-2022-010/) to resolve the weakness as of November 16, 2022, less than 24 hours after it was reported, indicative of the severity of the problem. No customer action is required.


"This vulnerability could potentially lead to denial-of-service, data exfiltration, lateral movement, privilege escalation, data destruction, and other multivariate attack paths that are only limited by the craftiness and goals of the adversary," Amiga noted.


"A malicious actor could poison popular images, all while abusing the trust model of ECR Public as these images would masquerade as being verified and thus undermine the ECR Public supply chain."


  





## Tags:


### Autogenerated tags:
[[ecr]] [[lightspin]]
