# Several Cyber Attacks Observed Leveraging IPFS Decentralized Network
## A number of phishing campaigns using the decentralized Interplanetary Filesystem (IPFS) network to host malware, phishing kit infrastructure and facil
## Information:

+ Link: https://thehackernews.com/2022/11/several-cyber-attacks-observed.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 09 November 2022, 13:06
+ Date scraped: 09 November 2022, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEihOwj6vj4GJpdFEkSlsCEyIS_mvsRguojyxXJklhuG2acBzfAAdoPlq6cwQYofdkvuDLXHDLi96ocAFVebcyCqGVwFnr6-ozj6lbQI4vJ4Y9sHJ93-TI0T29A226nU8R1lzqgSdTEAvDYAc5YQPjnselgd0vMZjKunr89N0CHrksgHu882-oZDyhgh/s728-e1000/cisco.jpg)


A number of phishing campaigns are leveraging the decentralized Interplanetary Filesystem (IPFS) network to host malware, phishing kit infrastructure, and facilitate other attacks.


"Multiple malware families are currently being hosted within IPFS and retrieved during the initial stages of malware attacks," Cisco Talos researcher Edmund Brumaghin said in an [analysis](https://blog.talosintelligence.com/ipfs-abuse/) shared with The Hacker News.


The research mirrors similar findings from Trustwave SpiderLabs in July 2022, which [found](https://thehackernews.com/2022/07/researchers-warns-of-increase-in.html) more than 3,000 emails containing IPFS phishing URLs as an attack vector, calling IPFS the new "hotbed" for hosting phishing sites.


IPFS as a technology is both resilient to censorship and takedowns, making it a double-edged sword. Underlying it is a peer-to-peer (P2P) network which replicates content across all participating nodes so that even if content is removed from one machine, requests for the resources can still be served via other systems.


This also makes it ripe for abuse by bad actors looking to host malware that can resist law enforcement attempts at disrupting their attack infrastructure, like seen in the case of [Emotet](https://thehackernews.com/2021/01/european-authorities-disrupt-emotet.html) last year.


"IPFS is currently being abused by a variety of threat actors who are using it to host malicious contents as part of phishing and malware distribution campaigns," Brumaghin previously [told](https://thehackernews.com/2022/08/a-growing-number-of-malware-attacks.html) The Hacker News in August 2022.


This includes [Dark Utilities](https://thehackernews.com/2022/08/a-growing-number-of-malware-attacks.html), a command-and-control (C2) framework that's advertised as a way for adversaries to avail remote system access, DDoS capabilities, and cryptocurrency mining, with the payload binaries provided by the platform hosted in IPFS.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg-grjb7ncGCCjVXTNEmz8nEhj3ScF4O5Gj4SIFTDqiyp2N4TZU0tOP6ndH3npiosRM1pa4GEkJMwoC79NLIXRgeTE3Ou-Hb7CwHrm4gnyUw716RREhkcrzHLR0nw6UL0ZIIDvl1sZuZDEJHUOGwkJrUNJdjs4SRkRm6NbbN2zesKMLdIdpYpN2jPsw/s728-e100/servers.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg-grjb7ncGCCjVXTNEmz8nEhj3ScF4O5Gj4SIFTDqiyp2N4TZU0tOP6ndH3npiosRM1pa4GEkJMwoC79NLIXRgeTE3Ou-Hb7CwHrm4gnyUw716RREhkcrzHLR0nw6UL0ZIIDvl1sZuZDEJHUOGwkJrUNJdjs4SRkRm6NbbN2zesKMLdIdpYpN2jPsw/s728-e100/servers.jpg)
Furthermore, IPFS has been put to use to serve rogue landing pages as part of phishing campaigns orchestrated to steal credentials and distribute a wide range of malware comprising [Agent Tesla](https://thehackernews.com/2022/09/researchers-detail-originlogger-rat.html), reverse shells, data wiper, and an information stealer called Hannabi Grabber.


In one malspam delivery chain detailed by Talos, an email purporting to be from a Turkish financial institution urged the recipient to open a ZIP file attachment that, when launched, worked as a downloader to retrieve an obfuscated version of Agent Tesla hosted within the IPFS network.


The destructive malware, for its part, takes the form of a batch file that deletes backups and recursively purges all directory contents. Hannabi Grabber is a Python-based malware that gathers sensitive information from the infected host, such as browser data and screenshots, and transmits it via a [Discord Webhook](https://discord.com/developers/docs/resources/webhook).


The latest development points to the [growing use](https://thehackernews.com/2021/12/over-dozen-malicious-npm-packages.html) by [attackers](https://thehackernews.com/2022/08/virustotal-reveals-most-impersonated.html) of legitimate offerings such as Discord, Slack, Telegram, Dropbox, Google Drive, AWS, and several others to host malicious content or to direct users to it, making phishing one of the lucrative primary initial access vectors.


"We expect this activity to continue to increase as more threat actors recognize that IPFS can be used to facilitate bulletproof hosting, is resilient against content moderation and law enforcement activities, and introduces problems for organizations attempting to detect and defend against attacks that may leverage the IPFS network," Brumaghin said.


  





## Tags:


### Autogenerated tags:
[[ipfs]] [[malware]] [[phishing]] [[brumaghin]]
