# Telcom and BPO Companies Under Attack by SIM Swapping Hackers
## Alert: SIM swapping attacks are targeting telecom and BPO companies
## Information:

+ Link: https://thehackernews.com/2022/12/telcom-and-bpo-companies-under-attack.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 December 2022, 11:00
+ Date scraped: 06 December 2022, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhJRNzIX92Xdj41-KPPjbySdiHaYLK4b9_N3T4vdb2EeNQTa-eD4DNUEIibrs8iw7-QN68Y_7mUg-79kgaMX8jK5JDIuRVlTTjX5ok3PfSG8XsSARIvwcxICD2XAIWLU-eRoZlHFjvZ7Dlp2Z_qa9aBFMbz5M0nqm21rGXJQ5X4dDg0b19k0fOmYA2M/s728-e1000/sim-hacking.png)


A persistent intrusion campaign has set its eyes on telecommunications and business process outsourcing (BPO) companies at lease since June 2022.


"The end objective of this campaign appears to be to gain access to mobile carrier networks and, as evidenced in two investigations, perform [SIM swapping](https://en.wikipedia.org/wiki/SIM_swap_scam) activity," CrowdStrike researcher Tim Parisi [said](https://www.crowdstrike.com/blog/analysis-of-intrusion-campaign-targeting-telecom-and-bpo-companies/) in an analysis published last week.


The financially motivated attacks have been attributed by the cybersecurity company to an actor tracked as Scattered Spider.


Initial access to the target environment is said to be undertaken through a variety of methods ranging from social engineering using phone calls and messages sent via Telegram to impersonate IT personnel.


This technique is leveraged to direct victims to a credential harvesting site or trick them into installing commercial remote monitoring and management (RMM) tools like Zoho Assist and Getscreen.me.


Should the target accounts be secured by two-factor authentication (2FA), the threat actor either convinced the victim into sharing the one-time password or employed a technique called prompt bombing, which was put to use in the recent breaches of [Cisco](https://thehackernews.com/2022/08/cisco-confirms-its-been-hacked-by.html) and [Uber](https://thehackernews.com/2022/09/uber-blames-lapsus-hacking-group-for.html).


[![SIM Swapping Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhR9bZqFcb5VZtSxTiYB-aeIZZ6efK-YFWhPzwRVtKXUSBLe4o3Jd2VEg7urNsTFyGlmA1b9TFhgthcWGbNykQ-KaBn2yghhar1AoneY1pl8ALxPw18IQ9G5zR6m0SCA2h2z8MT5APUXaNqadHO-cZs7lJXVIIF2yk4Snh8CLF6aoj_KvLwpqzCPjlE/s728-e1000/malware-attack.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhR9bZqFcb5VZtSxTiYB-aeIZZ6efK-YFWhPzwRVtKXUSBLe4o3Jd2VEg7urNsTFyGlmA1b9TFhgthcWGbNykQ-KaBn2yghhar1AoneY1pl8ALxPw18IQ9G5zR6m0SCA2h2z8MT5APUXaNqadHO-cZs7lJXVIIF2yk4Snh8CLF6aoj_KvLwpqzCPjlE/s728-e100/malware-attack.png)
In an alternative infection chain observed by CrowdStrike, a user's stolen credentials previously obtained through unknown means were used by the adversary to authenticate to the organization's Azure tenant.


Another instance involved the exploitation of a critical remote code execution bug in ForgeRock OpenAM access management solution ([CVE-2021-35464](https://thehackernews.com/2021/07/critical-rce-flaw-in-forgerock-access.html)) that came under active exploitation last year.


Many of the attacks also involved Scattered Spider gaining access to the compromised entity's multi-factor authentication (MFA) console to enroll their own devices for persistent remote access through legitimate remote access tools to avoid raising red flags.


Initial access and persistence steps are followed by reconnaissance of Windows, Linux, Google Workspace, Azure Active Directory, Microsoft 365, and AWS environments as well as conducting lateral movement, while also downloading additional tools to exfiltrate VPN and MFA enrollment data in select cases.


"These campaigns are extremely persistent and brazen," Parisi noted. "Once the adversary is contained or operations are disrupted, they immediately move to target other organizations within the telecom and BPO sectors."


  





## Tags:
***CVE's***: CVE-2021-35464

### Autogenerated tags:

