# UpdateAgent Returns with New macOS Malware Dropper Written in Swift
## Researchers have identified a new variant of UpdateAgent macOS malware dropper in the wild, written in SWIFT.
## Information:

+ Link: https://thehackernews.com/2022/05/updateagent-returns-with-new-macos.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 17 May 2022, 13:38
+ Date scraped: 17 May 2022, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjkxjgLgst6Uq2SWkRUgytezLo6LecUIY6958JMYWZTeYvuCEsrY2n4KGSwywRP2P1WItzWxfEHOQd0tdMzlTibm7YzEq2xTNXjn29zig5t_c45deWZ8Kgl1_PyMr9teCQ1JDcwriZc0XpC3GXWtVIm2iuk5KwGo1bKglMV1AgLaK6CDKhbogu-FLwY/s728-e100/macbook-hacking.png)


A new variant of the macOS malware tracked as **UpdateAgent** has been spotted in the wild, indicating ongoing attempts on the part of its authors to upgrade its functionalities.


"Perhaps one of the most identifiable features of the malware is that it relies on the AWS infrastructure to host its various payloads and perform its infection status updates to the server," researchers from Jamf Threat Labs [said](https://www.jamf.com/blog/updateagent-adapts-again/) in a report.


UpdateAgent, first detected in late 2020, has since [evolved](https://thehackernews.com/2022/02/new-variant-of-updateagent-malware.html) into a malware dropper, facilitating the distribution of second-stage payloads such as adware while also bypassing macOS [Gatekeeper](https://support.apple.com/en-us/HT202491) protections.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiIWhaMazkVRFliAOz6LvIgsqEU52qC8D47jLheotSj6vLcYNwEWNyCATW2XL_BTI_orvKgQYjpv1B3MjLv5WQNeqdbMC5KDG36nwgAkN8_G2R5Uc6dH8LeiZx1D7_m2Pjdq0oQn1RZpeyOzygufFqfFGc3QK33vfXpuzPltYWR9r0IkQFVBENsCwv-/s728-e100/vt.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiIWhaMazkVRFliAOz6LvIgsqEU52qC8D47jLheotSj6vLcYNwEWNyCATW2XL_BTI_orvKgQYjpv1B3MjLv5WQNeqdbMC5KDG36nwgAkN8_G2R5Uc6dH8LeiZx1D7_m2Pjdq0oQn1RZpeyOzygufFqfFGc3QK33vfXpuzPltYWR9r0IkQFVBENsCwv-/s728-e100/vt.jpg)
The newly discovered Swift-based dropper masquerades as Mach-O binaries named "[PDFCreator](https://www.virustotal.com/gui/file/d737c8dc4def95064e8078bcf2a1fa0fe2bae9dd0a5769474a360bf00a268a06)" and "[ActiveDirectory](https://www.virustotal.com/gui/file/f2b2a07db11a8ccc3f7431c94130a48e746c1aa2129d9e805f4d6bb4d1fc422f)" that, upon execution, establish a connection to a remote server and retrieve a bash script to be executed.


"The primary difference [between the two executables] is that it reaches out to a different URL from which it should load a bash script," the researchers noted.


These bash scripts, named "[activedirec.sh](https://www.virustotal.com/gui/file/09673c3a260c37e79f799a5e045e71f9b466fbfca61d4467fda1206cdd24a657)" or "[bash\_qolveevgclr.sh](https://www.virustotal.com/gui/file/d3eebcbb2cacc1665dfdf8f474764c4d4f0f18fa9aab22a5f3037261c39da030)", include a URL pointing to Amazon S3 buckets to download and run a second-stage disk image (DMG) file to the compromised endpoint.


"The continued development of this malware shows that its authors continue to remain active, trying to reach as many users as possible," the researchers said.


  





## Tags:


### Autogenerated tags:
[[malware]]
