# LastPass breach: Hackers put malware on engineer's home computer to steal their password
## The fallout from the LastPass hack continues, with the company revealing attackers gained access by hacking a senior engineer's home computer.
## Information:

+ Link: https://www.zdnet.com/article/lastpass-breach-hackers-put-malware-on-engineers-home-computer-to-steal-their-password/
+ Source: ZDNet
+ Author: Danny Palmer
+ Date published: 28 February 2023, 13:04
+ Date scraped: 04 March 2023, 00:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/745a88e7f2cc5ce15709c937deef63ddf3b34198/2023/02/28/da1dbe10-0b1e-4ed6-a9d1-3a260ccd0ead/lastpass-photo-zdnet.jpg?auto=webp&fit=crop&height=675&width=1200)

LastPass has revealed that hackers stole a master password that they used to access highly restricted corporate databases and information by targeting a senior engineer's home computer.

**Also:**[**Leaving LastPass? Here's how to get your passwords out**](https://www.zdnet.com/article/leaving-lastpass-heres-how-to-get-your-passwords-out/)

The [password manager](https://www.zdnet.com/article/best-password-manager/) company first revealed that it had been hacked in [August last year](https://www.zdnet.com/article/lastpass-hacked/) when it said attackers had accessed the development environment, taking portions of LastPass source code and some proprietary technical information. 

At the time, LastPass said there was no evidence that the attackers gained access to customer data or sensitive encrypted vaults.

But this changed last December, [when LastPass revealed](https://blog.lastpass.com/2022/12/notice-of-recent-security-incident/) hackers had stolen vault data containing both encrypted and unencrypted data -- including information about customers. 

The company [has now said](https://support.lastpass.com/help/incident-2-additional-details-of-the-attack) attackers used information stolen during the first attack -- along with information stolen in other breaches and the exploitation of a cybersecurity vulnerability -- to power a second attack. 

**Also:** [**The best password managers for easily maintaining all your logins**](https://www.zdnet.com/article/best-password-manager/)

This attack targeted one of only four senior DevOps engineers who had the required high-level security authentication necessary to use the decryption keys required to access the cloud storage service -- and the attackers did so by targeting their home computer.

The exact details of how the attack happened haven't been disclosed, but LastPass said the DevOps engineer's home computer was targeted by attackers exploiting what's described as "a vulnerable third-party media software package", which let the attackers gain the privileges required for remote code execution.

This tactic gave attackers the opportunity to install keylogger [malware](https://www.zdnet.com/article/what-is-malware-everything-you-need-to-know-about-viruses-trojans-and-malicious-software/) on the home computer, allowing them [to monitor](https://www.zdnet.com/article/this-password-stealing-and-keylogging-malware-is-being-spread-through-fake-software-downloads/) what the employee typed on their machine. They exploited this information to steal the master password to gain access to the corporate vault.  

According to LastPass, this access allowed the attackers to enter various shared instances, "which contained encrypted secure notes with access and decryption keys needed to access the AWS S3 LastPass production backups, other cloud-based storage resources, and some related critical database backups".

Following the incident, LastPass says it "assisted the DevOps Engineer with [hardening the security](https://www.zdnet.com/article/nsa-says-do-these-things-to-keep-your-home-network-safe-from-cyber-attack/) of their home network and personal resources". 

**Also: [Reddit was hit with a phishing attack. How it responded is a lesson for everyone](https://www.zdnet.com/article/reddit-was-hit-with-a-phishing-attack-how-it-responded-is-a-lesson-for-everyone/)**

LastPass has upgraded its [multi-factor authentication](https://www.zdnet.com/article/better-than-the-best-password-how-to-use-2fa-to-improve-your-security/) (MFA) by applying Microsoft's conditional access PIN-matching MFA, and the company is now rotating critical and high-privilege passwords that were known to the attackers, to reduce the chance of an additional breach. 

The company is also examining how the breach has potentially affected customers.

"There are several additional workstreams underway to help secure our customers, which may require them to perform specific actions," [Lastpass said](https://support.lastpass.com/download/lastpass-blog-security). 

It's recommended that [LastPass business administration users](https://support.lastpass.com/help/security-bulletin-recommended-actions-for-business-administrators) and [other LastPass customers](https://support.lastpass.com/help/security-bulletin-recommended-actions-for-free-premium-and-families-customers#topic_1) change their master password. This password should not be used to secure any other accounts. 

It's also recommended that MFA is applied to the account to reduce the chances of it being accessed.

#### Security

    [![race-to-protect-ai-against-hackers.gif]()

 These experts are racing to protect AI from hackers. Time is running out](/article/these-experts-are-racing-to-protect-ai-from-hackers-time-is-running-out/)  [![getty-a-businesswoman-looking-at-a-laptop-while-alsoe-examining-paperwork]()

 Fraudsters are using machine learning to help write scam emails in different languages](/article/fraudsters-are-using-machine-learning-to-help-write-scam-emails-in-different-languages/)  [![spy-big-brother-digital-surveillance-istock.jpg]()

 How to find and remove spyware from your phone](/article/how-to-find-and-remove-spyware-from-your-phone/)  [![Best VPN service]()

 The best VPN services: How do the top 5 compare?](/article/best-vpn/)  [![data breach]()

 How to find out if you are involved in a data breach -- and what to do next](/article/how-to-find-out-if-you-are-involved-in-a-data-breach-and-what-to-do-next/)  



 



  * [![race-to-protect-ai-against-hackers.gif]()

 These experts are racing to protect AI from hackers. Time is running out](/article/these-experts-are-racing-to-protect-ai-from-hackers-time-is-running-out/)
* [![getty-a-businesswoman-looking-at-a-laptop-while-alsoe-examining-paperwork]()

 Fraudsters are using machine learning to help write scam emails in different languages](/article/fraudsters-are-using-machine-learning-to-help-write-scam-emails-in-different-languages/)
* [![spy-big-brother-digital-surveillance-istock.jpg]()

 How to find and remove spyware from your phone](/article/how-to-find-and-remove-spyware-from-your-phone/)
* [![Best VPN service]()

 The best VPN services: How do the top 5 compare?](/article/best-vpn/)
* [![data breach]()

 How to find out if you are involved in a data breach -- and what to do next](/article/how-to-find-out-if-you-are-involved-in-a-data-breach-and-what-to-do-next/)



## Tags:


### Autogenerated tags:
[[lastpass]] [[devops]] [[mfa]]
