# Log4Shell flaw: Still being used for crypto mining, botnet building... and Rickrolls | ZDNet
## Log4Shell is still a threat but it's mostly being used for crypto mining and knocking out websites.
## Information:

+ Link: https://www.zdnet.com/article/log4shell-flaw-still-being-used-for-crypto-mining-botnet-building-and-rick-rolls/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 03 March 2022, 10:09
+ Date scraped: 03 March 2022, 12:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/c46186e5ea2ef1651c7ad218d89b762571422198/2021/10/15/ebba8479-c60e-4724-8f98-4647217826af/shutterstock-1253457799.jpg?width=770&height=578&fit=crop&auto=webp)


Log4Shell, the critical bug in Apache's widely used Log4j project, hasn't triggered the disaster that was feared, but it's still being exploited and predominantly from cloud computers in the US. 

The Log4Shell vulnerability came to light in December and sparked concern that it would be exploited by attackers because it was relatively easy to do and because the Java application logging library is embedded in many different services.


Microsoft has observed Log4Shell being used by state-sponsored and criminal attacks but early on found [it was mostly being used for coin mining and ransomware](https://www.zdnet.com/article/log4j-flaw-attacks-are-causing-lots-of-problems-microsoft-warns/). It advised customers to "assume broad availability of exploit code and scanning capabilities to be a real and present danger to their environments."

**SEE:** [**Linux malware attacks are on the rise, and businesses aren't ready for it**](https://www.zdnet.com/article/linux-malware-attacks-are-on-the-rise-and-businesses-arent-ready-for-it/#link=%7B%22linkText%22:%22Linux%20malware%20attacks%20are%20on%20the%20rise,%20and%20businesses%20aren't%20ready%20for%20it%22,%22target%22:%22_blank%22,%22href%22:%22https://www.zdnet.com/article/linux-malware-attacks-are-on-the-rise-and-businesses-arent-ready-for-it/%22,%22role%22:%22standard%22,%22absolute%22:%22%22%7D)

The Cybersecurity and Infrastructure Security Agency warned that, while it hadn't seen any major breach happen due to the flow, attackers might be waiting to use access gained through Log4Shell until alert levels fall. Oracle, Cisco, IBM and VMware have spent the past two months releasing patches for affected software. 

Barracuda Networks, a maker of network security appliances, has now said that Log4Shell attacks are happening at consistent levels. However, it hasn't found evidence of an onslaught of attacks. 

"The majority of attacks came from IP addresses in the U.S., with half of those IP addresses being associated with AWS, Azure and other data centers. Attacks were also being sent from Japan, Germany, Netherlands, and Russia," [it notes](https://blog.barracuda.com/2022/03/02/threat-spotlight-attacks-on-log4shell-vulnerabilities/). 

It adds that these IP addresses are linked to scans and attempted intrusions, which mean the scans could be from researchers or attackers. 

The payloads range from trivial internet memes to the somewhat more serious category of crypto-mining malware that uses another person's hardware to solve equations that earn the attacker crypto such as Monero. 

One, for example, attempts to delivery a "relatively benign (or depending on your viewpoint, very annoying) payload" in the form of a a YouTube video that plays Rick Astley's "Never Gonna Give You Up." 

"I do wonder if anyone was actually Rick-Rolled by this one. It is, as noted earlier, a benign payload in my opinion, but one that will get you patching very quickly!" says Baracuda's Tushar Richabadas.

Other notable malware it reports being used in connection with Log4Shell include the distributed denial of service (DDoS) malware called BillGates. It's an old piece of malware that has no connection with Microsoft's co-founder and that [targets Linux machines](https://www.zdnet.com/article/linux-botnet-attacks-increase-in-scale/). Log4Shell has also been used to deploy Mirai DDoS malware, which is [often used in conflicts between online gamers](https://www.zdnet.com/article/microsoft-heres-how-we-stopped-the-biggest-ever-ddos-attack/).  

Barracuda has seen also seen Log4Shell being used to deploy cypto miners Kinsing and XMRig, as well as the Muhstik DDoS malware. 

Overall, Barracuda's report suggests there is no change in the threat level from Log4Shell than was the case in January. 





 window.ZdnetFunctions.logWithLabel('%c One Trust ', "IFrame loaded: iframe\_youtube with class optanon-category-3");
 





## Tags:


### Autogenerated tags:
[[log4shell]] [[malware]] [[ip]] [[ddos]]
