# New York Power Authority to beef up cybersecurity with new IronNet, AWS deal | ZDNet
## New York Power Authority is the nation's largest state public power organization.
## Information:

+ Link: https://www.zdnet.com/article/new-york-power-authority-to-beef-up-cybersecurity-with-new-ironnet-aws-deal/
+ Source: ZDNet
+ Author: Jonathan Greig
+ Date published: 13 January 2022, 21:56
+ Date scraped: 13 January 2022, 23:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/9dbbc66e54cde31abf040372ca909cb79f61ff41/2020/05/14/70bb0273-7de4-4942-9e42-fe761279e0af/power-line-grid-electricity.jpg?width=770&height=578&fit=crop&auto=webp)

## Article:
![Article Image](https://www.zdnet.com/a/img/resize/9dbbc66e54cde31abf040372ca909cb79f61ff41/2020/05/14/70bb0273-7de4-4942-9e42-fe761279e0af/power-line-grid-electricity.jpg?width=770&height=578&fit=crop&auto=webp)

The New York Power Authority (NYPA) announced a new deal with cybersecurity firm IronNet and Amazon Web Services that will help the country's largest state public power organization bolster its cybersecurity defenses. 

Victor Costanza, deputy CISO at the NYPA, [said](https://www.ironnet.com/news/ironnet-and-new-york-power-authority-nypa-expand-partnership-to-defend-key-supply-chain-partners-with-collective-defense) the rise in sophisticated cyber attacks prompted them to help municipal utilities implement a strong security program that can detect and mitigate attacks in real-time. 

"With the technologies provided by IronNet and AWS, the IT and power infrastructures in NYPA's supply chain ecosystem can collect and share anonymized cyber threat information so we can defend our enterprise networks collectively, raising the security posture of all of us throughout the state," Costanza said.

The deal comes two days after the Cybersecurity and Infrastructure Security Agency (CISA) [released](https://www.cisa.gov/uscert/ncas/alerts/aa22-011a) an alert [detailing a variety of tactics](https://www.zdnet.com/article/cisa-russian-state-sponsored-groups-exploited-vulnerabilities-in-microsoft-cisco-oracle-vmware/) used by Russian state-sponsored groups to attack local and tribal governments across the US between September 2020 and December 2020.

CISA also specifically cited [previously reported](https://www.zdnet.com/article/us-report-confirms-ukraine-power-outage-caused-by-cyberattack/) attacks by Russian groups on critical infrastructure in Ukraine. A [US Homeland Security report](https://ics-cert.us-cert.gov/alerts/IR-ALERT-H-16-056-01) from 2016 said 225,000 customers were left without power two days before Christmas because of the Russian attack on three regional electric power distribution companies. 

Bill Welch, co-CEO of IronNet, said that in the same way utilities band together to provide mutual aid after damaging weather events, NYPA is making collaborative responses to cyber attacks possible. 

"We are proud to work with NYPA to enable all public utility stakeholders to adopt a proactive defense against any cyber adversary with an eye on the grid—from criminal groups to nation-states," Welch said.  






NYPA will be adopting IronNet's Collective Defense solution, which is [supported](https://www.ironnet.com/library/ironnet-and-aws-help-new-york-power-authority-prevent-cyberattacks-at-scale?hsLang=en) by AWS. The tool will allow municipal utilities in New York and their partners "to create a dynamic, radar-like view of the attack landscape that provides visibility into a wider and deeper range of threats across the state's entire power grid."

IronNet and AWS ran a pilot program with five NYPA municipalities before the deal was signed and decided to expand it due to its success. 

**"**Powered by a network detection and response system that tracks network anomalies with behavioral analytics, NYPA's key supply chain partners can use IronNet's Collective Defense platform to collaborate in real time to better detect and defend against attacks. This approach further enhances the resilience of New York's grid amidst the escalating prevalence of attacks on US critical infrastructure," IronNet explained in a statement. 

"Defenders of the state's IT and power infrastructure will receive alerts on anomalous network behaviors correlated with other Collective Defense participants from the U.S. energy sector at large. In the event of a coordinated attack, the community also benefits from expert guidance from the top cybersecurity professionals of IronNet's Security Operations Center."







## Tags:


### Autogenerated tags:
[[nypa]] [[ironnet]] [[cybersecurity]] [[aws]]
