# Ransomware has hit 3,800 servers, but CISA says this tool might help
## Organizations affected by the ESXiArgs ransomware for VMware ESXI servers can use an automated script for recovery.
## Information:

+ Link: https://www.zdnet.com/article/ransomware-has-hit-3800-servers-but-cisa-says-this-tool-might-help/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 09 February 2023, 11:51
+ Date scraped: 14 February 2023, 01:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/9092609269b53600224e58e26737fe70de0f58d8/2023/02/09/0f04c674-2f00-468e-b5ab-8bc7bc7d51d2/data-center-look.jpg?auto=webp&fit=crop&height=675&width=1200)

The Cybersecurity and Infrastructure Security Agency (CISA) and the FBI have released a [joint advisory](https://www.cisa.gov/uscert/ncas/alerts/aa23-039a) warning about an ongoing ESXiArgs ransomware campaign targeting unpatched and out-of-service or out-of-date versions of the VMware ESXi hypervisor for virtual machines (VMs).  

According to CISA, 3,800 VMware ESXi servers have been compromises globally, potentially leaving VMs running from the ESXi server unusable.

**Also:** [**Microsoft: We are tracking these 100 active ransomware gangs using 50 types of malware**](https://www.zdnet.com/article/microsoft-we-are-tracking-these-100-active-ransomware-gangs-using-50-types-of-malware/)

VMware this week [warned enterprises to update ESXi](https://www.zdnet.com/article/vmware-warns-of-esxiargs-ransomware-attacks-on-unpatched-esxi-hypervisors/) servers to supported versions of the hypervisor. It also noted the attacks exploited previously disclosed bugs and provided a workaround it [gave in December](https://kb.vmware.com/s/article/76372) for disabling the Service Location Protocol (SLP) on VMware ESXi. The patches, [released in 2021](https://www.vmware.com/security/advisories/VMSA-2021-0002.html), address the critical bug tracked as CVE-2021-21974, which affected the SLP component in ESXi. 

The ESXiArgs ransomware appears to have started targeting servers in Europe from around February 3 but has since spread to North America.

France's computer emergency response team (CERT) advised organizations to isolate affected servers, reinstall a supported version of ESXi 7.x or ESXi 8.x, and apply any patches.

CISA and FBI encouraged those with VMware ESXi servers to update them to the latest version of ESXi, harden ESXi hypervisors by disabling the SLP service, and ensure the ESXi hypervisor is not exposed to the public internet.

CISA published [the recovery script on its GitHub account](https://github.com/cisagov/ESXiArgs-Recover), explaining how it works by reconstructing VM metadata from virtual disks that were not encrypted by the malware.

The ransomware is reported to encrypt .vmdk, .vmx, .vmxf, .vmsd, .vmsn, .vswp, .vmss, .nvram, and .vmem files on compromised servers. It can render VMs unusable because it encrypts configurations files linked to VMs. But the script can work for recovery by using the unencrypted flat file.

"CISA is aware that some organizations have reported success in recovering files without paying ransoms," it notes. The script is based on publicly available resources and [a tutorial](http://enes.dev/) by Enes Sonmez and Ahmet Aykac. 

Still, CISA warns that organizations need to review the script to see if it's suited to their environment before deploying it. CISA accepts no responsibility for machines damaged during recovery attempts.

**Also:** [**Cybersecurity staff are struggling. Here's how to support them better**](https://www.zdnet.com/home-and-office/work-life/cybersecurity-staff-are-struggling-heres-how-to-support-them-better/)

"This script does not seek to delete the encrypted configuration files, but instead seeks to create new configuration files that enable access to the VMs. While CISA works to ensure that scripts like this one are safe and effective, this script is delivered without warranty, either implicit or explicit. Do not use this script without understanding how it may affect your system. CISA does not assume liability for damage caused by this script," the agency notes.

#### Cloud

   [![businessmeeting]()

 ​What is digital transformation? Everything you need to know](/article/what-is-digital-transformation-everything-you-need-to-know-about-how-technology-is-reshaping/)  [![Cloud computing technology]()

 The best cloud providers compared: AWS, Azure, Google Cloud, and more](/article/the-top-cloud-providers-of-2021-aws-microsoft-azure-google-cloud-hybrid-saas/)  [![best cheap web hosting]()

 The top 6 cheap web hosting services: Find an affordable option](/article/best-cheap-web-hosting/)  [![istock-155673118.jpg]()

 What is cloud computing? Here's everything you need to know](/article/what-is-cloud-computing-everything-you-need-to-know-about-the-cloud/)    * [![businessmeeting]()

 ​What is digital transformation? Everything you need to know](/article/what-is-digital-transformation-everything-you-need-to-know-about-how-technology-is-reshaping/)
* [![Cloud computing technology]()

 The best cloud providers compared: AWS, Azure, Google Cloud, and more](/article/the-top-cloud-providers-of-2021-aws-microsoft-azure-google-cloud-hybrid-saas/)
* [![best cheap web hosting]()

 The top 6 cheap web hosting services: Find an affordable option](/article/best-cheap-web-hosting/)
* [![istock-155673118.jpg]()

 What is cloud computing? Here's everything you need to know](/article/what-is-cloud-computing-everything-you-need-to-know-about-the-cloud/)



## Tags:
***CVE's***: CVE-2021-21974

### Autogenerated tags:
[[esxi]] [[cisa]] [[cloud]] [[vms]] [[ransomware]] [[vmware]] [[hypervisor]] [[slp]]
