# This new malware targets AWS Lambda environments | ZDNet
## Denonia malware is abusing servers to run cryptocurrency miners.
## Information:

+ Link: https://www.zdnet.com/article/this-new-malware-targets-aws-lambda-environments/
+ Source: ZDNet
+ Author: Charlie Osborne
+ Date published: 06 April 2022, 10:00
+ Date scraped: 06 April 2022, 13:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/949db071d76dbe8f8ec0900613f2de460253fc3f/2021/10/07/06e00578-e71b-4002-acd1-d0632fe0edc9/hacked.jpg?width=770&height=578&fit=crop&auto=webp)


A new malware variant that targets AWS Lambda has been discovered. 

On Wednesday, researchers from [Cado Security](https://www.cadosecurity.com/blog/) published their findings on Denonia, malware currently being used in targeted attacks against Lambda. 


[Lambda](https://docs.aws.amazon.com/lambda/latest/dg/welcome.html) is a scalable compute service offered by Amazon Web Services (AWS) for running code, server and OS maintenance, capacity provisioning, logging, and operating numerous backend services. 

According to Cado Security, this cloud service -- used by SMBs and enterprise players worldwide -- is now at risk of infection by the malware strain. 

Not to be confused with [Lambda ransomware](https://www.zdnet.com/article/lambdalocker-ransomware-victim-now-you-can-decrypt-your-files-for-free/), in what the cybersecurity researchers believe is the first known public case, a sample of the malware was found that, despite having the file name python, is written in the Go programming language. 

During analysis, Denonia logged an error, "[\_LAMBDA\_SERVER\_PORT AWS \_LAMBDA\_RUNTIME\_API] is not defined."

"This piqued our interest as these environment variables are specific to Lambda, giving us some hints about the environment in which this malware is expected to execute," the team said. 

The researchers found the sample was a 64-bit ELF executable upon further examination. The malware also relies on third-party GitHub libraries, including those for writing Lambda functions and retrieving data from Lambda invoke requests. 

Another interesting facet is the use of DNS over HTTPS (DoH) via the doh-go library, which the team believes could have been implemented to stop AWS from detecting lookups for malicious domains.

Cado Security isn't sure what attack vector could be in play for deploying the malware into Lambda environments. However, the team speculates it could be a matter of using scripts to grab access credentials or secret keys from poorly-secured setups. 

Cado's researchers said:


> "We discovered during dynamic analysis that the sample will happily continue execution outside a Lambda environment (i.e. on a vanilla Amazon Linux box). 
> 
> We suspect this is likely due to Lambda "serverless" environments using Linux under the hood, so the malware believed it was being run in Lambda (after we manually set the required environment variables) despite being run in our sandbox."
> 
> 

The malware executes a customized version of XMRig in memory. XMRig is a miner used to mine the Monero cryptocurrency by leveraging a computer's resources. This suggests that the developer's goals could be purely financial, with Denonia potentially providing a means to steal computing resources to generate sellable coins. 

"Although this first sample is fairly innocuous in that it only runs cryptomining software, it demonstrates how attackers are using advanced cloud-specific knowledge to exploit complex cloud infrastructure, and is indicative of potential future, more nefarious attacks," the researchers say. 

A second sample has since been added to VirusTotal.  

**See also**

* [FIN7 hackers evolve operations with ransomware, novel backdoor](https://www.zdnet.com/article/fin7-hackers-evolve-operations-with-ransomware-novel-backdoor/)
* [Chinese hackers Deep Panda return with Log4Shell exploits, new Fire Chili rootkit](https://www.zdnet.com/article/chinese-hackers-deep-panda-return-with-log4shell-exploits-new-fire-chili-rootkit/)
* [Borat RAT malware: A 'unique' triple threat that is far from funny](https://www.zdnet.com/article/borat-rat-malware-a-unique-triple-threat-that-is-far-from-funny/)



---

**Have a tip?** Get in touch securely via WhatsApp | Signal at +447713 025 499, or over at Keybase: charlie0



---





## Tags:


### Autogenerated tags:
[[malware]] [[aws]] [[cado]] [[denonia]]
