# VMware warns of ransomware attacks on unpatched ESXi hypervisors
## VMware and cybersecurity authorities warn enterprises to update ESXi hypervisors to supported versions amid widespread ransomware attacks.
## Information:

+ Link: https://www.zdnet.com/article/vmware-warns-of-esxiargs-ransomware-attacks-on-unpatched-esxi-hypervisors/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 07 February 2023, 11:31
+ Date scraped: 09 February 2023, 22:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/54b89068e2aa60a3aea559ca7366aac5731effe9/2023/02/07/dea32fc0-877c-494d-9610-4dee081efbc6/datacenter.jpg?auto=webp&fit=crop&height=675&width=1200)

Hypervisor maker VMware has warned that attackers are using previously disclosed vulnerabilities in its ESXi hypervisor and components to deploy ransomware.

The company believes the vulnerabilities being exploited are not zero-day flaws, meaning the attackers are exploiting previously discovered bugs in the hypervisor. In other words, the attacks exploit instances of the hypervisor that have not been updated or are no longer supported.

**Also: [Cloud computing dominates. But security is now the biggest challenge](https://www.zdnet.com/article/cloud-computing-dominates-but-security-is-now-its-biggest-challenge/)**

"We wanted to address the recently reported 'ESXiArgs' ransomware attacks as well as provide some guidance on actions concerned customers should take to protect themselves," [VMware's security response center said on Monday](https://blogs.vmware.com/security/2023/02/83330.html).

"VMware has not found evidence that suggests an unknown vulnerability (0-day) is being used to propagate the ransomware used in these recent attacks."

The company notes that most reports state attacked instances have reached end of support or are significantly out-of-date products.

It's reiterating a workaround it [gave in December](https://kb.vmware.com/s/article/76372) for customers to disable the SLP Service on VMware ESXi after OpenSLP vulnerabilities affecting ESXi were disclosed.    

France's computer emergency response team (CERT) last week [warned](https://www.cert.ssi.gouv.fr/alerte/CERTFR-2023-ALE-015/) that it became aware of attack campaigns targeting ESXi hypervisors to deploy ransomware on February 3. The SLP service appeared to have been targeted and allows a remote attacker to run code of their choice on the vulnerable server. It also notes that exploit code has been publicly available since at least May 2021. 

CERT France strongly recommends admins isolate an affected server, reinstall the hypervisor, apply all patches, disable unnecessary services like SLP, and block access to admin services through a firewall.

Specifically, it recommends the following courses of action:

* Isolate the affected server
* Carry out an analysis of the systems in order to detect any sign of compromise
* Reinstall the hypervisor in a version supported by the publisher (ESXi 7.x or ESXi 8.x)
* Apply all security patches and follow future vendor security advisories
* Disable unnecessary services on the hypervisor
* Block access to the various administration services, either through a dedicated firewall or through the firewall integrated into the hypervisor, and implement a local administration network as well as a remote administration capability if it is required

BleepingComputer [reports](https://www.bleepingcomputer.com/news/security/vmware-warns-admins-to-patch-esxi-servers-disable-openslp-service/) that attackers behind [ESXiArgs ransomware](https://www.bleepingcomputer.com/news/security/massive-esxiargs-ransomware-attack-targets-vmware-esxi-servers-worldwide/#:~:text=Finally%2C%20the%20script%20performs%20some%20cleanup) use it to encrypt .vmxf, .vmx, .vmdk, .vmsd, and .nvra files on compromised ESXi servers. 

#### Cloud

   [![businessmeeting]()

 ​What is digital transformation? Everything you need to know](/article/what-is-digital-transformation-everything-you-need-to-know-about-how-technology-is-reshaping/)  [![Cloud computing technology]()

 The best cloud providers compared: AWS, Azure, Google Cloud, and more](/article/the-top-cloud-providers-of-2021-aws-microsoft-azure-google-cloud-hybrid-saas/)  [![best cheap web hosting]()

 The top 6 cheap web hosting services: Find an affordable option](/article/best-cheap-web-hosting/)  [![istock-155673118.jpg]()

 What is cloud computing? Here's everything you need to know](/article/what-is-cloud-computing-everything-you-need-to-know-about-the-cloud/)    * [![businessmeeting]()

 ​What is digital transformation? Everything you need to know](/article/what-is-digital-transformation-everything-you-need-to-know-about-how-technology-is-reshaping/)
* [![Cloud computing technology]()

 The best cloud providers compared: AWS, Azure, Google Cloud, and more](/article/the-top-cloud-providers-of-2021-aws-microsoft-azure-google-cloud-hybrid-saas/)
* [![best cheap web hosting]()

 The top 6 cheap web hosting services: Find an affordable option](/article/best-cheap-web-hosting/)
* [![istock-155673118.jpg]()

 What is cloud computing? Here's everything you need to know](/article/what-is-cloud-computing-everything-you-need-to-know-about-the-cloud/)



## Tags:


### Autogenerated tags:
[[cloud]] [[hypervisor]] [[esxi]] [[vmware]] [[ransomware]] [[slp]]
